<?php
// This file was auto-generated from sdk-root/src/data/securityhub/2018-10-26/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Security Hub provides you with a comprehensive view of the security state of your Amazon Web Services environment and resources. It also provides you with the readiness status of your environment based on controls from supported security standards. Security Hub collects security data from Amazon Web Services accounts, services, and integrated third-party products and helps you analyze security trends in your environment to identify the highest priority security issues. For more information about Security Hub, see the <i>Security Hub<a href="https://docs.aws.amazon.com/securityhub/latest/userguide/what-is-securityhub.html">User Guide</a> </i>.</p> <p>When you use operations in the Security Hub API, the requests are executed only in the Amazon Web Services Region that is currently active or in the specific Amazon Web Services Region that you specify in your request. Any configuration or settings change that results from the operation is applied only to that Region. To make the same change in other Regions, execute the same command for each Region to apply the change to.</p> <p>For example, if your Region is set to <code>us-west-2</code>, when you use <code>CreateMembers</code> to add a member account to Security Hub, the association of the member account with the administrator account is created only in the <code>us-west-2</code> Region. Security Hub must be enabled for the member account in the same Region that the invitation was sent from.</p> <p>The following throttling limits apply to using Security Hub API operations.</p> <ul> <li> <p> <code>BatchEnableStandards</code> - <code>RateLimit</code> of 1 request per second, <code>BurstLimit</code> of 1 request per second.</p> </li> <li> <p> <code>GetFindings</code> - <code>RateLimit</code> of 3 requests per second. <code>BurstLimit</code> of 6 requests per second.</p> </li> <li> <p> <code>UpdateFindings</code> - <code>RateLimit</code> of 1 request per second. <code>BurstLimit</code> of 5 requests per second.</p> </li> <li> <p> <code>UpdateStandardsControl</code> - <code>RateLimit</code> of 1 request per second, <code>BurstLimit</code> of 5 requests per second.</p> </li> <li> <p>All other operations - <code>RateLimit</code> of 10 requests per second. <code>BurstLimit</code> of 30 requests per second.</p> </li> </ul>', 'operations' => [ 'AcceptAdministratorInvitation' => '<p>Accepts the invitation to be a member account and be monitored by the Security Hub administrator account that the invitation was sent from.</p> <p>This operation is only used by member accounts that are not added through Organizations.</p> <p>When the member account accepts the invitation, permission is granted to the administrator account to view findings generated in the member account.</p>', 'AcceptInvitation' => '<p>This method is deprecated. Instead, use <code>AcceptAdministratorInvitation</code>.</p> <p>The Security Hub console continues to use <code>AcceptInvitation</code>. It will eventually change to use <code>AcceptAdministratorInvitation</code>. Any IAM policies that specifically control access to this function must continue to use <code>AcceptInvitation</code>. You should also add <code>AcceptAdministratorInvitation</code> to your policies to ensure that the correct permissions are in place after the console begins to use <code>AcceptAdministratorInvitation</code>.</p> <p>Accepts the invitation to be a member account and be monitored by the Security Hub administrator account that the invitation was sent from.</p> <p>This operation is only used by member accounts that are not added through Organizations.</p> <p>When the member account accepts the invitation, permission is granted to the administrator account to view findings generated in the member account.</p>', 'BatchDisableStandards' => '<p>Disables the standards specified by the provided <code>StandardsSubscriptionArns</code>.</p> <p>For more information, see <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards.html">Security Standards</a> section of the <i>Security Hub User Guide</i>.</p>', 'BatchEnableStandards' => '<p>Enables the standards specified by the provided <code>StandardsArn</code>. To obtain the ARN for a standard, use the <code>DescribeStandards</code> operation.</p> <p>For more information, see the <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards.html">Security Standards</a> section of the <i>Security Hub User Guide</i>.</p>', 'BatchImportFindings' => '<p>Imports security findings generated from an integrated product into Security Hub. This action is requested by the integrated product to import its findings into Security Hub.</p> <p>The maximum allowed size for a finding is 240 Kb. An error is returned for any finding larger than 240 Kb.</p> <p>After a finding is created, <code>BatchImportFindings</code> cannot be used to update the following finding fields and objects, which Security Hub customers use to manage their investigation workflow.</p> <ul> <li> <p> <code>Note</code> </p> </li> <li> <p> <code>UserDefinedFields</code> </p> </li> <li> <p> <code>VerificationState</code> </p> </li> <li> <p> <code>Workflow</code> </p> </li> </ul> <p>Finding providers also should not use <code>BatchImportFindings</code> to update the following attributes.</p> <ul> <li> <p> <code>Confidence</code> </p> </li> <li> <p> <code>Criticality</code> </p> </li> <li> <p> <code>RelatedFindings</code> </p> </li> <li> <p> <code>Severity</code> </p> </li> <li> <p> <code>Types</code> </p> </li> </ul> <p>Instead, finding providers use <code>FindingProviderFields</code> to provide values for these attributes.</p>', 'BatchUpdateFindings' => '<p>Used by Security Hub customers to update information about their investigation into a finding. Requested by administrator accounts or member accounts. Administrator accounts can update findings for their account and their member accounts. Member accounts can update findings for their account.</p> <p>Updates from <code>BatchUpdateFindings</code> do not affect the value of <code>UpdatedAt</code> for a finding.</p> <p>Administrator and member accounts can use <code>BatchUpdateFindings</code> to update the following finding fields and objects.</p> <ul> <li> <p> <code>Confidence</code> </p> </li> <li> <p> <code>Criticality</code> </p> </li> <li> <p> <code>Note</code> </p> </li> <li> <p> <code>RelatedFindings</code> </p> </li> <li> <p> <code>Severity</code> </p> </li> <li> <p> <code>Types</code> </p> </li> <li> <p> <code>UserDefinedFields</code> </p> </li> <li> <p> <code>VerificationState</code> </p> </li> <li> <p> <code>Workflow</code> </p> </li> </ul> <p>You can configure IAM policies to restrict access to fields and field values. For example, you might not want member accounts to be able to suppress findings or change the finding severity. See <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/finding-update-batchupdatefindings.html#batchupdatefindings-configure-access">Configuring access to BatchUpdateFindings</a> in the <i>Security Hub User Guide</i>.</p>', 'CreateActionTarget' => '<p>Creates a custom action target in Security Hub.</p> <p>You can use custom actions on findings and insights in Security Hub to trigger target actions in Amazon CloudWatch Events.</p>', 'CreateInsight' => '<p>Creates a custom insight in Security Hub. An insight is a consolidation of findings that relate to a security issue that requires attention or remediation.</p> <p>To group the related findings in the insight, use the <code>GroupByAttribute</code>.</p>', 'CreateMembers' => '<p>Creates a member association in Security Hub between the specified accounts and the account used to make the request, which is the administrator account. If you are integrated with Organizations, then the administrator account is designated by the organization management account.</p> <p> <code>CreateMembers</code> is always used to add accounts that are not organization members.</p> <p>For accounts that are managed using Organizations, <code>CreateMembers</code> is only used in the following cases:</p> <ul> <li> <p>Security Hub is not configured to automatically add new organization accounts.</p> </li> <li> <p>The account was disassociated or deleted in Security Hub.</p> </li> </ul> <p>This action can only be used by an account that has Security Hub enabled. To enable Security Hub, you can use the <code>EnableSecurityHub</code> operation.</p> <p>For accounts that are not organization members, you create the account association and then send an invitation to the member account. To send the invitation, you use the <code>InviteMembers</code> operation. If the account owner accepts the invitation, the account becomes a member account in Security Hub.</p> <p>Accounts that are managed using Organizations do not receive an invitation. They automatically become a member account in Security Hub, and Security Hub is automatically enabled for those accounts. Note that Security Hub cannot be enabled automatically for the organization management account. The organization management account must enable Security Hub before the administrator account enables it as a member account.</p> <p>A permissions policy is added that permits the administrator account to view the findings generated in the member account. When Security Hub is enabled in a member account, the member account findings are also visible to the administrator account. </p> <p>To remove the association between the administrator and member accounts, use the <code>DisassociateFromMasterAccount</code> or <code>DisassociateMembers</code> operation.</p>', 'DeclineInvitations' => '<p>Declines invitations to become a member account.</p> <p>This operation is only used by accounts that are not part of an organization. Organization accounts do not receive invitations.</p>', 'DeleteActionTarget' => '<p>Deletes a custom action target from Security Hub.</p> <p>Deleting a custom action target does not affect any findings or insights that were already sent to Amazon CloudWatch Events using the custom action.</p>', 'DeleteInsight' => '<p>Deletes the insight specified by the <code>InsightArn</code>.</p>', 'DeleteInvitations' => '<p>Deletes invitations received by the Amazon Web Services account to become a member account.</p> <p>This operation is only used by accounts that are not part of an organization. Organization accounts do not receive invitations.</p>', 'DeleteMembers' => '<p>Deletes the specified member accounts from Security Hub.</p> <p>Can be used to delete member accounts that belong to an organization as well as member accounts that were invited manually.</p>', 'DescribeActionTargets' => '<p>Returns a list of the custom action targets in Security Hub in your account.</p>', 'DescribeHub' => '<p>Returns details about the Hub resource in your account, including the <code>HubArn</code> and the time when you enabled Security Hub.</p>', 'DescribeOrganizationConfiguration' => '<p>Returns information about the Organizations configuration for Security Hub. Can only be called from a Security Hub administrator account.</p>', 'DescribeProducts' => '<p>Returns information about product integrations in Security Hub.</p> <p>You can optionally provide an integration ARN. If you provide an integration ARN, then the results only include that integration.</p> <p>If you do not provide an integration ARN, then the results include all of the available product integrations. </p>', 'DescribeStandards' => '<p>Returns a list of the available standards in Security Hub.</p> <p>For each standard, the results include the standard ARN, the name, and a description. </p>', 'DescribeStandardsControls' => '<p>Returns a list of security standards controls.</p> <p>For each control, the results include information about whether it is currently enabled, the severity, and a link to remediation information.</p>', 'DisableImportFindingsForProduct' => '<p>Disables the integration of the specified product with Security Hub. After the integration is disabled, findings from that product are no longer sent to Security Hub.</p>', 'DisableOrganizationAdminAccount' => '<p>Disables a Security Hub administrator account. Can only be called by the organization management account.</p>', 'DisableSecurityHub' => '<p>Disables Security Hub in your account only in the current Region. To disable Security Hub in all Regions, you must submit one request per Region where you have enabled Security Hub.</p> <p>When you disable Security Hub for an administrator account, it doesn\'t disable Security Hub for any associated member accounts.</p> <p>When you disable Security Hub, your existing findings and insights and any Security Hub configuration settings are deleted after 90 days and cannot be recovered. Any standards that were enabled are disabled, and your administrator and member account associations are removed.</p> <p>If you want to save your existing findings, you must export them before you disable Security Hub.</p>', 'DisassociateFromAdministratorAccount' => '<p>Disassociates the current Security Hub member account from the associated administrator account.</p> <p>This operation is only used by accounts that are not part of an organization. For organization accounts, only the administrator account can disassociate a member account.</p>', 'DisassociateFromMasterAccount' => '<p>This method is deprecated. Instead, use <code>DisassociateFromAdministratorAccount</code>.</p> <p>The Security Hub console continues to use <code>DisassociateFromMasterAccount</code>. It will eventually change to use <code>DisassociateFromAdministratorAccount</code>. Any IAM policies that specifically control access to this function must continue to use <code>DisassociateFromMasterAccount</code>. You should also add <code>DisassociateFromAdministratorAccount</code> to your policies to ensure that the correct permissions are in place after the console begins to use <code>DisassociateFromAdministratorAccount</code>.</p> <p>Disassociates the current Security Hub member account from the associated administrator account.</p> <p>This operation is only used by accounts that are not part of an organization. For organization accounts, only the administrator account can disassociate a member account.</p>', 'DisassociateMembers' => '<p>Disassociates the specified member accounts from the associated administrator account.</p> <p>Can be used to disassociate both accounts that are managed using Organizations and accounts that were invited manually.</p>', 'EnableImportFindingsForProduct' => '<p>Enables the integration of a partner product with Security Hub. Integrated products send findings to Security Hub.</p> <p>When you enable a product integration, a permissions policy that grants permission for the product to send findings to Security Hub is applied.</p>', 'EnableOrganizationAdminAccount' => '<p>Designates the Security Hub administrator account for an organization. Can only be called by the organization management account.</p>', 'EnableSecurityHub' => '<p>Enables Security Hub for your account in the current Region or the Region you specify in the request.</p> <p>When you enable Security Hub, you grant to Security Hub the permissions necessary to gather findings from other services that are integrated with Security Hub.</p> <p>When you use the <code>EnableSecurityHub</code> operation to enable Security Hub, you also automatically enable the following standards.</p> <ul> <li> <p>CIS Amazon Web Services Foundations</p> </li> <li> <p>Amazon Web Services Foundational Security Best Practices</p> </li> </ul> <p>You do not enable the Payment Card Industry Data Security Standard (PCI DSS) standard. </p> <p>To not enable the automatically enabled standards, set <code>EnableDefaultStandards</code> to <code>false</code>.</p> <p>After you enable Security Hub, to enable a standard, use the <code>BatchEnableStandards</code> operation. To disable a standard, use the <code>BatchDisableStandards</code> operation.</p> <p>To learn more, see the <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-settingup.html">setup information</a> in the <i>Security Hub User Guide</i>.</p>', 'GetAdministratorAccount' => '<p>Provides the details for the Security Hub administrator account for the current member account.</p> <p>Can be used by both member accounts that are managed using Organizations and accounts that were invited manually.</p>', 'GetEnabledStandards' => '<p>Returns a list of the standards that are currently enabled.</p>', 'GetFindings' => '<p>Returns a list of findings that match the specified criteria.</p>', 'GetInsightResults' => '<p>Lists the results of the Security Hub insight specified by the insight ARN.</p>', 'GetInsights' => '<p>Lists and describes insights for the specified insight ARNs.</p>', 'GetInvitationsCount' => '<p>Returns the count of all Security Hub membership invitations that were sent to the current member account, not including the currently accepted invitation. </p>', 'GetMasterAccount' => '<p>This method is deprecated. Instead, use <code>GetAdministratorAccount</code>.</p> <p>The Security Hub console continues to use <code>GetMasterAccount</code>. It will eventually change to use <code>GetAdministratorAccount</code>. Any IAM policies that specifically control access to this function must continue to use <code>GetMasterAccount</code>. You should also add <code>GetAdministratorAccount</code> to your policies to ensure that the correct permissions are in place after the console begins to use <code>GetAdministratorAccount</code>.</p> <p>Provides the details for the Security Hub administrator account for the current member account.</p> <p>Can be used by both member accounts that are managed using Organizations and accounts that were invited manually.</p>', 'GetMembers' => '<p>Returns the details for the Security Hub member accounts for the specified account IDs.</p> <p>An administrator account can be either the delegated Security Hub administrator account for an organization or an administrator account that enabled Security Hub manually.</p> <p>The results include both member accounts that are managed using Organizations and accounts that were invited manually.</p>', 'InviteMembers' => '<p>Invites other Amazon Web Services accounts to become member accounts for the Security Hub administrator account that the invitation is sent from.</p> <p>This operation is only used to invite accounts that do not belong to an organization. Organization accounts do not receive invitations.</p> <p>Before you can use this action to invite a member, you must first use the <code>CreateMembers</code> action to create the member account in Security Hub.</p> <p>When the account owner enables Security Hub and accepts the invitation to become a member account, the administrator account can view the findings generated from the member account.</p>', 'ListEnabledProductsForImport' => '<p>Lists all findings-generating solutions (products) that you are subscribed to receive findings from in Security Hub.</p>', 'ListInvitations' => '<p>Lists all Security Hub membership invitations that were sent to the current Amazon Web Services account.</p> <p>This operation is only used by accounts that are managed by invitation. Accounts that are managed using the integration with Organizations do not receive invitations.</p>', 'ListMembers' => '<p>Lists details about all member accounts for the current Security Hub administrator account.</p> <p>The results include both member accounts that belong to an organization and member accounts that were invited manually.</p>', 'ListOrganizationAdminAccounts' => '<p>Lists the Security Hub administrator accounts. Can only be called by the organization management account.</p>', 'ListTagsForResource' => '<p>Returns a list of tags associated with a resource.</p>', 'TagResource' => '<p>Adds one or more tags to a resource.</p>', 'UntagResource' => '<p>Removes one or more tags from a resource.</p>', 'UpdateActionTarget' => '<p>Updates the name and description of a custom action target in Security Hub.</p>', 'UpdateFindings' => '<p> <code>UpdateFindings</code> is deprecated. Instead of <code>UpdateFindings</code>, use <code>BatchUpdateFindings</code>.</p> <p>Updates the <code>Note</code> and <code>RecordState</code> of the Security Hub-aggregated findings that the filter attributes specify. Any member account that can view the finding also sees the update to the finding.</p>', 'UpdateInsight' => '<p>Updates the Security Hub insight identified by the specified insight ARN.</p>', 'UpdateOrganizationConfiguration' => '<p>Used to update the configuration related to Organizations. Can only be called from a Security Hub administrator account.</p>', 'UpdateSecurityHubConfiguration' => '<p>Updates configuration options for Security Hub.</p>', 'UpdateStandardsControl' => '<p>Used to control whether an individual security standard control is enabled or disabled.</p>', ], 'shapes' => [ 'AcceptAdministratorInvitationRequest' => [ 'base' => NULL, 'refs' => [], ], 'AcceptAdministratorInvitationResponse' => [ 'base' => NULL, 'refs' => [], ], 'AcceptInvitationRequest' => [ 'base' => NULL, 'refs' => [], ], 'AcceptInvitationResponse' => [ 'base' => NULL, 'refs' => [], ], 'AccessDeniedException' => [ 'base' => '<p>You don\'t have permission to perform the action specified in the request.</p>', 'refs' => [], ], 'AccountDetails' => [ 'base' => '<p>The details of an Amazon Web Services account.</p>', 'refs' => [ 'AccountDetailsList$member' => NULL, ], ], 'AccountDetailsList' => [ 'base' => NULL, 'refs' => [ 'CreateMembersRequest$AccountDetails' => '<p>The list of accounts to associate with the Security Hub administrator account. For each account, the list includes the account ID and optionally the email address.</p>', ], ], 'AccountId' => [ 'base' => NULL, 'refs' => [ 'AccountDetails$AccountId' => '<p>The ID of an Amazon Web Services account.</p>', 'Invitation$AccountId' => '<p>The account ID of the Security Hub administrator account that the invitation was sent from.</p>', 'Member$AccountId' => '<p>The Amazon Web Services account ID of the member account.</p>', 'Result$AccountId' => '<p>An Amazon Web Services account ID of the account that was not processed.</p>', ], ], 'AccountIdList' => [ 'base' => NULL, 'refs' => [ 'DeclineInvitationsRequest$AccountIds' => '<p>The list of account IDs for the accounts from which to decline the invitations to Security Hub.</p>', 'DeleteInvitationsRequest$AccountIds' => '<p>The list of the account IDs that sent the invitations to delete.</p>', 'DeleteMembersRequest$AccountIds' => '<p>The list of account IDs for the member accounts to delete.</p>', 'DisassociateMembersRequest$AccountIds' => '<p>The account IDs of the member accounts to disassociate from the administrator account.</p>', 'GetMembersRequest$AccountIds' => '<p>The list of account IDs for the Security Hub member accounts to return the details for. </p>', 'InviteMembersRequest$AccountIds' => '<p>The list of account IDs of the Amazon Web Services accounts to invite to Security Hub as members. </p>', ], ], 'Action' => [ 'base' => '<p>Provides details about one of the following actions that affects or that was taken on a resource:</p> <ul> <li> <p>A remote IP address issued an Amazon Web Services API call</p> </li> <li> <p>A DNS request was received</p> </li> <li> <p>A remote IP address attempted to connect to an EC2 instance</p> </li> <li> <p>A remote IP address attempted a port probe on an EC2 instance</p> </li> </ul>', 'refs' => [ 'AwsSecurityFinding$Action' => '<p>Provides details about an action that affects or that was taken on a resource.</p>', ], ], 'ActionLocalIpDetails' => [ 'base' => '<p>Provides information about the IP address where the scanned port is located.</p>', 'refs' => [ 'PortProbeDetail$LocalIpDetails' => '<p>Provides information about the IP address where the scanned port is located.</p>', ], ], 'ActionLocalPortDetails' => [ 'base' => '<p>For <code>NetworkConnectionAction</code> and <code>PortProbeDetails</code>, <code>LocalPortDetails</code> provides information about the local port that was involved in the action.</p>', 'refs' => [ 'NetworkConnectionAction$LocalPortDetails' => '<p>Information about the port on the EC2 instance.</p>', 'PortProbeDetail$LocalPortDetails' => '<p>Provides information about the port that was scanned.</p>', ], ], 'ActionRemoteIpDetails' => [ 'base' => '<p>For <code>AwsApiAction</code>, <code>NetworkConnectionAction</code>, and <code>PortProbeAction</code>, <code>RemoteIpDetails</code> provides information about the remote IP address that was involved in the action.</p>', 'refs' => [ 'AwsApiCallAction$RemoteIpDetails' => '<p>Provided if <code>CallerType</code> is <code>remoteIp</code>. Provides information about the remote IP address that the API call originated from.</p>', 'NetworkConnectionAction$RemoteIpDetails' => '<p>Information about the remote IP address that issued the network connection request.</p>', 'PortProbeDetail$RemoteIpDetails' => '<p>Provides information about the remote IP address that performed the scan.</p>', ], ], 'ActionRemotePortDetails' => [ 'base' => '<p>Provides information about the remote port that was involved in an attempted network connection.</p>', 'refs' => [ 'NetworkConnectionAction$RemotePortDetails' => '<p>Information about the port on the remote IP address.</p>', ], ], 'ActionTarget' => [ 'base' => '<p>An <code>ActionTarget</code> object.</p>', 'refs' => [ 'ActionTargetList$member' => NULL, ], ], 'ActionTargetList' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsResponse$ActionTargets' => '<p>A list of <code>ActionTarget</code> objects. Each object includes the <code>ActionTargetArn</code>, <code>Description</code>, and <code>Name</code> of a custom action target available in Security Hub.</p>', ], ], 'Adjustment' => [ 'base' => '<p>An adjustment to the CVSS metric.</p>', 'refs' => [ 'AdjustmentList$member' => NULL, ], ], 'AdjustmentList' => [ 'base' => NULL, 'refs' => [ 'Cvss$Adjustments' => '<p>Adjustments to the CVSS metrics.</p>', ], ], 'AdminAccount' => [ 'base' => '<p>Represents a Security Hub administrator account designated by an organization management account.</p>', 'refs' => [ 'AdminAccounts$member' => NULL, ], ], 'AdminAccounts' => [ 'base' => NULL, 'refs' => [ 'ListOrganizationAdminAccountsResponse$AdminAccounts' => '<p>The list of Security Hub administrator accounts.</p>', ], ], 'AdminStatus' => [ 'base' => NULL, 'refs' => [ 'AdminAccount$Status' => '<p>The current status of the Security Hub administrator account. Indicates whether the account is currently enabled as a Security Hub administrator.</p>', ], ], 'AdminsMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListOrganizationAdminAccountsRequest$MaxResults' => '<p>The maximum number of items to return in the response.</p>', ], ], 'ArnList' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsRequest$ActionTargetArns' => '<p>A list of custom action target ARNs for the custom action targets to retrieve.</p>', 'GetInsightsRequest$InsightArns' => '<p>The ARNs of the insights to describe. If you do not provide any insight ARNs, then <code>GetInsights</code> returns all of your custom insights. It does not return any managed insights.</p>', ], ], 'AvailabilityZone' => [ 'base' => '<p>Information about an Availability Zone.</p>', 'refs' => [ 'AvailabilityZones$member' => NULL, ], ], 'AvailabilityZones' => [ 'base' => NULL, 'refs' => [ 'AwsElbv2LoadBalancerDetails$AvailabilityZones' => '<p>The Availability Zones for the load balancer.</p>', ], ], 'AwsApiCallAction' => [ 'base' => '<p>Provided if <code>ActionType</code> is <code>AWS_API_CALL</code>. It provides details about the API call that was detected.</p>', 'refs' => [ 'Action$AwsApiCallAction' => '<p>Included if <code>ActionType</code> is <code>AWS_API_CALL</code>. Provides details about the API call that was detected. </p>', ], ], 'AwsApiCallActionDomainDetails' => [ 'base' => '<p>Provided if <code>CallerType</code> is <code>domain</code>. It provides information about the DNS domain that issued the API call.</p>', 'refs' => [ 'AwsApiCallAction$DomainDetails' => '<p>Provided if <code>CallerType</code> is <code>domain</code>. Provides information about the DNS domain that the API call originated from.</p>', ], ], 'AwsApiGatewayAccessLogSettings' => [ 'base' => '<p>Contains information about settings for logging access for the stage.</p>', 'refs' => [ 'AwsApiGatewayStageDetails$AccessLogSettings' => '<p>Settings for logging access for the stage.</p>', 'AwsApiGatewayV2StageDetails$AccessLogSettings' => '<p>Information about settings for logging access for the stage.</p>', ], ], 'AwsApiGatewayCanarySettings' => [ 'base' => '<p>Contains information about settings for canary deployment in the stage.</p>', 'refs' => [ 'AwsApiGatewayStageDetails$CanarySettings' => '<p>Information about settings for canary deployment in the stage.</p>', ], ], 'AwsApiGatewayEndpointConfiguration' => [ 'base' => '<p>Contains information about the endpoints for the API.</p>', 'refs' => [ 'AwsApiGatewayRestApiDetails$EndpointConfiguration' => '<p>The endpoint configuration of the REST API.</p>', ], ], 'AwsApiGatewayMethodSettings' => [ 'base' => '<p>Defines settings for a method for the stage.</p>', 'refs' => [ 'AwsApiGatewayMethodSettingsList$member' => NULL, ], ], 'AwsApiGatewayMethodSettingsList' => [ 'base' => NULL, 'refs' => [ 'AwsApiGatewayStageDetails$MethodSettings' => '<p>Defines the method settings for the stage.</p>', ], ], 'AwsApiGatewayRestApiDetails' => [ 'base' => '<p>Contains information about a REST API in version 1 of Amazon API Gateway.</p>', 'refs' => [ 'ResourceDetails$AwsApiGatewayRestApi' => '<p>Provides information about a REST API in version 1 of Amazon API Gateway.</p>', ], ], 'AwsApiGatewayStageDetails' => [ 'base' => '<p>Provides information about a version 1 Amazon API Gateway stage.</p>', 'refs' => [ 'ResourceDetails$AwsApiGatewayStage' => '<p>Provides information about a version 1 Amazon API Gateway stage.</p>', ], ], 'AwsApiGatewayV2ApiDetails' => [ 'base' => '<p>Contains information about a version 2 API in Amazon API Gateway.</p>', 'refs' => [ 'ResourceDetails$AwsApiGatewayV2Api' => '<p>Provides information about a version 2 API in Amazon API Gateway.</p>', ], ], 'AwsApiGatewayV2RouteSettings' => [ 'base' => '<p>Contains route settings for a stage.</p>', 'refs' => [ 'AwsApiGatewayV2StageDetails$DefaultRouteSettings' => '<p>Default route settings for the stage.</p>', 'AwsApiGatewayV2StageDetails$RouteSettings' => '<p>The route settings for the stage.</p>', ], ], 'AwsApiGatewayV2StageDetails' => [ 'base' => '<p>Contains information about a version 2 stage for Amazon API Gateway.</p>', 'refs' => [ 'ResourceDetails$AwsApiGatewayV2Stage' => '<p>Provides information about a version 2 stage for Amazon API Gateway.</p>', ], ], 'AwsAutoScalingAutoScalingGroupDetails' => [ 'base' => '<p>Provides details about an auto scaling group.</p>', 'refs' => [ 'ResourceDetails$AwsAutoScalingAutoScalingGroup' => '<p>Details for an autoscaling group.</p>', ], ], 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsDetails' => [ 'base' => '<p>A block device for the instance.</p>', 'refs' => [ 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsList$member' => NULL, ], ], 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetails' => [ 'base' => '<p>Parameters that are used to automatically set up EBS volumes when an instance is launched.</p>', 'refs' => [ 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsDetails$Ebs' => '<p>Parameters that are used to automatically set up Amazon EBS volumes when an instance is launched.</p>', ], ], 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsList' => [ 'base' => NULL, 'refs' => [ 'AwsAutoScalingLaunchConfigurationDetails$BlockDeviceMappings' => '<p>Specifies the block devices for the instance.</p>', ], ], 'AwsAutoScalingLaunchConfigurationDetails' => [ 'base' => '<p>Details about a launch configuration.</p>', 'refs' => [ 'ResourceDetails$AwsAutoScalingLaunchConfiguration' => '<p>Provides details about a launch configuration.</p>', ], ], 'AwsAutoScalingLaunchConfigurationInstanceMonitoringDetails' => [ 'base' => '<p>Information about the type of monitoring for instances in the group.</p>', 'refs' => [ 'AwsAutoScalingLaunchConfigurationDetails$InstanceMonitoring' => '<p>Indicates the type of monitoring for instances in the group.</p>', ], ], 'AwsCertificateManagerCertificateDetails' => [ 'base' => '<p>Provides details about an Certificate Manager certificate.</p>', 'refs' => [ 'ResourceDetails$AwsCertificateManagerCertificate' => '<p>Provides details about an Certificate Manager certificate.</p>', ], ], 'AwsCertificateManagerCertificateDomainValidationOption' => [ 'base' => '<p>Contains information about one of the following:</p> <ul> <li> <p>The initial validation of each domain name that occurs as a result of the <code>RequestCertificate</code> request</p> </li> <li> <p>The validation of each domain name in the certificate, as it pertains to Certificate Manager managed renewal</p> </li> </ul>', 'refs' => [ 'AwsCertificateManagerCertificateDomainValidationOptions$member' => NULL, ], ], 'AwsCertificateManagerCertificateDomainValidationOptions' => [ 'base' => NULL, 'refs' => [ 'AwsCertificateManagerCertificateDetails$DomainValidationOptions' => '<p>Contains information about the initial validation of each domain name that occurs as a result of the <code>RequestCertificate</code> request.</p> <p>Only provided if the certificate type is <code>AMAZON_ISSUED</code>.</p>', 'AwsCertificateManagerCertificateRenewalSummary$DomainValidationOptions' => '<p>Information about the validation of each domain name in the certificate, as it pertains to Certificate Manager managed renewal. Provided only when the certificate type is <code>AMAZON_ISSUED</code>.</p>', ], ], 'AwsCertificateManagerCertificateExtendedKeyUsage' => [ 'base' => '<p>Contains information about an extended key usage X.509 v3 extension object.</p>', 'refs' => [ 'AwsCertificateManagerCertificateExtendedKeyUsages$member' => NULL, ], ], 'AwsCertificateManagerCertificateExtendedKeyUsages' => [ 'base' => NULL, 'refs' => [ 'AwsCertificateManagerCertificateDetails$ExtendedKeyUsages' => '<p>Contains a list of Extended Key Usage X.509 v3 extension objects. Each object specifies a purpose for which the certificate public key can be used and consists of a name and an object identifier (OID).</p>', ], ], 'AwsCertificateManagerCertificateKeyUsage' => [ 'base' => '<p>Contains information about a key usage X.509 v3 extension object.</p>', 'refs' => [ 'AwsCertificateManagerCertificateKeyUsages$member' => NULL, ], ], 'AwsCertificateManagerCertificateKeyUsages' => [ 'base' => NULL, 'refs' => [ 'AwsCertificateManagerCertificateDetails$KeyUsages' => '<p>A list of key usage X.509 v3 extension objects.</p>', ], ], 'AwsCertificateManagerCertificateOptions' => [ 'base' => '<p>Contains other options for the certificate.</p>', 'refs' => [ 'AwsCertificateManagerCertificateDetails$Options' => '<p>Provides a value that specifies whether to add the certificate to a transparency log.</p>', ], ], 'AwsCertificateManagerCertificateRenewalSummary' => [ 'base' => '<p>Contains information about the Certificate Manager managed renewal for an <code>AMAZON_ISSUED</code> certificate.</p>', 'refs' => [ 'AwsCertificateManagerCertificateDetails$RenewalSummary' => '<p>Information about the status of the Certificate Manager managed renewal for the certificate. Provided only when the certificate type is <code>AMAZON_ISSUED</code>.</p>', ], ], 'AwsCertificateManagerCertificateResourceRecord' => [ 'base' => '<p>Provides details about the CNAME record that is added to the DNS database for domain validation.</p>', 'refs' => [ 'AwsCertificateManagerCertificateDomainValidationOption$ResourceRecord' => '<p>The CNAME record that is added to the DNS database for domain validation.</p>', ], ], 'AwsCloudFrontDistributionCacheBehavior' => [ 'base' => '<p>Information about a cache behavior for the distribution.</p>', 'refs' => [ 'AwsCloudFrontDistributionCacheBehaviorsItemList$member' => NULL, ], ], 'AwsCloudFrontDistributionCacheBehaviors' => [ 'base' => '<p>Provides information about caching for the distribution.</p>', 'refs' => [ 'AwsCloudFrontDistributionDetails$CacheBehaviors' => '<p>Provides information about the cache configuration for the distribution.</p>', ], ], 'AwsCloudFrontDistributionCacheBehaviorsItemList' => [ 'base' => NULL, 'refs' => [ 'AwsCloudFrontDistributionCacheBehaviors$Items' => '<p>The cache behaviors for the distribution.</p>', ], ], 'AwsCloudFrontDistributionDefaultCacheBehavior' => [ 'base' => '<p>Contains information about the default cache configuration for the distribution.</p>', 'refs' => [ 'AwsCloudFrontDistributionDetails$DefaultCacheBehavior' => '<p>The default cache behavior for the configuration.</p>', ], ], 'AwsCloudFrontDistributionDetails' => [ 'base' => '<p>A distribution configuration.</p>', 'refs' => [ 'ResourceDetails$AwsCloudFrontDistribution' => '<p>Details about a CloudFront distribution.</p>', ], ], 'AwsCloudFrontDistributionLogging' => [ 'base' => '<p>A complex type that controls whether access logs are written for the distribution.</p>', 'refs' => [ 'AwsCloudFrontDistributionDetails$Logging' => '<p>A complex type that controls whether access logs are written for the distribution.</p>', ], ], 'AwsCloudFrontDistributionOriginGroup' => [ 'base' => '<p>Information about an origin group for the distribution.</p>', 'refs' => [ 'AwsCloudFrontDistributionOriginGroupsItemList$member' => NULL, ], ], 'AwsCloudFrontDistributionOriginGroupFailover' => [ 'base' => '<p>Provides information about when an origin group fails over.</p>', 'refs' => [ 'AwsCloudFrontDistributionOriginGroup$FailoverCriteria' => '<p>Provides the criteria for an origin group to fail over.</p>', ], ], 'AwsCloudFrontDistributionOriginGroupFailoverStatusCodes' => [ 'base' => '<p>The status codes that cause an origin group to fail over.</p>', 'refs' => [ 'AwsCloudFrontDistributionOriginGroupFailover$StatusCodes' => '<p>Information about the status codes that cause an origin group to fail over.</p>', ], ], 'AwsCloudFrontDistributionOriginGroupFailoverStatusCodesItemList' => [ 'base' => NULL, 'refs' => [ 'AwsCloudFrontDistributionOriginGroupFailoverStatusCodes$Items' => '<p>The list of status code values that can cause a failover to the next origin.</p>', ], ], 'AwsCloudFrontDistributionOriginGroups' => [ 'base' => '<p>Provides information about origin groups that are associated with the distribution.</p>', 'refs' => [ 'AwsCloudFrontDistributionDetails$OriginGroups' => '<p>Provides information about the origin groups in the distribution.</p>', ], ], 'AwsCloudFrontDistributionOriginGroupsItemList' => [ 'base' => NULL, 'refs' => [ 'AwsCloudFrontDistributionOriginGroups$Items' => '<p>The list of origin groups.</p>', ], ], 'AwsCloudFrontDistributionOriginItem' => [ 'base' => '<p>A complex type that describes the S3 bucket, HTTP server (for example, a web server), AWS Elemental MediaStore, or other server from which CloudFront gets your files.</p>', 'refs' => [ 'AwsCloudFrontDistributionOriginItemList$member' => NULL, ], ], 'AwsCloudFrontDistributionOriginItemList' => [ 'base' => NULL, 'refs' => [ 'AwsCloudFrontDistributionOrigins$Items' => '<p>A complex type that contains origins or origin groups for this distribution.</p>', ], ], 'AwsCloudFrontDistributionOriginS3OriginConfig' => [ 'base' => '<p>Information about an origin that is an S3 bucket that is not configured with static website hosting.</p>', 'refs' => [ 'AwsCloudFrontDistributionOriginItem$S3OriginConfig' => '<p>An origin that is an S3 bucket that is not configured with static website hosting.</p>', ], ], 'AwsCloudFrontDistributionOrigins' => [ 'base' => '<p>A complex type that contains information about origins and origin groups for this distribution.</p>', 'refs' => [ 'AwsCloudFrontDistributionDetails$Origins' => '<p>A complex type that contains information about origins for this distribution.</p>', ], ], 'AwsCloudTrailTrailDetails' => [ 'base' => '<p>Provides details about a CloudTrail trail.</p>', 'refs' => [ 'ResourceDetails$AwsCloudTrailTrail' => '<p>Provides details about a CloudTrail trail.</p>', ], ], 'AwsCodeBuildProjectDetails' => [ 'base' => '<p>Information about an CodeBuild project.</p>', 'refs' => [ 'ResourceDetails$AwsCodeBuildProject' => '<p>Details for an CodeBuild project.</p>', ], ], 'AwsCodeBuildProjectEnvironment' => [ 'base' => '<p>Information about the build environment for this build project.</p>', 'refs' => [ 'AwsCodeBuildProjectDetails$Environment' => '<p>Information about the build environment for this build project.</p>', ], ], 'AwsCodeBuildProjectEnvironmentRegistryCredential' => [ 'base' => '<p>The credentials for access to a private registry.</p>', 'refs' => [ 'AwsCodeBuildProjectEnvironment$RegistryCredential' => '<p>The credentials for access to a private registry.</p>', ], ], 'AwsCodeBuildProjectSource' => [ 'base' => '<p>Information about the build input source code for this build project.</p>', 'refs' => [ 'AwsCodeBuildProjectDetails$Source' => '<p>Information about the build input source code for this build project.</p>', ], ], 'AwsCodeBuildProjectVpcConfig' => [ 'base' => '<p>Information about the VPC configuration that CodeBuild accesses.</p>', 'refs' => [ 'AwsCodeBuildProjectDetails$VpcConfig' => '<p>Information about the VPC configuration that CodeBuild accesses.</p>', ], ], 'AwsCorsConfiguration' => [ 'base' => '<p>Contains the cross-origin resource sharing (CORS) configuration for the API. CORS is only supported for HTTP APIs.</p>', 'refs' => [ 'AwsApiGatewayV2ApiDetails$CorsConfiguration' => '<p>A cross-origin resource sharing (CORS) configuration. Supported only for HTTP APIs.</p>', ], ], 'AwsDynamoDbTableAttributeDefinition' => [ 'base' => '<p>Contains a definition of an attribute for the table.</p>', 'refs' => [ 'AwsDynamoDbTableAttributeDefinitionList$member' => NULL, ], ], 'AwsDynamoDbTableAttributeDefinitionList' => [ 'base' => NULL, 'refs' => [ 'AwsDynamoDbTableDetails$AttributeDefinitions' => '<p>A list of attribute definitions for the table.</p>', ], ], 'AwsDynamoDbTableBillingModeSummary' => [ 'base' => '<p>Provides information about the billing for read/write capacity on the table.</p>', 'refs' => [ 'AwsDynamoDbTableDetails$BillingModeSummary' => '<p>Information about the billing for read/write capacity on the table.</p>', ], ], 'AwsDynamoDbTableDetails' => [ 'base' => '<p>Provides details about a DynamoDB table.</p>', 'refs' => [ 'ResourceDetails$AwsDynamoDbTable' => '<p>Details about a DynamoDB table.</p>', ], ], 'AwsDynamoDbTableGlobalSecondaryIndex' => [ 'base' => '<p>Information abut a global secondary index for the table.</p>', 'refs' => [ 'AwsDynamoDbTableGlobalSecondaryIndexList$member' => NULL, ], ], 'AwsDynamoDbTableGlobalSecondaryIndexList' => [ 'base' => NULL, 'refs' => [ 'AwsDynamoDbTableDetails$GlobalSecondaryIndexes' => '<p>List of global secondary indexes for the table.</p>', ], ], 'AwsDynamoDbTableKeySchema' => [ 'base' => '<p>A component of the key schema for the DynamoDB table, a global secondary index, or a local secondary index.</p>', 'refs' => [ 'AwsDynamoDbTableKeySchemaList$member' => NULL, ], ], 'AwsDynamoDbTableKeySchemaList' => [ 'base' => NULL, 'refs' => [ 'AwsDynamoDbTableDetails$KeySchema' => '<p>The primary key structure for the table.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$KeySchema' => '<p>The key schema for the index.</p>', 'AwsDynamoDbTableLocalSecondaryIndex$KeySchema' => '<p>The complete key schema for the index.</p>', ], ], 'AwsDynamoDbTableLocalSecondaryIndex' => [ 'base' => '<p>Information about a local secondary index for a DynamoDB table.</p>', 'refs' => [ 'AwsDynamoDbTableLocalSecondaryIndexList$member' => NULL, ], ], 'AwsDynamoDbTableLocalSecondaryIndexList' => [ 'base' => NULL, 'refs' => [ 'AwsDynamoDbTableDetails$LocalSecondaryIndexes' => '<p>The list of local secondary indexes for the table.</p>', ], ], 'AwsDynamoDbTableProjection' => [ 'base' => '<p>For global and local secondary indexes, identifies the attributes that are copied from the table into the index.</p>', 'refs' => [ 'AwsDynamoDbTableGlobalSecondaryIndex$Projection' => '<p>Attributes that are copied from the table into an index.</p>', 'AwsDynamoDbTableLocalSecondaryIndex$Projection' => '<p>Attributes that are copied from the table into the index. These are in addition to the primary key attributes and index key attributes, which are automatically projected.</p>', ], ], 'AwsDynamoDbTableProvisionedThroughput' => [ 'base' => '<p>Information about the provisioned throughput for the table or for a global secondary index.</p>', 'refs' => [ 'AwsDynamoDbTableDetails$ProvisionedThroughput' => '<p>Information about the provisioned throughput for the table.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$ProvisionedThroughput' => '<p>Information about the provisioned throughput settings for the indexes.</p>', ], ], 'AwsDynamoDbTableProvisionedThroughputOverride' => [ 'base' => '<p>Replica-specific configuration for the provisioned throughput.</p>', 'refs' => [ 'AwsDynamoDbTableReplica$ProvisionedThroughputOverride' => '<p>Replica-specific configuration for the provisioned throughput.</p>', 'AwsDynamoDbTableReplicaGlobalSecondaryIndex$ProvisionedThroughputOverride' => '<p>Replica-specific configuration for the provisioned throughput for the index.</p>', ], ], 'AwsDynamoDbTableReplica' => [ 'base' => '<p>Information about a replica of a DynamoDB table.</p>', 'refs' => [ 'AwsDynamoDbTableReplicaList$member' => NULL, ], ], 'AwsDynamoDbTableReplicaGlobalSecondaryIndex' => [ 'base' => '<p>Information about a global secondary index for a DynamoDB table replica.</p>', 'refs' => [ 'AwsDynamoDbTableReplicaGlobalSecondaryIndexList$member' => NULL, ], ], 'AwsDynamoDbTableReplicaGlobalSecondaryIndexList' => [ 'base' => NULL, 'refs' => [ 'AwsDynamoDbTableReplica$GlobalSecondaryIndexes' => '<p>List of global secondary indexes for the replica.</p>', ], ], 'AwsDynamoDbTableReplicaList' => [ 'base' => NULL, 'refs' => [ 'AwsDynamoDbTableDetails$Replicas' => '<p>The list of replicas of this table.</p>', ], ], 'AwsDynamoDbTableRestoreSummary' => [ 'base' => '<p>Information about the restore for the table.</p>', 'refs' => [ 'AwsDynamoDbTableDetails$RestoreSummary' => '<p>Information about the restore for the table.</p>', ], ], 'AwsDynamoDbTableSseDescription' => [ 'base' => '<p>Information about the server-side encryption for the table.</p>', 'refs' => [ 'AwsDynamoDbTableDetails$SseDescription' => '<p>Information about the server-side encryption for the table.</p>', ], ], 'AwsDynamoDbTableStreamSpecification' => [ 'base' => '<p>The current DynamoDB Streams configuration for the table.</p>', 'refs' => [ 'AwsDynamoDbTableDetails$StreamSpecification' => '<p>The current DynamoDB Streams configuration for the table.</p>', ], ], 'AwsEc2EipDetails' => [ 'base' => '<p>Information about an Elastic IP address.</p>', 'refs' => [ 'ResourceDetails$AwsEc2Eip' => '<p>Details about an Elastic IP address.</p>', ], ], 'AwsEc2InstanceDetails' => [ 'base' => '<p>The details of an EC2 instance.</p>', 'refs' => [ 'ResourceDetails$AwsEc2Instance' => '<p>Details about an EC2 instance related to a finding.</p>', ], ], 'AwsEc2InstanceNetworkInterfacesDetails' => [ 'base' => '<p>Identifies a network interface for the EC2 instance.</p>', 'refs' => [ 'AwsEc2InstanceNetworkInterfacesList$member' => NULL, ], ], 'AwsEc2InstanceNetworkInterfacesList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2InstanceDetails$NetworkInterfaces' => '<p>The identifiers of the network interfaces for the EC2 instance. The details for each network interface are in a corresponding <code>AwsEc2NetworkInterfacesDetails</code> object.</p>', ], ], 'AwsEc2NetworkAclAssociation' => [ 'base' => '<p>An association between the network ACL and a subnet.</p>', 'refs' => [ 'AwsEc2NetworkAclAssociationList$member' => NULL, ], ], 'AwsEc2NetworkAclAssociationList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2NetworkAclDetails$Associations' => '<p>Associations between the network ACL and subnets.</p>', ], ], 'AwsEc2NetworkAclDetails' => [ 'base' => '<p>Contains details about an EC2 network access control list (ACL).</p>', 'refs' => [ 'ResourceDetails$AwsEc2NetworkAcl' => '<p>Details about an EC2 network access control list (ACL).</p>', ], ], 'AwsEc2NetworkAclEntry' => [ 'base' => '<p>A rule for the network ACL. Each rule allows or denies access based on the IP address, traffic direction, port, and protocol.</p>', 'refs' => [ 'AwsEc2NetworkAclEntryList$member' => NULL, ], ], 'AwsEc2NetworkAclEntryList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2NetworkAclDetails$Entries' => '<p>The set of rules in the network ACL.</p>', ], ], 'AwsEc2NetworkInterfaceAttachment' => [ 'base' => '<p>Information about the network interface attachment.</p>', 'refs' => [ 'AwsEc2NetworkInterfaceDetails$Attachment' => '<p>The network interface attachment.</p>', ], ], 'AwsEc2NetworkInterfaceDetails' => [ 'base' => '<p>Details about the network interface</p>', 'refs' => [ 'ResourceDetails$AwsEc2NetworkInterface' => '<p>Details for an EC2 network interface.</p>', ], ], 'AwsEc2NetworkInterfaceIpV6AddressDetail' => [ 'base' => '<p>Provides information about an IPV6 address that is associated with the network interface.</p>', 'refs' => [ 'AwsEc2NetworkInterfaceIpV6AddressList$member' => NULL, ], ], 'AwsEc2NetworkInterfaceIpV6AddressList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2NetworkInterfaceDetails$IpV6Addresses' => '<p>The IPv6 addresses associated with the network interface.</p>', ], ], 'AwsEc2NetworkInterfacePrivateIpAddressDetail' => [ 'base' => '<p>Provides information about a private IPv4 address that is with the network interface.</p>', 'refs' => [ 'AwsEc2NetworkInterfacePrivateIpAddressList$member' => NULL, ], ], 'AwsEc2NetworkInterfacePrivateIpAddressList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2NetworkInterfaceDetails$PrivateIpAddresses' => '<p>The private IPv4 addresses associated with the network interface.</p>', ], ], 'AwsEc2NetworkInterfaceSecurityGroup' => [ 'base' => '<p>A security group associated with the network interface.</p>', 'refs' => [ 'AwsEc2NetworkInterfaceSecurityGroupList$member' => NULL, ], ], 'AwsEc2NetworkInterfaceSecurityGroupList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2NetworkInterfaceDetails$SecurityGroups' => '<p>Security groups for the network interface.</p>', ], ], 'AwsEc2SecurityGroupDetails' => [ 'base' => '<p>Details about an EC2 security group.</p>', 'refs' => [ 'ResourceDetails$AwsEc2SecurityGroup' => '<p>Details for an EC2 security group.</p>', ], ], 'AwsEc2SecurityGroupIpPermission' => [ 'base' => '<p>An IP permission for an EC2 security group.</p>', 'refs' => [ 'AwsEc2SecurityGroupIpPermissionList$member' => NULL, ], ], 'AwsEc2SecurityGroupIpPermissionList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2SecurityGroupDetails$IpPermissions' => '<p>The inbound rules associated with the security group.</p>', 'AwsEc2SecurityGroupDetails$IpPermissionsEgress' => '<p>[VPC only] The outbound rules associated with the security group.</p>', ], ], 'AwsEc2SecurityGroupIpRange' => [ 'base' => '<p>A range of IPv4 addresses.</p>', 'refs' => [ 'AwsEc2SecurityGroupIpRangeList$member' => NULL, ], ], 'AwsEc2SecurityGroupIpRangeList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2SecurityGroupIpPermission$IpRanges' => '<p>The IPv4 ranges.</p>', ], ], 'AwsEc2SecurityGroupIpv6Range' => [ 'base' => '<p>A range of IPv6 addresses.</p>', 'refs' => [ 'AwsEc2SecurityGroupIpv6RangeList$member' => NULL, ], ], 'AwsEc2SecurityGroupIpv6RangeList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2SecurityGroupIpPermission$Ipv6Ranges' => '<p>The IPv6 ranges.</p>', ], ], 'AwsEc2SecurityGroupPrefixListId' => [ 'base' => '<p>A prefix list ID.</p>', 'refs' => [ 'AwsEc2SecurityGroupPrefixListIdList$member' => NULL, ], ], 'AwsEc2SecurityGroupPrefixListIdList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2SecurityGroupIpPermission$PrefixListIds' => '<p>[VPC only] The prefix list IDs for an Amazon Web Services service. With outbound rules, this is the Amazon Web Services service to access through a VPC endpoint from instances associated with the security group.</p>', ], ], 'AwsEc2SecurityGroupUserIdGroupPair' => [ 'base' => '<p>A relationship between a security group and a user.</p>', 'refs' => [ 'AwsEc2SecurityGroupUserIdGroupPairList$member' => NULL, ], ], 'AwsEc2SecurityGroupUserIdGroupPairList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2SecurityGroupIpPermission$UserIdGroupPairs' => '<p>The security group and Amazon Web Services account ID pairs.</p>', ], ], 'AwsEc2SubnetDetails' => [ 'base' => '<p>Contains information about a subnet in Amazon EC2.</p>', 'refs' => [ 'ResourceDetails$AwsEc2Subnet' => '<p>Details about a subnet in Amazon EC2.</p>', ], ], 'AwsEc2VolumeAttachment' => [ 'base' => '<p>An attachment to an Amazon EC2 volume.</p>', 'refs' => [ 'AwsEc2VolumeAttachmentList$member' => NULL, ], ], 'AwsEc2VolumeAttachmentList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2VolumeDetails$Attachments' => '<p>The volume attachments.</p>', ], ], 'AwsEc2VolumeDetails' => [ 'base' => '<p>Details about an EC2 volume.</p>', 'refs' => [ 'ResourceDetails$AwsEc2Volume' => '<p>Details for an EC2 volume.</p>', ], ], 'AwsEc2VpcDetails' => [ 'base' => '<p>Details about an EC2 VPC.</p>', 'refs' => [ 'ResourceDetails$AwsEc2Vpc' => '<p>Details for an EC2 VPC.</p>', ], ], 'AwsEc2VpnConnectionDetails' => [ 'base' => '<p>Details about an Amazon EC2 VPN connection.</p>', 'refs' => [ 'ResourceDetails$AwsEc2VpnConnection' => '<p>Details about an EC2 VPN connection.</p>', ], ], 'AwsEc2VpnConnectionOptionsDetails' => [ 'base' => '<p>VPN connection options.</p>', 'refs' => [ 'AwsEc2VpnConnectionDetails$Options' => '<p>The VPN connection options.</p>', ], ], 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails' => [ 'base' => '<p>The VPN tunnel options.</p>', 'refs' => [ 'AwsEc2VpnConnectionOptionsTunnelOptionsList$member' => NULL, ], ], 'AwsEc2VpnConnectionOptionsTunnelOptionsList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2VpnConnectionOptionsDetails$TunnelOptions' => '<p>The VPN tunnel options.</p>', ], ], 'AwsEc2VpnConnectionRoutesDetails' => [ 'base' => '<p>A static routes associated with the VPN connection.</p>', 'refs' => [ 'AwsEc2VpnConnectionRoutesList$member' => NULL, ], ], 'AwsEc2VpnConnectionRoutesList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2VpnConnectionDetails$Routes' => '<p>The static routes that are associated with the VPN connection.</p>', ], ], 'AwsEc2VpnConnectionVgwTelemetryDetails' => [ 'base' => '<p>Information about the VPN tunnel.</p>', 'refs' => [ 'AwsEc2VpnConnectionVgwTelemetryList$member' => NULL, ], ], 'AwsEc2VpnConnectionVgwTelemetryList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2VpnConnectionDetails$VgwTelemetry' => '<p>Information about the VPN tunnel.</p>', ], ], 'AwsEcrContainerImageDetails' => [ 'base' => '<p>Information about an Amazon ECR image.</p>', 'refs' => [ 'ResourceDetails$AwsEcrContainerImage' => '<p>information about an Amazon ECR image.</p>', ], ], 'AwsEcsClusterClusterSettingsDetails' => [ 'base' => '<p>Indicates whether to enable CloudWatch Container Insights for the ECS cluster.</p>', 'refs' => [ 'AwsEcsClusterClusterSettingsList$member' => NULL, ], ], 'AwsEcsClusterClusterSettingsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsClusterDetails$ClusterSettings' => '<p>The setting to use to create the cluster. Specifically used to configure whether to enable CloudWatch Container Insights for the cluster.</p>', ], ], 'AwsEcsClusterConfigurationDetails' => [ 'base' => '<p>The run command configuration for the cluster.</p>', 'refs' => [ 'AwsEcsClusterDetails$Configuration' => '<p>The run command configuration for the cluster.</p>', ], ], 'AwsEcsClusterConfigurationExecuteCommandConfigurationDetails' => [ 'base' => '<p>Contains the run command configuration for the cluster.</p>', 'refs' => [ 'AwsEcsClusterConfigurationDetails$ExecuteCommandConfiguration' => '<p>Contains the run command configuration for the cluster.</p>', ], ], 'AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails' => [ 'base' => '<p>The log configuration for the results of the run command actions.</p>', 'refs' => [ 'AwsEcsClusterConfigurationExecuteCommandConfigurationDetails$LogConfiguration' => '<p>The log configuration for the results of the run command actions. Required if <code>Logging</code> is <code>NONE</code>.</p>', ], ], 'AwsEcsClusterDefaultCapacityProviderStrategyDetails' => [ 'base' => '<p>The default capacity provider strategy for the cluster. The default capacity provider strategy is used when services or tasks are run without a specified launch type or capacity provider strategy.</p>', 'refs' => [ 'AwsEcsClusterDefaultCapacityProviderStrategyList$member' => NULL, ], ], 'AwsEcsClusterDefaultCapacityProviderStrategyList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsClusterDetails$DefaultCapacityProviderStrategy' => '<p>The default capacity provider strategy for the cluster. The default capacity provider strategy is used when services or tasks are run without a specified launch type or capacity provider strategy.</p>', ], ], 'AwsEcsClusterDetails' => [ 'base' => '<p>provides details about an ECS cluster.</p>', 'refs' => [ 'ResourceDetails$AwsEcsCluster' => '<p>Details about an ECS cluster.</p>', ], ], 'AwsEcsServiceCapacityProviderStrategyDetails' => [ 'base' => '<p>Strategy item for the capacity provider strategy that the service uses.</p>', 'refs' => [ 'AwsEcsServiceCapacityProviderStrategyList$member' => NULL, ], ], 'AwsEcsServiceCapacityProviderStrategyList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsServiceDetails$CapacityProviderStrategy' => '<p>The capacity provider strategy that the service uses.</p>', ], ], 'AwsEcsServiceDeploymentConfigurationDeploymentCircuitBreakerDetails' => [ 'base' => '<p>Determines whether a service deployment fails if a service cannot reach a steady state.</p>', 'refs' => [ 'AwsEcsServiceDeploymentConfigurationDetails$DeploymentCircuitBreaker' => '<p>Determines whether a service deployment fails if a service cannot reach a steady state.</p>', ], ], 'AwsEcsServiceDeploymentConfigurationDetails' => [ 'base' => '<p>Optional deployment parameters for the service.</p>', 'refs' => [ 'AwsEcsServiceDetails$DeploymentConfiguration' => '<p>Deployment parameters for the service. Includes the number of tasks that run and the order in which to start and stop tasks.</p>', ], ], 'AwsEcsServiceDeploymentControllerDetails' => [ 'base' => '<p>Information about the deployment controller type that the service uses.</p>', 'refs' => [ 'AwsEcsServiceDetails$DeploymentController' => '<p>Contains the deployment controller type that the service uses.</p>', ], ], 'AwsEcsServiceDetails' => [ 'base' => '<p>Provides details about a service within an ECS cluster.</p>', 'refs' => [ 'ResourceDetails$AwsEcsService' => '<p>Details about a service within an ECS cluster.</p>', ], ], 'AwsEcsServiceLoadBalancersDetails' => [ 'base' => '<p>Information about a load balancer that the service uses.</p>', 'refs' => [ 'AwsEcsServiceLoadBalancersList$member' => NULL, ], ], 'AwsEcsServiceLoadBalancersList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsServiceDetails$LoadBalancers' => '<p>Information about the load balancers that the service uses.</p>', ], ], 'AwsEcsServiceNetworkConfigurationAwsVpcConfigurationDetails' => [ 'base' => '<p>For tasks that use the <code>awsvpc</code> networking mode, the VPC subnet and security group configuration.</p>', 'refs' => [ 'AwsEcsServiceNetworkConfigurationDetails$AwsVpcConfiguration' => '<p>The VPC subnet and security group configuration.</p>', ], ], 'AwsEcsServiceNetworkConfigurationDetails' => [ 'base' => '<p>For tasks that use the <code>awsvpc</code> networking mode, the VPC subnet and security group configuration.</p>', 'refs' => [ 'AwsEcsServiceDetails$NetworkConfiguration' => '<p>For tasks that use the <code>awsvpc</code> networking mode, the VPC subnet and security group configuration.</p>', ], ], 'AwsEcsServicePlacementConstraintsDetails' => [ 'base' => '<p>A placement constraint for the tasks in the service.</p>', 'refs' => [ 'AwsEcsServicePlacementConstraintsList$member' => NULL, ], ], 'AwsEcsServicePlacementConstraintsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsServiceDetails$PlacementConstraints' => '<p>The placement constraints for the tasks in the service.</p>', ], ], 'AwsEcsServicePlacementStrategiesDetails' => [ 'base' => '<p>A placement strategy that determines how to place the tasks for the service.</p>', 'refs' => [ 'AwsEcsServicePlacementStrategiesList$member' => NULL, ], ], 'AwsEcsServicePlacementStrategiesList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsServiceDetails$PlacementStrategies' => '<p>Information about how tasks for the service are placed.</p>', ], ], 'AwsEcsServiceServiceRegistriesDetails' => [ 'base' => '<p>Information about a service discovery registry to assign to the service.</p>', 'refs' => [ 'AwsEcsServiceServiceRegistriesList$member' => NULL, ], ], 'AwsEcsServiceServiceRegistriesList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsServiceDetails$ServiceRegistries' => '<p>Information about the service discovery registries to assign to the service.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsDependsOnDetails' => [ 'base' => '<p>A dependency that is defined for container startup and shutdown.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDependsOnList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsDependsOnList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$DependsOn' => '<p>The dependencies that are defined for container startup and shutdown.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsDetails' => [ 'base' => '<p>A container definition that describes a container in the task.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentDetails' => [ 'base' => '<p>An environment variable to pass to the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentFilesDetails' => [ 'base' => '<p>A file that contain environment variables to pass to a container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentFilesList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentFilesList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$EnvironmentFiles' => '<p>A list of files containing the environment variables to pass to a container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Environment' => '<p>The environment variables to pass to a container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsExtraHostsDetails' => [ 'base' => '<p>A hostname and IP address mapping to append to the <b>/etc/hosts</b> file on the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsExtraHostsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsExtraHostsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$ExtraHosts' => '<p>A list of hostnames and IP address mappings to append to the <b>/etc/hosts</b> file on the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetails' => [ 'base' => '<p>The FireLens configuration for the container. The configuration specifies and configures a log router for container logs.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$FirelensConfiguration' => '<p>The FireLens configuration for the container. Specifies and configures a log router for container logs.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsHealthCheckDetails' => [ 'base' => '<p>The container health check command and associated configuration parameters for the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$HealthCheck' => '<p>The container health check command and associated configuration parameters for the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersCapabilitiesDetails' => [ 'base' => '<p>The Linux capabilities for the container that are added to or dropped from the default configuration provided by Docker.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails$Capabilities' => '<p>The Linux capabilities for the container that are added to or dropped from the default configuration provided by Docker.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails' => [ 'base' => '<p>&gt;Linux-specific modifications that are applied to the container, such as Linux kernel capabilities.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$LinuxParameters' => '<p>Linux-specific modifications that are applied to the container, such as Linux kernel capabilities.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDevicesDetails' => [ 'base' => '<p>A host device to expose to the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDevicesList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDevicesList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails$Devices' => '<p>The host devices to expose to the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersTmpfsDetails' => [ 'base' => '<p>The container path, mount options, and size (in MiB) of a tmpfs mount.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersTmpfsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersTmpfsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails$Tmpfs' => '<p>The container path, mount options, and size (in MiB) of the tmpfs mount.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionDetails$ContainerDefinitions' => '<p>The container definitions that describe the containers that make up the task.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails' => [ 'base' => '<p>The log configuration specification for the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$LogConfiguration' => '<p>The log configuration specification for the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsDetails' => [ 'base' => '<p>A secret to pass to the log configuration.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails$SecretOptions' => '<p>The secrets to pass to the log configuration.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsMountPointsDetails' => [ 'base' => '<p>A mount point for the data volumes in the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsMountPointsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsMountPointsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$MountPoints' => '<p>The mount points for the data volumes in the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsPortMappingsDetails' => [ 'base' => '<p>A port mapping for the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsPortMappingsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsPortMappingsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$PortMappings' => '<p>The list of port mappings for the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsRepositoryCredentialsDetails' => [ 'base' => '<p>The private repository authentication credentials to use.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$RepositoryCredentials' => '<p>The private repository authentication credentials to use.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsResourceRequirementsDetails' => [ 'base' => '<p>A resource to assign to a container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsResourceRequirementsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsResourceRequirementsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$ResourceRequirements' => '<p>The type and amount of a resource to assign to a container. The only supported resource is a GPU.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsSecretsDetails' => [ 'base' => '<p>A secret to pass to the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsSecretsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsSecretsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Secrets' => '<p>The secrets to pass to the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsSystemControlsDetails' => [ 'base' => '<p>A namespaced kernel parameter to set in the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsSystemControlsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsSystemControlsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$SystemControls' => '<p>A list of namespaced kernel parameters to set in the container.</p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsUlimitsDetails' => [ 'base' => '<p>A ulimit to set in the container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsUlimitsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsUlimitsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Ulimits' => '<p>A list of ulimits to set in the container. </p>', ], ], 'AwsEcsTaskDefinitionContainerDefinitionsVolumesFromDetails' => [ 'base' => '<p>A data volume to mount from another container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsVolumesFromList$member' => NULL, ], ], 'AwsEcsTaskDefinitionContainerDefinitionsVolumesFromList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionContainerDefinitionsDetails$VolumesFrom' => '<p>Data volumes to mount from another container.</p>', ], ], 'AwsEcsTaskDefinitionDetails' => [ 'base' => '<p>details about a task definition. A task definition describes the container and volume definitions of an Amazon Elastic Container Service task.</p>', 'refs' => [ 'ResourceDetails$AwsEcsTaskDefinition' => '<p>Details about a task definition. A task definition describes the container and volume definitions of an Amazon Elastic Container Service task.</p>', ], ], 'AwsEcsTaskDefinitionInferenceAcceleratorsDetails' => [ 'base' => '<p>An Elastic Inference accelerator to use for the containers in the task.</p>', 'refs' => [ 'AwsEcsTaskDefinitionInferenceAcceleratorsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionInferenceAcceleratorsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionDetails$InferenceAccelerators' => '<p>The Elastic Inference accelerators to use for the containers in the task.</p>', ], ], 'AwsEcsTaskDefinitionPlacementConstraintsDetails' => [ 'base' => '<p>A placement constraint object to use for tasks.</p>', 'refs' => [ 'AwsEcsTaskDefinitionPlacementConstraintsList$member' => NULL, ], ], 'AwsEcsTaskDefinitionPlacementConstraintsList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionDetails$PlacementConstraints' => '<p>The placement constraint objects to use for tasks.</p>', ], ], 'AwsEcsTaskDefinitionProxyConfigurationDetails' => [ 'base' => '<p>The configuration details for the App Mesh proxy.</p>', 'refs' => [ 'AwsEcsTaskDefinitionDetails$ProxyConfiguration' => '<p>The configuration details for the App Mesh proxy.</p>', ], ], 'AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesDetails' => [ 'base' => '<p>A network configuration parameter to provide to the Container Network Interface (CNI) plugin.</p>', 'refs' => [ 'AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesList$member' => NULL, ], ], 'AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionProxyConfigurationDetails$ProxyConfigurationProperties' => '<p>The set of network configuration parameters to provide to the Container Network Interface (CNI) plugin, specified as key-value pairs.</p>', ], ], 'AwsEcsTaskDefinitionVolumesDetails' => [ 'base' => '<p>A data volume to mount from another container.</p>', 'refs' => [ 'AwsEcsTaskDefinitionVolumesList$member' => NULL, ], ], 'AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails' => [ 'base' => '<p>Information about a Docker volume.</p>', 'refs' => [ 'AwsEcsTaskDefinitionVolumesDetails$DockerVolumeConfiguration' => '<p>Information about a Docker volume.</p>', ], ], 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationAuthorizationConfigDetails' => [ 'base' => '<p/>', 'refs' => [ 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails$AuthorizationConfig' => '<p>The authorization configuration details for the Amazon EFS file system.</p>', ], ], 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails' => [ 'base' => '<p>Information about the Amazon Elastic File System file system that is used for task storage.</p>', 'refs' => [ 'AwsEcsTaskDefinitionVolumesDetails$EfsVolumeConfiguration' => '<p>Information about the Amazon Elastic File System file system that is used for task storage.</p>', ], ], 'AwsEcsTaskDefinitionVolumesHostDetails' => [ 'base' => '<p>Information about a bind mount host volume.</p>', 'refs' => [ 'AwsEcsTaskDefinitionVolumesDetails$Host' => '<p>Information about a bind mount host volume.</p>', ], ], 'AwsEcsTaskDefinitionVolumesList' => [ 'base' => NULL, 'refs' => [ 'AwsEcsTaskDefinitionDetails$Volumes' => '<p>The data volume definitions for the task.</p>', ], ], 'AwsElasticBeanstalkEnvironmentDetails' => [ 'base' => '<p>Contains details about an Elastic Beanstalk environment.</p>', 'refs' => [ 'ResourceDetails$AwsElasticBeanstalkEnvironment' => '<p>Details about an Elastic Beanstalk environment.</p>', ], ], 'AwsElasticBeanstalkEnvironmentEnvironmentLink' => [ 'base' => '<p>Contains information about a link to another environment that is in the same group.</p>', 'refs' => [ 'AwsElasticBeanstalkEnvironmentEnvironmentLinks$member' => NULL, ], ], 'AwsElasticBeanstalkEnvironmentEnvironmentLinks' => [ 'base' => NULL, 'refs' => [ 'AwsElasticBeanstalkEnvironmentDetails$EnvironmentLinks' => '<p>Links to other environments in the same group.</p>', ], ], 'AwsElasticBeanstalkEnvironmentOptionSetting' => [ 'base' => '<p>A configuration option setting for the environment.</p>', 'refs' => [ 'AwsElasticBeanstalkEnvironmentOptionSettings$member' => NULL, ], ], 'AwsElasticBeanstalkEnvironmentOptionSettings' => [ 'base' => NULL, 'refs' => [ 'AwsElasticBeanstalkEnvironmentDetails$OptionSettings' => '<p>The configuration setting for the environment.</p>', ], ], 'AwsElasticBeanstalkEnvironmentTier' => [ 'base' => '<p>Contains information about the tier of the environment.</p>', 'refs' => [ 'AwsElasticBeanstalkEnvironmentDetails$Tier' => '<p>The tier of the environment.</p>', ], ], 'AwsElasticsearchDomainDetails' => [ 'base' => '<p>Information about an Amazon Elasticsearch Service domain.</p>', 'refs' => [ 'ResourceDetails$AwsElasticsearchDomain' => '<p>Details for an Elasticsearch domain.</p>', ], ], 'AwsElasticsearchDomainDomainEndpointOptions' => [ 'base' => '<p>Additional options for the domain endpoint, such as whether to require HTTPS for all traffic.</p>', 'refs' => [ 'AwsElasticsearchDomainDetails$DomainEndpointOptions' => '<p>Additional options for the domain endpoint.</p>', ], ], 'AwsElasticsearchDomainElasticsearchClusterConfigDetails' => [ 'base' => '<p>details about the configuration of an Elasticsearch cluster.</p>', 'refs' => [ 'AwsElasticsearchDomainDetails$ElasticsearchClusterConfig' => '<p>Information about an Elasticsearch cluster configuration.</p>', ], ], 'AwsElasticsearchDomainElasticsearchClusterConfigZoneAwarenessConfigDetails' => [ 'base' => '<p>Configuration options for zone awareness.</p>', 'refs' => [ 'AwsElasticsearchDomainElasticsearchClusterConfigDetails$ZoneAwarenessConfig' => '<p>Configuration options for zone awareness. Provided if <code>ZoneAwarenessEnabled</code> is <code>true</code>.</p>', ], ], 'AwsElasticsearchDomainEncryptionAtRestOptions' => [ 'base' => '<p>Details about the configuration for encryption at rest.</p>', 'refs' => [ 'AwsElasticsearchDomainDetails$EncryptionAtRestOptions' => '<p>Details about the configuration for encryption at rest.</p>', ], ], 'AwsElasticsearchDomainLogPublishingOptions' => [ 'base' => '<p>configures the CloudWatch Logs to publish for the Elasticsearch domain.</p>', 'refs' => [ 'AwsElasticsearchDomainDetails$LogPublishingOptions' => '<p>Configures the CloudWatch Logs to publish for the Elasticsearch domain.</p>', ], ], 'AwsElasticsearchDomainLogPublishingOptionsLogConfig' => [ 'base' => '<p>The log configuration.</p>', 'refs' => [ 'AwsElasticsearchDomainLogPublishingOptions$IndexSlowLogs' => '<p>Configures the Elasticsearch index logs publishing.</p>', 'AwsElasticsearchDomainLogPublishingOptions$SearchSlowLogs' => '<p>Configures the Elasticsearch search slow log publishing.</p>', 'AwsElasticsearchDomainLogPublishingOptions$AuditLogs' => NULL, ], ], 'AwsElasticsearchDomainNodeToNodeEncryptionOptions' => [ 'base' => '<p>Details about the configuration for node-to-node encryption.</p>', 'refs' => [ 'AwsElasticsearchDomainDetails$NodeToNodeEncryptionOptions' => '<p>Details about the configuration for node-to-node encryption.</p>', ], ], 'AwsElasticsearchDomainServiceSoftwareOptions' => [ 'base' => '<p>Information about the state of the domain relative to the latest service software.</p>', 'refs' => [ 'AwsElasticsearchDomainDetails$ServiceSoftwareOptions' => '<p>Information about the status of a domain relative to the latest service software.</p>', ], ], 'AwsElasticsearchDomainVPCOptions' => [ 'base' => '<p>Information that Elasticsearch derives based on <code>VPCOptions</code> for the domain.</p>', 'refs' => [ 'AwsElasticsearchDomainDetails$VPCOptions' => '<p>Information that Elasticsearch derives based on <code>VPCOptions</code> for the domain.</p>', ], ], 'AwsElbAppCookieStickinessPolicies' => [ 'base' => NULL, 'refs' => [ 'AwsElbLoadBalancerPolicies$AppCookieStickinessPolicies' => '<p>The stickiness policies that are created using <code>CreateAppCookieStickinessPolicy</code>.</p>', ], ], 'AwsElbAppCookieStickinessPolicy' => [ 'base' => '<p>Contains information about a stickiness policy that was created using <code>CreateAppCookieStickinessPolicy</code>.</p>', 'refs' => [ 'AwsElbAppCookieStickinessPolicies$member' => NULL, ], ], 'AwsElbLbCookieStickinessPolicies' => [ 'base' => NULL, 'refs' => [ 'AwsElbLoadBalancerPolicies$LbCookieStickinessPolicies' => '<p>The stickiness policies that are created using <code>CreateLBCookieStickinessPolicy</code>.</p>', ], ], 'AwsElbLbCookieStickinessPolicy' => [ 'base' => '<p>Contains information about a stickiness policy that was created using <code>CreateLBCookieStickinessPolicy</code>.</p>', 'refs' => [ 'AwsElbLbCookieStickinessPolicies$member' => NULL, ], ], 'AwsElbLoadBalancerAccessLog' => [ 'base' => '<p>Contains information about the access log configuration for the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerAttributes$AccessLog' => '<p>Information about the access log configuration for the load balancer.</p> <p>If the access log is enabled, the load balancer captures detailed information about all requests. It delivers the information to a specified S3 bucket.</p>', ], ], 'AwsElbLoadBalancerAttributes' => [ 'base' => '<p>Contains attributes for the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerDetails$LoadBalancerAttributes' => '<p>The attributes for a load balancer.</p>', ], ], 'AwsElbLoadBalancerBackendServerDescription' => [ 'base' => '<p>Provides information about the configuration of an EC2 instance for the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerBackendServerDescriptions$member' => NULL, ], ], 'AwsElbLoadBalancerBackendServerDescriptions' => [ 'base' => NULL, 'refs' => [ 'AwsElbLoadBalancerDetails$BackendServerDescriptions' => '<p>Information about the configuration of the EC2 instances.</p>', ], ], 'AwsElbLoadBalancerConnectionDraining' => [ 'base' => '<p>Contains information about the connection draining configuration for the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerAttributes$ConnectionDraining' => '<p>Information about the connection draining configuration for the load balancer.</p> <p>If connection draining is enabled, the load balancer allows existing requests to complete before it shifts traffic away from a deregistered or unhealthy instance.</p>', ], ], 'AwsElbLoadBalancerConnectionSettings' => [ 'base' => '<p>Contains connection settings for the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerAttributes$ConnectionSettings' => '<p>Connection settings for the load balancer.</p> <p>If an idle timeout is configured, the load balancer allows connections to remain idle for the specified duration. When a connection is idle, no data is sent over the connection.</p>', ], ], 'AwsElbLoadBalancerCrossZoneLoadBalancing' => [ 'base' => '<p>Contains cross-zone load balancing settings for the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerAttributes$CrossZoneLoadBalancing' => '<p>Cross-zone load balancing settings for the load balancer.</p> <p>If cross-zone load balancing is enabled, the load balancer routes the request traffic evenly across all instances regardless of the Availability Zones.</p>', ], ], 'AwsElbLoadBalancerDetails' => [ 'base' => '<p>Contains details about a Classic Load Balancer.</p>', 'refs' => [ 'ResourceDetails$AwsElbLoadBalancer' => '<p>Contains details about a Classic Load Balancer.</p>', ], ], 'AwsElbLoadBalancerHealthCheck' => [ 'base' => '<p>Contains information about the health checks that are conducted on the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerDetails$HealthCheck' => '<p>Information about the health checks that are conducted on the load balancer.</p>', ], ], 'AwsElbLoadBalancerInstance' => [ 'base' => '<p>Provides information about an EC2 instance for a load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerInstances$member' => NULL, ], ], 'AwsElbLoadBalancerInstances' => [ 'base' => NULL, 'refs' => [ 'AwsElbLoadBalancerDetails$Instances' => '<p>List of EC2 instances for the load balancer.</p>', ], ], 'AwsElbLoadBalancerListener' => [ 'base' => '<p>Information about a load balancer listener.</p>', 'refs' => [ 'AwsElbLoadBalancerListenerDescription$Listener' => '<p>Information about the listener.</p>', ], ], 'AwsElbLoadBalancerListenerDescription' => [ 'base' => '<p>Lists the policies that are enabled for a load balancer listener.</p>', 'refs' => [ 'AwsElbLoadBalancerListenerDescriptions$member' => NULL, ], ], 'AwsElbLoadBalancerListenerDescriptions' => [ 'base' => NULL, 'refs' => [ 'AwsElbLoadBalancerDetails$ListenerDescriptions' => '<p>The policies that are enabled for the load balancer listeners.</p>', ], ], 'AwsElbLoadBalancerPolicies' => [ 'base' => '<p>Contains information about the policies for a load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerDetails$Policies' => '<p>The policies for a load balancer.</p>', ], ], 'AwsElbLoadBalancerSourceSecurityGroup' => [ 'base' => '<p>Contains information about the security group for the load balancer.</p>', 'refs' => [ 'AwsElbLoadBalancerDetails$SourceSecurityGroup' => '<p>Information about the security group for the load balancer. This is the security group that is used for inbound rules.</p>', ], ], 'AwsElbv2LoadBalancerDetails' => [ 'base' => '<p>Information about a load balancer.</p>', 'refs' => [ 'ResourceDetails$AwsElbv2LoadBalancer' => '<p>Details about a load balancer.</p>', ], ], 'AwsIamAccessKeyDetails' => [ 'base' => '<p>IAM access key details related to a finding.</p>', 'refs' => [ 'ResourceDetails$AwsIamAccessKey' => '<p>Details about an IAM access key related to a finding.</p>', ], ], 'AwsIamAccessKeySessionContext' => [ 'base' => '<p>Provides information about the session that the key was used for.</p>', 'refs' => [ 'AwsIamAccessKeyDetails$SessionContext' => '<p>Information about the session that the key was used for.</p>', ], ], 'AwsIamAccessKeySessionContextAttributes' => [ 'base' => '<p>Attributes of the session that the key was used for.</p>', 'refs' => [ 'AwsIamAccessKeySessionContext$Attributes' => '<p>Attributes of the session that the key was used for.</p>', ], ], 'AwsIamAccessKeySessionContextSessionIssuer' => [ 'base' => '<p>Information about the entity that created the session.</p>', 'refs' => [ 'AwsIamAccessKeySessionContext$SessionIssuer' => '<p>Information about the entity that created the session.</p>', ], ], 'AwsIamAccessKeyStatus' => [ 'base' => NULL, 'refs' => [ 'AwsIamAccessKeyDetails$Status' => '<p>The status of the IAM access key related to a finding.</p>', ], ], 'AwsIamAttachedManagedPolicy' => [ 'base' => '<p>A managed policy that is attached to an IAM principal.</p>', 'refs' => [ 'AwsIamAttachedManagedPolicyList$member' => NULL, ], ], 'AwsIamAttachedManagedPolicyList' => [ 'base' => NULL, 'refs' => [ 'AwsIamGroupDetails$AttachedManagedPolicies' => '<p>A list of the managed policies that are attached to the IAM group.</p>', 'AwsIamRoleDetails$AttachedManagedPolicies' => '<p>The list of the managed policies that are attached to the role.</p>', 'AwsIamUserDetails$AttachedManagedPolicies' => '<p>A list of the managed policies that are attached to the user.</p>', ], ], 'AwsIamGroupDetails' => [ 'base' => '<p>Contains details about an IAM group.</p>', 'refs' => [ 'ResourceDetails$AwsIamGroup' => '<p>Contains details about an IAM group.</p>', ], ], 'AwsIamGroupPolicy' => [ 'base' => '<p>A managed policy that is attached to the IAM group.</p>', 'refs' => [ 'AwsIamGroupPolicyList$member' => NULL, ], ], 'AwsIamGroupPolicyList' => [ 'base' => NULL, 'refs' => [ 'AwsIamGroupDetails$GroupPolicyList' => '<p>The list of inline policies that are embedded in the group.</p>', ], ], 'AwsIamInstanceProfile' => [ 'base' => '<p>Information about an instance profile.</p>', 'refs' => [ 'AwsIamInstanceProfileList$member' => NULL, ], ], 'AwsIamInstanceProfileList' => [ 'base' => NULL, 'refs' => [ 'AwsIamRoleDetails$InstanceProfileList' => '<p>The list of instance profiles that contain this role.</p>', ], ], 'AwsIamInstanceProfileRole' => [ 'base' => '<p>Information about a role associated with an instance profile.</p>', 'refs' => [ 'AwsIamInstanceProfileRoles$member' => NULL, ], ], 'AwsIamInstanceProfileRoles' => [ 'base' => NULL, 'refs' => [ 'AwsIamInstanceProfile$Roles' => '<p>The roles associated with the instance profile.</p>', ], ], 'AwsIamPermissionsBoundary' => [ 'base' => '<p>Information about the policy used to set the permissions boundary for an IAM principal.</p>', 'refs' => [ 'AwsIamRoleDetails$PermissionsBoundary' => NULL, 'AwsIamUserDetails$PermissionsBoundary' => '<p>The permissions boundary for the user.</p>', ], ], 'AwsIamPolicyDetails' => [ 'base' => '<p>Represents an IAM permissions policy.</p>', 'refs' => [ 'ResourceDetails$AwsIamPolicy' => '<p>Details about an IAM permissions policy.</p>', ], ], 'AwsIamPolicyVersion' => [ 'base' => '<p>A version of an IAM policy.</p>', 'refs' => [ 'AwsIamPolicyVersionList$member' => NULL, ], ], 'AwsIamPolicyVersionList' => [ 'base' => NULL, 'refs' => [ 'AwsIamPolicyDetails$PolicyVersionList' => '<p>List of versions of the policy.</p>', ], ], 'AwsIamRoleAssumeRolePolicyDocument' => [ 'base' => NULL, 'refs' => [ 'AwsIamInstanceProfileRole$AssumeRolePolicyDocument' => '<p>The policy that grants an entity permission to assume the role.</p>', 'AwsIamRoleDetails$AssumeRolePolicyDocument' => '<p>The trust policy that grants permission to assume the role.</p>', ], ], 'AwsIamRoleDetails' => [ 'base' => '<p>Contains information about an IAM role, including all of the role\'s policies.</p>', 'refs' => [ 'ResourceDetails$AwsIamRole' => '<p>Details about an IAM role.</p>', ], ], 'AwsIamRolePolicy' => [ 'base' => '<p>An inline policy that is embedded in the role.</p>', 'refs' => [ 'AwsIamRolePolicyList$member' => NULL, ], ], 'AwsIamRolePolicyList' => [ 'base' => NULL, 'refs' => [ 'AwsIamRoleDetails$RolePolicyList' => '<p>The list of inline policies that are embedded in the role.</p>', ], ], 'AwsIamUserDetails' => [ 'base' => '<p>Information about an IAM user.</p>', 'refs' => [ 'ResourceDetails$AwsIamUser' => '<p>Details about an IAM user.</p>', ], ], 'AwsIamUserPolicy' => [ 'base' => '<p>Information about an inline policy that is embedded in the user.</p>', 'refs' => [ 'AwsIamUserPolicyList$member' => NULL, ], ], 'AwsIamUserPolicyList' => [ 'base' => NULL, 'refs' => [ 'AwsIamUserDetails$UserPolicyList' => '<p>The list of inline policies that are embedded in the user.</p>', ], ], 'AwsKmsKeyDetails' => [ 'base' => '<p>Contains metadata about an KMS key.</p>', 'refs' => [ 'ResourceDetails$AwsKmsKey' => '<p>Details about an KMS key.</p>', ], ], 'AwsLambdaFunctionCode' => [ 'base' => '<p>The code for the Lambda function. You can specify either an object in Amazon S3, or upload a deployment package directly.</p>', 'refs' => [ 'AwsLambdaFunctionDetails$Code' => '<p>An <code>AwsLambdaFunctionCode</code> object.</p>', ], ], 'AwsLambdaFunctionDeadLetterConfig' => [ 'base' => '<p>The dead-letter queue for failed asynchronous invocations.</p>', 'refs' => [ 'AwsLambdaFunctionDetails$DeadLetterConfig' => '<p>The function\'s dead letter queue.</p>', ], ], 'AwsLambdaFunctionDetails' => [ 'base' => '<p>Details about a function\'s configuration.</p>', 'refs' => [ 'ResourceDetails$AwsLambdaFunction' => '<p>Details about a Lambda function.</p>', ], ], 'AwsLambdaFunctionEnvironment' => [ 'base' => '<p>A function\'s environment variable settings.</p>', 'refs' => [ 'AwsLambdaFunctionDetails$Environment' => '<p>The function\'s environment variables.</p>', ], ], 'AwsLambdaFunctionEnvironmentError' => [ 'base' => '<p>Error messages for environment variables that could not be applied.</p>', 'refs' => [ 'AwsLambdaFunctionEnvironment$Error' => '<p>An <code>AwsLambdaFunctionEnvironmentError</code> object.</p>', ], ], 'AwsLambdaFunctionLayer' => [ 'base' => '<p>An Lambda layer.</p>', 'refs' => [ 'AwsLambdaFunctionLayerList$member' => NULL, ], ], 'AwsLambdaFunctionLayerList' => [ 'base' => NULL, 'refs' => [ 'AwsLambdaFunctionDetails$Layers' => '<p>The function\'s layers.</p>', ], ], 'AwsLambdaFunctionTracingConfig' => [ 'base' => '<p>The function\'s X-Ray tracing configuration.</p>', 'refs' => [ 'AwsLambdaFunctionDetails$TracingConfig' => '<p>The function\'s X-Ray tracing configuration.</p>', ], ], 'AwsLambdaFunctionVpcConfig' => [ 'base' => '<p>The VPC security groups and subnets that are attached to a Lambda function.</p>', 'refs' => [ 'AwsLambdaFunctionDetails$VpcConfig' => '<p>The function\'s networking configuration.</p>', ], ], 'AwsLambdaLayerVersionDetails' => [ 'base' => '<p>Details about a Lambda layer version.</p>', 'refs' => [ 'ResourceDetails$AwsLambdaLayerVersion' => '<p>Details for a Lambda layer version.</p>', ], ], 'AwsLambdaLayerVersionNumber' => [ 'base' => NULL, 'refs' => [ 'AwsLambdaLayerVersionDetails$Version' => '<p>The version number.</p>', ], ], 'AwsRdsDbClusterAssociatedRole' => [ 'base' => '<p>An IAM role that is associated with the Amazon RDS DB cluster.</p>', 'refs' => [ 'AwsRdsDbClusterAssociatedRoles$member' => NULL, ], ], 'AwsRdsDbClusterAssociatedRoles' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbClusterDetails$AssociatedRoles' => '<p>A list of the IAM roles that are associated with the DB cluster.</p>', ], ], 'AwsRdsDbClusterDetails' => [ 'base' => '<p>Information about an Amazon RDS DB cluster.</p>', 'refs' => [ 'ResourceDetails$AwsRdsDbCluster' => '<p>Details about an Amazon RDS database cluster.</p>', ], ], 'AwsRdsDbClusterMember' => [ 'base' => '<p>Information about an instance in the DB cluster.</p>', 'refs' => [ 'AwsRdsDbClusterMembers$member' => NULL, ], ], 'AwsRdsDbClusterMembers' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbClusterDetails$DbClusterMembers' => '<p>The list of instances that make up the DB cluster.</p>', ], ], 'AwsRdsDbClusterOptionGroupMembership' => [ 'base' => '<p>Information about an option group membership for a DB cluster.</p>', 'refs' => [ 'AwsRdsDbClusterOptionGroupMemberships$member' => NULL, ], ], 'AwsRdsDbClusterOptionGroupMemberships' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbClusterDetails$DbClusterOptionGroupMemberships' => '<p>The list of option group memberships for this DB cluster.</p>', ], ], 'AwsRdsDbClusterSnapshotDetails' => [ 'base' => '<p>Information about an Amazon RDS DB cluster snapshot.</p>', 'refs' => [ 'ResourceDetails$AwsRdsDbClusterSnapshot' => '<p>Details about an Amazon RDS database cluster snapshot.</p>', ], ], 'AwsRdsDbDomainMembership' => [ 'base' => '<p>Information about an Active Directory domain membership record associated with the DB instance.</p>', 'refs' => [ 'AwsRdsDbDomainMemberships$member' => NULL, ], ], 'AwsRdsDbDomainMemberships' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbClusterDetails$DomainMemberships' => '<p>The Active Directory domain membership records that are associated with the DB cluster.</p>', 'AwsRdsDbInstanceDetails$DomainMemberships' => '<p>The Active Directory domain membership records associated with the DB instance.</p>', ], ], 'AwsRdsDbInstanceAssociatedRole' => [ 'base' => '<p>An IAM role associated with the DB instance.</p>', 'refs' => [ 'AwsRdsDbInstanceAssociatedRoles$member' => NULL, ], ], 'AwsRdsDbInstanceAssociatedRoles' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbInstanceDetails$AssociatedRoles' => '<p>The IAM roles associated with the DB instance.</p>', ], ], 'AwsRdsDbInstanceDetails' => [ 'base' => '<p>Contains the details of an Amazon RDS DB instance.</p>', 'refs' => [ 'ResourceDetails$AwsRdsDbInstance' => '<p>Details about an Amazon RDS database instance.</p>', ], ], 'AwsRdsDbInstanceEndpoint' => [ 'base' => '<p>Specifies the connection endpoint.</p>', 'refs' => [ 'AwsRdsDbInstanceDetails$Endpoint' => '<p>Specifies the connection endpoint.</p>', 'AwsRdsDbInstanceDetails$ListenerEndpoint' => NULL, ], ], 'AwsRdsDbInstanceVpcSecurityGroup' => [ 'base' => '<p>A VPC security groups that the DB instance belongs to.</p>', 'refs' => [ 'AwsRdsDbInstanceVpcSecurityGroups$member' => NULL, ], ], 'AwsRdsDbInstanceVpcSecurityGroups' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbClusterDetails$VpcSecurityGroups' => '<p>A list of VPC security groups that the DB cluster belongs to.</p>', 'AwsRdsDbInstanceDetails$VpcSecurityGroups' => '<p>A list of VPC security groups that the DB instance belongs to.</p>', ], ], 'AwsRdsDbOptionGroupMembership' => [ 'base' => '<p>An option group membership.</p>', 'refs' => [ 'AwsRdsDbOptionGroupMemberships$member' => NULL, ], ], 'AwsRdsDbOptionGroupMemberships' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbInstanceDetails$OptionGroupMemberships' => '<p>The list of option group memberships for this DB instance.</p>', ], ], 'AwsRdsDbParameterGroup' => [ 'base' => '<p>Provides information about a parameter group for a DB instance.</p>', 'refs' => [ 'AwsRdsDbParameterGroups$member' => NULL, ], ], 'AwsRdsDbParameterGroups' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbInstanceDetails$DbParameterGroups' => '<p>A list of the DB parameter groups to assign to the DB instance.</p>', ], ], 'AwsRdsDbPendingModifiedValues' => [ 'base' => '<p>Changes to a DB instance that are currently pending.</p>', 'refs' => [ 'AwsRdsDbInstanceDetails$PendingModifiedValues' => '<p>Changes to the DB instance that are currently pending.</p>', ], ], 'AwsRdsDbProcessorFeature' => [ 'base' => '<p>A processor feature.</p>', 'refs' => [ 'AwsRdsDbProcessorFeatures$member' => NULL, ], ], 'AwsRdsDbProcessorFeatures' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbInstanceDetails$ProcessorFeatures' => '<p>The number of CPU cores and the number of threads per core for the DB instance class of the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$ProcessorFeatures' => '<p>Processor features that are being updated.</p>', 'AwsRdsDbSnapshotDetails$ProcessorFeatures' => '<p>The number of CPU cores and the number of threads per core for the DB instance class of the DB instance.</p>', ], ], 'AwsRdsDbSnapshotDetails' => [ 'base' => '<p>Provides details about an Amazon RDS DB cluster snapshot.</p>', 'refs' => [ 'ResourceDetails$AwsRdsDbSnapshot' => '<p>Details about an Amazon RDS database snapshot.</p>', ], ], 'AwsRdsDbStatusInfo' => [ 'base' => '<p>Information about the status of a read replica.</p>', 'refs' => [ 'AwsRdsDbStatusInfos$member' => NULL, ], ], 'AwsRdsDbStatusInfos' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbInstanceDetails$StatusInfos' => '<p>The status of a read replica. If the instance isn\'t a read replica, this is empty.</p>', ], ], 'AwsRdsDbSubnetGroup' => [ 'base' => '<p>Information about the subnet group for the database instance.</p>', 'refs' => [ 'AwsRdsDbInstanceDetails$DbSubnetGroup' => '<p>Information about the subnet group that is associated with the DB instance.</p>', ], ], 'AwsRdsDbSubnetGroupSubnet' => [ 'base' => '<p>Information about a subnet in a subnet group.</p>', 'refs' => [ 'AwsRdsDbSubnetGroupSubnets$member' => NULL, ], ], 'AwsRdsDbSubnetGroupSubnetAvailabilityZone' => [ 'base' => '<p>An Availability Zone for a subnet in a subnet group.</p>', 'refs' => [ 'AwsRdsDbSubnetGroupSubnet$SubnetAvailabilityZone' => '<p>Information about the Availability Zone for a subnet in the subnet group.</p>', ], ], 'AwsRdsDbSubnetGroupSubnets' => [ 'base' => NULL, 'refs' => [ 'AwsRdsDbSubnetGroup$Subnets' => '<p>A list of subnets in the subnet group.</p>', ], ], 'AwsRdsEventSubscriptionDetails' => [ 'base' => '<p>Details about an Amazon RDS event notification subscription. The subscription allows Amazon RDS to post events to an SNS topic.</p>', 'refs' => [ 'ResourceDetails$AwsRdsEventSubscription' => '<p>Details about an RDS event notification subscription.</p>', ], ], 'AwsRdsPendingCloudWatchLogsExports' => [ 'base' => '<p>Identifies the log types to enable and disable.</p>', 'refs' => [ 'AwsRdsDbPendingModifiedValues$PendingCloudWatchLogsExports' => '<p>A list of log types that are being enabled or disabled.</p>', ], ], 'AwsRedshiftClusterClusterNode' => [ 'base' => '<p>A node in an Amazon Redshift cluster.</p>', 'refs' => [ 'AwsRedshiftClusterClusterNodes$member' => NULL, ], ], 'AwsRedshiftClusterClusterNodes' => [ 'base' => NULL, 'refs' => [ 'AwsRedshiftClusterDetails$ClusterNodes' => '<p>The nodes in the cluster.</p>', ], ], 'AwsRedshiftClusterClusterParameterGroup' => [ 'base' => '<p>A cluster parameter group that is associated with an Amazon Redshift cluster.</p>', 'refs' => [ 'AwsRedshiftClusterClusterParameterGroups$member' => NULL, ], ], 'AwsRedshiftClusterClusterParameterGroups' => [ 'base' => NULL, 'refs' => [ 'AwsRedshiftClusterDetails$ClusterParameterGroups' => '<p>The list of cluster parameter groups that are associated with this cluster.</p>', ], ], 'AwsRedshiftClusterClusterParameterStatus' => [ 'base' => '<p>The status of a parameter in a cluster parameter group for an Amazon Redshift cluster.</p>', 'refs' => [ 'AwsRedshiftClusterClusterParameterStatusList$member' => NULL, ], ], 'AwsRedshiftClusterClusterParameterStatusList' => [ 'base' => NULL, 'refs' => [ 'AwsRedshiftClusterClusterParameterGroup$ClusterParameterStatusList' => '<p>The list of parameter statuses.</p>', ], ], 'AwsRedshiftClusterClusterSecurityGroup' => [ 'base' => '<p>A security group that is associated with the cluster.</p>', 'refs' => [ 'AwsRedshiftClusterClusterSecurityGroups$member' => NULL, ], ], 'AwsRedshiftClusterClusterSecurityGroups' => [ 'base' => NULL, 'refs' => [ 'AwsRedshiftClusterDetails$ClusterSecurityGroups' => '<p>A list of cluster security groups that are associated with the cluster.</p>', ], ], 'AwsRedshiftClusterClusterSnapshotCopyStatus' => [ 'base' => '<p>Information about a cross-Region snapshot copy.</p>', 'refs' => [ 'AwsRedshiftClusterDetails$ClusterSnapshotCopyStatus' => '<p>Information about the destination Region and retention period for the cross-Region snapshot copy.</p>', ], ], 'AwsRedshiftClusterDeferredMaintenanceWindow' => [ 'base' => '<p>A time windows during which maintenance was deferred for an Amazon Redshift cluster.</p>', 'refs' => [ 'AwsRedshiftClusterDeferredMaintenanceWindows$member' => NULL, ], ], 'AwsRedshiftClusterDeferredMaintenanceWindows' => [ 'base' => NULL, 'refs' => [ 'AwsRedshiftClusterDetails$DeferredMaintenanceWindows' => '<p>List of time windows during which maintenance was deferred.</p>', ], ], 'AwsRedshiftClusterDetails' => [ 'base' => '<p>Details about an Amazon Redshift cluster.</p>', 'refs' => [ 'ResourceDetails$AwsRedshiftCluster' => '<p>Contains details about an Amazon Redshift cluster.</p>', ], ], 'AwsRedshiftClusterElasticIpStatus' => [ 'base' => '<p>The status of the elastic IP (EIP) address for an Amazon Redshift cluster.</p>', 'refs' => [ 'AwsRedshiftClusterDetails$ElasticIpStatus' => '<p>Information about the status of the Elastic IP (EIP) address.</p>', ], ], 'AwsRedshiftClusterEndpoint' => [ 'base' => '<p>The connection endpoint for an Amazon Redshift cluster.</p>', 'refs' => [ 'AwsRedshiftClusterDetails$Endpoint' => '<p>The connection endpoint.</p>', ], ], 'AwsRedshiftClusterHsmStatus' => [ 'base' => '<p>Information about whether an Amazon Redshift cluster finished applying any hardware changes to security module (HSM) settings that were specified in a modify cluster command.</p>', 'refs' => [ 'AwsRedshiftClusterDetails$HsmStatus' => '<p>Information about whether the Amazon Redshift cluster finished applying any changes to hardware security module (HSM) settings that were specified in a modify cluster command.</p>', ], ], 'AwsRedshiftClusterIamRole' => [ 'base' => '<p>An IAM role that the cluster can use to access other Amazon Web Services services.</p>', 'refs' => [ 'AwsRedshiftClusterIamRoles$member' => NULL, ], ], 'AwsRedshiftClusterIamRoles' => [ 'base' => NULL, 'refs' => [ 'AwsRedshiftClusterDetails$IamRoles' => '<p>A list of IAM roles that the cluster can use to access other Amazon Web Services services.</p>', ], ], 'AwsRedshiftClusterPendingModifiedValues' => [ 'base' => '<p>Changes to the Amazon Redshift cluster that are currently pending.</p>', 'refs' => [ 'AwsRedshiftClusterDetails$PendingModifiedValues' => '<p>A list of changes to the cluster that are currently pending.</p>', ], ], 'AwsRedshiftClusterResizeInfo' => [ 'base' => '<p>Information about the resize operation for the cluster.</p>', 'refs' => [ 'AwsRedshiftClusterDetails$ResizeInfo' => '<p>Information about the resize operation for the cluster.</p>', ], ], 'AwsRedshiftClusterRestoreStatus' => [ 'base' => '<p>Information about the status of a cluster restore action. It only applies if the cluster was created by restoring a snapshot.</p>', 'refs' => [ 'AwsRedshiftClusterDetails$RestoreStatus' => '<p>Information about the status of a cluster restore action. Only applies to a cluster that was created by restoring a snapshot.</p>', ], ], 'AwsRedshiftClusterVpcSecurityGroup' => [ 'base' => '<p>A VPC security group that the cluster belongs to, if the cluster is in a VPC.</p>', 'refs' => [ 'AwsRedshiftClusterVpcSecurityGroups$member' => NULL, ], ], 'AwsRedshiftClusterVpcSecurityGroups' => [ 'base' => NULL, 'refs' => [ 'AwsRedshiftClusterDetails$VpcSecurityGroups' => '<p>The list of VPC security groups that the cluster belongs to, if the cluster is in a VPC.</p>', ], ], 'AwsS3AccountPublicAccessBlockDetails' => [ 'base' => '<p>provides information about the Amazon S3 Public Access Block configuration for accounts.</p>', 'refs' => [ 'AwsS3BucketDetails$PublicAccessBlockConfiguration' => '<p>Provides information about the Amazon S3 Public Access Block configuration for the S3 bucket.</p>', 'ResourceDetails$AwsS3AccountPublicAccessBlock' => '<p>Details about the Amazon S3 Public Access Block configuration for an account.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationDetails' => [ 'base' => '<p>The lifecycle configuration for the objects in the S3 bucket.</p>', 'refs' => [ 'AwsS3BucketDetails$BucketLifecycleConfiguration' => '<p>The lifecycle configuration for objects in the S3 bucket.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesAbortIncompleteMultipartUploadDetails' => [ 'base' => '<p>Information about what Amazon S3 does when a multipart upload is incomplete.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$AbortIncompleteMultipartUpload' => '<p>How Amazon S3 responds when a multipart upload is incomplete. Specifically, provides a number of days before Amazon S3 cancels the entire upload.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesDetails' => [ 'base' => '<p>Configuration for a lifecycle rule.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesList$member' => NULL, ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesFilterDetails' => [ 'base' => '<p>Identifies the objects that a rule applies to.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$Filter' => '<p>Identifies the objects that a rule applies to.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateDetails' => [ 'base' => '<p>The configuration for the filter.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesFilterDetails$Predicate' => '<p>The configuration for the filter.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsDetails' => [ 'base' => '<p>A value to use for the filter.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsList$member' => NULL, ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsList' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateDetails$Operands' => '<p>The values to use for the filter.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsTagDetails' => [ 'base' => '<p>A tag that is assigned to matching objects.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsDetails$Tag' => '<p>A tag that is assigned to matching objects.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateTagDetails' => [ 'base' => '<p>A tag filter.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateDetails$Tag' => '<p>A tag filter.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesList' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationDetails$Rules' => '<p>The lifecycle rules.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesNoncurrentVersionTransitionsDetails' => [ 'base' => '<p>A transition rule that describes when noncurrent objects transition to a specified storage class.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesNoncurrentVersionTransitionsList$member' => NULL, ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesNoncurrentVersionTransitionsList' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$NoncurrentVersionTransitions' => '<p>Transition rules that describe when noncurrent objects transition to a specified storage class.</p>', ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesTransitionsDetails' => [ 'base' => '<p>A rule for when objects transition to specific storage classes.</p>', 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesTransitionsList$member' => NULL, ], ], 'AwsS3BucketBucketLifecycleConfigurationRulesTransitionsList' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$Transitions' => '<p>Transition rules that indicate when objects transition to a specified storage class.</p>', ], ], 'AwsS3BucketDetails' => [ 'base' => '<p>The details of an Amazon S3 bucket.</p>', 'refs' => [ 'ResourceDetails$AwsS3Bucket' => '<p>Details about an S3 bucket related to a finding.</p>', ], ], 'AwsS3BucketLoggingConfiguration' => [ 'base' => '<p>Information about logging for the S3 bucket</p>', 'refs' => [ 'AwsS3BucketDetails$BucketLoggingConfiguration' => '<p>The logging configuration for the S3 bucket.</p>', ], ], 'AwsS3BucketNotificationConfiguration' => [ 'base' => '<p>The notification configuration for the S3 bucket.</p>', 'refs' => [ 'AwsS3BucketDetails$BucketNotificationConfiguration' => '<p>The notification configuration for the S3 bucket.</p>', ], ], 'AwsS3BucketNotificationConfigurationDetail' => [ 'base' => '<p>Details for an S3 bucket notification configuration.</p>', 'refs' => [ 'AwsS3BucketNotificationConfigurationDetails$member' => NULL, ], ], 'AwsS3BucketNotificationConfigurationDetails' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketNotificationConfiguration$Configurations' => '<p>Configurations for S3 bucket notifications.</p>', ], ], 'AwsS3BucketNotificationConfigurationEvents' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketNotificationConfigurationDetail$Events' => '<p>The list of events that trigger a notification.</p>', ], ], 'AwsS3BucketNotificationConfigurationFilter' => [ 'base' => '<p>Filtering information for the notifications. The filtering is based on Amazon S3 key names.</p>', 'refs' => [ 'AwsS3BucketNotificationConfigurationDetail$Filter' => '<p>The filters that determine which S3 buckets generate notifications.</p>', ], ], 'AwsS3BucketNotificationConfigurationS3KeyFilter' => [ 'base' => '<p>Details for an Amazon S3 filter.</p>', 'refs' => [ 'AwsS3BucketNotificationConfigurationFilter$S3KeyFilter' => '<p>Details for an Amazon S3 filter.</p>', ], ], 'AwsS3BucketNotificationConfigurationS3KeyFilterRule' => [ 'base' => '<p>Details for a filter rule.</p>', 'refs' => [ 'AwsS3BucketNotificationConfigurationS3KeyFilterRules$member' => NULL, ], ], 'AwsS3BucketNotificationConfigurationS3KeyFilterRuleName' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketNotificationConfigurationS3KeyFilterRule$Name' => '<p>Indicates whether the filter is based on the prefix or suffix of the Amazon S3 key.</p>', ], ], 'AwsS3BucketNotificationConfigurationS3KeyFilterRules' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketNotificationConfigurationS3KeyFilter$FilterRules' => '<p>The filter rules for the filter.</p>', ], ], 'AwsS3BucketServerSideEncryptionByDefault' => [ 'base' => '<p>Specifies the default server-side encryption to apply to new objects in the bucket.</p>', 'refs' => [ 'AwsS3BucketServerSideEncryptionRule$ApplyServerSideEncryptionByDefault' => '<p>Specifies the default server-side encryption to apply to new objects in the bucket. If a <code>PUT</code> object request doesn\'t specify any server-side encryption, this default encryption is applied.</p>', ], ], 'AwsS3BucketServerSideEncryptionConfiguration' => [ 'base' => '<p>The encryption configuration for the S3 bucket.</p>', 'refs' => [ 'AwsS3BucketDetails$ServerSideEncryptionConfiguration' => '<p>The encryption rules that are applied to the S3 bucket.</p>', ], ], 'AwsS3BucketServerSideEncryptionRule' => [ 'base' => '<p>An encryption rule to apply to the S3 bucket.</p>', 'refs' => [ 'AwsS3BucketServerSideEncryptionRules$member' => NULL, ], ], 'AwsS3BucketServerSideEncryptionRules' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketServerSideEncryptionConfiguration$Rules' => '<p>The encryption rules that are applied to the S3 bucket.</p>', ], ], 'AwsS3BucketWebsiteConfiguration' => [ 'base' => '<p>Website parameters for the S3 bucket.</p>', 'refs' => [ 'AwsS3BucketDetails$BucketWebsiteConfiguration' => '<p>The website configuration parameters for the S3 bucket.</p>', ], ], 'AwsS3BucketWebsiteConfigurationRedirectTo' => [ 'base' => '<p>The redirect behavior for requests to the website.</p>', 'refs' => [ 'AwsS3BucketWebsiteConfiguration$RedirectAllRequestsTo' => '<p>The redirect behavior for requests to the website.</p>', ], ], 'AwsS3BucketWebsiteConfigurationRoutingRule' => [ 'base' => '<p>A rule for redirecting requests to the website.</p>', 'refs' => [ 'AwsS3BucketWebsiteConfigurationRoutingRules$member' => NULL, ], ], 'AwsS3BucketWebsiteConfigurationRoutingRuleCondition' => [ 'base' => '<p>The condition that must be met in order to apply the routing rule.</p>', 'refs' => [ 'AwsS3BucketWebsiteConfigurationRoutingRule$Condition' => '<p>Provides the condition that must be met in order to apply the routing rule.</p>', ], ], 'AwsS3BucketWebsiteConfigurationRoutingRuleRedirect' => [ 'base' => '<p>The rules to redirect the request if the condition in <code>Condition</code> is met.</p>', 'refs' => [ 'AwsS3BucketWebsiteConfigurationRoutingRule$Redirect' => '<p>Provides the rules to redirect the request if the condition in <code>Condition</code> is met.</p>', ], ], 'AwsS3BucketWebsiteConfigurationRoutingRules' => [ 'base' => NULL, 'refs' => [ 'AwsS3BucketWebsiteConfiguration$RoutingRules' => '<p>The rules for applying redirects for requests to the website.</p>', ], ], 'AwsS3ObjectDetails' => [ 'base' => '<p>Details about an Amazon S3 object.</p>', 'refs' => [ 'ResourceDetails$AwsS3Object' => '<p>Details about an S3 object related to a finding.</p>', ], ], 'AwsSecretsManagerSecretDetails' => [ 'base' => '<p>Details about an Secrets Manager secret.</p>', 'refs' => [ 'ResourceDetails$AwsSecretsManagerSecret' => '<p>Details about a Secrets Manager secret.</p>', ], ], 'AwsSecretsManagerSecretRotationRules' => [ 'base' => '<p>Defines the rotation schedule for the secret.</p>', 'refs' => [ 'AwsSecretsManagerSecretDetails$RotationRules' => '<p>Defines the rotation schedule for the secret.</p>', ], ], 'AwsSecurityFinding' => [ 'base' => '<p>Provides consistent format for the contents of the Security Hub-aggregated findings. <code>AwsSecurityFinding</code> format enables you to share findings between Amazon Web Services security services and third-party solutions, and security standards checks.</p> <note> <p>A finding is a potential security issue generated either by Amazon Web Services services or by the integrated third-party solutions and standards checks.</p> </note>', 'refs' => [ 'AwsSecurityFindingList$member' => NULL, 'BatchImportFindingsRequestFindingList$member' => NULL, ], ], 'AwsSecurityFindingFilters' => [ 'base' => '<p>A collection of attributes that are applied to all active Security Hub-aggregated findings and that result in a subset of findings that are included in this insight.</p> <p>You can filter by up to 10 finding attributes. For each attribute, you can provide up to 20 filter values.</p>', 'refs' => [ 'CreateInsightRequest$Filters' => '<p>One or more attributes used to filter the findings included in the insight. The insight only includes findings that match the criteria defined in the filters.</p>', 'GetFindingsRequest$Filters' => '<p>The finding attributes used to define a condition to filter the returned findings.</p> <p>You can filter by up to 10 finding attributes. For each attribute, you can provide up to 20 filter values.</p> <p>Note that in the available filter fields, <code>WorkflowState</code> is deprecated. To search for a finding based on its workflow status, use <code>WorkflowStatus</code>.</p>', 'Insight$Filters' => '<p>One or more attributes used to filter the findings included in the insight. The insight only includes findings that match the criteria defined in the filters.</p>', 'UpdateFindingsRequest$Filters' => '<p>A collection of attributes that specify which findings you want to update.</p>', 'UpdateInsightRequest$Filters' => '<p>The updated filters that define this insight.</p>', ], ], 'AwsSecurityFindingIdentifier' => [ 'base' => '<p>Identifies a finding to update using <code>BatchUpdateFindings</code>.</p>', 'refs' => [ 'AwsSecurityFindingIdentifierList$member' => NULL, 'BatchUpdateFindingsUnprocessedFinding$FindingIdentifier' => '<p>The identifier of the finding that was not updated.</p>', ], ], 'AwsSecurityFindingIdentifierList' => [ 'base' => NULL, 'refs' => [ 'BatchUpdateFindingsRequest$FindingIdentifiers' => '<p>The list of findings to update. <code>BatchUpdateFindings</code> can be used to update up to 100 findings at a time.</p> <p>For each finding, the list provides the finding identifier and the ARN of the finding provider.</p>', 'BatchUpdateFindingsResponse$ProcessedFindings' => '<p>The list of findings that were updated successfully.</p>', ], ], 'AwsSecurityFindingList' => [ 'base' => NULL, 'refs' => [ 'GetFindingsResponse$Findings' => '<p>The findings that matched the filters specified in the request.</p>', ], ], 'AwsSnsTopicDetails' => [ 'base' => '<p>A wrapper type for the topic\'s ARN.</p>', 'refs' => [ 'ResourceDetails$AwsSnsTopic' => '<p>Details about an SNS topic.</p>', ], ], 'AwsSnsTopicSubscription' => [ 'base' => '<p>A wrapper type for the attributes of an Amazon SNS subscription.</p>', 'refs' => [ 'AwsSnsTopicSubscriptionList$member' => NULL, ], ], 'AwsSnsTopicSubscriptionList' => [ 'base' => NULL, 'refs' => [ 'AwsSnsTopicDetails$Subscription' => '<p>Subscription is an embedded property that describes the subscription endpoints of an SNS topic.</p>', ], ], 'AwsSqsQueueDetails' => [ 'base' => '<p>Data about a queue.</p>', 'refs' => [ 'ResourceDetails$AwsSqsQueue' => '<p>Details about an SQS queue.</p>', ], ], 'AwsSsmComplianceSummary' => [ 'base' => '<p>Provides the details about the compliance status for a patch.</p>', 'refs' => [ 'AwsSsmPatch$ComplianceSummary' => '<p>The compliance status details for the patch.</p>', ], ], 'AwsSsmPatch' => [ 'base' => '<p>Provides details about the compliance for a patch.</p>', 'refs' => [ 'AwsSsmPatchComplianceDetails$Patch' => '<p>Information about the status of a patch.</p>', ], ], 'AwsSsmPatchComplianceDetails' => [ 'base' => '<p>Provides information about the state of a patch on an instance based on the patch baseline that was used to patch the instance.</p>', 'refs' => [ 'ResourceDetails$AwsSsmPatchCompliance' => '<p>Provides information about the state of a patch on an instance based on the patch baseline that was used to patch the instance.</p>', ], ], 'AwsWafWebAclDetails' => [ 'base' => '<p>Details about an WAF WebACL.</p>', 'refs' => [ 'ResourceDetails$AwsWafWebAcl' => '<p>Details for an WAF WebACL.</p>', ], ], 'AwsWafWebAclRule' => [ 'base' => '<p>Details for a rule in an WAF WebACL.</p>', 'refs' => [ 'AwsWafWebAclRuleList$member' => NULL, ], ], 'AwsWafWebAclRuleList' => [ 'base' => NULL, 'refs' => [ 'AwsWafWebAclDetails$Rules' => '<p>An array that contains the action for each rule in a WebACL, the priority of the rule, and the ID of the rule.</p>', ], ], 'BatchDisableStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDisableStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchEnableStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchEnableStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchImportFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchImportFindingsRequestFindingList' => [ 'base' => NULL, 'refs' => [ 'BatchImportFindingsRequest$Findings' => '<p>A list of findings to import. To successfully import a finding, it must follow the <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-findings-format.html">Amazon Web Services Security Finding Format</a>. Maximum of 100 findings per request.</p>', ], ], 'BatchImportFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchUpdateFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchUpdateFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchUpdateFindingsUnprocessedFinding' => [ 'base' => '<p>A finding from a <code>BatchUpdateFindings</code> request that Security Hub was unable to update.</p>', 'refs' => [ 'BatchUpdateFindingsUnprocessedFindingsList$member' => NULL, ], ], 'BatchUpdateFindingsUnprocessedFindingsList' => [ 'base' => NULL, 'refs' => [ 'BatchUpdateFindingsResponse$UnprocessedFindings' => '<p>The list of findings that were not updated.</p>', ], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'AwsApiGatewayCanarySettings$UseStageCache' => '<p>Indicates whether the canary deployment uses the stage cache.</p>', 'AwsApiGatewayMethodSettings$MetricsEnabled' => '<p>Indicates whether CloudWatch metrics are enabled for the method. </p>', 'AwsApiGatewayMethodSettings$DataTraceEnabled' => '<p>Indicates whether data trace logging is enabled for the method. Data trace logging affects the log entries that are pushed to CloudWatch Logs.</p>', 'AwsApiGatewayMethodSettings$CachingEnabled' => '<p>Indicates whether responses are cached and returned for requests. For responses to be cached, a cache cluster must be enabled on the stage.</p>', 'AwsApiGatewayMethodSettings$CacheDataEncrypted' => '<p>Indicates whether the cached responses are encrypted. </p>', 'AwsApiGatewayMethodSettings$RequireAuthorizationForCacheControl' => '<p>Indicates whether authorization is required for a cache invalidation request.</p>', 'AwsApiGatewayStageDetails$CacheClusterEnabled' => '<p>Indicates whether a cache cluster is enabled for the stage.</p>', 'AwsApiGatewayStageDetails$TracingEnabled' => '<p>Indicates whether active tracing with X-Ray is enabled for the stage.</p>', 'AwsApiGatewayV2RouteSettings$DetailedMetricsEnabled' => '<p>Indicates whether detailed metrics are enabled.</p>', 'AwsApiGatewayV2RouteSettings$DataTraceEnabled' => '<p>Indicates whether data trace logging is enabled. Data trace logging affects the log entries that are pushed to CloudWatch Logs. Supported only for WebSocket APIs.</p>', 'AwsApiGatewayV2StageDetails$AutoDeploy' => '<p>Indicates whether updates to an API automatically trigger a new deployment.</p>', 'AwsApiGatewayV2StageDetails$ApiGatewayManaged' => '<p>Indicates whether the stage is managed by API Gateway.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsDetails$NoDevice' => '<p>Whether to suppress the device that is included in the block device mapping of the Amazon Machine Image (AMI).</p> <p>If <code>NoDevice</code> is <code>true</code>, then you cannot specify <code>Ebs</code>.&gt;</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetails$DeleteOnTermination' => '<p>Whether to delete the volume when the instance is terminated.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetails$Encrypted' => '<p>Whether to encrypt the volume.</p>', 'AwsAutoScalingLaunchConfigurationDetails$AssociatePublicIpAddress' => '<p>For Auto Scaling groups that run in a VPC, specifies whether to assign a public IP address to the group\'s instances.</p>', 'AwsAutoScalingLaunchConfigurationDetails$EbsOptimized' => '<p>Whether the launch configuration is optimized for Amazon EBS I/O.</p>', 'AwsAutoScalingLaunchConfigurationInstanceMonitoringDetails$Enabled' => '<p>If set to <code>true</code>, then instances in the group launch with detailed monitoring.</p> <p>If set to <code>false</code>, then instances in the group launch with basic monitoring.</p>', 'AwsCloudFrontDistributionLogging$Enabled' => '<p>With this field, you can enable or disable the selected distribution.</p>', 'AwsCloudFrontDistributionLogging$IncludeCookies' => '<p>Specifies whether you want CloudFront to include cookies in access logs.</p>', 'AwsCloudTrailTrailDetails$HasCustomEventSelectors' => '<p>Indicates whether the trail has custom event selectors.</p>', 'AwsCloudTrailTrailDetails$IncludeGlobalServiceEvents' => '<p>Indicates whether the trail publishes events from global services such as IAM to the log files.</p>', 'AwsCloudTrailTrailDetails$IsMultiRegionTrail' => '<p>Indicates whether the trail applies only to the current Region or to all Regions.</p>', 'AwsCloudTrailTrailDetails$IsOrganizationTrail' => '<p>Whether the trail is created for all accounts in an organization in Organizations, or only for the current Amazon Web Services account.</p>', 'AwsCloudTrailTrailDetails$LogFileValidationEnabled' => '<p>Indicates whether CloudTrail log file validation is enabled.</p>', 'AwsCodeBuildProjectSource$InsecureSsl' => '<p>Whether to ignore SSL warnings while connecting to the project source code.</p>', 'AwsCorsConfiguration$AllowCredentials' => '<p>Indicates whether the CORS request includes credentials.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$Backfilling' => '<p>Whether the index is currently backfilling.</p>', 'AwsDynamoDbTableRestoreSummary$RestoreInProgress' => '<p>Whether a restore is currently in progress.</p>', 'AwsDynamoDbTableStreamSpecification$StreamEnabled' => '<p>Indicates whether DynamoDB Streams is enabled on the table.</p>', 'AwsEc2NetworkAclDetails$IsDefault' => '<p>Whether this is the default network ACL for the VPC.</p>', 'AwsEc2NetworkAclEntry$Egress' => '<p>Whether the rule is an egress rule. An egress rule is a rule that applies to traffic that leaves the subnet.</p>', 'AwsEc2NetworkInterfaceAttachment$DeleteOnTermination' => '<p>Indicates whether the network interface is deleted when the instance is terminated.</p>', 'AwsEc2NetworkInterfaceDetails$SourceDestCheck' => '<p>Indicates whether traffic to or from the instance is validated.</p>', 'AwsEc2SubnetDetails$AssignIpv6AddressOnCreation' => '<p>Whether to assign an IPV6 address to a network interface that is created in this subnet.</p>', 'AwsEc2SubnetDetails$DefaultForAz' => '<p>Whether this subnet is the default subnet for the Availability Zone.</p>', 'AwsEc2SubnetDetails$MapPublicIpOnLaunch' => '<p>Whether instances in this subnet receive a public IP address.</p>', 'AwsEc2VolumeAttachment$DeleteOnTermination' => '<p>Whether the EBS volume is deleted when the EC2 instance is terminated.</p>', 'AwsEc2VolumeDetails$Encrypted' => '<p>Whether the volume is encrypted.</p>', 'AwsEc2VpnConnectionOptionsDetails$StaticRoutesOnly' => '<p>Whether the VPN connection uses static routes only.</p>', 'AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails$CloudWatchEncryptionEnabled' => '<p>Whether to enable encryption on the CloudWatch logs.</p>', 'AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails$S3EncryptionEnabled' => '<p>Whether to encrypt the logs that are sent to the S3 bucket.</p>', 'AwsEcsServiceDeploymentConfigurationDeploymentCircuitBreakerDetails$Enable' => '<p>Whether to enable the deployment circuit breaker logic for the service.</p>', 'AwsEcsServiceDeploymentConfigurationDeploymentCircuitBreakerDetails$Rollback' => '<p>Whether to roll back the service if a service deployment fails. If rollback is enabled, when a service deployment fails, the service is rolled back to the last deployment that completed successfully.</p>', 'AwsEcsServiceDetails$EnableEcsManagedTags' => '<p>Whether to enable Amazon ECS managed tags for the tasks in the service.</p>', 'AwsEcsServiceDetails$EnableExecuteCommand' => '<p>Whether the execute command functionality is enabled for the service.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$DisableNetworking' => '<p>Whether to disable networking within the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Essential' => '<p>Whether the container is essential. All tasks must have at least one essential container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Interactive' => '<p>If set to true, then containerized applications can be deployed that require <code>stdin</code> or a <code>tty</code> to be allocated.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Privileged' => '<p>Whether the container is given elevated privileges on the host container instance. The elevated privileges are similar to the root user.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$PseudoTerminal' => '<p>Whether to allocate a TTY to the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$ReadonlyRootFilesystem' => '<p>Whether the container is given read-only access to its root file system.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails$InitProcessEnabled' => '<p>Whether to run an <code>init</code> process inside the container that forwards signals and reaps processes. </p>', 'AwsEcsTaskDefinitionContainerDefinitionsMountPointsDetails$ReadOnly' => '<p>Whether the container has read-only access to the volume.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsVolumesFromDetails$ReadOnly' => '<p>Whether the container has read-only access to the volume.</p>', 'AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails$Autoprovision' => '<p>Whether to create the Docker volume automatically if it does not already exist.</p>', 'AwsElasticsearchDomainDomainEndpointOptions$EnforceHTTPS' => '<p>Whether to require that all traffic to the domain arrive over HTTPS.</p>', 'AwsElasticsearchDomainElasticsearchClusterConfigDetails$DedicatedMasterEnabled' => '<p>Whether to use a dedicated master node for the Elasticsearch domain. A dedicated master node performs cluster management tasks, but doesn\'t hold data or respond to data upload requests.</p>', 'AwsElasticsearchDomainElasticsearchClusterConfigDetails$ZoneAwarenessEnabled' => '<p>Whether to enable zone awareness for the Elasticsearch domain. When zone awareness is enabled, Elasticsearch allocates the cluster\'s nodes and replica index shards across Availability Zones in the same Region. This prevents data loss and minimizes downtime if a node or data center fails.</p>', 'AwsElasticsearchDomainEncryptionAtRestOptions$Enabled' => '<p>Whether encryption at rest is enabled.</p>', 'AwsElasticsearchDomainLogPublishingOptionsLogConfig$Enabled' => '<p>Whether the log publishing is enabled.</p>', 'AwsElasticsearchDomainNodeToNodeEncryptionOptions$Enabled' => '<p>Whether node-to-node encryption is enabled.</p>', 'AwsElasticsearchDomainServiceSoftwareOptions$Cancellable' => '<p>Whether a request to update the domain can be canceled.</p>', 'AwsElasticsearchDomainServiceSoftwareOptions$UpdateAvailable' => '<p>Whether a service software update is available for the domain.</p>', 'AwsElbLoadBalancerAccessLog$Enabled' => '<p>Indicates whether access logs are enabled for the load balancer.</p>', 'AwsElbLoadBalancerConnectionDraining$Enabled' => '<p>Indicates whether connection draining is enabled for the load balancer.</p>', 'AwsElbLoadBalancerCrossZoneLoadBalancing$Enabled' => '<p>Indicates whether cross-zone load balancing is enabled for the load balancer.</p>', 'AwsIamAccessKeySessionContextAttributes$MfaAuthenticated' => '<p>Indicates whether the session used multi-factor authentication (MFA).</p>', 'AwsIamPolicyDetails$IsAttachable' => '<p>Whether the policy can be attached to a user, group, or role.</p>', 'AwsIamPolicyVersion$IsDefaultVersion' => '<p>Whether the version is the default version.</p>', 'AwsKmsKeyDetails$KeyRotationStatus' => '<p>Whether the key has key rotation enabled.</p>', 'AwsRdsDbClusterDetails$MultiAz' => '<p>Whether the DB cluster has instances in multiple Availability Zones.</p>', 'AwsRdsDbClusterDetails$StorageEncrypted' => '<p>Whether the DB cluster is encrypted.</p>', 'AwsRdsDbClusterDetails$DeletionProtection' => '<p>Whether the DB cluster has deletion protection enabled.</p>', 'AwsRdsDbClusterDetails$HttpEndpointEnabled' => '<p>Whether the HTTP endpoint for an Aurora Serverless DB cluster is enabled.</p>', 'AwsRdsDbClusterDetails$CopyTagsToSnapshot' => '<p>Whether tags are copied from the DB cluster to snapshots of the DB cluster.</p>', 'AwsRdsDbClusterDetails$CrossAccountClone' => '<p>Whether the DB cluster is a clone of a DB cluster owned by a different Amazon Web Services account.</p>', 'AwsRdsDbClusterDetails$IamDatabaseAuthenticationEnabled' => '<p>Whether the mapping of IAM accounts to database accounts is enabled.</p>', 'AwsRdsDbClusterMember$IsClusterWriter' => '<p>Whether the cluster member is the primary instance for the DB cluster.</p>', 'AwsRdsDbClusterSnapshotDetails$StorageEncrypted' => '<p>Whether the DB cluster is encrypted.</p>', 'AwsRdsDbClusterSnapshotDetails$IamDatabaseAuthenticationEnabled' => '<p>Whether mapping of IAM accounts to database accounts is enabled.</p>', 'AwsRdsDbInstanceDetails$DeletionProtection' => '<p>Indicates whether the DB instance has deletion protection enabled.</p> <p>When deletion protection is enabled, the database cannot be deleted.</p>', 'AwsRdsDbInstanceDetails$IAMDatabaseAuthenticationEnabled' => '<p>True if mapping of IAM accounts to database accounts is enabled, and otherwise false.</p> <p>IAM database authentication can be enabled for the following database engines.</p> <ul> <li> <p>For MySQL 5.6, minor version 5.6.34 or higher</p> </li> <li> <p>For MySQL 5.7, minor version 5.7.16 or higher</p> </li> <li> <p>Aurora 5.6 or higher</p> </li> </ul>', 'AwsRdsDbInstanceDetails$PubliclyAccessible' => '<p>Specifies the accessibility options for the DB instance.</p> <p>A value of true specifies an Internet-facing instance with a publicly resolvable DNS name, which resolves to a public IP address.</p> <p>A value of false specifies an internal instance with a DNS name that resolves to a private IP address. </p>', 'AwsRdsDbInstanceDetails$StorageEncrypted' => '<p>Specifies whether the DB instance is encrypted.</p>', 'AwsRdsDbInstanceDetails$MultiAz' => '<p>Whether the DB instance is a multiple Availability Zone deployment.</p>', 'AwsRdsDbInstanceDetails$AutoMinorVersionUpgrade' => '<p>Indicates whether minor version patches are applied automatically.</p>', 'AwsRdsDbInstanceDetails$CopyTagsToSnapshot' => '<p>Whether to copy resource tags to snapshots of the DB instance.</p>', 'AwsRdsDbInstanceDetails$PerformanceInsightsEnabled' => '<p>Indicates whether Performance Insights is enabled for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$MultiAZ' => '<p>Indicates that a single Availability Zone DB instance is changing to a multiple Availability Zone deployment.</p>', 'AwsRdsDbSnapshotDetails$Encrypted' => '<p>Whether the DB snapshot is encrypted.</p>', 'AwsRdsDbSnapshotDetails$IamDatabaseAuthenticationEnabled' => '<p>Whether mapping of IAM accounts to database accounts is enabled.</p>', 'AwsRdsDbStatusInfo$Normal' => '<p>Whether the read replica instance is operating normally.</p>', 'AwsRdsEventSubscriptionDetails$Enabled' => '<p>Whether the event notification subscription is enabled.</p>', 'AwsRedshiftClusterDetails$AllowVersionUpgrade' => '<p>Indicates whether major version upgrades are applied automatically to the cluster during the maintenance window.</p>', 'AwsRedshiftClusterDetails$Encrypted' => '<p>Indicates whether the data in the cluster is encrypted at rest.</p>', 'AwsRedshiftClusterDetails$EnhancedVpcRouting' => '<p>Indicates whether to create the cluster with enhanced VPC routing enabled.</p>', 'AwsRedshiftClusterDetails$PubliclyAccessible' => '<p>Whether the cluster can be accessed from a public network.</p>', 'AwsRedshiftClusterPendingModifiedValues$EnhancedVpcRouting' => '<p>Indicates whether to create the cluster with enhanced VPC routing enabled.</p>', 'AwsRedshiftClusterPendingModifiedValues$PubliclyAccessible' => '<p>The pending or in-progress change to whether the cluster can be connected to from the public network.</p>', 'AwsRedshiftClusterResizeInfo$AllowCancelResize' => '<p>Indicates whether the resize operation can be canceled.</p>', 'AwsS3AccountPublicAccessBlockDetails$BlockPublicAcls' => '<p>Indicates whether to reject calls to update an S3 bucket if the calls include a public access control list (ACL).</p>', 'AwsS3AccountPublicAccessBlockDetails$BlockPublicPolicy' => '<p>Indicates whether to reject calls to update the access policy for an S3 bucket or access point if the policy allows public access.</p>', 'AwsS3AccountPublicAccessBlockDetails$IgnorePublicAcls' => '<p>Indicates whether Amazon S3 ignores public ACLs that are associated with an S3 bucket.</p>', 'AwsS3AccountPublicAccessBlockDetails$RestrictPublicBuckets' => '<p>Indicates whether to restrict access to an access point or S3 bucket that has a public policy to only Amazon Web Services service principals and authorized users within the S3 bucket owner\'s account.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$ExpiredObjectDeleteMarker' => '<p>Whether Amazon S3 removes a delete marker that has no noncurrent versions. If set to <code>true</code>, the delete marker is expired. If set to <code>false</code>, the policy takes no action.</p> <p>If you provide <code>ExpiredObjectDeleteMarker</code>, you cannot provide <code>ExpirationInDays</code> or <code>ExpirationDate</code>.</p>', 'AwsSecretsManagerSecretDetails$RotationOccurredWithinFrequency' => '<p>Whether the rotation occurred within the specified rotation frequency.</p>', 'AwsSecretsManagerSecretDetails$RotationEnabled' => '<p>Whether rotation is enabled.</p>', 'AwsSecretsManagerSecretDetails$Deleted' => '<p>Whether the secret is deleted.</p>', 'ClassificationResult$AdditionalOccurrences' => '<p>Indicates whether there are additional occurrences of sensitive data that are not included in the finding. This occurs when the number of occurrences exceeds the maximum that can be included.</p>', 'DescribeHubResponse$AutoEnableControls' => '<p>Whether to automatically enable new controls when they are added to standards that are enabled.</p> <p>If set to <code>true</code>, then new controls for enabled standards are enabled automatically. If set to <code>false</code>, then new controls are not enabled.</p>', 'DescribeOrganizationConfigurationResponse$AutoEnable' => '<p>Whether to automatically enable Security Hub for new accounts in the organization.</p> <p>If set to <code>true</code>, then Security Hub is enabled for new accounts. If set to false, then new accounts are not added automatically.</p>', 'DescribeOrganizationConfigurationResponse$MemberAccountLimitReached' => '<p>Whether the maximum number of allowed member accounts are already associated with the Security Hub administrator account.</p>', 'DnsRequestAction$Blocked' => '<p>Indicates whether the DNS request was blocked.</p>', 'EnableSecurityHubRequest$EnableDefaultStandards' => '<p>Whether to enable the security standards that Security Hub has designated as automatically enabled. If you do not provide a value for <code>EnableDefaultStandards</code>, it is set to <code>true</code>. To not enable the automatically enabled standards, set <code>EnableDefaultStandards</code> to <code>false</code>.</p>', 'ListMembersRequest$OnlyAssociated' => '<p>Specifies which member accounts to include in the response based on their relationship status with the administrator account. The default value is <code>TRUE</code>.</p> <p>If <code>OnlyAssociated</code> is set to <code>TRUE</code>, the response includes member accounts whose relationship status with the administrator account is set to <code>ENABLED</code>.</p> <p>If <code>OnlyAssociated</code> is set to <code>FALSE</code>, the response includes all existing member accounts. </p>', 'NetworkConnectionAction$Blocked' => '<p>Indicates whether the network connection attempt was blocked.</p>', 'PortProbeAction$Blocked' => '<p>Indicates whether the port probe was blocked.</p>', 'Standard$EnabledByDefault' => '<p>Whether the standard is enabled by default. When Security Hub is enabled from the console, if a standard is enabled by default, the check box for that standard is selected by default.</p> <p>When Security Hub is enabled using the <code>EnableSecurityHub</code> API operation, the standard is enabled by default unless <code>EnableDefaultStandards</code> is set to <code>false</code>.</p>', 'UpdateOrganizationConfigurationRequest$AutoEnable' => '<p>Whether to automatically enable Security Hub for new accounts in the organization.</p> <p>By default, this is <code>false</code>, and new accounts are not added automatically.</p> <p>To automatically enable Security Hub for new accounts, set this to <code>true</code>.</p>', 'UpdateSecurityHubConfigurationRequest$AutoEnableControls' => '<p>Whether to automatically enable new controls when they are added to standards that are enabled.</p> <p>By default, this is set to <code>true</code>, and new controls are enabled automatically. To not automatically enable new controls, set this to <code>false</code>. </p>', ], ], 'CategoryList' => [ 'base' => NULL, 'refs' => [ 'Product$Categories' => '<p>The categories assigned to the product.</p>', ], ], 'Cell' => [ 'base' => '<p>An occurrence of sensitive data detected in a Microsoft Excel workbook, comma-separated value (CSV) file, or tab-separated value (TSV) file.</p>', 'refs' => [ 'Cells$member' => NULL, ], ], 'Cells' => [ 'base' => NULL, 'refs' => [ 'Occurrences$Cells' => '<p>Occurrences of sensitive data detected in Microsoft Excel workbooks, comma-separated value (CSV) files, or tab-separated value (TSV) files.</p>', ], ], 'CidrBlockAssociation' => [ 'base' => '<p>An IPv4 CIDR block association.</p>', 'refs' => [ 'CidrBlockAssociationList$member' => NULL, ], ], 'CidrBlockAssociationList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2VpcDetails$CidrBlockAssociationSet' => '<p>Information about the IPv4 CIDR blocks associated with the VPC.</p>', ], ], 'City' => [ 'base' => '<p>Information about a city.</p>', 'refs' => [ 'ActionRemoteIpDetails$City' => '<p>The city where the remote IP address is located.</p>', ], ], 'ClassificationResult' => [ 'base' => '<p>Details about the sensitive data that was detected on the resource.</p>', 'refs' => [ 'DataClassificationDetails$Result' => '<p>The details about the sensitive data that was detected on the resource.</p>', ], ], 'ClassificationStatus' => [ 'base' => '<p>Provides details about the current status of the sensitive data detection.</p>', 'refs' => [ 'ClassificationResult$Status' => '<p>The current status of the sensitive data detection.</p>', ], ], 'Compliance' => [ 'base' => '<p>Contains finding details that are specific to control-based findings. Only returned for findings generated from controls.</p>', 'refs' => [ 'AwsSecurityFinding$Compliance' => '<p>This data type is exclusive to findings that are generated as the result of a check run against a specific rule in a supported security standard, such as CIS Amazon Web Services Foundations. Contains security standard-related finding details.</p>', ], ], 'ComplianceStatus' => [ 'base' => NULL, 'refs' => [ 'Compliance$Status' => '<p>The result of a standards check.</p> <p>The valid values for <code>Status</code> are as follows.</p> <ul> <li> <ul> <li> <p> <code>PASSED</code> - Standards check passed for all evaluated resources.</p> </li> <li> <p> <code>WARNING</code> - Some information is missing or this check is not supported for your configuration.</p> </li> <li> <p> <code>FAILED</code> - Standards check failed for at least one evaluated resource.</p> </li> <li> <p> <code>NOT_AVAILABLE</code> - Check could not be performed due to a service outage, API error, or because the result of the Config evaluation was <code>NOT_APPLICABLE</code>. If the Config evaluation result was <code>NOT_APPLICABLE</code>, then after 3 days, Security Hub automatically archives the finding.</p> </li> </ul> </li> </ul>', ], ], 'ContainerDetails' => [ 'base' => '<p>Container details related to a finding.</p>', 'refs' => [ 'ResourceDetails$Container' => '<p>Details about a container resource related to a finding.</p>', ], ], 'ControlStatus' => [ 'base' => NULL, 'refs' => [ 'StandardsControl$ControlStatus' => '<p>The current status of the security standard control. Indicates whether the control is enabled or disabled. Security Hub does not check against disabled controls.</p>', 'UpdateStandardsControlRequest$ControlStatus' => '<p>The updated status of the security standard control.</p>', ], ], 'Country' => [ 'base' => '<p>Information about a country.</p>', 'refs' => [ 'ActionRemoteIpDetails$Country' => '<p>The country where the remote IP address is located.</p>', ], ], 'CreateActionTargetRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateActionTargetResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'CrossAccountMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListInvitationsRequest$MaxResults' => '<p>The maximum number of items to return in the response. </p>', 'ListMembersRequest$MaxResults' => '<p>The maximum number of items to return in the response. </p>', ], ], 'CustomDataIdentifiersDetections' => [ 'base' => '<p>The list of detected instances of sensitive data.</p>', 'refs' => [ 'CustomDataIdentifiersDetectionsList$member' => NULL, ], ], 'CustomDataIdentifiersDetectionsList' => [ 'base' => NULL, 'refs' => [ 'CustomDataIdentifiersResult$Detections' => '<p>The list of detected instances of sensitive data.</p>', ], ], 'CustomDataIdentifiersResult' => [ 'base' => '<p>Contains an instance of sensitive data that was detected by a customer-defined identifier.</p>', 'refs' => [ 'ClassificationResult$CustomDataIdentifiers' => '<p>Provides details about sensitive data that was identified based on customer-defined configuration.</p>', ], ], 'Cvss' => [ 'base' => '<p>CVSS scores from the advisory related to the vulnerability.</p>', 'refs' => [ 'CvssList$member' => NULL, ], ], 'CvssList' => [ 'base' => NULL, 'refs' => [ 'Vulnerability$Cvss' => '<p>CVSS scores from the advisory related to the vulnerability.</p>', ], ], 'DataClassificationDetails' => [ 'base' => '<p>Provides details about sensitive data that was detected on a resource.</p>', 'refs' => [ 'Resource$DataClassification' => '<p>Contains information about sensitive data that was detected on the resource.</p>', ], ], 'DateFilter' => [ 'base' => '<p>A date filter for querying findings.</p>', 'refs' => [ 'DateFilterList$member' => NULL, ], ], 'DateFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$FirstObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider first observed the potential security issue that a finding captured.</p>', 'AwsSecurityFindingFilters$LastObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider most recently observed the potential security issue that a finding captured.</p>', 'AwsSecurityFindingFilters$CreatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider captured the potential security issue that a finding captured.</p>', 'AwsSecurityFindingFilters$UpdatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the security-findings provider last updated the finding record. </p>', 'AwsSecurityFindingFilters$ProcessLaunchedAt' => '<p>The date/time that the process was launched.</p>', 'AwsSecurityFindingFilters$ProcessTerminatedAt' => '<p>The date/time that the process was terminated.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorLastObservedAt' => '<p>The date/time of the last observation of a threat intelligence indicator.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceLaunchedAt' => '<p>The date and time the instance was launched.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyCreatedAt' => '<p>The creation date/time of the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerLaunchedAt' => '<p>The date/time that the container was started.</p>', 'AwsSecurityFindingFilters$NoteUpdatedAt' => '<p>The timestamp of when the note was updated.</p>', ], ], 'DateRange' => [ 'base' => '<p>A date range for the date filter.</p>', 'refs' => [ 'DateFilter$DateRange' => '<p>A date range for the date filter.</p>', ], ], 'DateRangeUnit' => [ 'base' => NULL, 'refs' => [ 'DateRange$Unit' => '<p>A date range unit for the date filter.</p>', ], ], 'DeclineInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeclineInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteActionTargetRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteActionTargetResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeActionTargetsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeActionTargetsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeOrganizationConfigurationRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeOrganizationConfigurationResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStandardsControlsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStandardsControlsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisableImportFindingsForProductRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableImportFindingsForProductResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisableOrganizationAdminAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableOrganizationAdminAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisableSecurityHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableSecurityHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromAdministratorAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromAdministratorAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DnsRequestAction' => [ 'base' => '<p>Provided if <code>ActionType</code> is <code>DNS_REQUEST</code>. It provides details about the DNS request that was detected.</p>', 'refs' => [ 'Action$DnsRequestAction' => '<p>Included if <code>ActionType</code> is <code>DNS_REQUEST</code>. Provides details about the DNS request that was detected. </p>', ], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'AwsApiGatewayCanarySettings$PercentTraffic' => '<p>The percentage of traffic that is diverted to a canary deployment.</p>', 'AwsApiGatewayMethodSettings$ThrottlingRateLimit' => '<p>The throttling rate limit for the method.</p>', 'AwsApiGatewayV2RouteSettings$ThrottlingRateLimit' => '<p>The throttling rate limit.</p>', 'AwsKmsKeyDetails$CreationDate' => '<p>Indicates when the KMS key was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRedshiftClusterRestoreStatus$CurrentRestoreRateInMegaBytesPerSecond' => '<p>The number of megabytes per second being transferred from the backup storage. Returns the average rate for a completed backup.</p> <p>This field is only updated when you restore to DC2 and DS2 node types.</p>', 'Cvss$BaseScore' => '<p>The base CVSS score.</p>', 'GeoLocation$Lon' => '<p>The longitude of the location.</p>', 'GeoLocation$Lat' => '<p>The latitude of the location.</p>', 'NumberFilter$Gte' => '<p>The greater-than-equal condition to be applied to a single field when querying for findings. </p>', 'NumberFilter$Lte' => '<p>The less-than-equal condition to be applied to a single field when querying for findings. </p>', 'NumberFilter$Eq' => '<p>The equal-to condition to be applied to a single field when querying for findings.</p>', 'Severity$Product' => '<p>Deprecated. This attribute is being deprecated. Instead of providing <code>Product</code>, provide <code>Original</code>.</p> <p>The native severity as defined by the Amazon Web Services service or integrated partner product that generated the finding.</p>', 'SeverityUpdate$Product' => '<p>The native severity as defined by the Amazon Web Services service or integrated partner product that generated the finding.</p>', ], ], 'EnableImportFindingsForProductRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableImportFindingsForProductResponse' => [ 'base' => NULL, 'refs' => [], ], 'EnableOrganizationAdminAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableOrganizationAdminAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'EnableSecurityHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableSecurityHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'FieldMap' => [ 'base' => NULL, 'refs' => [ 'AwsApiCallAction$AffectedResources' => '<p>Identifies the resources that were affected by the API call.</p>', 'AwsApiGatewayCanarySettings$StageVariableOverrides' => '<p>Stage variables that are overridden in the canary release deployment. The variables include new stage variables that are introduced in the canary.</p> <p>Each variable is represented as a string-to-string map between the stage variable name and the variable value.</p>', 'AwsApiGatewayStageDetails$Variables' => '<p>A map that defines the stage variables for the stage.</p> <p>Variable names can have alphanumeric and underscore characters.</p> <p>Variable values can contain the following characters:</p> <ul> <li> <p>Uppercase and lowercase letters</p> </li> <li> <p>Numbers</p> </li> <li> <p>Special characters -._~:/?#&amp;=,</p> </li> </ul>', 'AwsApiGatewayV2StageDetails$StageVariables' => '<p>A map that defines the stage variables for the stage.</p> <p>Variable names can have alphanumeric and underscore characters.</p> <p>Variable values can contain the following characters:</p> <ul> <li> <p>Uppercase and lowercase letters</p> </li> <li> <p>Numbers</p> </li> <li> <p>Special characters -._~:/?#&amp;=,</p> </li> </ul>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$DockerLabels' => '<p>A key-value map of labels to add to the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetails$Options' => '<p>The options to use to configure the log router.</p> <p>The valid option keys are as follows:</p> <ul> <li> <p> <code>enable-ecs-log-metadata</code>. The value can be <code>true</code> or <code>false</code>.</p> </li> <li> <p> <code>config-file-type</code>. The value can be <code>s3</code> or <code>file</code>.</p> </li> <li> <p> <code>config-file-value</code>. The value is either an S3 ARN or a file path.</p> </li> </ul>', 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails$Options' => '<p>The configuration options to send to the log driver. Requires version 1.19 of the Docker Remote API or greater on your container instance.</p>', 'AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails$DriverOpts' => '<p>A map of Docker driver-specific options that are passed through.</p>', 'AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails$Labels' => '<p>Custom metadata to add to the Docker volume.</p>', 'AwsElasticsearchDomainDetails$Endpoints' => '<p>The key-value pair that exists if the Elasticsearch domain uses VPC endpoints.</p>', 'AwsLambdaFunctionEnvironment$Variables' => '<p>Environment variable key-value pairs.</p>', 'AwsSecurityFinding$ProductFields' => '<p>A data type where security-findings providers can include additional solution-specific details that aren\'t part of the defined <code>AwsSecurityFinding</code> format.</p> <p>Can contain up to 50 key-value pairs. For each key-value pair, the key can contain up to 128 characters, and the value can contain up to 2048 characters.</p>', 'AwsSecurityFinding$UserDefinedFields' => '<p>A list of name/value string pairs associated with the finding. These are custom, user-defined fields added to a finding. </p>', 'BatchUpdateFindingsRequest$UserDefinedFields' => '<p>A list of name/value string pairs associated with the finding. These are custom, user-defined fields added to a finding.</p>', 'Resource$Tags' => '<p>A list of Amazon Web Services tags associated with a resource at the time the finding was processed.</p>', 'ResourceDetails$Other' => '<p>Details about a resource that are not available in a type-specific details object. Use the <code>Other</code> object in the following cases.</p> <ul> <li> <p>The type-specific object does not contain all of the fields that you want to populate. In this case, first use the type-specific object to populate those fields. Use the <code>Other</code> object to populate the fields that are missing from the type-specific object.</p> </li> <li> <p>The resource type does not have a corresponding object. This includes resources for which the type is <code>Other</code>. </p> </li> </ul>', ], ], 'FindingProviderFields' => [ 'base' => '<p>In a <code>BatchImportFindings</code> request, finding providers use <code>FindingProviderFields</code> to provide and update values for confidence, criticality, related findings, severity, and types.</p>', 'refs' => [ 'AwsSecurityFinding$FindingProviderFields' => '<p>In a <code>BatchImportFindings</code> request, finding providers use <code>FindingProviderFields</code> to provide and update their own values for confidence, criticality, related findings, severity, and types.</p>', ], ], 'FindingProviderSeverity' => [ 'base' => '<p>The severity assigned to the finding by the finding provider.</p>', 'refs' => [ 'FindingProviderFields$Severity' => '<p>The severity of a finding.</p>', ], ], 'GeoLocation' => [ 'base' => '<p>Provides the latitude and longitude coordinates of a location.</p>', 'refs' => [ 'ActionRemoteIpDetails$GeoLocation' => '<p>The coordinates of the location of the remote IP address.</p>', ], ], 'GetAdministratorAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetAdministratorAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetEnabledStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEnabledStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightResultsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightResultsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'IcmpTypeCode' => [ 'base' => '<p>An Internet Control Message Protocol (ICMP) type and code.</p>', 'refs' => [ 'AwsEc2NetworkAclEntry$IcmpTypeCode' => '<p>The Internet Control Message Protocol (ICMP) type and code for which to deny or allow access.</p>', ], ], 'ImportFindingsError' => [ 'base' => '<p>The list of the findings that cannot be imported. For each finding, the list provides the error.</p>', 'refs' => [ 'ImportFindingsErrorList$member' => NULL, ], ], 'ImportFindingsErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchImportFindingsResponse$FailedFindings' => '<p>The list of findings that failed to import.</p>', ], ], 'Insight' => [ 'base' => '<p>Contains information about a Security Hub insight.</p>', 'refs' => [ 'InsightList$member' => NULL, ], ], 'InsightList' => [ 'base' => NULL, 'refs' => [ 'GetInsightsResponse$Insights' => '<p>The insights returned by the operation.</p>', ], ], 'InsightResultValue' => [ 'base' => '<p>The insight result values returned by the <code>GetInsightResults</code> operation.</p>', 'refs' => [ 'InsightResultValueList$member' => NULL, ], ], 'InsightResultValueList' => [ 'base' => NULL, 'refs' => [ 'InsightResults$ResultValues' => '<p>The list of insight result values returned by the <code>GetInsightResults</code> operation.</p>', ], ], 'InsightResults' => [ 'base' => '<p>The insight results returned by the <code>GetInsightResults</code> operation.</p>', 'refs' => [ 'GetInsightResultsResponse$InsightResults' => '<p>The insight results returned by the operation.</p>', ], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'ActionLocalPortDetails$Port' => '<p>The number of the port.</p>', 'ActionRemotePortDetails$Port' => '<p>The number of the port.</p>', 'AwsApiGatewayMethodSettings$ThrottlingBurstLimit' => '<p>The throttling burst limit for the method.</p>', 'AwsApiGatewayMethodSettings$CacheTtlInSeconds' => '<p>Specifies the time to live (TTL), in seconds, for cached responses. The higher the TTL, the longer the response is cached.</p>', 'AwsApiGatewayRestApiDetails$MinimumCompressionSize' => '<p>The minimum size in bytes of a payload before compression is enabled.</p> <p>If <code>null</code>, then compression is disabled.</p> <p>If 0, then all payloads are compressed.</p>', 'AwsApiGatewayV2RouteSettings$ThrottlingBurstLimit' => '<p>The throttling burst limit.</p>', 'AwsAutoScalingAutoScalingGroupDetails$HealthCheckGracePeriod' => '<p>The amount of time, in seconds, that Amazon EC2 Auto Scaling waits before it checks the health status of an EC2 instance that has come into service.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetails$Iops' => '<p>The number of input/output (I/O) operations per second (IOPS) to provision for the volume.</p> <p>Only supported for <code>gp3</code> or <code>io1</code> volumes. Required for <code>io1</code> volumes. Not used with <code>standard</code>, <code>gp2</code>, <code>st1</code>, or <code>sc1</code> volumes.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetails$VolumeSize' => '<p>The volume size, in GiBs. The following are the supported volumes sizes for each volume type:</p> <ul> <li> <p>gp2 and gp3: 1-16,384</p> </li> <li> <p>io1: 4-16,384</p> </li> <li> <p>st1 and sc1: 125-16,384</p> </li> <li> <p>standard: 1-1,024</p> </li> </ul> <p>You must specify either <code>SnapshotId</code> or <code>VolumeSize</code>. If you specify both <code>SnapshotId</code> and <code>VolumeSize</code>, the volume size must be equal or greater than the size of the snapshot.</p>', 'AwsCloudFrontDistributionOriginGroupFailoverStatusCodes$Quantity' => '<p>The number of status codes that can cause a failover.</p>', 'AwsCloudFrontDistributionOriginGroupFailoverStatusCodesItemList$member' => NULL, 'AwsCodeBuildProjectSource$GitCloneDepth' => '<p>Information about the Git clone depth for the build project.</p>', 'AwsCorsConfiguration$MaxAge' => '<p>The number of seconds for which the browser caches preflight request results.</p>', 'AwsDynamoDbTableDetails$ItemCount' => '<p>The number of items in the table.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$ItemCount' => '<p>The number of items in the index.</p>', 'AwsDynamoDbTableProvisionedThroughput$NumberOfDecreasesToday' => '<p>The number of times during the current UTC calendar day that the provisioned throughput was decreased.</p>', 'AwsDynamoDbTableProvisionedThroughput$ReadCapacityUnits' => '<p>The maximum number of strongly consistent reads consumed per second before DynamoDB returns a <code>ThrottlingException</code>.</p>', 'AwsDynamoDbTableProvisionedThroughput$WriteCapacityUnits' => '<p>The maximum number of writes consumed per second before DynamoDB returns a <code>ThrottlingException</code>.</p>', 'AwsDynamoDbTableProvisionedThroughputOverride$ReadCapacityUnits' => '<p>The read capacity units for the replica.</p>', 'AwsEc2NetworkAclEntry$RuleNumber' => '<p>The rule number. The rules are processed in order by their number.</p>', 'AwsEc2NetworkInterfaceAttachment$DeviceIndex' => '<p>The device index of the network interface attachment on the instance.</p>', 'AwsEc2SecurityGroupIpPermission$FromPort' => '<p>The start of the port range for the TCP and UDP protocols, or an ICMP/ICMPv6 type number.</p> <p>A value of -1 indicates all ICMP/ICMPv6 types. If you specify all ICMP/ICMPv6 types, you must specify all codes. </p>', 'AwsEc2SecurityGroupIpPermission$ToPort' => '<p>The end of the port range for the TCP and UDP protocols, or an ICMP/ICMPv6 code.</p> <p>A value of -1 indicates all ICMP/ICMPv6 codes. If you specify all ICMP/ICMPv6 types, you must specify all codes.</p>', 'AwsEc2SubnetDetails$AvailableIpAddressCount' => '<p>The number of available IPV4 addresses in the subnet. Does not include addresses for stopped instances.</p>', 'AwsEc2VolumeDetails$Size' => '<p>The size of the volume, in GiBs.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$DpdTimeoutSeconds' => '<p>The number of seconds after which a Dead Peer Detection (DPD) timeout occurs.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase1LifetimeSeconds' => '<p>The lifetime for phase 1 of the IKE negotiation, in seconds.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase2LifetimeSeconds' => '<p>The lifetime for phase 2 of the IKE negotiation, in seconds.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$RekeyFuzzPercentage' => '<p>The percentage of the rekey window, which is determined by <code>RekeyMarginTimeSeconds</code> during which the rekey time is randomly selected.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$RekeyMarginTimeSeconds' => '<p>The margin time, in seconds, before the phase 2 lifetime expires, during which the Amazon Web Services side of the VPN connection performs an IKE rekey.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$ReplayWindowSize' => '<p>The number of packets in an IKE replay window.</p>', 'AwsEc2VpnConnectionVgwTelemetryDetails$AcceptedRouteCount' => '<p>The number of accepted routes.</p>', 'AwsEcsClusterDefaultCapacityProviderStrategyDetails$Base' => '<p>The minimum number of tasks to run on the specified capacity provider.</p>', 'AwsEcsClusterDefaultCapacityProviderStrategyDetails$Weight' => '<p>The relative percentage of the total number of tasks launched that should use the capacity provider.</p>', 'AwsEcsServiceCapacityProviderStrategyDetails$Base' => '<p>The minimum number of tasks to run on the capacity provider. Only one strategy item can specify a value for <code>Base</code>.</p> <p>The value must be between 0 and 100000.</p>', 'AwsEcsServiceCapacityProviderStrategyDetails$Weight' => '<p>The relative percentage of the total number of tasks that should use the capacity provider.</p> <p>If no weight is specified, the default value is 0. At least one capacity provider must have a weight greater than 0.</p> <p>The value can be between 0 and 1000.</p>', 'AwsEcsServiceDeploymentConfigurationDetails$MaximumPercent' => '<p>For a service that uses the rolling update (<code>ECS</code>) deployment type, the maximum number of tasks in a service that are allowed in the <code>RUNNING</code> or <code>PENDING</code> state during a deployment, and for tasks that use the EC2 launch type, when any container instances are in the <code>DRAINING</code> state. Provided as a percentage of the desired number of tasks. The default value is 200%.</p> <p>For a service that uses the blue/green (<code>CODE_DEPLOY</code>) or <code>EXTERNAL</code> deployment types, and tasks that use the EC2 launch type, the maximum number of tasks in the service that remain in the <code>RUNNING</code> state while the container instances are in the <code>DRAINING</code> state.</p> <p>For the Fargate launch type, the maximum percent value is not used.</p>', 'AwsEcsServiceDeploymentConfigurationDetails$MinimumHealthyPercent' => '<p>For a service that uses the rolling update (<code>ECS</code>) deployment type, the minimum number of tasks in a service that must remain in the <code>RUNNING</code> state during a deployment, and while any container instances are in the <code>DRAINING</code> state if the service contains tasks using the EC2 launch type. Expressed as a percentage of the desired number of tasks. The default value is 100%.</p> <p>For a service that uses the blue/green (<code>CODE_DEPLOY</code>) or <code>EXTERNAL</code> deployment types and tasks that use the EC2 launch type, the minimum number of the tasks in the service that remain in the <code>RUNNING</code> state while the container instances are in the <code>DRAINING</code> state.</p> <p>For the Fargate launch type, the minimum healthy percent value is not used.</p>', 'AwsEcsServiceDetails$DesiredCount' => '<p>The number of instantiations of the task definition to run on the service.</p>', 'AwsEcsServiceDetails$HealthCheckGracePeriodSeconds' => '<p>After a task starts, the amount of time in seconds that the Amazon ECS service scheduler ignores unhealthy Elastic Load Balancing target health checks.</p>', 'AwsEcsServiceLoadBalancersDetails$ContainerPort' => '<p>The port on the container to associate with the load balancer. This port must correspond to a <code>containerPort</code> in the task definition the tasks in the service are using. For tasks that use the EC2 launch type, the container instance they are launched on must allow ingress traffic on the <code>hostPort</code> of the port mapping.</p>', 'AwsEcsServiceServiceRegistriesDetails$ContainerPort' => '<p>The port value to use for the service discovery service.</p> <p>If the task definition uses the <code>bridge</code> or <code>host</code> network mode, you must specify <code>ContainerName</code> and <code>ContainerPort</code>.</p> <p>If the task definition uses the <code>awsvpc</code> network mode and a type SRV DNS record, you must specify either <code>ContainerName</code> and <code>ContainerPort</code>, or <code>Port</code> , but not both.</p>', 'AwsEcsServiceServiceRegistriesDetails$Port' => '<p>The port value to use for a service discovery service that specifies an SRV record. This field can be used if both the <code>awsvpc</code>awsvpc network mode and SRV records are used.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Cpu' => '<p>The number of CPU units reserved for the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Memory' => '<p>The amount (in MiB) of memory to present to the container. If the container attempts to exceed the memory specified here, the container is shut down. The total amount of memory reserved for all containers within a task must be lower than the task memory value, if one is specified.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$MemoryReservation' => '<p>The soft limit (in MiB) of memory to reserve for the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$StartTimeout' => '<p>The number of seconds to wait before giving up on resolving dependencies for a container. </p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$StopTimeout' => '<p>The number of seconds to wait before the container is stopped if it doesn\'t shut down normally on its own.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsHealthCheckDetails$Interval' => '<p>The time period in seconds between each health check execution. The default value is 30 seconds.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsHealthCheckDetails$Retries' => '<p>The number of times to retry a failed health check before the container is considered unhealthy. The default value is 3.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsHealthCheckDetails$StartPeriod' => '<p>The optional grace period in seconds that allows containers time to bootstrap before failed health checks count towards the maximum number of retries.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsHealthCheckDetails$Timeout' => '<p>The time period in seconds to wait for a health check to succeed before it is considered a failure. The default value is 5.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails$MaxSwap' => '<p>The total amount of swap memory (in MiB) that a container can use.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails$SharedMemorySize' => '<p>The value for the size (in MiB) of the <b>/dev/shm</b> volume.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetails$Swappiness' => '<p>Configures the container\'s memory swappiness behavior. Determines how aggressively pages are swapped. The higher the value, the more aggressive the swappiness. The default is 60.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersTmpfsDetails$Size' => '<p>The maximum size (in MiB) of the tmpfs volume.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsPortMappingsDetails$ContainerPort' => '<p>The port number on the container that is bound to the user-specified or automatically assigned host port.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsPortMappingsDetails$HostPort' => '<p>The port number on the container instance to reserve for the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsUlimitsDetails$HardLimit' => '<p>The hard limit for the ulimit type.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsUlimitsDetails$SoftLimit' => '<p>The soft limit for the ulimit type.</p>', 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails$TransitEncryptionPort' => '<p>The port to use when sending encrypted data between the Amazon ECS host and the Amazon EFS server.</p>', 'AwsElasticsearchDomainElasticsearchClusterConfigDetails$DedicatedMasterCount' => '<p>The number of instances to use for the master node. If this attribute is specified, then <code>DedicatedMasterEnabled</code> must be <code>true</code>.</p>', 'AwsElasticsearchDomainElasticsearchClusterConfigDetails$InstanceCount' => '<p>The number of data nodes to use in the Elasticsearch domain.</p>', 'AwsElasticsearchDomainElasticsearchClusterConfigZoneAwarenessConfigDetails$AvailabilityZoneCount' => '<p>he number of Availability Zones that the domain uses. Valid values are 2 and 3. The default is 2.</p>', 'AwsElbLoadBalancerAccessLog$EmitInterval' => '<p>The interval in minutes for publishing the access logs.</p> <p>You can publish access logs either every 5 minutes or every 60 minutes.</p>', 'AwsElbLoadBalancerBackendServerDescription$InstancePort' => '<p>The port on which the EC2 instance is listening.</p>', 'AwsElbLoadBalancerConnectionDraining$Timeout' => '<p>The maximum time, in seconds, to keep the existing connections open before deregistering the instances.</p>', 'AwsElbLoadBalancerConnectionSettings$IdleTimeout' => '<p>The time, in seconds, that the connection can be idle (no data is sent over the connection) before it is closed by the load balancer.</p>', 'AwsElbLoadBalancerHealthCheck$HealthyThreshold' => '<p>The number of consecutive health check successes required before the instance is moved to the Healthy state.</p>', 'AwsElbLoadBalancerHealthCheck$Interval' => '<p>The approximate interval, in seconds, between health checks of an individual instance.</p>', 'AwsElbLoadBalancerHealthCheck$Timeout' => '<p>The amount of time, in seconds, during which no response means a failed health check.</p>', 'AwsElbLoadBalancerHealthCheck$UnhealthyThreshold' => '<p>The number of consecutive health check failures that must occur before the instance is moved to the Unhealthy state.</p>', 'AwsElbLoadBalancerListener$InstancePort' => '<p>The port on which the instance is listening.</p>', 'AwsElbLoadBalancerListener$LoadBalancerPort' => '<p>The port on which the load balancer is listening.</p> <p>On EC2-VPC, you can specify any port from the range 1-65535.</p> <p>On EC2-Classic, you can specify any port from the following list: 25, 80, 443, 465, 587, 1024-65535.</p>', 'AwsIamPolicyDetails$AttachmentCount' => '<p>The number of users, groups, and roles that the policy is attached to.</p>', 'AwsIamPolicyDetails$PermissionsBoundaryUsageCount' => '<p>The number of users and roles that use the policy to set the permissions boundary.</p>', 'AwsIamRoleDetails$MaxSessionDuration' => '<p>The maximum session duration (in seconds) that you want to set for the specified role.</p>', 'AwsLambdaFunctionDetails$MemorySize' => '<p>The memory that is allocated to the function.</p>', 'AwsLambdaFunctionDetails$Timeout' => '<p>The amount of time that Lambda allows a function to run before stopping it.</p>', 'AwsLambdaFunctionLayer$CodeSize' => '<p>The size of the layer archive in bytes.</p>', 'AwsRdsDbClusterDetails$AllocatedStorage' => '<p>For all database engines except Aurora, specifies the allocated storage size in gibibytes (GiB).</p>', 'AwsRdsDbClusterDetails$BackupRetentionPeriod' => '<p>The number of days for which automated backups are retained.</p>', 'AwsRdsDbClusterDetails$Port' => '<p>The port number on which the DB instances in the DB cluster accept connections.</p>', 'AwsRdsDbClusterMember$PromotionTier' => '<p>Specifies the order in which an Aurora replica is promoted to the primary instance when the existing primary instance fails.</p>', 'AwsRdsDbClusterSnapshotDetails$AllocatedStorage' => '<p>Specifies the allocated storage size in gibibytes (GiB).</p>', 'AwsRdsDbClusterSnapshotDetails$Port' => '<p>The port number on which the DB instances in the DB cluster accept connections.</p>', 'AwsRdsDbClusterSnapshotDetails$PercentProgress' => '<p>Specifies the percentage of the estimated data that has been transferred.</p>', 'AwsRdsDbInstanceDetails$DbInstancePort' => '<p>Specifies the port that the DB instance listens on. If the DB instance is part of a DB cluster, this can be a different port than the DB cluster port.</p>', 'AwsRdsDbInstanceDetails$AllocatedStorage' => '<p>The amount of storage (in gigabytes) to initially allocate for the DB instance.</p>', 'AwsRdsDbInstanceDetails$BackupRetentionPeriod' => '<p>The number of days for which to retain automated backups.</p>', 'AwsRdsDbInstanceDetails$Iops' => '<p>Specifies the provisioned IOPS (I/O operations per second) for this DB instance.</p>', 'AwsRdsDbInstanceDetails$MonitoringInterval' => '<p>The interval, in seconds, between points when enhanced monitoring metrics are collected for the DB instance.</p>', 'AwsRdsDbInstanceDetails$PromotionTier' => '<p>The order in which to promote an Aurora replica to the primary instance after a failure of the existing primary instance.</p>', 'AwsRdsDbInstanceDetails$PerformanceInsightsRetentionPeriod' => '<p>The number of days to retain Performance Insights data.</p>', 'AwsRdsDbInstanceDetails$MaxAllocatedStorage' => '<p>The upper limit to which Amazon RDS can automatically scale the storage of the DB instance.</p>', 'AwsRdsDbInstanceEndpoint$Port' => '<p>Specifies the port that the database engine is listening on.</p>', 'AwsRdsDbPendingModifiedValues$AllocatedStorage' => '<p>The new value of the allocated storage for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$Port' => '<p>The new port for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$BackupRetentionPeriod' => '<p>The new backup retention period for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$Iops' => '<p>The new provisioned IOPS value for the DB instance.</p>', 'AwsRdsDbSnapshotDetails$AllocatedStorage' => '<p>The amount of storage (in gigabytes) to be initially allocated for the database instance.</p>', 'AwsRdsDbSnapshotDetails$Port' => '<p>The port that the database engine was listening on at the time of the snapshot.</p>', 'AwsRdsDbSnapshotDetails$Iops' => '<p>The provisioned IOPS (I/O operations per second) value of the DB instance at the time of the snapshot.</p>', 'AwsRdsDbSnapshotDetails$PercentProgress' => '<p>The percentage of the estimated data that has been transferred.</p>', 'AwsRedshiftClusterClusterSnapshotCopyStatus$ManualSnapshotRetentionPeriod' => '<p>The number of days that manual snapshots are retained in the destination region after they are copied from a source region.</p> <p>If the value is -1, then the manual snapshot is retained indefinitely.</p> <p>Valid values: Either -1 or an integer between 1 and 3,653</p>', 'AwsRedshiftClusterClusterSnapshotCopyStatus$RetentionPeriod' => '<p>The number of days to retain automated snapshots in the destination Region after they are copied from a source Region.</p>', 'AwsRedshiftClusterDetails$AutomatedSnapshotRetentionPeriod' => '<p>The number of days that automatic cluster snapshots are retained.</p>', 'AwsRedshiftClusterDetails$ManualSnapshotRetentionPeriod' => '<p>The default number of days to retain a manual snapshot.</p> <p>If the value is -1, the snapshot is retained indefinitely.</p> <p>This setting doesn\'t change the retention period of existing snapshots.</p> <p>Valid values: Either -1 or an integer between 1 and 3,653</p>', 'AwsRedshiftClusterDetails$NumberOfNodes' => '<p>The number of compute nodes in the cluster.</p>', 'AwsRedshiftClusterEndpoint$Port' => '<p>The port that the database engine listens on.</p>', 'AwsRedshiftClusterPendingModifiedValues$AutomatedSnapshotRetentionPeriod' => '<p>The pending or in-progress change to the automated snapshot retention period.</p>', 'AwsRedshiftClusterPendingModifiedValues$NumberOfNodes' => '<p>The pending or in-progress change to the number of nodes in the cluster.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesAbortIncompleteMultipartUploadDetails$DaysAfterInitiation' => '<p>The number of days after which Amazon S3 cancels an incomplete multipart upload.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$ExpirationInDays' => '<p>The length in days of the lifetime for objects that are subject to the rule.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$NoncurrentVersionExpirationInDays' => '<p>The number of days that an object is noncurrent before Amazon S3 can perform the associated action.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesNoncurrentVersionTransitionsDetails$Days' => '<p>The number of days that an object is noncurrent before Amazon S3 can perform the associated action.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesTransitionsDetails$Days' => '<p>The number of days after which to transition the object to the specified storage class. If you provide <code>Days</code>, you cannot provide <code>Date</code>.</p>', 'AwsSecretsManagerSecretRotationRules$AutomaticallyAfterDays' => '<p>The number of days after the previous rotation to rotate the secret.</p>', 'AwsSecurityFinding$Confidence' => '<p>A finding\'s confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify.</p> <p>Confidence is scored on a 0-100 basis using a ratio scale, where 0 means zero percent confidence and 100 means 100 percent confidence.</p>', 'AwsSecurityFinding$Criticality' => '<p>The level of importance assigned to the resources associated with the finding.</p> <p>A score of 0 means that the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources.</p>', 'AwsSqsQueueDetails$KmsDataKeyReusePeriodSeconds' => '<p>The length of time, in seconds, for which Amazon SQS can reuse a data key to encrypt or decrypt messages before calling KMS again.</p>', 'AwsSsmComplianceSummary$CompliantCriticalCount' => '<p>For the patches that are compliant, the number that have a severity of <code>CRITICAL</code>.</p>', 'AwsSsmComplianceSummary$CompliantHighCount' => '<p>For the patches that are compliant, the number that have a severity of <code>HIGH</code>.</p>', 'AwsSsmComplianceSummary$CompliantMediumCount' => '<p>For the patches that are compliant, the number that have a severity of <code>MEDIUM</code>.</p>', 'AwsSsmComplianceSummary$NonCompliantCriticalCount' => '<p>For the patch items that are noncompliant, the number of items that have a severity of <code>CRITICAL</code>.</p>', 'AwsSsmComplianceSummary$CompliantInformationalCount' => '<p>For the patches that are compliant, the number that have a severity of <code>INFORMATIONAL</code>.</p>', 'AwsSsmComplianceSummary$NonCompliantInformationalCount' => '<p>For the patches that are noncompliant, the number that have a severity of <code>INFORMATIONAL</code>.</p>', 'AwsSsmComplianceSummary$CompliantUnspecifiedCount' => '<p>For the patches that are compliant, the number that have a severity of <code>UNSPECIFIED</code>.</p>', 'AwsSsmComplianceSummary$NonCompliantLowCount' => '<p>For the patches that are noncompliant, the number that have a severity of <code>LOW</code>.</p>', 'AwsSsmComplianceSummary$NonCompliantHighCount' => '<p>For the patches that are noncompliant, the number that have a severity of <code>HIGH</code>.</p>', 'AwsSsmComplianceSummary$CompliantLowCount' => '<p>For the patches that are compliant, the number that have a severity of <code>LOW</code>.</p>', 'AwsSsmComplianceSummary$NonCompliantMediumCount' => '<p>For the patches that are noncompliant, the number that have a severity of <code>MEDIUM</code>.</p>', 'AwsSsmComplianceSummary$NonCompliantUnspecifiedCount' => '<p>For the patches that are noncompliant, the number that have a severity of <code>UNSPECIFIED</code>.</p>', 'AwsWafWebAclRule$Priority' => '<p>Specifies the order in which the rules in a WebACL are evaluated. Rules with a lower value for <code>Priority</code> are evaluated before rules with a higher value. The value must be a unique integer. If you add multiple rules to a WebACL, the values do not need to be consecutive.</p>', 'BatchImportFindingsResponse$FailedCount' => '<p>The number of findings that failed to import.</p>', 'BatchImportFindingsResponse$SuccessCount' => '<p>The number of findings that were successfully imported.</p>', 'DateRange$Value' => '<p>A date range value for the date filter.</p>', 'GetInvitationsCountResponse$InvitationsCount' => '<p>The number of all membership invitations sent to this Security Hub member account, not including the currently accepted invitation.</p>', 'IcmpTypeCode$Code' => '<p>The ICMP code for which to deny or allow access. To deny or allow all codes, use the value -1.</p>', 'IcmpTypeCode$Type' => '<p>The ICMP type for which to deny or allow access. To deny or allow all types, use the value -1.</p>', 'InsightResultValue$Count' => '<p>The number of findings returned for each <code>GroupByAttributeValue</code>.</p>', 'IntegerList$member' => NULL, 'IpOrganizationDetails$Asn' => '<p>The Autonomous System Number (ASN) of the internet provider</p>', 'Network$SourcePort' => '<p>The source port of network-related information about a finding.</p>', 'Network$DestinationPort' => '<p>The destination port of network-related information about a finding.</p>', 'PatchSummary$InstalledCount' => '<p>The number of patches from the compliance standard that were installed successfully.</p>', 'PatchSummary$MissingCount' => '<p>The number of patches that are part of the compliance standard but are not installed. The count includes patches that failed to install.</p>', 'PatchSummary$FailedCount' => '<p>The number of patches from the compliance standard that failed to install.</p>', 'PatchSummary$InstalledOtherCount' => '<p>The number of installed patches that are not part of the compliance standard.</p>', 'PatchSummary$InstalledRejectedCount' => '<p>The number of patches that are installed but are also on a list of patches that the customer rejected.</p>', 'PatchSummary$InstalledPendingReboot' => '<p>The number of patches that were applied, but that require the instance to be rebooted in order to be marked as installed.</p>', 'PortRange$Begin' => '<p>The first port in the port range.</p>', 'PortRange$End' => '<p>The last port in the port range.</p>', 'PortRangeFromTo$From' => '<p>The first port in the port range.</p>', 'PortRangeFromTo$To' => '<p>The last port in the port range.</p>', 'ProcessDetails$Pid' => '<p>The process ID.</p>', 'ProcessDetails$ParentPid' => '<p>The parent process ID.</p>', 'Severity$Normalized' => '<p>Deprecated. The normalized severity of a finding. This attribute is being deprecated. Instead of providing <code>Normalized</code>, provide <code>Label</code>.</p> <p>If you provide <code>Label</code> and do not provide <code>Normalized</code>, then <code>Normalized</code> is set automatically as follows.</p> <ul> <li> <p> <code>INFORMATIONAL</code> - 0</p> </li> <li> <p> <code>LOW</code> - 1</p> </li> <li> <p> <code>MEDIUM</code> - 40</p> </li> <li> <p> <code>HIGH</code> - 70</p> </li> <li> <p> <code>CRITICAL</code> - 90</p> </li> </ul>', ], ], 'IntegerList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase1DhGroupNumbers' => '<p>The permitted Diffie-Hellman group numbers for the VPN tunnel for phase 1 IKE negotiations.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase2DhGroupNumbers' => '<p>The permitted Diffie-Hellman group numbers for the VPN tunnel for phase 2 IKE negotiations.</p>', ], ], 'IntegrationType' => [ 'base' => NULL, 'refs' => [ 'IntegrationTypeList$member' => NULL, ], ], 'IntegrationTypeList' => [ 'base' => NULL, 'refs' => [ 'Product$IntegrationTypes' => '<p>The types of integration that the product supports. Available values are the following.</p> <ul> <li> <p> <code>SEND_FINDINGS_TO_SECURITY_HUB</code> - The integration sends findings to Security Hub.</p> </li> <li> <p> <code>RECEIVE_FINDINGS_FROM_SECURITY_HUB</code> - The integration receives findings from Security Hub.</p> </li> <li> <p> <code>UPDATE_FINDINGS_IN_SECURITY_HUB</code> - The integration does not send new findings to Security Hub, but does make updates to the findings that it receives from Security Hub.</p> </li> </ul>', ], ], 'InternalException' => [ 'base' => '<p>Internal server error.</p>', 'refs' => [], ], 'InvalidAccessException' => [ 'base' => '<p>There is an issue with the account used to make the request. Either Security Hub is not enabled for the account, or the account does not have permission to perform this action.</p>', 'refs' => [], ], 'InvalidInputException' => [ 'base' => '<p>The request was rejected because you supplied an invalid or out-of-range value for an input parameter.</p>', 'refs' => [], ], 'Invitation' => [ 'base' => '<p>Details about an invitation.</p>', 'refs' => [ 'GetAdministratorAccountResponse$Administrator' => NULL, 'GetMasterAccountResponse$Master' => '<p>A list of details about the Security Hub administrator account for the current member account. </p>', 'InvitationList$member' => NULL, ], ], 'InvitationList' => [ 'base' => NULL, 'refs' => [ 'ListInvitationsResponse$Invitations' => '<p>The details of the invitations returned by the operation.</p>', ], ], 'InviteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'InviteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'IpFilter' => [ 'base' => '<p>The IP filter for querying findings.</p>', 'refs' => [ 'IpFilterList$member' => NULL, ], ], 'IpFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$NetworkSourceIpV4' => '<p>The source IPv4 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceIpV6' => '<p>The source IPv6 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationIpV4' => '<p>The destination IPv4 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationIpV6' => '<p>The destination IPv6 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIpV4Addresses' => '<p>The IPv4 addresses associated with the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIpV6Addresses' => '<p>The IPv6 addresses associated with the instance.</p>', ], ], 'IpOrganizationDetails' => [ 'base' => '<p>Provides information about an internet provider.</p>', 'refs' => [ 'ActionRemoteIpDetails$Organization' => '<p>The internet service provider (ISP) organization associated with the remote IP address.</p>', ], ], 'Ipv6CidrBlockAssociation' => [ 'base' => '<p>An IPV6 CIDR block association.</p>', 'refs' => [ 'Ipv6CidrBlockAssociationList$member' => NULL, ], ], 'Ipv6CidrBlockAssociationList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2SubnetDetails$Ipv6CidrBlockAssociationSet' => '<p>The IPV6 CIDR blocks that are associated with the subnet.</p>', 'AwsEc2VpcDetails$Ipv6CidrBlockAssociationSet' => '<p>Information about the IPv6 CIDR blocks associated with the VPC.</p>', ], ], 'KeywordFilter' => [ 'base' => '<p>A keyword filter for querying findings.</p>', 'refs' => [ 'KeywordFilterList$member' => NULL, ], ], 'KeywordFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$Keyword' => '<p>A keyword for a finding.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The request was rejected because it attempted to create resources beyond the current Amazon Web Services account or throttling limits. The error code describes the limit exceeded.</p>', 'refs' => [], ], 'ListEnabledProductsForImportRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEnabledProductsForImportResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListOrganizationAdminAccountsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListOrganizationAdminAccountsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'LoadBalancerState' => [ 'base' => '<p>Information about the state of the load balancer.</p>', 'refs' => [ 'AwsElbv2LoadBalancerDetails$State' => '<p>The state of the load balancer.</p>', ], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'AwsElbLbCookieStickinessPolicy$CookieExpirationPeriod' => '<p>The amount of time, in seconds, after which the cookie is considered stale. If an expiration period is not specified, the stickiness session lasts for the duration of the browser session.</p>', 'AwsRedshiftClusterRestoreStatus$ElapsedTimeInSeconds' => '<p>The amount of time an in-progress restore has been running, or the amount of time it took a completed restore to finish.</p> <p>This field is only updated when you restore to DC2 and DS2 node types.</p>', 'AwsRedshiftClusterRestoreStatus$EstimatedTimeToCompletionInSeconds' => '<p>The estimate of the time remaining before the restore is complete. Returns 0 for a completed restore.</p> <p>This field is only updated when you restore to DC2 and DS2 node types.</p>', 'AwsRedshiftClusterRestoreStatus$ProgressInMegaBytes' => '<p>The number of megabytes that were transferred from snapshot storage.</p> <p>This field is only updated when you restore to DC2 and DS2 node types.</p>', 'AwsRedshiftClusterRestoreStatus$SnapshotSizeInMegaBytes' => '<p>The size of the set of snapshot data that was used to restore the cluster.</p> <p>This field is only updated when you restore to DC2 and DS2 node types.</p>', 'Cell$Column' => '<p>The column number of the column that contains the data. For a Microsoft Excel workbook, the column number corresponds to the alphabetical column identifiers. For example, a value of 1 for Column corresponds to the A column in the workbook.</p>', 'Cell$Row' => '<p>The row number of the row that contains the data.</p>', 'ClassificationResult$SizeClassified' => '<p>The total size in bytes of the affected data.</p>', 'CustomDataIdentifiersDetections$Count' => '<p>The total number of occurrences of sensitive data that were detected.</p>', 'CustomDataIdentifiersResult$TotalCount' => '<p>The total number of occurrences of sensitive data.</p>', 'Page$PageNumber' => '<p>The page number of the page that contains the sensitive data.</p>', 'Range$Start' => '<p>The number of lines (for a line range) or characters (for an offset range) from the beginning of the file to the end of the sensitive data.</p>', 'Range$End' => '<p>The number of lines (for a line range) or characters (for an offset range) from the beginning of the file to the end of the sensitive data.</p>', 'Range$StartColumn' => '<p>In the line where the sensitive data starts, the column within the line where the sensitive data starts.</p>', 'Record$RecordIndex' => '<p>The record index, starting from 0, for the record that contains the data.</p>', 'SensitiveDataDetections$Count' => '<p>The total number of occurrences of sensitive data that were detected.</p>', 'SensitiveDataResult$TotalCount' => '<p>The total number of occurrences of sensitive data.</p>', ], ], 'Malware' => [ 'base' => '<p>A list of malware related to a finding.</p>', 'refs' => [ 'MalwareList$member' => NULL, ], ], 'MalwareList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Malware' => '<p>A list of malware related to a finding.</p>', ], ], 'MalwareState' => [ 'base' => NULL, 'refs' => [ 'Malware$State' => '<p>The state of the malware that was observed.</p>', ], ], 'MalwareType' => [ 'base' => NULL, 'refs' => [ 'Malware$Type' => '<p>The type of the malware that was observed.</p>', ], ], 'MapFilter' => [ 'base' => '<p>A map filter for querying findings. Each map filter provides the field to check, the value to look for, and the comparison operator.</p>', 'refs' => [ 'MapFilterList$member' => NULL, ], ], 'MapFilterComparison' => [ 'base' => NULL, 'refs' => [ 'MapFilter$Comparison' => '<p>The condition to apply to the key value when querying for findings with a map filter.</p> <p>To search for values that exactly match the filter value, use <code>EQUALS</code>. For example, for the <code>ResourceTags</code> field, the filter <code>Department EQUALS Security</code> matches findings that have the value <code>Security</code> for the tag <code>Department</code>.</p> <p>To search for values other than the filter value, use <code>NOT_EQUALS</code>. For example, for the <code>ResourceTags</code> field, the filter <code>Department NOT_EQUALS Finance</code> matches findings that do not have the value <code>Finance</code> for the tag <code>Department</code>.</p> <p> <code>EQUALS</code> filters on the same field are joined by <code>OR</code>. A finding matches if it matches any one of those filters.</p> <p> <code>NOT_EQUALS</code> filters on the same field are joined by <code>AND</code>. A finding matches only if it matches all of those filters.</p> <p>You cannot have both an <code>EQUALS</code> filter and a <code>NOT_EQUALS</code> filter on the same field.</p>', ], ], 'MapFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$ProductFields' => '<p>A data type where security-findings providers can include additional solution-specific details that aren\'t part of the defined <code>AwsSecurityFinding</code> format.</p>', 'AwsSecurityFindingFilters$UserDefinedFields' => '<p>A list of name/value string pairs associated with the finding. These are custom, user-defined fields added to a finding. </p>', 'AwsSecurityFindingFilters$ResourceTags' => '<p>A list of Amazon Web Services tags associated with a resource at the time the finding was processed.</p>', 'AwsSecurityFindingFilters$ResourceDetailsOther' => '<p>The details of a resource that doesn\'t have a specific subfield for the resource type defined.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsRequest$MaxResults' => '<p>The maximum number of results to return.</p>', 'DescribeProductsRequest$MaxResults' => '<p>The maximum number of results to return.</p>', 'DescribeStandardsControlsRequest$MaxResults' => '<p>The maximum number of security standard controls to return.</p>', 'DescribeStandardsRequest$MaxResults' => '<p>The maximum number of standards to return.</p>', 'GetEnabledStandardsRequest$MaxResults' => '<p>The maximum number of results to return in the response.</p>', 'GetFindingsRequest$MaxResults' => '<p>The maximum number of findings to return.</p>', 'GetInsightsRequest$MaxResults' => '<p>The maximum number of items to return in the response.</p>', 'ListEnabledProductsForImportRequest$MaxResults' => '<p>The maximum number of items to return in the response.</p>', ], ], 'Member' => [ 'base' => '<p>The details about a member account.</p>', 'refs' => [ 'MemberList$member' => NULL, ], ], 'MemberList' => [ 'base' => NULL, 'refs' => [ 'GetMembersResponse$Members' => '<p>The list of details about the Security Hub member accounts.</p>', 'ListMembersResponse$Members' => '<p>Member details returned by the operation.</p>', ], ], 'Network' => [ 'base' => '<p>The details of network-related information about a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Network' => '<p>The details of network-related information about a finding.</p>', ], ], 'NetworkConnectionAction' => [ 'base' => '<p>Provided if <code>ActionType</code> is <code>NETWORK_CONNECTION</code>. It provides details about the attempted network connection that was detected.</p>', 'refs' => [ 'Action$NetworkConnectionAction' => '<p>Included if <code>ActionType</code> is <code>NETWORK_CONNECTION</code>. Provides details about the network connection that was detected.</p>', ], ], 'NetworkDirection' => [ 'base' => NULL, 'refs' => [ 'Network$Direction' => '<p>The direction of network traffic associated with a finding.</p>', ], ], 'NetworkHeader' => [ 'base' => '<p>Details about a network path component that occurs before or after the current component.</p>', 'refs' => [ 'NetworkPathComponent$Egress' => '<p>Information about the component that comes after the current component in the network path.</p>', 'NetworkPathComponent$Ingress' => '<p>Information about the component that comes before the current node in the network path.</p>', ], ], 'NetworkPathComponent' => [ 'base' => '<p>Information about a network path component.</p>', 'refs' => [ 'NetworkPathList$member' => NULL, ], ], 'NetworkPathComponentDetails' => [ 'base' => '<p>Information about the destination of the next component in the network path.</p>', 'refs' => [ 'NetworkHeader$Destination' => '<p>Information about the destination of the component.</p>', 'NetworkHeader$Source' => '<p>Information about the origin of the component.</p>', ], ], 'NetworkPathList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$NetworkPath' => '<p>Provides information about a network path that is relevant to a finding. Each entry under <code>NetworkPath</code> represents a component of that path.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'DescribeActionTargetsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>DescribeActionTargets</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'DescribeActionTargetsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'DescribeProductsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>DescribeProducts</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'DescribeProductsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'DescribeStandardsControlsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>DescribeStandardsControls</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'DescribeStandardsControlsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'DescribeStandardsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>DescribeStandards</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'DescribeStandardsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'GetEnabledStandardsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>GetEnabledStandards</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'GetEnabledStandardsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'GetFindingsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>GetFindings</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'GetFindingsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'GetInsightsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>GetInsights</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'GetInsightsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'ListEnabledProductsForImportRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>ListEnabledProductsForImport</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'ListEnabledProductsForImportResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'ListInvitationsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>ListInvitations</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'ListMembersRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>ListMembers</code> operation, set the value of this parameter to <code>NULL</code>.</p> <p>For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response.</p>', 'ListOrganizationAdminAccountsRequest$NextToken' => '<p>The token that is required for pagination. On your first call to the <code>ListOrganizationAdminAccounts</code> operation, set the value of this parameter to <code>NULL</code>. For subsequent calls to the operation, to continue listing data, set the value of this parameter to the value returned from the previous response. </p>', 'ListOrganizationAdminAccountsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', ], ], 'NonEmptyString' => [ 'base' => NULL, 'refs' => [ 'AcceptAdministratorInvitationRequest$AdministratorId' => '<p>The account ID of the Security Hub administrator account that sent the invitation.</p>', 'AcceptAdministratorInvitationRequest$InvitationId' => '<p>The identifier of the invitation sent from the Security Hub administrator account.</p>', 'AcceptInvitationRequest$MasterId' => '<p>The account ID of the Security Hub administrator account that sent the invitation.</p>', 'AcceptInvitationRequest$InvitationId' => '<p>The identifier of the invitation sent from the Security Hub administrator account.</p>', 'AccessDeniedException$Message' => NULL, 'AccessDeniedException$Code' => NULL, 'AccountDetails$Email' => '<p>The email of an Amazon Web Services account.</p>', 'AccountIdList$member' => NULL, 'Action$ActionType' => '<p>The type of action that was detected. The possible action types are:</p> <ul> <li> <p> <code>NETWORK_CONNECTION</code> </p> </li> <li> <p> <code>AWS_API_CALL</code> </p> </li> <li> <p> <code>DNS_REQUEST</code> </p> </li> <li> <p> <code>PORT_PROBE</code> </p> </li> </ul>', 'ActionLocalIpDetails$IpAddressV4' => '<p>The IP address.</p>', 'ActionLocalPortDetails$PortName' => '<p>The port name of the local connection.</p>', 'ActionRemoteIpDetails$IpAddressV4' => '<p>The IP address.</p>', 'ActionRemotePortDetails$PortName' => '<p>The port name of the remote connection.</p>', 'ActionTarget$ActionTargetArn' => '<p>The ARN for the target action.</p>', 'ActionTarget$Name' => '<p>The name of the action target.</p>', 'ActionTarget$Description' => '<p>The description of the target action.</p>', 'Adjustment$Metric' => '<p>The metric to adjust.</p>', 'Adjustment$Reason' => '<p>The reason for the adjustment.</p>', 'AdminAccount$AccountId' => '<p>The Amazon Web Services account identifier of the Security Hub administrator account.</p>', 'ArnList$member' => NULL, 'AvailabilityZone$ZoneName' => '<p>The name of the Availability Zone.</p>', 'AvailabilityZone$SubnetId' => '<p>The ID of the subnet. You can specify one subnet per Availability Zone.</p>', 'AwsApiCallAction$Api' => '<p>The name of the API method that was issued.</p>', 'AwsApiCallAction$ServiceName' => '<p>The name of the Amazon Web Services service that the API method belongs to.</p>', 'AwsApiCallAction$CallerType' => '<p>Indicates whether the API call originated from a remote IP address (<code>remoteip</code>) or from a DNS domain (<code>domain</code>).</p>', 'AwsApiCallAction$FirstSeen' => '<p>An ISO8601-formatted timestamp that indicates when the API call was first observed.</p>', 'AwsApiCallAction$LastSeen' => '<p>An ISO8601-formatted timestamp that indicates when the API call was most recently observed.</p>', 'AwsApiCallActionDomainDetails$Domain' => '<p>The name of the DNS domain that issued the API call.</p>', 'AwsApiGatewayAccessLogSettings$Format' => '<p>A single-line format of the access logs of data, as specified by selected <code>$context</code> variables. The format must include at least <code>$context.requestId</code>.</p>', 'AwsApiGatewayAccessLogSettings$DestinationArn' => '<p>The ARN of the CloudWatch Logs log group that receives the access logs.</p>', 'AwsApiGatewayCanarySettings$DeploymentId' => '<p>The deployment identifier for the canary deployment.</p>', 'AwsApiGatewayMethodSettings$LoggingLevel' => '<p>The logging level for this method. The logging level affects the log entries that are pushed to CloudWatch Logs.</p> <p>If the logging level is <code>ERROR</code>, then the logs only include error-level entries.</p> <p>If the logging level is <code>INFO</code>, then the logs include both <code>ERROR</code> events and extra informational events.</p> <p>Valid values: <code>OFF</code> | <code>ERROR</code> | <code>INFO</code> </p>', 'AwsApiGatewayMethodSettings$UnauthorizedCacheControlHeaderStrategy' => '<p>Indicates how to handle unauthorized requests for cache invalidation.</p> <p>Valid values: <code>FAIL_WITH_403</code> | <code>SUCCEED_WITH_RESPONSE_HEADER</code> | <code>SUCCEED_WITHOUT_RESPONSE_HEADER</code> </p>', 'AwsApiGatewayMethodSettings$HttpMethod' => '<p>The HTTP method. You can use an asterisk (*) as a wildcard to apply method settings to multiple methods.</p>', 'AwsApiGatewayMethodSettings$ResourcePath' => '<p>The resource path for this method. Forward slashes (/) are encoded as ~1 . The initial slash must include a forward slash.</p> <p>For example, the path value <code>/resource/subresource</code> must be encoded as <code>/~1resource~1subresource</code>.</p> <p>To specify the root path, use only a slash (/). You can use an asterisk (*) as a wildcard to apply method settings to multiple methods.</p>', 'AwsApiGatewayRestApiDetails$Id' => '<p>The identifier of the REST API.</p>', 'AwsApiGatewayRestApiDetails$Name' => '<p>The name of the REST API.</p>', 'AwsApiGatewayRestApiDetails$Description' => '<p>A description of the REST API.</p>', 'AwsApiGatewayRestApiDetails$CreatedDate' => '<p>Indicates when the API was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsApiGatewayRestApiDetails$Version' => '<p>The version identifier for the REST API.</p>', 'AwsApiGatewayRestApiDetails$ApiKeySource' => '<p>The source of the API key for metering requests according to a usage plan.</p> <p> <code>HEADER</code> indicates whether to read the API key from the X-API-Key header of a request.</p> <p> <code>AUTHORIZER</code> indicates whether to read the API key from the <code>UsageIdentifierKey</code> from a custom authorizer.</p>', 'AwsApiGatewayStageDetails$DeploymentId' => '<p>The identifier of the deployment that the stage points to.</p>', 'AwsApiGatewayStageDetails$ClientCertificateId' => '<p>The identifier of the client certificate for the stage.</p>', 'AwsApiGatewayStageDetails$StageName' => '<p>The name of the stage.</p>', 'AwsApiGatewayStageDetails$Description' => '<p>A description of the stage.</p>', 'AwsApiGatewayStageDetails$CacheClusterSize' => '<p>If a cache cluster is enabled, the size of the cache cluster.</p>', 'AwsApiGatewayStageDetails$CacheClusterStatus' => '<p>If a cache cluster is enabled, the status of the cache cluster.</p>', 'AwsApiGatewayStageDetails$DocumentationVersion' => '<p>The version of the API documentation that is associated with the stage.</p>', 'AwsApiGatewayStageDetails$CreatedDate' => '<p>Indicates when the stage was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsApiGatewayStageDetails$LastUpdatedDate' => '<p>Indicates when the stage was most recently updated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsApiGatewayStageDetails$WebAclArn' => '<p>The ARN of the web ACL associated with the stage.</p>', 'AwsApiGatewayV2ApiDetails$ApiEndpoint' => '<p>The URI of the API. </p> <p>Uses the format <code> <i>&lt;api-id&gt;</i>.execute-api.<i>&lt;region&gt;</i>.amazonaws.com</code> </p> <p>The stage name is typically appended to the URI to form a complete path to a deployed API stage.</p>', 'AwsApiGatewayV2ApiDetails$ApiId' => '<p>The identifier of the API.</p>', 'AwsApiGatewayV2ApiDetails$ApiKeySelectionExpression' => '<p>An API key selection expression. Supported only for WebSocket APIs. </p>', 'AwsApiGatewayV2ApiDetails$CreatedDate' => '<p>Indicates when the API was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsApiGatewayV2ApiDetails$Description' => '<p>A description of the API.</p>', 'AwsApiGatewayV2ApiDetails$Version' => '<p>The version identifier for the API.</p>', 'AwsApiGatewayV2ApiDetails$Name' => '<p>The name of the API.</p>', 'AwsApiGatewayV2ApiDetails$ProtocolType' => '<p>The API protocol for the API.</p> <p>Valid values: <code>WEBSOCKET</code> | <code>HTTP</code> </p>', 'AwsApiGatewayV2ApiDetails$RouteSelectionExpression' => '<p>The route selection expression for the API.</p> <p>For HTTP APIs, must be <code>${request.method} ${request.path}</code>. This is the default value for HTTP APIs.</p> <p>For WebSocket APIs, there is no default value.</p>', 'AwsApiGatewayV2RouteSettings$LoggingLevel' => '<p>The logging level. The logging level affects the log entries that are pushed to CloudWatch Logs. Supported only for WebSocket APIs.</p> <p>If the logging level is <code>ERROR</code>, then the logs only include error-level entries.</p> <p>If the logging level is <code>INFO</code>, then the logs include both <code>ERROR</code> events and extra informational events.</p> <p>Valid values: <code>OFF</code> | <code>ERROR</code> | <code>INFO</code> </p>', 'AwsApiGatewayV2StageDetails$ClientCertificateId' => '<p>The identifier of a client certificate for a stage. Supported only for WebSocket API calls.</p>', 'AwsApiGatewayV2StageDetails$CreatedDate' => '<p>Indicates when the stage was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsApiGatewayV2StageDetails$Description' => '<p>The description of the stage.</p>', 'AwsApiGatewayV2StageDetails$DeploymentId' => '<p>The identifier of the deployment that the stage is associated with. </p>', 'AwsApiGatewayV2StageDetails$LastUpdatedDate' => '<p>Indicates when the stage was most recently updated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsApiGatewayV2StageDetails$StageName' => '<p>The name of the stage.</p>', 'AwsApiGatewayV2StageDetails$LastDeploymentStatusMessage' => '<p>The status of the last deployment of a stage. Supported only if the stage has automatic deployment enabled.</p>', 'AwsAutoScalingAutoScalingGroupDetails$LaunchConfigurationName' => '<p>The name of the launch configuration.</p>', 'AwsAutoScalingAutoScalingGroupDetails$HealthCheckType' => '<p>The service to use for the health checks.</p>', 'AwsAutoScalingAutoScalingGroupDetails$CreatedTime' => '<p>Indicates when the auto scaling group was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsDetails$DeviceName' => '<p>The device name that is exposed to the EC2 instance. For example, <code>/dev/sdh</code> or <code>xvdh</code>.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsDetails$VirtualName' => '<p>The name of the virtual device (for example, <code>ephemeral0</code>).</p> <p>You can provide either <code>VirtualName</code> or <code>Ebs</code>, but not both.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetails$SnapshotId' => '<p>The snapshot ID of the volume to use.</p> <p>You must specify either <code>VolumeSize</code> or <code>SnapshotId</code>.</p>', 'AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetails$VolumeType' => '<p>The volume type.</p>', 'AwsAutoScalingLaunchConfigurationDetails$ClassicLinkVpcId' => '<p>The identifier of a ClassicLink-enabled VPC that EC2-Classic instances are linked to.</p>', 'AwsAutoScalingLaunchConfigurationDetails$CreatedTime' => '<p>The creation date and time for the launch configuration.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsAutoScalingLaunchConfigurationDetails$IamInstanceProfile' => '<p>The name or the ARN of the instance profile associated with the IAM role for the instance. The instance profile contains the IAM role.</p>', 'AwsAutoScalingLaunchConfigurationDetails$ImageId' => '<p>The identifier of the Amazon Machine Image (AMI) that is used to launch EC2 instances.</p>', 'AwsAutoScalingLaunchConfigurationDetails$InstanceType' => '<p>The instance type for the instances.</p>', 'AwsAutoScalingLaunchConfigurationDetails$KernelId' => '<p>The identifier of the kernel associated with the AMI.</p>', 'AwsAutoScalingLaunchConfigurationDetails$KeyName' => '<p>The name of the key pair.</p>', 'AwsAutoScalingLaunchConfigurationDetails$LaunchConfigurationName' => '<p>The name of the launch configuration.</p>', 'AwsAutoScalingLaunchConfigurationDetails$PlacementTenancy' => '<p>The tenancy of the instance. An instance with <code>dedicated</code> tenancy runs on isolated, single-tenant hardware and can only be launched into a VPC.</p>', 'AwsAutoScalingLaunchConfigurationDetails$RamdiskId' => '<p>The identifier of the RAM disk associated with the AMI.</p>', 'AwsAutoScalingLaunchConfigurationDetails$SpotPrice' => '<p>The maximum hourly price to be paid for any Spot Instance that is launched to fulfill the request.</p>', 'AwsAutoScalingLaunchConfigurationDetails$UserData' => '<p>The user data to make available to the launched EC2 instances. Must be base64-encoded text.</p>', 'AwsCertificateManagerCertificateDetails$CertificateAuthorityArn' => '<p>The ARN of the private certificate authority (CA) that will be used to issue the certificate.</p>', 'AwsCertificateManagerCertificateDetails$CreatedAt' => '<p>Indicates when the certificate was requested.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsCertificateManagerCertificateDetails$DomainName' => '<p>The fully qualified domain name (FQDN), such as www.example.com, that is secured by the certificate.</p>', 'AwsCertificateManagerCertificateDetails$FailureReason' => '<p>For a failed certificate request, the reason for the failure.</p> <p>Valid values: <code>NO_AVAILABLE_CONTACTS</code> | <code>ADDITIONAL_VERIFICATION_REQUIRED</code> | <code>DOMAIN_NOT_ALLOWED</code> | <code>INVALID_PUBLIC_DOMAIN</code> | <code>DOMAIN_VALIDATION_DENIED</code> | <code>CAA_ERROR</code> | <code>PCA_LIMIT_EXCEEDED</code> | <code>PCA_INVALID_ARN</code> | <code>PCA_INVALID_STATE</code> | <code>PCA_REQUEST_FAILED</code> | <code>PCA_NAME_CONSTRAINTS_VALIDATION</code> | <code>PCA_RESOURCE_NOT_FOUND</code> | <code>PCA_INVALID_ARGS</code> | <code>PCA_INVALID_DURATION</code> | <code>PCA_ACCESS_DENIED</code> | <code>SLR_NOT_FOUND</code> | <code>OTHER</code> </p>', 'AwsCertificateManagerCertificateDetails$ImportedAt' => '<p>Indicates when the certificate was imported. Provided if the certificate type is <code>IMPORTED</code>.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsCertificateManagerCertificateDetails$IssuedAt' => '<p>Indicates when the certificate was issued. Provided if the certificate type is <code>AMAZON_ISSUED</code>.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsCertificateManagerCertificateDetails$Issuer' => '<p>The name of the certificate authority that issued and signed the certificate.</p>', 'AwsCertificateManagerCertificateDetails$KeyAlgorithm' => '<p>The algorithm that was used to generate the public-private key pair.</p> <p>Valid values: <code>RSA_2048</code> | <code>RSA_1024</code> |<code> RSA_4096</code> | <code>EC_prime256v1</code> | <code>EC_secp384r1</code> | <code>EC_secp521r1</code> </p>', 'AwsCertificateManagerCertificateDetails$NotAfter' => '<p>The time after which the certificate becomes invalid.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsCertificateManagerCertificateDetails$NotBefore' => '<p>The time before which the certificate is not valid.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsCertificateManagerCertificateDetails$RenewalEligibility' => '<p>Whether the certificate is eligible for renewal.</p> <p>Valid values: <code>ELIGIBLE</code> | <code>INELIGIBLE</code> </p>', 'AwsCertificateManagerCertificateDetails$Serial' => '<p>The serial number of the certificate.</p>', 'AwsCertificateManagerCertificateDetails$SignatureAlgorithm' => '<p>The algorithm that was used to sign the certificate.</p>', 'AwsCertificateManagerCertificateDetails$Status' => '<p>The status of the certificate.</p> <p>Valid values: <code>PENDING_VALIDATION</code> | <code>ISSUED</code> | <code>INACTIVE</code> | <code>EXPIRED</code> | <code>VALIDATION_TIMED_OUT</code> | <code>REVOKED</code> | <code>FAILED</code> </p>', 'AwsCertificateManagerCertificateDetails$Subject' => '<p>The name of the entity that is associated with the public key contained in the certificate.</p>', 'AwsCertificateManagerCertificateDetails$Type' => '<p>The source of the certificate. For certificates that Certificate Manager provides, <code>Type</code> is <code>AMAZON_ISSUED</code>. For certificates that are imported with <code>ImportCertificate</code>, <code>Type</code> is <code>IMPORTED</code>.</p> <p>Valid values: <code>IMPORTED</code> | <code>AMAZON_ISSUED</code> | <code>PRIVATE</code> </p>', 'AwsCertificateManagerCertificateDomainValidationOption$DomainName' => '<p>A fully qualified domain name (FQDN) in the certificate.</p>', 'AwsCertificateManagerCertificateDomainValidationOption$ValidationDomain' => '<p>The domain name that Certificate Manager uses to send domain validation emails.</p>', 'AwsCertificateManagerCertificateDomainValidationOption$ValidationMethod' => '<p>The method used to validate the domain name.</p>', 'AwsCertificateManagerCertificateDomainValidationOption$ValidationStatus' => '<p>The validation status of the domain name.</p>', 'AwsCertificateManagerCertificateExtendedKeyUsage$Name' => '<p>The name of an extension value. Indicates the purpose for which the certificate public key can be used.</p>', 'AwsCertificateManagerCertificateExtendedKeyUsage$OId' => '<p>An object identifier (OID) for the extension value.</p> <p>The format is numbers separated by periods.</p>', 'AwsCertificateManagerCertificateKeyUsage$Name' => '<p>The key usage extension name.</p>', 'AwsCertificateManagerCertificateOptions$CertificateTransparencyLoggingPreference' => '<p>Whether to add the certificate to a transparency log.</p> <p>Valid values: <code>DISABLED</code> | <code>ENABLED</code> </p>', 'AwsCertificateManagerCertificateRenewalSummary$RenewalStatus' => '<p>The status of the Certificate Manager managed renewal of the certificate.</p> <p>Valid values: <code>PENDING_AUTO_RENEWAL</code> | <code>PENDING_VALIDATION</code> | <code>SUCCESS</code> | <code>FAILED</code> </p>', 'AwsCertificateManagerCertificateRenewalSummary$RenewalStatusReason' => '<p>The reason that a renewal request was unsuccessful.</p> <p>Valid values: <code>NO_AVAILABLE_CONTACTS</code> | <code>ADDITIONAL_VERIFICATION_REQUIRED</code> | <code>DOMAIN_NOT_ALLOWED</code> | <code>INVALID_PUBLIC_DOMAIN</code> | <code>DOMAIN_VALIDATION_DENIED</code> | <code>CAA_ERROR</code> | <code>PCA_LIMIT_EXCEEDED</code> | <code>PCA_INVALID_ARN</code> | <code>PCA_INVALID_STATE</code> | <code>PCA_REQUEST_FAILED</code> | <code>PCA_NAME_CONSTRAINTS_VALIDATION</code> | <code>PCA_RESOURCE_NOT_FOUND</code> | <code>PCA_INVALID_ARGS</code> | <code>PCA_INVALID_DURATION</code> | <code>PCA_ACCESS_DENIED</code> | <code>SLR_NOT_FOUND</code> | <code>OTHER</code> </p>', 'AwsCertificateManagerCertificateRenewalSummary$UpdatedAt' => '<p>Indicates when the renewal summary was last updated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsCertificateManagerCertificateResourceRecord$Name' => '<p>The name of the resource.</p>', 'AwsCertificateManagerCertificateResourceRecord$Type' => '<p>The type of resource.</p>', 'AwsCertificateManagerCertificateResourceRecord$Value' => '<p>The value of the resource.</p>', 'AwsCloudFrontDistributionCacheBehavior$ViewerProtocolPolicy' => '<p>The protocol that viewers can use to access the files in an origin. You can specify the following options:</p> <ul> <li> <p> <code>allow-all</code> - Viewers can use HTTP or HTTPS.</p> </li> <li> <p> <code>redirect-to-https</code> - CloudFront responds to HTTP requests with an HTTP status code of 301 (Moved Permanently) and the HTTPS URL. The viewer then uses the new URL to resubmit.</p> </li> <li> <p> <code>https-only</code> - CloudFront responds to HTTP request with an HTTP status code of 403 (Forbidden).</p> </li> </ul>', 'AwsCloudFrontDistributionDefaultCacheBehavior$ViewerProtocolPolicy' => '<p>The protocol that viewers can use to access the files in an origin. You can specify the following options:</p> <ul> <li> <p> <code>allow-all</code> - Viewers can use HTTP or HTTPS.</p> </li> <li> <p> <code>redirect-to-https</code> - CloudFront responds to HTTP requests with an HTTP status code of 301 (Moved Permanently) and the HTTPS URL. The viewer then uses the new URL to resubmit.</p> </li> <li> <p> <code>https-only</code> - CloudFront responds to HTTP request with an HTTP status code of 403 (Forbidden).</p> </li> </ul>', 'AwsCloudFrontDistributionDetails$DefaultRootObject' => '<p>The object that CloudFront sends in response to requests from the origin (for example, index.html) when a viewer requests the root URL for the distribution (http://www.example.com) instead of an object in your distribution (http://www.example.com/product-description.html). </p>', 'AwsCloudFrontDistributionDetails$DomainName' => '<p>The domain name corresponding to the distribution.</p>', 'AwsCloudFrontDistributionDetails$ETag' => '<p>The entity tag is a hash of the object.</p>', 'AwsCloudFrontDistributionDetails$LastModifiedTime' => '<p>Indicates when that the distribution was last modified.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsCloudFrontDistributionDetails$Status' => '<p>Indicates the current status of the distribution.</p>', 'AwsCloudFrontDistributionDetails$WebAclId' => '<p>A unique identifier that specifies the WAF web ACL, if any, to associate with this distribution.</p>', 'AwsCloudFrontDistributionLogging$Bucket' => '<p>The S3 bucket to store the access logs in.</p>', 'AwsCloudFrontDistributionLogging$Prefix' => '<p>An optional string that you want CloudFront to use as a prefix to the access log filenames for this distribution.</p>', 'AwsCloudFrontDistributionOriginItem$DomainName' => '<p>Amazon S3 origins: The DNS name of the S3 bucket from which you want CloudFront to get objects for this origin.</p>', 'AwsCloudFrontDistributionOriginItem$Id' => '<p>A unique identifier for the origin or origin group.</p>', 'AwsCloudFrontDistributionOriginItem$OriginPath' => '<p>An optional element that causes CloudFront to request your content from a directory in your Amazon S3 bucket or your custom origin.</p>', 'AwsCloudFrontDistributionOriginS3OriginConfig$OriginAccessIdentity' => '<p>The CloudFront origin access identity to associate with the origin.</p>', 'AwsCloudTrailTrailDetails$CloudWatchLogsLogGroupArn' => '<p>The ARN of the log group that CloudTrail logs are delivered to.</p>', 'AwsCloudTrailTrailDetails$CloudWatchLogsRoleArn' => '<p>The ARN of the role that the CloudWatch Events endpoint assumes when it writes to the log group.</p>', 'AwsCloudTrailTrailDetails$HomeRegion' => '<p>The Region where the trail was created.</p>', 'AwsCloudTrailTrailDetails$KmsKeyId' => '<p>The KMS key ID to use to encrypt the logs.</p>', 'AwsCloudTrailTrailDetails$Name' => '<p>The name of the trail.</p>', 'AwsCloudTrailTrailDetails$S3BucketName' => '<p>The name of the S3 bucket where the log files are published.</p>', 'AwsCloudTrailTrailDetails$S3KeyPrefix' => '<p>The S3 key prefix. The key prefix is added after the name of the S3 bucket where the log files are published.</p>', 'AwsCloudTrailTrailDetails$SnsTopicArn' => '<p>The ARN of the SNS topic that is used for notifications of log file delivery.</p>', 'AwsCloudTrailTrailDetails$SnsTopicName' => '<p>The name of the SNS topic that is used for notifications of log file delivery.</p>', 'AwsCloudTrailTrailDetails$TrailArn' => '<p>The ARN of the trail.</p>', 'AwsCodeBuildProjectDetails$EncryptionKey' => '<p>The KMS key used to encrypt the build output artifacts.</p> <p>You can specify either the ARN of the KMS key or, if available, the KMS key alias (using the format alias/alias-name). </p>', 'AwsCodeBuildProjectDetails$Name' => '<p>The name of the build project.</p>', 'AwsCodeBuildProjectDetails$ServiceRole' => '<p>The ARN of the IAM role that enables CodeBuild to interact with dependent Amazon Web Services services on behalf of the Amazon Web Services account.</p>', 'AwsCodeBuildProjectEnvironment$Certificate' => '<p>The certificate to use with this build project.</p>', 'AwsCodeBuildProjectEnvironment$ImagePullCredentialsType' => '<p>The type of credentials CodeBuild uses to pull images in your build.</p> <p>Valid values:</p> <ul> <li> <p> <code>CODEBUILD</code> specifies that CodeBuild uses its own credentials. This requires that you modify your ECR repository policy to trust the CodeBuild service principal.</p> </li> <li> <p> <code>SERVICE_ROLE</code> specifies that CodeBuild uses your build project\'s service role.</p> </li> </ul> <p>When you use a cross-account or private registry image, you must use <code>SERVICE_ROLE</code> credentials. When you use an CodeBuild curated image, you must use <code>CODEBUILD</code> credentials.</p>', 'AwsCodeBuildProjectEnvironment$Type' => '<p>The type of build environment to use for related builds.</p> <p>The environment type <code>ARM_CONTAINER</code> is available only in Regions US East (N. Virginia), US East (Ohio), US West (Oregon), Europe (Ireland), Asia Pacific (Mumbai), Asia Pacific (Tokyo), Asia Pacific (Sydney), and Europe (Frankfurt).</p> <p>The environment type <code>LINUX_CONTAINER</code> with compute type build.general1.2xlarge is available only in Regions US East (N. Virginia), US East (N. Virginia), US West (Oregon), Canada (Central), Europe (Ireland), Europe (London), Europe (Frankfurt), Asia Pacific (Tokyo), Asia Pacific (Seoul), Asia Pacific (Singapore), Asia Pacific (Sydney), China (Beijing), and China (Ningxia).</p> <p>The environment type <code>LINUX_GPU_CONTAINER</code> is available only in Regions US East (N. Virginia), US East (N. Virginia), US West (Oregon), Canada (Central), Europe (Ireland), Europe (London), Europe (Frankfurt), Asia Pacific (Tokyo), Asia Pacific (Seoul), Asia Pacific (Singapore), Asia Pacific (Sydney), China (Beijing), and China (Ningxia).</p> <p>Valid values: <code>WINDOWS_CONTAINER</code> | <code>LINUX_CONTAINER</code> | <code>LINUX_GPU_CONTAINER</code> | <code>ARM_CONTAINER</code> </p>', 'AwsCodeBuildProjectEnvironmentRegistryCredential$Credential' => '<p>The ARN or name of credentials created using Secrets Manager.</p> <note> <p>The credential can use the name of the credentials only if they exist in your current Amazon Web Services Region. </p> </note>', 'AwsCodeBuildProjectEnvironmentRegistryCredential$CredentialProvider' => '<p>The service that created the credentials to access a private Docker registry.</p> <p>The valid value,<code> SECRETS_MANAGER</code>, is for Secrets Manager.</p>', 'AwsCodeBuildProjectSource$Type' => '<p>The type of repository that contains the source code to be built. Valid values are:</p> <ul> <li> <p> <code>BITBUCKET</code> - The source code is in a Bitbucket repository.</p> </li> <li> <p> <code>CODECOMMIT</code> - The source code is in an CodeCommit repository.</p> </li> <li> <p> <code>CODEPIPELINE</code> - The source code settings are specified in the source action of a pipeline in CodePipeline.</p> </li> <li> <p> <code>GITHUB</code> - The source code is in a GitHub repository.</p> </li> <li> <p> <code>GITHUB_ENTERPRISE</code> - The source code is in a GitHub Enterprise repository.</p> </li> <li> <p> <code>NO_SOURCE</code> - The project does not have input source code.</p> </li> <li> <p> <code>S3</code> - The source code is in an S3 input bucket. </p> </li> </ul>', 'AwsCodeBuildProjectSource$Location' => '<p>Information about the location of the source code to be built.</p> <p>Valid values include:</p> <ul> <li> <p>For source code settings that are specified in the source action of a pipeline in CodePipeline, location should not be specified. If it is specified, CodePipeline ignores it. This is because CodePipeline uses the settings in a pipeline\'s source action instead of this value.</p> </li> <li> <p>For source code in an CodeCommit repository, the HTTPS clone URL to the repository that contains the source code and the build spec file (for example, <code>https://git-codecommit.region-ID.amazonaws.com/v1/repos/repo-name</code> ).</p> </li> <li> <p>For source code in an S3 input bucket, one of the following.</p> <ul> <li> <p>The path to the ZIP file that contains the source code (for example, <code>bucket-name/path/to/object-name.zip</code>).</p> </li> <li> <p> The path to the folder that contains the source code (for example, <code>bucket-name/path/to/source-code/folder/</code>).</p> </li> </ul> </li> <li> <p>For source code in a GitHub repository, the HTTPS clone URL to the repository that contains the source and the build spec file.</p> </li> <li> <p>For source code in a Bitbucket repository, the HTTPS clone URL to the repository that contains the source and the build spec file. </p> </li> </ul>', 'AwsCodeBuildProjectVpcConfig$VpcId' => '<p>The ID of the VPC.</p>', 'AwsDynamoDbTableAttributeDefinition$AttributeName' => '<p>The name of the attribute.</p>', 'AwsDynamoDbTableAttributeDefinition$AttributeType' => '<p>The type of the attribute.</p>', 'AwsDynamoDbTableBillingModeSummary$BillingMode' => '<p>The method used to charge for read and write throughput and to manage capacity.</p>', 'AwsDynamoDbTableBillingModeSummary$LastUpdateToPayPerRequestDateTime' => '<p>If the billing mode is <code>PAY_PER_REQUEST</code>, indicates when the billing mode was set to that value.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsDynamoDbTableDetails$CreationDateTime' => '<p>Indicates when the table was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsDynamoDbTableDetails$GlobalTableVersion' => '<p>The version of global tables being used.</p>', 'AwsDynamoDbTableDetails$LatestStreamArn' => '<p>The ARN of the latest stream for the table.</p>', 'AwsDynamoDbTableDetails$LatestStreamLabel' => '<p>The label of the latest stream. The label is not a unique identifier.</p>', 'AwsDynamoDbTableDetails$TableId' => '<p>The identifier of the table.</p>', 'AwsDynamoDbTableDetails$TableName' => '<p>The name of the table.</p>', 'AwsDynamoDbTableDetails$TableStatus' => '<p>The current status of the table.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$IndexArn' => '<p>The ARN of the index.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$IndexName' => '<p>The name of the index.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$IndexStatus' => '<p>The current status of the index.</p>', 'AwsDynamoDbTableKeySchema$AttributeName' => '<p>The name of the key schema attribute.</p>', 'AwsDynamoDbTableKeySchema$KeyType' => '<p>The type of key used for the key schema attribute.</p>', 'AwsDynamoDbTableLocalSecondaryIndex$IndexArn' => '<p>The ARN of the index.</p>', 'AwsDynamoDbTableLocalSecondaryIndex$IndexName' => '<p>The name of the index.</p>', 'AwsDynamoDbTableProjection$ProjectionType' => '<p>The types of attributes that are projected into the index.</p>', 'AwsDynamoDbTableProvisionedThroughput$LastDecreaseDateTime' => '<p>Indicates when the provisioned throughput was last decreased.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsDynamoDbTableProvisionedThroughput$LastIncreaseDateTime' => '<p>Indicates when the provisioned throughput was last increased.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsDynamoDbTableReplica$KmsMasterKeyId' => '<p>The identifier of the KMS key that will be used for KMS encryption for the replica.</p>', 'AwsDynamoDbTableReplica$RegionName' => '<p>The name of the Region where the replica is located.</p>', 'AwsDynamoDbTableReplica$ReplicaStatus' => '<p>The current status of the replica.</p>', 'AwsDynamoDbTableReplica$ReplicaStatusDescription' => '<p>Detailed information about the replica status.</p>', 'AwsDynamoDbTableReplicaGlobalSecondaryIndex$IndexName' => '<p>The name of the index.</p>', 'AwsDynamoDbTableRestoreSummary$SourceBackupArn' => '<p>The ARN of the source backup from which the table was restored.</p>', 'AwsDynamoDbTableRestoreSummary$SourceTableArn' => '<p>The ARN of the source table for the backup.</p>', 'AwsDynamoDbTableRestoreSummary$RestoreDateTime' => '<p>Indicates the point in time that the table was restored to.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsDynamoDbTableSseDescription$InaccessibleEncryptionDateTime' => '<p>If the key is inaccessible, the date and time when DynamoDB detected that the key was inaccessible.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsDynamoDbTableSseDescription$Status' => '<p>The status of the server-side encryption.</p>', 'AwsDynamoDbTableSseDescription$SseType' => '<p>The type of server-side encryption.</p>', 'AwsDynamoDbTableSseDescription$KmsMasterKeyArn' => '<p>The ARN of the KMS key that is used for the KMS encryption.</p>', 'AwsDynamoDbTableStreamSpecification$StreamViewType' => '<p>Determines the information that is written to the table.</p>', 'AwsEc2EipDetails$InstanceId' => '<p>The identifier of the EC2 instance.</p>', 'AwsEc2EipDetails$PublicIp' => '<p>A public IP address that is associated with the EC2 instance.</p>', 'AwsEc2EipDetails$AllocationId' => '<p>The identifier that Amazon Web Services assigns to represent the allocation of the Elastic IP address for use with Amazon VPC.</p>', 'AwsEc2EipDetails$AssociationId' => '<p>The identifier that represents the association of the Elastic IP address with an EC2 instance.</p>', 'AwsEc2EipDetails$Domain' => '<p>The domain in which to allocate the address.</p> <p>If the address is for use with EC2 instances in a VPC, then <code>Domain</code> is <code>vpc</code>. Otherwise, <code>Domain</code> is <code>standard</code>. </p>', 'AwsEc2EipDetails$PublicIpv4Pool' => '<p>The identifier of an IP address pool. This parameter allows Amazon EC2 to select an IP address from the address pool.</p>', 'AwsEc2EipDetails$NetworkBorderGroup' => '<p>The name of the location from which the Elastic IP address is advertised.</p>', 'AwsEc2EipDetails$NetworkInterfaceId' => '<p>The identifier of the network interface.</p>', 'AwsEc2EipDetails$NetworkInterfaceOwnerId' => '<p>The Amazon Web Services account ID of the owner of the network interface.</p>', 'AwsEc2EipDetails$PrivateIpAddress' => '<p>The private IP address that is associated with the Elastic IP address.</p>', 'AwsEc2InstanceDetails$Type' => '<p>The instance type of the instance. </p>', 'AwsEc2InstanceDetails$ImageId' => '<p>The Amazon Machine Image (AMI) ID of the instance.</p>', 'AwsEc2InstanceDetails$KeyName' => '<p>The key name associated with the instance.</p>', 'AwsEc2InstanceDetails$IamInstanceProfileArn' => '<p>The IAM profile ARN of the instance.</p>', 'AwsEc2InstanceDetails$VpcId' => '<p>The identifier of the VPC that the instance was launched in.</p>', 'AwsEc2InstanceDetails$SubnetId' => '<p>The identifier of the subnet that the instance was launched in.</p>', 'AwsEc2InstanceDetails$LaunchedAt' => '<p>Indicates when the instance was launched.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsEc2InstanceNetworkInterfacesDetails$NetworkInterfaceId' => '<p>The identifier of the network interface. The details are in a corresponding <code>AwsEc2NetworkInterfacesDetails</code> object.</p>', 'AwsEc2NetworkAclAssociation$NetworkAclAssociationId' => '<p>The identifier of the association between the network ACL and the subnet.</p>', 'AwsEc2NetworkAclAssociation$NetworkAclId' => '<p>The identifier of the network ACL.</p>', 'AwsEc2NetworkAclAssociation$SubnetId' => '<p>The identifier of the subnet that is associated with the network ACL.</p>', 'AwsEc2NetworkAclDetails$NetworkAclId' => '<p>The identifier of the network ACL.</p>', 'AwsEc2NetworkAclDetails$OwnerId' => '<p>The identifier of the Amazon Web Services account that owns the network ACL.</p>', 'AwsEc2NetworkAclDetails$VpcId' => '<p>The identifier of the VPC for the network ACL.</p>', 'AwsEc2NetworkAclEntry$CidrBlock' => '<p>The IPV4 network range for which to deny or allow access.</p>', 'AwsEc2NetworkAclEntry$Ipv6CidrBlock' => '<p>The IPV6 network range for which to deny or allow access.</p>', 'AwsEc2NetworkAclEntry$Protocol' => '<p>The protocol that the rule applies to. To deny or allow access to all protocols, use the value -1.</p>', 'AwsEc2NetworkAclEntry$RuleAction' => '<p>Whether the rule is used to allow access or deny access.</p>', 'AwsEc2NetworkInterfaceAttachment$AttachTime' => '<p>Indicates when the attachment initiated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsEc2NetworkInterfaceAttachment$AttachmentId' => '<p>The identifier of the network interface attachment</p>', 'AwsEc2NetworkInterfaceAttachment$InstanceId' => '<p>The ID of the instance.</p>', 'AwsEc2NetworkInterfaceAttachment$InstanceOwnerId' => '<p>The Amazon Web Services account ID of the owner of the instance.</p>', 'AwsEc2NetworkInterfaceAttachment$Status' => '<p>The attachment state.</p> <p>Valid values: <code>attaching</code> | <code>attached</code> | <code>detaching</code> | <code>detached</code> </p>', 'AwsEc2NetworkInterfaceDetails$NetworkInterfaceId' => '<p>The ID of the network interface.</p>', 'AwsEc2NetworkInterfaceDetails$PublicDnsName' => '<p>The public DNS name of the network interface.</p>', 'AwsEc2NetworkInterfaceDetails$PublicIp' => '<p>The address of the Elastic IP address bound to the network interface.</p>', 'AwsEc2NetworkInterfaceIpV6AddressDetail$IpV6Address' => '<p>The IPV6 address.</p>', 'AwsEc2NetworkInterfacePrivateIpAddressDetail$PrivateIpAddress' => '<p>The IP address.</p>', 'AwsEc2NetworkInterfacePrivateIpAddressDetail$PrivateDnsName' => '<p>The private DNS name for the IP address.</p>', 'AwsEc2NetworkInterfaceSecurityGroup$GroupName' => '<p>The name of the security group.</p>', 'AwsEc2NetworkInterfaceSecurityGroup$GroupId' => '<p>The ID of the security group.</p>', 'AwsEc2SecurityGroupDetails$GroupName' => '<p>The name of the security group.</p>', 'AwsEc2SecurityGroupDetails$GroupId' => '<p>The ID of the security group.</p>', 'AwsEc2SecurityGroupDetails$OwnerId' => '<p>The Amazon Web Services account ID of the owner of the security group.</p>', 'AwsEc2SecurityGroupDetails$VpcId' => '<p>[VPC only] The ID of the VPC for the security group.</p>', 'AwsEc2SecurityGroupIpPermission$IpProtocol' => '<p>The IP protocol name (<code>tcp</code>, <code>udp</code>, <code>icmp</code>, <code>icmpv6</code>) or number.</p> <p>[VPC only] Use <code>-1</code> to specify all protocols.</p> <p>When authorizing security group rules, specifying -1 or a protocol number other than <code>tcp</code>, <code>udp</code>, <code>icmp</code>, or <code>icmpv6</code> allows traffic on all ports, regardless of any port range you specify.</p> <p>For <code>tcp</code>, <code>udp</code>, and <code>icmp</code>, you must specify a port range.</p> <p>For <code>icmpv6</code>, the port range is optional. If you omit the port range, traffic for all types and codes is allowed. </p>', 'AwsEc2SecurityGroupIpRange$CidrIp' => '<p>The IPv4 CIDR range. You can specify either a CIDR range or a source security group, but not both. To specify a single IPv4 address, use the /32 prefix length.</p>', 'AwsEc2SecurityGroupIpv6Range$CidrIpv6' => '<p>The IPv6 CIDR range. You can specify either a CIDR range or a source security group, but not both. To specify a single IPv6 address, use the /128 prefix length.</p>', 'AwsEc2SecurityGroupPrefixListId$PrefixListId' => '<p>The ID of the prefix.</p>', 'AwsEc2SecurityGroupUserIdGroupPair$GroupId' => '<p>The ID of the security group.</p>', 'AwsEc2SecurityGroupUserIdGroupPair$GroupName' => '<p>The name of the security group.</p>', 'AwsEc2SecurityGroupUserIdGroupPair$PeeringStatus' => '<p>The status of a VPC peering connection, if applicable.</p>', 'AwsEc2SecurityGroupUserIdGroupPair$UserId' => '<p>The ID of an Amazon Web Services account.</p> <p>For a referenced security group in another VPC, the account ID of the referenced security group is returned in the response. If the referenced security group is deleted, this value is not returned.</p> <p>[EC2-Classic] Required when adding or removing rules that reference a security group in another VPC. </p>', 'AwsEc2SecurityGroupUserIdGroupPair$VpcId' => '<p>The ID of the VPC for the referenced security group, if applicable.</p>', 'AwsEc2SecurityGroupUserIdGroupPair$VpcPeeringConnectionId' => '<p>The ID of the VPC peering connection, if applicable.</p>', 'AwsEc2SubnetDetails$AvailabilityZone' => '<p>The Availability Zone for the subnet.</p>', 'AwsEc2SubnetDetails$AvailabilityZoneId' => '<p>The identifier of the Availability Zone for the subnet.</p>', 'AwsEc2SubnetDetails$CidrBlock' => '<p>The IPV4 CIDR block that is assigned to the subnet.</p>', 'AwsEc2SubnetDetails$OwnerId' => '<p>The identifier of the Amazon Web Services account that owns the subnet.</p>', 'AwsEc2SubnetDetails$State' => '<p>The current state of the subnet.</p>', 'AwsEc2SubnetDetails$SubnetArn' => '<p>The ARN of the subnet.</p>', 'AwsEc2SubnetDetails$SubnetId' => '<p>The identifier of the subnet.</p>', 'AwsEc2SubnetDetails$VpcId' => '<p>The identifier of the VPC that contains the subnet.</p>', 'AwsEc2VolumeAttachment$AttachTime' => '<p>The datetime when the attachment initiated.</p>', 'AwsEc2VolumeAttachment$InstanceId' => '<p>The identifier of the EC2 instance.</p>', 'AwsEc2VolumeAttachment$Status' => '<p>The attachment state of the volume.</p>', 'AwsEc2VolumeDetails$CreateTime' => '<p>Indicates when the volume was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsEc2VolumeDetails$SnapshotId' => '<p>The snapshot from which the volume was created.</p>', 'AwsEc2VolumeDetails$Status' => '<p>The volume state.</p>', 'AwsEc2VolumeDetails$KmsKeyId' => '<p>The ARN of the KMS key that was used to protect the volume encryption key for the volume.</p>', 'AwsEc2VpcDetails$DhcpOptionsId' => '<p>The identifier of the set of Dynamic Host Configuration Protocol (DHCP) options that are associated with the VPC. If the default options are associated with the VPC, then this is default.</p>', 'AwsEc2VpcDetails$State' => '<p>The current state of the VPC.</p>', 'AwsEc2VpnConnectionDetails$VpnConnectionId' => '<p>The identifier of the VPN connection.</p>', 'AwsEc2VpnConnectionDetails$State' => '<p>The current state of the VPN connection.</p>', 'AwsEc2VpnConnectionDetails$CustomerGatewayId' => '<p>The identifier of the customer gateway that is at your end of the VPN connection.</p>', 'AwsEc2VpnConnectionDetails$CustomerGatewayConfiguration' => '<p>The configuration information for the VPN connection\'s customer gateway, in the native XML format.</p>', 'AwsEc2VpnConnectionDetails$Type' => '<p>The type of VPN connection.</p>', 'AwsEc2VpnConnectionDetails$VpnGatewayId' => '<p>The identifier of the virtual private gateway that is at the Amazon Web Services side of the VPN connection.</p>', 'AwsEc2VpnConnectionDetails$Category' => '<p>The category of the VPN connection. <code>VPN</code> indicates an Amazon Web Services VPN connection. <code>VPN-Classic</code> indicates an Amazon Web Services Classic VPN connection.</p>', 'AwsEc2VpnConnectionDetails$TransitGatewayId' => '<p>The identifier of the transit gateway that is associated with the VPN connection.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$OutsideIpAddress' => '<p>The external IP address of the VPN tunnel.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$PreSharedKey' => '<p>The preshared key to establish initial authentication between the virtual private gateway and the customer gateway.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$TunnelInsideCidr' => '<p>The range of inside IPv4 addresses for the tunnel.</p>', 'AwsEc2VpnConnectionRoutesDetails$DestinationCidrBlock' => '<p>The CIDR block associated with the local subnet of the customer data center.</p>', 'AwsEc2VpnConnectionRoutesDetails$State' => '<p>The current state of the static route.</p>', 'AwsEc2VpnConnectionVgwTelemetryDetails$CertificateArn' => '<p>The ARN of the VPN tunnel endpoint certificate.</p>', 'AwsEc2VpnConnectionVgwTelemetryDetails$LastStatusChange' => '<p>The date and time of the last change in status.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsEc2VpnConnectionVgwTelemetryDetails$OutsideIpAddress' => '<p>The Internet-routable IP address of the virtual private gateway\'s outside interface.</p>', 'AwsEc2VpnConnectionVgwTelemetryDetails$Status' => '<p>The status of the VPN tunnel.</p>', 'AwsEc2VpnConnectionVgwTelemetryDetails$StatusMessage' => '<p>If an error occurs, a description of the error.</p>', 'AwsEcrContainerImageDetails$RegistryId' => '<p>The Amazon Web Services account identifier that is associated with the registry that the image belongs to.</p>', 'AwsEcrContainerImageDetails$RepositoryName' => '<p>The name of the repository that the image belongs to.</p>', 'AwsEcrContainerImageDetails$Architecture' => '<p>The architecture of the image.</p>', 'AwsEcrContainerImageDetails$ImageDigest' => '<p>The sha256 digest of the image manifest.</p>', 'AwsEcrContainerImageDetails$ImagePublishedAt' => '<p>The date and time when the image was pushed to the repository.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsEcsClusterClusterSettingsDetails$Name' => '<p>The name of the setting.</p>', 'AwsEcsClusterClusterSettingsDetails$Value' => '<p>The value of the setting.</p>', 'AwsEcsClusterConfigurationExecuteCommandConfigurationDetails$KmsKeyId' => '<p>The identifier of the KMS key that is used to encrypt the data between the local client and the container.</p>', 'AwsEcsClusterConfigurationExecuteCommandConfigurationDetails$Logging' => '<p>The log setting to use for redirecting logs for run command results.</p>', 'AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails$CloudWatchLogGroupName' => '<p>The name of the CloudWatch log group to send the logs to.</p>', 'AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails$S3BucketName' => '<p>The name of the S3 bucket to send logs to.</p>', 'AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetails$S3KeyPrefix' => '<p>Identifies the folder in the S3 bucket to send the logs to.</p>', 'AwsEcsClusterDefaultCapacityProviderStrategyDetails$CapacityProvider' => '<p>The name of the capacity provider.</p>', 'AwsEcsServiceCapacityProviderStrategyDetails$CapacityProvider' => '<p>The short name of the capacity provider.</p>', 'AwsEcsServiceDeploymentControllerDetails$Type' => '<p>The rolling update (<code>ECS</code>) deployment type replaces the current running version of the container with the latest version.</p> <p>The blue/green (<code>CODE_DEPLOY</code>) deployment type uses the blue/green deployment model that is powered by CodeDeploy. This deployment model a new deployment of a service can be verified before production traffic is sent to it.</p> <p>The external (<code>EXTERNAL</code>) deployment type allows the use of any third-party deployment controller for full control over the deployment process for an Amazon ECS service.</p> <p>Valid values: <code>ECS</code> | <code>CODE_DEPLOY</code> | <code>EXTERNAL</code> </p>', 'AwsEcsServiceDetails$Cluster' => '<p>The ARN of the cluster that hosts the service.</p>', 'AwsEcsServiceDetails$LaunchType' => '<p>The launch type that the service uses.</p> <p>Valid values: <code>EC2</code> | <code>FARGATE</code> | <code>EXTERNAL</code> </p>', 'AwsEcsServiceDetails$Name' => '<p>The name of the service.</p>', 'AwsEcsServiceDetails$PlatformVersion' => '<p>The platform version on which to run the service. Only specified for tasks that are hosted on Fargate. If a platform version is not specified, the <code>LATEST</code> platform version is used by default.</p>', 'AwsEcsServiceDetails$PropagateTags' => '<p>Indicates whether to propagate the tags from the task definition to the task or from the service to the task. If no value is provided, then tags are not propagated.</p> <p>Valid values: <code>TASK_DEFINITION</code> | <code>SERVICE</code> </p>', 'AwsEcsServiceDetails$Role' => '<p>The ARN of the IAM role that is associated with the service. The role allows the Amazon ECS container agent to register container instances with an Elastic Load Balancing load balancer.</p>', 'AwsEcsServiceDetails$SchedulingStrategy' => '<p>The scheduling strategy to use for the service.</p> <p>The <code>REPLICA</code> scheduling strategy places and maintains the desired number of tasks across the cluster. By default, the service scheduler spreads tasks across Availability Zones. Task placement strategies and constraints are used to customize task placement decisions.</p> <p>The <code>DAEMON</code> scheduling strategy deploys exactly one task on each active container instance that meets all of the task placement constraints that are specified in the cluster. The service scheduler also evaluates the task placement constraints for running tasks and stops tasks that do not meet the placement constraints.</p> <p>Valid values: <code>REPLICA</code> | <code>DAEMON</code> </p>', 'AwsEcsServiceDetails$ServiceArn' => '<p>The ARN of the service.</p>', 'AwsEcsServiceDetails$ServiceName' => '<p>The name of the service.</p> <p>The name can contain up to 255 characters. It can use letters, numbers, underscores, and hyphens.</p>', 'AwsEcsServiceDetails$TaskDefinition' => '<p>The task definition to use for tasks in the service.</p>', 'AwsEcsServiceLoadBalancersDetails$ContainerName' => '<p>The name of the container to associate with the load balancer.</p>', 'AwsEcsServiceLoadBalancersDetails$LoadBalancerName' => '<p>The name of the load balancer to associate with the Amazon ECS service or task set.</p> <p>Only specified when using a Classic Load Balancer. For an Application Load Balancer or a Network Load Balancer, the load balancer name is omitted.</p>', 'AwsEcsServiceLoadBalancersDetails$TargetGroupArn' => '<p>The ARN of the Elastic Load Balancing target group or groups associated with a service or task set.</p> <p>Only specified when using an Application Load Balancer or a Network Load Balancer. For a Classic Load Balancer, the target group ARN is omitted.</p>', 'AwsEcsServiceNetworkConfigurationAwsVpcConfigurationDetails$AssignPublicIp' => '<p>Whether the task\'s elastic network interface receives a public IP address. The default value is <code>DISABLED</code>.</p> <p>Valid values: <code>ENABLED</code> | <code>DISABLED</code> </p>', 'AwsEcsServicePlacementConstraintsDetails$Expression' => '<p>A cluster query language expression to apply to the constraint. You cannot specify an expression if the constraint type is <code>distinctInstance</code>.</p>', 'AwsEcsServicePlacementConstraintsDetails$Type' => '<p>The type of constraint. Use <code>distinctInstance</code> to run each task in a particular group on a different container instance. Use <code>memberOf</code> to restrict the selection to a group of valid candidates.</p> <p>Valid values: <code>distinctInstance</code> | <code>memberOf</code> </p>', 'AwsEcsServicePlacementStrategiesDetails$Field' => '<p>The field to apply the placement strategy against.</p> <p>For the <code>spread</code> placement strategy, valid values are <code>instanceId</code> (or <code>host</code>, which has the same effect), or any platform or custom attribute that is applied to a container instance, such as <code>attribute:ecs.availability-zone</code>.</p> <p>For the <code>binpack</code> placement strategy, valid values are <code>cpu</code> and <code>memory</code>.</p> <p>For the <code>random</code> placement strategy, this attribute is not used.</p>', 'AwsEcsServicePlacementStrategiesDetails$Type' => '<p>The type of placement strategy.</p> <p>The <code>random</code> placement strategy randomly places tasks on available candidates.</p> <p>The <code>spread</code> placement strategy spreads placement across available candidates evenly based on the value of <code>Field</code>.</p> <p>The <code>binpack</code> strategy places tasks on available candidates that have the least available amount of the resource that is specified in <code>Field</code>.</p> <p>Valid values: <code>random</code> | <code>spread</code> | <code>binpack</code> </p>', 'AwsEcsServiceServiceRegistriesDetails$ContainerName' => '<p>The container name value to use for the service discovery service.</p> <p>If the task definition uses the <code>bridge</code> or <code>host</code> network mode, you must specify <code>ContainerName</code> and <code>ContainerPort</code>.</p> <p>If the task definition uses the <code>awsvpc</code> network mode and a type SRV DNS record, you must specify either <code>ContainerName</code> and <code>ContainerPort</code>, or <code>Port</code> , but not both.</p>', 'AwsEcsServiceServiceRegistriesDetails$RegistryArn' => '<p>The ARN of the service registry.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDependsOnDetails$Condition' => '<p>The dependency condition of the dependent container. Indicates the required status of the dependent container before the current container can start.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDependsOnDetails$ContainerName' => '<p>The name of the dependent container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Hostname' => '<p>The hostname to use for the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Image' => '<p>The image used to start the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Name' => '<p>The name of the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$User' => '<p>The user to use inside the container.</p> <p>The value can use one of the following formats.</p> <ul> <li> <p> <code> <i>user</i> </code> </p> </li> <li> <p> <code> <i>user</i> </code>:<code> <i>group</i> </code> </p> </li> <li> <p> <code> <i>uid</i> </code> </p> </li> <li> <p> <code> <i>uid</i> </code>:<code> <i>gid</i> </code> </p> </li> <li> <p> <code> <i>user</i> </code>:<code> <i>gid</i> </code> </p> </li> <li> <p> <code> <i>uid</i> </code>:<code> <i>group</i> </code> </p> </li> </ul>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$WorkingDirectory' => '<p>The working directory in which to run commands inside the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentDetails$Name' => '<p>The name of the environment variable.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentDetails$Value' => '<p>The value of the environment variable.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentFilesDetails$Type' => '<p>The type of environment file.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsEnvironmentFilesDetails$Value' => '<p>The ARN of the S3 object that contains the environment variable file.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsExtraHostsDetails$Hostname' => '<p>The hostname to use in the <b>/etc/hosts</b> entry.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsExtraHostsDetails$IpAddress' => '<p>The IP address to use in the <b>/etc/hosts</b> entry.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetails$Type' => '<p>The log router to use. </p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDevicesDetails$ContainerPath' => '<p>The path inside the container at which to expose the host device.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDevicesDetails$HostPath' => '<p>The path for the device on the host container instance.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersTmpfsDetails$ContainerPath' => '<p>The absolute file path where the tmpfs volume is to be mounted.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetails$LogDriver' => '<p>The log driver to use for the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsDetails$Name' => '<p>The name of the secret.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsDetails$ValueFrom' => '<p>The secret to expose to the container.</p> <p>The value is either the full ARN of the Secrets Manager secret or the full ARN of the parameter in the Systems Manager Parameter Store.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsMountPointsDetails$ContainerPath' => '<p>The path on the container to mount the host volume at.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsMountPointsDetails$SourceVolume' => '<p>The name of the volume to mount. Must match the name of a volume listed in <code>VolumeDetails</code> for the task definition.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsPortMappingsDetails$Protocol' => '<p>The protocol used for the port mapping. The default is <code>tcp</code>.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsRepositoryCredentialsDetails$CredentialsParameter' => '<p>The ARN of the secret that contains the private repository credentials.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsResourceRequirementsDetails$Type' => '<p>The type of resource to assign to a container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsResourceRequirementsDetails$Value' => '<p>The value for the specified resource type.</p> <p>For <code>GPU</code>, the value is the number of physical GPUs the Amazon ECS container agent reserves for the container.</p> <p>For <code>InferenceAccelerator</code>, the value should match the <code>DeviceName</code> attribute of an entry in <code>InferenceAccelerators</code>.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsSecretsDetails$Name' => '<p>The name of the secret.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsSecretsDetails$ValueFrom' => '<p>The secret to expose to the container. The value is either the full ARN of the Secrets Manager secret or the full ARN of the parameter in the Systems Manager Parameter Store.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsSystemControlsDetails$Namespace' => '<p>The namespaced kernel parameter for which to set a value.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsSystemControlsDetails$Value' => '<p>The value of the parameter.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsUlimitsDetails$Name' => '<p>The type of the ulimit.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsVolumesFromDetails$SourceContainer' => '<p>The name of another container within the same task definition from which to mount volumes.</p>', 'AwsEcsTaskDefinitionDetails$Cpu' => '<p>The number of CPU units used by the task.</p>', 'AwsEcsTaskDefinitionDetails$ExecutionRoleArn' => '<p>The ARN of the task execution role that grants the container agent permission to make API calls on behalf of the container user.</p>', 'AwsEcsTaskDefinitionDetails$Family' => '<p>The name of a family that this task definition is registered to.</p>', 'AwsEcsTaskDefinitionDetails$IpcMode' => '<p>The IPC resource namespace to use for the containers in the task.</p>', 'AwsEcsTaskDefinitionDetails$Memory' => '<p>The amount (in MiB) of memory used by the task.</p>', 'AwsEcsTaskDefinitionDetails$NetworkMode' => '<p>The Docker networking mode to use for the containers in the task.</p>', 'AwsEcsTaskDefinitionDetails$PidMode' => '<p>The process namespace to use for the containers in the task.</p>', 'AwsEcsTaskDefinitionDetails$TaskRoleArn' => '<p>The short name or ARN of the IAM role that grants containers in the task permission to call Amazon Web Services API operations on your behalf.</p>', 'AwsEcsTaskDefinitionInferenceAcceleratorsDetails$DeviceName' => '<p>The Elastic Inference accelerator device name.</p>', 'AwsEcsTaskDefinitionInferenceAcceleratorsDetails$DeviceType' => '<p>The Elastic Inference accelerator type to use.</p>', 'AwsEcsTaskDefinitionPlacementConstraintsDetails$Expression' => '<p>A cluster query language expression to apply to the constraint.</p>', 'AwsEcsTaskDefinitionPlacementConstraintsDetails$Type' => '<p>The type of constraint.</p>', 'AwsEcsTaskDefinitionProxyConfigurationDetails$ContainerName' => '<p>The name of the container that will serve as the App Mesh proxy.</p>', 'AwsEcsTaskDefinitionProxyConfigurationDetails$Type' => '<p>The proxy type.</p>', 'AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesDetails$Name' => '<p>The name of the property.</p>', 'AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesDetails$Value' => '<p>The value of the property.</p>', 'AwsEcsTaskDefinitionVolumesDetails$Name' => '<p>The name of the data volume.</p>', 'AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails$Driver' => '<p>The Docker volume driver to use.</p>', 'AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetails$Scope' => '<p>The scope for the Docker volume that determines its lifecycle. Docker volumes that are scoped to a task are provisioned automatically when the task starts and destroyed when the task stops. Docker volumes that are shared persist after the task stops.</p>', 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationAuthorizationConfigDetails$AccessPointId' => '<p>The Amazon EFS access point identifier to use.</p>', 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationAuthorizationConfigDetails$Iam' => '<p>Whether to use the Amazon ECS task IAM role defined in a task definition when mounting the Amazon EFS file system.</p>', 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails$FilesystemId' => '<p>The Amazon EFS file system identifier to use.</p>', 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails$RootDirectory' => '<p>The directory within the Amazon EFS file system to mount as the root directory inside the host.</p>', 'AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetails$TransitEncryption' => '<p>Whether to enable encryption for Amazon EFS data in transit between the Amazon ECS host and the Amazon EFS server. </p>', 'AwsEcsTaskDefinitionVolumesHostDetails$SourcePath' => '<p>The path on the host container instance that is presented to the container.</p>', 'AwsElasticBeanstalkEnvironmentDetails$ApplicationName' => '<p>The name of the application that is associated with the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$Cname' => '<p>The URL to the CNAME for this environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$DateCreated' => '<p>The creation date for this environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$DateUpdated' => '<p>The date when this environment was last modified.</p>', 'AwsElasticBeanstalkEnvironmentDetails$Description' => '<p>A description of the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$EndpointUrl' => '<p>For load-balanced, autoscaling environments, the URL to the load balancer. For single-instance environments, the IP address of the instance.</p>', 'AwsElasticBeanstalkEnvironmentDetails$EnvironmentArn' => '<p>The ARN of the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$EnvironmentId' => '<p>The identifier of the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$EnvironmentName' => '<p>The name of the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$PlatformArn' => '<p>The ARN of the platform version for the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$SolutionStackName' => '<p>The name of the solution stack that is deployed with the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$Status' => '<p>The current operational status of the environment.</p>', 'AwsElasticBeanstalkEnvironmentDetails$VersionLabel' => '<p>The application version of the environment.</p>', 'AwsElasticBeanstalkEnvironmentEnvironmentLink$EnvironmentName' => '<p>The name of the linked environment.</p>', 'AwsElasticBeanstalkEnvironmentEnvironmentLink$LinkName' => '<p>The name of the environment link.</p>', 'AwsElasticBeanstalkEnvironmentOptionSetting$Namespace' => '<p>The type of resource that the configuration option is associated with.</p>', 'AwsElasticBeanstalkEnvironmentOptionSetting$OptionName' => '<p>The name of the option.</p>', 'AwsElasticBeanstalkEnvironmentOptionSetting$ResourceName' => '<p>The name of the resource.</p>', 'AwsElasticBeanstalkEnvironmentOptionSetting$Value' => '<p>The value of the configuration setting.</p>', 'AwsElasticBeanstalkEnvironmentTier$Name' => '<p>The name of the environment tier.</p>', 'AwsElasticBeanstalkEnvironmentTier$Type' => '<p>The type of environment tier.</p>', 'AwsElasticBeanstalkEnvironmentTier$Version' => '<p>The version of the environment tier.</p>', 'AwsElasticsearchDomainDetails$AccessPolicies' => '<p>IAM policy document specifying the access policies for the new Elasticsearch domain.</p>', 'AwsElasticsearchDomainDetails$DomainId' => '<p>Unique identifier for an Elasticsearch domain.</p>', 'AwsElasticsearchDomainDetails$DomainName' => '<p>Name of an Elasticsearch domain.</p> <p>Domain names are unique across all domains owned by the same account within an Amazon Web Services Region.</p> <p>Domain names must start with a lowercase letter and must be between 3 and 28 characters.</p> <p>Valid characters are a-z (lowercase only), 0-9, and – (hyphen). </p>', 'AwsElasticsearchDomainDetails$Endpoint' => '<p>Domain-specific endpoint used to submit index, search, and data upload requests to an Elasticsearch domain.</p> <p>The endpoint is a service URL. </p>', 'AwsElasticsearchDomainDetails$ElasticsearchVersion' => '<p>Elasticsearch version.</p>', 'AwsElasticsearchDomainDomainEndpointOptions$TLSSecurityPolicy' => '<p>The TLS security policy to apply to the HTTPS endpoint of the Elasticsearch domain.</p> <p>Valid values:</p> <ul> <li> <p> <code>Policy-Min-TLS-1-0-2019-07</code>, which supports TLSv1.0 and higher</p> </li> <li> <p> <code>Policy-Min-TLS-1-2-2019-07</code>, which only supports TLSv1.2</p> </li> </ul>', 'AwsElasticsearchDomainElasticsearchClusterConfigDetails$DedicatedMasterType' => '<p>The hardware configuration of the computer that hosts the dedicated master node. For example, <code>m3.medium.elasticsearch</code>. If this attribute is specified, then <code>DedicatedMasterEnabled</code> must be <code>true</code>.</p>', 'AwsElasticsearchDomainElasticsearchClusterConfigDetails$InstanceType' => '<p>The instance type for your data nodes. For example, <code>m3.medium.elasticsearch</code>.</p>', 'AwsElasticsearchDomainEncryptionAtRestOptions$KmsKeyId' => '<p>The KMS key ID. Takes the form 1a2a3a4-1a2a-3a4a-5a6a-1a2a3a4a5a6a.</p>', 'AwsElasticsearchDomainLogPublishingOptionsLogConfig$CloudWatchLogsLogGroupArn' => '<p>The ARN of the CloudWatch Logs group to publish the logs to.</p>', 'AwsElasticsearchDomainServiceSoftwareOptions$AutomatedUpdateDate' => '<p>The epoch time when the deployment window closes for required updates. After this time, Amazon Elasticsearch Service schedules the software upgrade automatically.</p>', 'AwsElasticsearchDomainServiceSoftwareOptions$CurrentVersion' => '<p>The version of the service software that is currently installed on the domain.</p>', 'AwsElasticsearchDomainServiceSoftwareOptions$Description' => '<p>A more detailed description of the service software status.</p>', 'AwsElasticsearchDomainServiceSoftwareOptions$NewVersion' => '<p>The most recent version of the service software.</p>', 'AwsElasticsearchDomainServiceSoftwareOptions$UpdateStatus' => '<p>The status of the service software update.</p>', 'AwsElasticsearchDomainVPCOptions$VPCId' => '<p>ID for the VPC.</p>', 'AwsElbAppCookieStickinessPolicy$CookieName' => '<p>The name of the application cookie used for stickiness.</p>', 'AwsElbAppCookieStickinessPolicy$PolicyName' => '<p>The mnemonic name for the policy being created. The name must be unique within the set of policies for the load balancer.</p>', 'AwsElbLbCookieStickinessPolicy$PolicyName' => '<p>The name of the policy. The name must be unique within the set of policies for the load balancer.</p>', 'AwsElbLoadBalancerAccessLog$S3BucketName' => '<p>The name of the S3 bucket where the access logs are stored.</p>', 'AwsElbLoadBalancerAccessLog$S3BucketPrefix' => '<p>The logical hierarchy that was created for the S3 bucket.</p> <p>If a prefix is not provided, the log is placed at the root level of the bucket.</p>', 'AwsElbLoadBalancerDetails$CanonicalHostedZoneName' => '<p>The name of the Amazon Route 53 hosted zone for the load balancer.</p>', 'AwsElbLoadBalancerDetails$CanonicalHostedZoneNameID' => '<p>The ID of the Amazon Route 53 hosted zone for the load balancer.</p>', 'AwsElbLoadBalancerDetails$CreatedTime' => '<p>Indicates when the load balancer was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsElbLoadBalancerDetails$DnsName' => '<p>The DNS name of the load balancer.</p>', 'AwsElbLoadBalancerDetails$LoadBalancerName' => '<p>The name of the load balancer.</p>', 'AwsElbLoadBalancerDetails$Scheme' => '<p>The type of load balancer. Only provided if the load balancer is in a VPC.</p> <p>If <code>Scheme</code> is <code>internet-facing</code>, the load balancer has a public DNS name that resolves to a public IP address.</p> <p>If <code>Scheme</code> is <code>internal</code>, the load balancer has a public DNS name that resolves to a private IP address.</p>', 'AwsElbLoadBalancerDetails$VpcId' => '<p>The identifier of the VPC for the load balancer.</p>', 'AwsElbLoadBalancerHealthCheck$Target' => '<p>The instance that is being checked. The target specifies the protocol and port. The available protocols are TCP, SSL, HTTP, and HTTPS. The range of valid ports is 1 through 65535.</p> <p>For the HTTP and HTTPS protocols, the target also specifies the ping path.</p> <p>For the TCP protocol, the target is specified as <code>TCP: <i>&lt;port&gt;</i> </code>.</p> <p>For the SSL protocol, the target is specified as <code>SSL.<i>&lt;port&gt;</i> </code>.</p> <p>For the HTTP and HTTPS protocols, the target is specified as <code> <i>&lt;protocol&gt;</i>:<i>&lt;port&gt;</i>/<i>&lt;path to ping&gt;</i> </code>.</p>', 'AwsElbLoadBalancerInstance$InstanceId' => '<p>The instance identifier.</p>', 'AwsElbLoadBalancerListener$InstanceProtocol' => '<p>The protocol to use to route traffic to instances.</p> <p>Valid values: <code>HTTP</code> | <code>HTTPS</code> | <code>TCP</code> | <code>SSL</code> </p>', 'AwsElbLoadBalancerListener$Protocol' => '<p>The load balancer transport protocol to use for routing.</p> <p>Valid values: <code>HTTP</code> | <code>HTTPS</code> | <code>TCP</code> | <code>SSL</code> </p>', 'AwsElbLoadBalancerListener$SslCertificateId' => '<p>The ARN of the server certificate.</p>', 'AwsElbLoadBalancerSourceSecurityGroup$GroupName' => '<p>The name of the security group.</p>', 'AwsElbLoadBalancerSourceSecurityGroup$OwnerAlias' => '<p>The owner of the security group.</p>', 'AwsElbv2LoadBalancerDetails$CanonicalHostedZoneId' => '<p>The ID of the Amazon Route 53 hosted zone associated with the load balancer.</p>', 'AwsElbv2LoadBalancerDetails$CreatedTime' => '<p>Indicates when the load balancer was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsElbv2LoadBalancerDetails$DNSName' => '<p>The public DNS name of the load balancer.</p>', 'AwsElbv2LoadBalancerDetails$IpAddressType' => '<p>The type of IP addresses used by the subnets for your load balancer. The possible values are <code>ipv4</code> (for IPv4 addresses) and <code>dualstack</code> (for IPv4 and IPv6 addresses).</p>', 'AwsElbv2LoadBalancerDetails$Scheme' => '<p>The nodes of an Internet-facing load balancer have public IP addresses.</p>', 'AwsElbv2LoadBalancerDetails$Type' => '<p>The type of load balancer.</p>', 'AwsElbv2LoadBalancerDetails$VpcId' => '<p>The ID of the VPC for the load balancer.</p>', 'AwsIamAccessKeyDetails$UserName' => '<p>The user associated with the IAM access key related to a finding.</p> <p>The <code>UserName</code> parameter has been replaced with the <code>PrincipalName</code> parameter because access keys can also be assigned to principals that are not IAM users.</p>', 'AwsIamAccessKeyDetails$CreatedAt' => '<p>Indicates when the IAM access key was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamAccessKeyDetails$PrincipalId' => '<p>The ID of the principal associated with an access key.</p>', 'AwsIamAccessKeyDetails$PrincipalType' => '<p>The type of principal associated with an access key.</p>', 'AwsIamAccessKeyDetails$PrincipalName' => '<p>The name of the principal.</p>', 'AwsIamAccessKeyDetails$AccountId' => '<p>The Amazon Web Services account ID of the account for the key.</p>', 'AwsIamAccessKeyDetails$AccessKeyId' => '<p>The identifier of the access key.</p>', 'AwsIamAccessKeySessionContextAttributes$CreationDate' => '<p>Indicates when the session was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamAccessKeySessionContextSessionIssuer$Type' => '<p>The type of principal (user, role, or group) that created the session.</p>', 'AwsIamAccessKeySessionContextSessionIssuer$PrincipalId' => '<p>The principal ID of the principal (user, role, or group) that created the session.</p>', 'AwsIamAccessKeySessionContextSessionIssuer$Arn' => '<p>The ARN of the session.</p>', 'AwsIamAccessKeySessionContextSessionIssuer$AccountId' => '<p>The identifier of the Amazon Web Services account that created the session.</p>', 'AwsIamAccessKeySessionContextSessionIssuer$UserName' => '<p>The name of the principal that created the session.</p>', 'AwsIamAttachedManagedPolicy$PolicyName' => '<p>The name of the policy.</p>', 'AwsIamAttachedManagedPolicy$PolicyArn' => '<p>The ARN of the policy.</p>', 'AwsIamGroupDetails$CreateDate' => '<p>Indicates when the IAM group was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamGroupDetails$GroupId' => '<p>The identifier of the IAM group.</p>', 'AwsIamGroupDetails$GroupName' => '<p>The name of the IAM group.</p>', 'AwsIamGroupDetails$Path' => '<p>The path to the group.</p>', 'AwsIamGroupPolicy$PolicyName' => '<p>The name of the policy.</p>', 'AwsIamInstanceProfile$Arn' => '<p>The ARN of the instance profile.</p>', 'AwsIamInstanceProfile$CreateDate' => '<p>Indicates when the instance profile was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamInstanceProfile$InstanceProfileId' => '<p>The identifier of the instance profile.</p>', 'AwsIamInstanceProfile$InstanceProfileName' => '<p>The name of the instance profile.</p>', 'AwsIamInstanceProfile$Path' => '<p>The path to the instance profile.</p>', 'AwsIamInstanceProfileRole$Arn' => '<p>The ARN of the role.</p>', 'AwsIamInstanceProfileRole$CreateDate' => '<p>Indicates when the role was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamInstanceProfileRole$Path' => '<p>The path to the role.</p>', 'AwsIamInstanceProfileRole$RoleId' => '<p>The identifier of the role.</p>', 'AwsIamInstanceProfileRole$RoleName' => '<p>The name of the role.</p>', 'AwsIamPermissionsBoundary$PermissionsBoundaryArn' => '<p>The ARN of the policy used to set the permissions boundary.</p>', 'AwsIamPermissionsBoundary$PermissionsBoundaryType' => '<p>The usage type for the permissions boundary.</p>', 'AwsIamPolicyDetails$CreateDate' => '<p>When the policy was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamPolicyDetails$DefaultVersionId' => '<p>The identifier of the default version of the policy.</p>', 'AwsIamPolicyDetails$Description' => '<p>A description of the policy.</p>', 'AwsIamPolicyDetails$Path' => '<p>The path to the policy.</p>', 'AwsIamPolicyDetails$PolicyId' => '<p>The unique identifier of the policy.</p>', 'AwsIamPolicyDetails$PolicyName' => '<p>The name of the policy.</p>', 'AwsIamPolicyDetails$UpdateDate' => '<p>When the policy was most recently updated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamPolicyVersion$VersionId' => '<p>The identifier of the policy version.</p>', 'AwsIamPolicyVersion$CreateDate' => '<p>Indicates when the version was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamRoleDetails$CreateDate' => '<p>Indicates when the role was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamRoleDetails$RoleId' => '<p>The stable and unique string identifying the role.</p>', 'AwsIamRoleDetails$RoleName' => '<p>The friendly name that identifies the role.</p>', 'AwsIamRoleDetails$Path' => '<p>The path to the role.</p>', 'AwsIamRolePolicy$PolicyName' => '<p>The name of the policy.</p>', 'AwsIamUserDetails$CreateDate' => '<p>Indicates when the user was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsIamUserDetails$Path' => '<p>The path to the user.</p>', 'AwsIamUserDetails$UserId' => '<p>The unique identifier for the user.</p>', 'AwsIamUserDetails$UserName' => '<p>The name of the user.</p>', 'AwsIamUserPolicy$PolicyName' => '<p>The name of the policy.</p>', 'AwsKmsKeyDetails$AWSAccountId' => '<p>The twelve-digit account ID of the Amazon Web Services account that owns the KMS key.</p>', 'AwsKmsKeyDetails$KeyId' => '<p>The globally unique identifier for the KMS key.</p>', 'AwsKmsKeyDetails$KeyManager' => '<p>The manager of the KMS key. KMS keys in your Amazon Web Services account are either customer managed or Amazon Web Services managed.</p>', 'AwsKmsKeyDetails$KeyState' => '<p>The state of the KMS key.</p>', 'AwsKmsKeyDetails$Origin' => '<p>The source of the KMS key material.</p> <p>When this value is <code>AWS_KMS</code>, KMS created the key material.</p> <p>When this value is <code>EXTERNAL</code>, the key material was imported from your existing key management infrastructure or the KMS key lacks key material.</p> <p>When this value is <code>AWS_CLOUDHSM</code>, the key material was created in the CloudHSM cluster associated with a custom key store.</p>', 'AwsKmsKeyDetails$Description' => '<p>A description of the key.</p>', 'AwsLambdaFunctionCode$S3Bucket' => '<p>An Amazon S3 bucket in the same Amazon Web Services Region as your function. The bucket can be in a different Amazon Web Services account.</p>', 'AwsLambdaFunctionCode$S3Key' => '<p>The Amazon S3 key of the deployment package.</p>', 'AwsLambdaFunctionCode$S3ObjectVersion' => '<p>For versioned objects, the version of the deployment package object to use.</p>', 'AwsLambdaFunctionCode$ZipFile' => '<p>The base64-encoded contents of the deployment package. Amazon Web Services SDK and Amazon Web Services CLI clients handle the encoding for you.</p>', 'AwsLambdaFunctionDeadLetterConfig$TargetArn' => '<p>The ARN of an SQS queue or SNS topic.</p>', 'AwsLambdaFunctionDetails$CodeSha256' => '<p>The SHA256 hash of the function\'s deployment package.</p>', 'AwsLambdaFunctionDetails$FunctionName' => '<p>The name of the function.</p>', 'AwsLambdaFunctionDetails$Handler' => '<p>The function that Lambda calls to begin executing your function.</p>', 'AwsLambdaFunctionDetails$KmsKeyArn' => '<p>The KMS key that is used to encrypt the function\'s environment variables. This key is only returned if you\'ve configured a customer managed customer managed key.</p>', 'AwsLambdaFunctionDetails$LastModified' => '<p>Indicates when the function was last updated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsLambdaFunctionDetails$MasterArn' => '<p>For Lambda@Edge functions, the ARN of the master function.</p>', 'AwsLambdaFunctionDetails$RevisionId' => '<p>The latest updated revision of the function or alias.</p>', 'AwsLambdaFunctionDetails$Role' => '<p>The function\'s execution role.</p>', 'AwsLambdaFunctionDetails$Runtime' => '<p>The runtime environment for the Lambda function.</p>', 'AwsLambdaFunctionDetails$Version' => '<p>The version of the Lambda function.</p>', 'AwsLambdaFunctionEnvironmentError$ErrorCode' => '<p>The error code.</p>', 'AwsLambdaFunctionEnvironmentError$Message' => '<p>The error message.</p>', 'AwsLambdaFunctionLayer$Arn' => '<p>The ARN of the function layer.</p>', 'AwsLambdaFunctionTracingConfig$Mode' => '<p>The tracing mode.</p>', 'AwsLambdaFunctionVpcConfig$VpcId' => '<p>The ID of the VPC.</p>', 'AwsLambdaLayerVersionDetails$CreatedDate' => '<p>Indicates when the version was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRdsDbClusterAssociatedRole$RoleArn' => '<p>The ARN of the IAM role.</p>', 'AwsRdsDbClusterAssociatedRole$Status' => '<p>The status of the association between the IAM role and the DB cluster.</p>', 'AwsRdsDbClusterDetails$DatabaseName' => '<p>The name of the database.</p>', 'AwsRdsDbClusterDetails$Status' => '<p>The current status of this DB cluster.</p>', 'AwsRdsDbClusterDetails$Endpoint' => '<p>The connection endpoint for the primary instance of the DB cluster.</p>', 'AwsRdsDbClusterDetails$ReaderEndpoint' => '<p>The reader endpoint for the DB cluster.</p>', 'AwsRdsDbClusterDetails$Engine' => '<p>The name of the database engine to use for this DB cluster.</p>', 'AwsRdsDbClusterDetails$EngineVersion' => '<p>The version number of the database engine to use.</p>', 'AwsRdsDbClusterDetails$MasterUsername' => '<p>The name of the master user for the DB cluster.</p>', 'AwsRdsDbClusterDetails$PreferredBackupWindow' => '<p>The range of time each day when automated backups are created, if automated backups are enabled.</p> <p>Uses the format <code>HH:MM-HH:MM</code>. For example, <code>04:52-05:22</code>.</p>', 'AwsRdsDbClusterDetails$PreferredMaintenanceWindow' => '<p>The weekly time range during which system maintenance can occur, in Universal Coordinated Time (UTC).</p> <p>Uses the format <code>&lt;day&gt;:HH:MM-&lt;day&gt;:HH:MM</code>.</p> <p>For the day values, use <code>mon</code>|<code>tue</code>|<code>wed</code>|<code>thu</code>|<code>fri</code>|<code>sat</code>|<code>sun</code>.</p> <p>For example, <code>sun:09:32-sun:10:02</code>.</p>', 'AwsRdsDbClusterDetails$HostedZoneId' => '<p>Specifies the identifier that Amazon Route 53 assigns when you create a hosted zone.</p>', 'AwsRdsDbClusterDetails$KmsKeyId' => '<p>The ARN of the KMS master key that is used to encrypt the database instances in the DB cluster.</p>', 'AwsRdsDbClusterDetails$DbClusterResourceId' => '<p>The identifier of the DB cluster. The identifier must be unique within each Amazon Web Services Region and is immutable.</p>', 'AwsRdsDbClusterDetails$ClusterCreateTime' => '<p>Indicates when the DB cluster was created, in Universal Coordinated Time (UTC).</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRdsDbClusterDetails$EngineMode' => '<p>The database engine mode of the DB cluster.</p>', 'AwsRdsDbClusterDetails$ActivityStreamStatus' => '<p>The status of the database activity stream.</p>', 'AwsRdsDbClusterDetails$DbClusterParameterGroup' => '<p>The name of the DB cluster parameter group for the DB cluster.</p>', 'AwsRdsDbClusterDetails$DbSubnetGroup' => '<p>The subnet group that is associated with the DB cluster, including the name, description, and subnets in the subnet group.</p>', 'AwsRdsDbClusterDetails$DbClusterIdentifier' => '<p>The DB cluster identifier that the user assigned to the cluster. This identifier is the unique key that identifies a DB cluster.</p>', 'AwsRdsDbClusterMember$DbInstanceIdentifier' => '<p>The instance identifier for this member of the DB cluster.</p>', 'AwsRdsDbClusterMember$DbClusterParameterGroupStatus' => '<p>The status of the DB cluster parameter group for this member of the DB cluster.</p>', 'AwsRdsDbClusterOptionGroupMembership$DbClusterOptionGroupName' => '<p>The name of the DB cluster option group.</p>', 'AwsRdsDbClusterOptionGroupMembership$Status' => '<p>The status of the DB cluster option group.</p>', 'AwsRdsDbClusterSnapshotDetails$SnapshotCreateTime' => '<p>Indicates when the snapshot was taken.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRdsDbClusterSnapshotDetails$Engine' => '<p>The name of the database engine that you want to use for this DB instance.</p>', 'AwsRdsDbClusterSnapshotDetails$Status' => '<p>The status of this DB cluster snapshot.</p>', 'AwsRdsDbClusterSnapshotDetails$VpcId' => '<p>The VPC ID that is associated with the DB cluster snapshot.</p>', 'AwsRdsDbClusterSnapshotDetails$ClusterCreateTime' => '<p>Indicates when the DB cluster was created, in Universal Coordinated Time (UTC).</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRdsDbClusterSnapshotDetails$MasterUsername' => '<p>The name of the master user for the DB cluster.</p>', 'AwsRdsDbClusterSnapshotDetails$EngineVersion' => '<p>The version of the database engine to use.</p>', 'AwsRdsDbClusterSnapshotDetails$LicenseModel' => '<p>The license model information for this DB cluster snapshot.</p>', 'AwsRdsDbClusterSnapshotDetails$SnapshotType' => '<p>The type of DB cluster snapshot.</p>', 'AwsRdsDbClusterSnapshotDetails$KmsKeyId' => '<p>The ARN of the KMS master key that is used to encrypt the database instances in the DB cluster.</p>', 'AwsRdsDbClusterSnapshotDetails$DbClusterIdentifier' => '<p>The DB cluster identifier.</p>', 'AwsRdsDbClusterSnapshotDetails$DbClusterSnapshotIdentifier' => '<p>The identifier of the DB cluster snapshot.</p>', 'AwsRdsDbDomainMembership$Domain' => '<p>The identifier of the Active Directory domain.</p>', 'AwsRdsDbDomainMembership$Status' => '<p>The status of the Active Directory Domain membership for the DB instance.</p>', 'AwsRdsDbDomainMembership$Fqdn' => '<p>The fully qualified domain name of the Active Directory domain.</p>', 'AwsRdsDbDomainMembership$IamRoleName' => '<p>The name of the IAM role to use when making API calls to the Directory Service.</p>', 'AwsRdsDbInstanceAssociatedRole$RoleArn' => '<p>The ARN of the IAM role that is associated with the DB instance.</p>', 'AwsRdsDbInstanceAssociatedRole$FeatureName' => '<p>The name of the feature associated with the IAM role.</p>', 'AwsRdsDbInstanceAssociatedRole$Status' => '<p>Describes the state of the association between the IAM role and the DB instance. The <code>Status</code> property returns one of the following values:</p> <ul> <li> <p> <code>ACTIVE</code> - The IAM role ARN is associated with the DB instance and can be used to access other Amazon Web Services services on your behalf.</p> </li> <li> <p> <code>PENDING</code> - The IAM role ARN is being associated with the DB instance.</p> </li> <li> <p> <code>INVALID</code> - The IAM role ARN is associated with the DB instance. But the DB instance is unable to assume the IAM role in order to access other Amazon Web Services services on your behalf. </p> </li> </ul>', 'AwsRdsDbInstanceDetails$CACertificateIdentifier' => '<p>The identifier of the CA certificate for this DB instance.</p>', 'AwsRdsDbInstanceDetails$DBClusterIdentifier' => '<p>If the DB instance is a member of a DB cluster, contains the name of the DB cluster that the DB instance is a member of.</p>', 'AwsRdsDbInstanceDetails$DBInstanceIdentifier' => '<p>Contains a user-supplied database identifier. This identifier is the unique key that identifies a DB instance.</p>', 'AwsRdsDbInstanceDetails$DBInstanceClass' => '<p>Contains the name of the compute and memory capacity class of the DB instance.</p>', 'AwsRdsDbInstanceDetails$DbiResourceId' => '<p>The Amazon Web Services Region-unique, immutable identifier for the DB instance. This identifier is found in CloudTrail log entries whenever the KMS key for the DB instance is accessed. </p>', 'AwsRdsDbInstanceDetails$DBName' => '<p>The meaning of this parameter differs according to the database engine you use.</p> <p> <b>MySQL, MariaDB, SQL Server, PostgreSQL</b> </p> <p>Contains the name of the initial database of this instance that was provided at create time, if one was specified when the DB instance was created. This same name is returned for the life of the DB instance.</p> <p> <b>Oracle</b> </p> <p>Contains the Oracle System ID (SID) of the created DB instance. Not shown when the returned parameters do not apply to an Oracle DB instance. </p>', 'AwsRdsDbInstanceDetails$Engine' => '<p>Provides the name of the database engine to use for this DB instance.</p>', 'AwsRdsDbInstanceDetails$EngineVersion' => '<p>Indicates the database engine version.</p>', 'AwsRdsDbInstanceDetails$InstanceCreateTime' => '<p>Indicates when the DB instance was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRdsDbInstanceDetails$KmsKeyId' => '<p>If <code>StorageEncrypted</code> is true, the KMS key identifier for the encrypted DB instance.</p>', 'AwsRdsDbInstanceDetails$TdeCredentialArn' => '<p>The ARN from the key store with which the instance is associated for TDE encryption.</p>', 'AwsRdsDbInstanceDetails$EnhancedMonitoringResourceArn' => '<p>The ARN of the CloudWatch Logs log stream that receives the enhanced monitoring metrics data for the DB instance.</p>', 'AwsRdsDbInstanceDetails$DbInstanceStatus' => '<p>The current status of the DB instance.</p>', 'AwsRdsDbInstanceDetails$MasterUsername' => '<p>The master user name of the DB instance.</p>', 'AwsRdsDbInstanceDetails$PreferredBackupWindow' => '<p>The range of time each day when automated backups are created, if automated backups are enabled.</p> <p>Uses the format <code>HH:MM-HH:MM</code>. For example, <code>04:52-05:22</code>.</p>', 'AwsRdsDbInstanceDetails$AvailabilityZone' => '<p>The Availability Zone where the DB instance will be created.</p>', 'AwsRdsDbInstanceDetails$PreferredMaintenanceWindow' => '<p>The weekly time range during which system maintenance can occur, in Universal Coordinated Time (UTC).</p> <p>Uses the format <code>&lt;day&gt;:HH:MM-&lt;day&gt;:HH:MM</code>.</p> <p>For the day values, use <code>mon</code>|<code>tue</code>|<code>wed</code>|<code>thu</code>|<code>fri</code>|<code>sat</code>|<code>sun</code>.</p> <p>For example, <code>sun:09:32-sun:10:02</code>.</p>', 'AwsRdsDbInstanceDetails$LatestRestorableTime' => '<p>Specifies the latest time to which a database can be restored with point-in-time restore.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRdsDbInstanceDetails$ReadReplicaSourceDBInstanceIdentifier' => '<p>If this DB instance is a read replica, contains the identifier of the source DB instance.</p>', 'AwsRdsDbInstanceDetails$LicenseModel' => '<p>License model information for this DB instance.</p>', 'AwsRdsDbInstanceDetails$CharacterSetName' => '<p>The name of the character set that this DB instance is associated with.</p>', 'AwsRdsDbInstanceDetails$SecondaryAvailabilityZone' => '<p>For a DB instance with multi-Availability Zone support, the name of the secondary Availability Zone.</p>', 'AwsRdsDbInstanceDetails$StorageType' => '<p>The storage type for the DB instance.</p>', 'AwsRdsDbInstanceDetails$MonitoringRoleArn' => '<p>The ARN for the IAM role that permits Amazon RDS to send enhanced monitoring metrics to CloudWatch Logs.</p>', 'AwsRdsDbInstanceDetails$Timezone' => '<p>The time zone of the DB instance.</p>', 'AwsRdsDbInstanceDetails$PerformanceInsightsKmsKeyId' => '<p>The identifier of the KMS key used to encrypt the Performance Insights data.</p>', 'AwsRdsDbInstanceEndpoint$Address' => '<p>Specifies the DNS address of the DB instance.</p>', 'AwsRdsDbInstanceEndpoint$HostedZoneId' => '<p>Specifies the ID that Amazon Route 53 assigns when you create a hosted zone.</p>', 'AwsRdsDbInstanceVpcSecurityGroup$VpcSecurityGroupId' => '<p>The name of the VPC security group.</p>', 'AwsRdsDbInstanceVpcSecurityGroup$Status' => '<p>The status of the VPC security group.</p>', 'AwsRdsDbOptionGroupMembership$OptionGroupName' => '<p>The name of the option group.</p>', 'AwsRdsDbOptionGroupMembership$Status' => '<p>The status of the option group membership.</p>', 'AwsRdsDbParameterGroup$DbParameterGroupName' => '<p>The name of the parameter group.</p>', 'AwsRdsDbParameterGroup$ParameterApplyStatus' => '<p>The status of parameter updates.</p>', 'AwsRdsDbPendingModifiedValues$DbInstanceClass' => '<p>The new DB instance class for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$MasterUserPassword' => '<p>The new master user password for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$EngineVersion' => '<p>The new engine version for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$LicenseModel' => '<p>The new license model value for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$DbInstanceIdentifier' => '<p>The new DB instance identifier for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$StorageType' => '<p>The new storage type for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$CaCertificateIdentifier' => '<p>The new CA certificate identifier for the DB instance.</p>', 'AwsRdsDbPendingModifiedValues$DbSubnetGroupName' => '<p>The name of the new subnet group for the DB instance.</p>', 'AwsRdsDbProcessorFeature$Name' => '<p>The name of the processor feature.</p>', 'AwsRdsDbProcessorFeature$Value' => '<p>The value of the processor feature.</p>', 'AwsRdsDbSnapshotDetails$DbSnapshotIdentifier' => '<p>The name or ARN of the DB snapshot that is used to restore the DB instance.</p>', 'AwsRdsDbSnapshotDetails$DbInstanceIdentifier' => '<p>A name for the DB instance.</p>', 'AwsRdsDbSnapshotDetails$SnapshotCreateTime' => '<p>When the snapshot was taken in Coordinated Universal Time (UTC).</p>', 'AwsRdsDbSnapshotDetails$Engine' => '<p>The name of the database engine to use for this DB instance.</p>', 'AwsRdsDbSnapshotDetails$Status' => '<p>The status of this DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$AvailabilityZone' => '<p>Specifies the name of the Availability Zone in which the DB instance was located at the time of the DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$VpcId' => '<p>The VPC ID associated with the DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$InstanceCreateTime' => '<p>Specifies the time in Coordinated Universal Time (UTC) when the DB instance, from which the snapshot was taken, was created.</p>', 'AwsRdsDbSnapshotDetails$MasterUsername' => '<p>The master user name for the DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$EngineVersion' => '<p>The version of the database engine.</p>', 'AwsRdsDbSnapshotDetails$LicenseModel' => '<p>License model information for the restored DB instance.</p>', 'AwsRdsDbSnapshotDetails$SnapshotType' => '<p>The type of the DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$OptionGroupName' => '<p>The option group name for the DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$SourceRegion' => '<p>The Amazon Web Services Region that the DB snapshot was created in or copied from.</p>', 'AwsRdsDbSnapshotDetails$SourceDbSnapshotIdentifier' => '<p>The DB snapshot ARN that the DB snapshot was copied from.</p>', 'AwsRdsDbSnapshotDetails$StorageType' => '<p>The storage type associated with the DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$TdeCredentialArn' => '<p>The ARN from the key store with which to associate the instance for TDE encryption.</p>', 'AwsRdsDbSnapshotDetails$KmsKeyId' => '<p>If <code>Encrypted</code> is <code>true</code>, the KMS key identifier for the encrypted DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$Timezone' => '<p>The time zone of the DB snapshot.</p>', 'AwsRdsDbSnapshotDetails$DbiResourceId' => '<p>The identifier for the source DB instance.</p>', 'AwsRdsDbStatusInfo$StatusType' => '<p>The type of status. For a read replica, the status type is read replication.</p>', 'AwsRdsDbStatusInfo$Status' => '<p>The status of the read replica instance.</p>', 'AwsRdsDbStatusInfo$Message' => '<p>If the read replica is currently in an error state, provides the error details.</p>', 'AwsRdsDbSubnetGroup$DbSubnetGroupName' => '<p>The name of the subnet group.</p>', 'AwsRdsDbSubnetGroup$DbSubnetGroupDescription' => '<p>The description of the subnet group.</p>', 'AwsRdsDbSubnetGroup$VpcId' => '<p>The VPC ID of the subnet group.</p>', 'AwsRdsDbSubnetGroup$SubnetGroupStatus' => '<p>The status of the subnet group.</p>', 'AwsRdsDbSubnetGroup$DbSubnetGroupArn' => '<p>The ARN of the subnet group.</p>', 'AwsRdsDbSubnetGroupSubnet$SubnetIdentifier' => '<p>The identifier of a subnet in the subnet group.</p>', 'AwsRdsDbSubnetGroupSubnet$SubnetStatus' => '<p>The status of a subnet in the subnet group.</p>', 'AwsRdsDbSubnetGroupSubnetAvailabilityZone$Name' => '<p>The name of the Availability Zone for a subnet in the subnet group.</p>', 'AwsRdsEventSubscriptionDetails$CustSubscriptionId' => '<p>The identifier of the account that is associated with the event notification subscription.</p>', 'AwsRdsEventSubscriptionDetails$CustomerAwsId' => '<p>The identifier of the event notification subscription.</p>', 'AwsRdsEventSubscriptionDetails$EventSubscriptionArn' => '<p>The ARN of the event notification subscription.</p>', 'AwsRdsEventSubscriptionDetails$SnsTopicArn' => '<p>The ARN of the SNS topic to post the event notifications to.</p>', 'AwsRdsEventSubscriptionDetails$SourceType' => '<p>The source type for the event notification subscription.</p>', 'AwsRdsEventSubscriptionDetails$Status' => '<p>The status of the event notification subscription.</p> <p>Valid values: <code>creating</code> | <code>modifying</code> | <code>deleting</code> | <code>active</code> | <code>no-permission</code> | <code>topic-not-exist</code> </p>', 'AwsRdsEventSubscriptionDetails$SubscriptionCreationTime' => '<p>The datetime when the event notification subscription was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRedshiftClusterClusterNode$NodeRole' => '<p>The role of the node. A node might be a leader node or a compute node.</p>', 'AwsRedshiftClusterClusterNode$PrivateIpAddress' => '<p>The private IP address of the node.</p>', 'AwsRedshiftClusterClusterNode$PublicIpAddress' => '<p>The public IP address of the node.</p>', 'AwsRedshiftClusterClusterParameterGroup$ParameterApplyStatus' => '<p>The status of updates to the parameters.</p>', 'AwsRedshiftClusterClusterParameterGroup$ParameterGroupName' => '<p>The name of the parameter group.</p>', 'AwsRedshiftClusterClusterParameterStatus$ParameterName' => '<p>The name of the parameter.</p>', 'AwsRedshiftClusterClusterParameterStatus$ParameterApplyStatus' => '<p>The status of the parameter. Indicates whether the parameter is in sync with the database, waiting for a cluster reboot, or encountered an error when it was applied.</p> <p>Valid values: <code>in-sync</code> | <code>pending-reboot</code> | <code>applying</code> | <code>invalid-parameter</code> | <code>apply-deferred</code> | <code>apply-error</code> | <code>unknown-error</code> </p>', 'AwsRedshiftClusterClusterParameterStatus$ParameterApplyErrorDescription' => '<p>The error that prevented the parameter from being applied to the database.</p>', 'AwsRedshiftClusterClusterSecurityGroup$ClusterSecurityGroupName' => '<p>The name of the cluster security group.</p>', 'AwsRedshiftClusterClusterSecurityGroup$Status' => '<p>The status of the cluster security group.</p>', 'AwsRedshiftClusterClusterSnapshotCopyStatus$DestinationRegion' => '<p>The destination Region that snapshots are automatically copied to when cross-Region snapshot copy is enabled.</p>', 'AwsRedshiftClusterClusterSnapshotCopyStatus$SnapshotCopyGrantName' => '<p>The name of the snapshot copy grant.</p>', 'AwsRedshiftClusterDeferredMaintenanceWindow$DeferMaintenanceEndTime' => '<p>The end of the time window for which maintenance was deferred.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRedshiftClusterDeferredMaintenanceWindow$DeferMaintenanceIdentifier' => '<p>The identifier of the maintenance window.</p>', 'AwsRedshiftClusterDeferredMaintenanceWindow$DeferMaintenanceStartTime' => '<p>The start of the time window for which maintenance was deferred.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRedshiftClusterDetails$AvailabilityZone' => '<p>The name of the Availability Zone in which the cluster is located.</p>', 'AwsRedshiftClusterDetails$ClusterAvailabilityStatus' => '<p>The availability status of the cluster for queries. Possible values are the following:</p> <ul> <li> <p> <code>Available</code> - The cluster is available for queries.</p> </li> <li> <p> <code>Unavailable</code> - The cluster is not available for queries.</p> </li> <li> <p> <code>Maintenance</code> - The cluster is intermittently available for queries due to maintenance activities.</p> </li> <li> <p> <code>Modifying</code> -The cluster is intermittently available for queries due to changes that modify the cluster.</p> </li> <li> <p> <code>Failed</code> - The cluster failed and is not available for queries.</p> </li> </ul>', 'AwsRedshiftClusterDetails$ClusterCreateTime' => '<p>Indicates when the cluster was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRedshiftClusterDetails$ClusterIdentifier' => '<p>The unique identifier of the cluster.</p>', 'AwsRedshiftClusterDetails$ClusterPublicKey' => '<p>The public key for the cluster.</p>', 'AwsRedshiftClusterDetails$ClusterRevisionNumber' => '<p>The specific revision number of the database in the cluster.</p>', 'AwsRedshiftClusterDetails$ClusterStatus' => '<p>The current status of the cluster.</p> <p>Valid values: <code>available</code> | <code>available, prep-for-resize</code> | <code>available, resize-cleanup</code> |<code> cancelling-resize</code> | <code>creating</code> | <code>deleting</code> | <code>final-snapshot</code> | <code>hardware-failure</code> | <code>incompatible-hsm</code> |<code> incompatible-network</code> | <code>incompatible-parameters</code> | <code>incompatible-restore</code> | <code>modifying</code> | <code>paused</code> | <code>rebooting</code> | <code>renaming</code> | <code>resizing</code> | <code>rotating-keys</code> | <code>storage-full</code> | <code>updating-hsm</code> </p>', 'AwsRedshiftClusterDetails$ClusterSubnetGroupName' => '<p>The name of the subnet group that is associated with the cluster. This parameter is valid only when the cluster is in a VPC.</p>', 'AwsRedshiftClusterDetails$ClusterVersion' => '<p>The version ID of the Amazon Redshift engine that runs on the cluster.</p>', 'AwsRedshiftClusterDetails$DBName' => '<p>The name of the initial database that was created when the cluster was created.</p> <p>The same name is returned for the life of the cluster.</p> <p>If an initial database is not specified, a database named <code>devdev</code> is created by default.</p>', 'AwsRedshiftClusterDetails$ElasticResizeNumberOfNodeOptions' => '<p>The number of nodes that you can use the elastic resize method to resize the cluster to.</p>', 'AwsRedshiftClusterDetails$ExpectedNextSnapshotScheduleTime' => '<p>Indicates when the next snapshot is expected to be taken. The cluster must have a valid snapshot schedule and have backups enabled.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRedshiftClusterDetails$ExpectedNextSnapshotScheduleTimeStatus' => '<p>The status of the next expected snapshot.</p> <p>Valid values: <code>OnTrack</code> | <code>Pending</code> </p>', 'AwsRedshiftClusterDetails$KmsKeyId' => '<p>The identifier of the KMS encryption key that is used to encrypt data in the cluster.</p>', 'AwsRedshiftClusterDetails$MaintenanceTrackName' => '<p>The name of the maintenance track for the cluster.</p>', 'AwsRedshiftClusterDetails$MasterUsername' => '<p>The master user name for the cluster. This name is used to connect to the database that is specified in as the value of <code>DBName</code>.</p>', 'AwsRedshiftClusterDetails$NextMaintenanceWindowStartTime' => '<p>Indicates the start of the next maintenance window.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsRedshiftClusterDetails$NodeType' => '<p>The node type for the nodes in the cluster.</p>', 'AwsRedshiftClusterDetails$PreferredMaintenanceWindow' => '<p>The weekly time range, in Universal Coordinated Time (UTC), during which system maintenance can occur.</p> <p>Format: <code> <i>&lt;day&gt;</i>:HH:MM-<i>&lt;day&gt;</i>:HH:MM</code> </p> <p>For the day values, use <code>mon</code> | <code>tue</code> | <code>wed</code> | <code>thu</code> | <code>fri</code> | <code>sat</code> | <code>sun</code> </p> <p>For example, <code>sun:09:32-sun:10:02</code> </p>', 'AwsRedshiftClusterDetails$SnapshotScheduleIdentifier' => '<p>A unique identifier for the cluster snapshot schedule.</p>', 'AwsRedshiftClusterDetails$SnapshotScheduleState' => '<p>The current state of the cluster snapshot schedule.</p> <p>Valid values: <code>MODIFYING</code> | <code>ACTIVE</code> | <code>FAILED</code> </p>', 'AwsRedshiftClusterDetails$VpcId' => '<p>The identifier of the VPC that the cluster is in, if the cluster is in a VPC.</p>', 'AwsRedshiftClusterElasticIpStatus$ElasticIp' => '<p>The elastic IP address for the cluster.</p>', 'AwsRedshiftClusterElasticIpStatus$Status' => '<p>The status of the elastic IP address.</p>', 'AwsRedshiftClusterEndpoint$Address' => '<p>The DNS address of the cluster.</p>', 'AwsRedshiftClusterHsmStatus$HsmClientCertificateIdentifier' => '<p>The name of the HSM client certificate that the Amazon Redshift cluster uses to retrieve the data encryption keys that are stored in an HSM.</p>', 'AwsRedshiftClusterHsmStatus$HsmConfigurationIdentifier' => '<p>The name of the HSM configuration that contains the information that the Amazon Redshift cluster can use to retrieve and store keys in an HSM.</p>', 'AwsRedshiftClusterHsmStatus$Status' => '<p>Indicates whether the Amazon Redshift cluster has finished applying any HSM settings changes specified in a modify cluster command.</p> <p>Type: String</p> <p>Valid values: <code>active</code> | <code>applying</code> </p>', 'AwsRedshiftClusterIamRole$ApplyStatus' => '<p>The status of the IAM role\'s association with the cluster.</p> <p>Valid values: <code>in-sync</code> | <code>adding</code> | <code>removing</code> </p>', 'AwsRedshiftClusterIamRole$IamRoleArn' => '<p>The ARN of the IAM role.</p>', 'AwsRedshiftClusterPendingModifiedValues$ClusterIdentifier' => '<p>The pending or in-progress change to the identifier for the cluster.</p>', 'AwsRedshiftClusterPendingModifiedValues$ClusterType' => '<p>The pending or in-progress change to the cluster type.</p>', 'AwsRedshiftClusterPendingModifiedValues$ClusterVersion' => '<p>The pending or in-progress change to the service version.</p>', 'AwsRedshiftClusterPendingModifiedValues$EncryptionType' => '<p>The encryption type for a cluster.</p>', 'AwsRedshiftClusterPendingModifiedValues$MaintenanceTrackName' => '<p>The name of the maintenance track that the cluster changes to during the next maintenance window.</p>', 'AwsRedshiftClusterPendingModifiedValues$MasterUserPassword' => '<p>The pending or in-progress change to the master user password for the cluster.</p>', 'AwsRedshiftClusterPendingModifiedValues$NodeType' => '<p>The pending or in-progress change to the cluster\'s node type.</p>', 'AwsRedshiftClusterResizeInfo$ResizeType' => '<p>The type of resize operation.</p> <p>Valid values: <code>ClassicResize</code> </p>', 'AwsRedshiftClusterRestoreStatus$Status' => '<p>The status of the restore action.</p> <p>Valid values: <code>starting</code> | <code>restoring</code> | <code>completed</code> | <code>failed</code> </p>', 'AwsRedshiftClusterVpcSecurityGroup$Status' => '<p>The status of the VPC security group.</p>', 'AwsRedshiftClusterVpcSecurityGroup$VpcSecurityGroupId' => '<p>The identifier of the VPC security group.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$ExpirationDate' => '<p>The date when objects are moved or deleted.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$ID' => '<p>The unique identifier of the rule.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$Prefix' => '<p>A prefix that identifies one or more objects that the rule applies to.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesDetails$Status' => '<p>The current status of the rule. Indicates whether the rule is currently being applied.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateDetails$Prefix' => '<p>A prefix filter.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateDetails$Type' => '<p>Whether to use <code>AND</code> or <code>OR</code> to join the operands.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsDetails$Prefix' => '<p>Prefix text for matching objects.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsDetails$Type' => '<p>The type of filter value.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsTagDetails$Key' => '<p>The tag key.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsTagDetails$Value' => '<p>The tag value.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateTagDetails$Key' => '<p>The tag key.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateTagDetails$Value' => '<p>The tag value</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesNoncurrentVersionTransitionsDetails$StorageClass' => '<p>The class of storage to change the object to after the object is noncurrent for the specified number of days.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesTransitionsDetails$Date' => '<p>A date on which to transition objects to the specified storage class. If you provide <code>Date</code>, you cannot provide <code>Days</code>.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsS3BucketBucketLifecycleConfigurationRulesTransitionsDetails$StorageClass' => '<p>The storage class to transition the object to.</p>', 'AwsS3BucketDetails$OwnerId' => '<p>The canonical user ID of the owner of the S3 bucket.</p>', 'AwsS3BucketDetails$OwnerName' => '<p>The display name of the owner of the S3 bucket.</p>', 'AwsS3BucketDetails$CreatedAt' => '<p>Indicates when the S3 bucket was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsS3BucketDetails$AccessControlList' => '<p>The access control list for the S3 bucket.</p>', 'AwsS3BucketLoggingConfiguration$DestinationBucketName' => '<p>The name of the S3 bucket where log files for the S3 bucket are stored.</p>', 'AwsS3BucketLoggingConfiguration$LogFilePrefix' => '<p>The prefix added to log files for the S3 bucket.</p>', 'AwsS3BucketNotificationConfigurationDetail$Destination' => '<p>The ARN of the Lambda function, Amazon SQS queue, or Amazon SNS topic that generates the notification.</p>', 'AwsS3BucketNotificationConfigurationDetail$Type' => '<p>Indicates the type of notification. Notifications can be generated using Lambda functions, Amazon SQS queues or Amazon SNS topics.</p>', 'AwsS3BucketNotificationConfigurationEvents$member' => NULL, 'AwsS3BucketNotificationConfigurationS3KeyFilterRule$Value' => '<p>The filter value.</p>', 'AwsS3BucketServerSideEncryptionByDefault$SSEAlgorithm' => '<p>Server-side encryption algorithm to use for the default encryption.</p>', 'AwsS3BucketServerSideEncryptionByDefault$KMSMasterKeyID' => '<p>KMS key ID to use for the default encryption.</p>', 'AwsS3BucketWebsiteConfiguration$ErrorDocument' => '<p>The name of the error document for the website.</p>', 'AwsS3BucketWebsiteConfiguration$IndexDocumentSuffix' => '<p>The name of the index document for the website.</p>', 'AwsS3BucketWebsiteConfigurationRedirectTo$Hostname' => '<p>The name of the host to redirect requests to.</p>', 'AwsS3BucketWebsiteConfigurationRedirectTo$Protocol' => '<p>The protocol to use when redirecting requests. By default, uses the same protocol as the original request.</p>', 'AwsS3BucketWebsiteConfigurationRoutingRuleCondition$HttpErrorCodeReturnedEquals' => '<p>Indicates to redirect the request if the HTTP error code matches this value.</p>', 'AwsS3BucketWebsiteConfigurationRoutingRuleCondition$KeyPrefixEquals' => '<p>Indicates to redirect the request if the key prefix matches this value.</p>', 'AwsS3BucketWebsiteConfigurationRoutingRuleRedirect$Hostname' => '<p>The host name to use in the redirect request.</p>', 'AwsS3BucketWebsiteConfigurationRoutingRuleRedirect$HttpRedirectCode' => '<p>The HTTP redirect code to use in the response.</p>', 'AwsS3BucketWebsiteConfigurationRoutingRuleRedirect$Protocol' => '<p>The protocol to use to redirect the request. By default, uses the protocol from the original request.</p>', 'AwsS3BucketWebsiteConfigurationRoutingRuleRedirect$ReplaceKeyPrefixWith' => '<p>The object key prefix to use in the redirect request.</p> <p>Cannot be provided if <code>ReplaceKeyWith</code> is present.</p>', 'AwsS3BucketWebsiteConfigurationRoutingRuleRedirect$ReplaceKeyWith' => '<p>The specific object key to use in the redirect request.</p> <p>Cannot be provided if <code>ReplaceKeyPrefixWith</code> is present.</p>', 'AwsS3ObjectDetails$LastModified' => '<p>Indicates when the object was last modified.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsS3ObjectDetails$ETag' => '<p>The opaque identifier assigned by a web server to a specific version of a resource found at a URL.</p>', 'AwsS3ObjectDetails$VersionId' => '<p>The version of the object.</p>', 'AwsS3ObjectDetails$ContentType' => '<p>A standard MIME type describing the format of the object data.</p>', 'AwsS3ObjectDetails$ServerSideEncryption' => '<p>If the object is stored using server-side encryption, the value of the server-side encryption algorithm used when storing this object in Amazon S3.</p>', 'AwsS3ObjectDetails$SSEKMSKeyId' => '<p>The identifier of the KMS symmetric customer managed key that was used for the object.</p>', 'AwsSecretsManagerSecretDetails$KmsKeyId' => '<p>The ARN, Key ID, or alias of the KMS key used to encrypt the <code>SecretString</code> or <code>SecretBinary</code> values for versions of this secret.</p>', 'AwsSecretsManagerSecretDetails$RotationLambdaArn' => '<p>The ARN of the Lambda function that rotates the secret.</p>', 'AwsSecretsManagerSecretDetails$Name' => '<p>The name of the secret.</p>', 'AwsSecretsManagerSecretDetails$Description' => '<p>The user-provided description of the secret.</p>', 'AwsSecurityFinding$SchemaVersion' => '<p>The schema version that a finding is formatted for.</p>', 'AwsSecurityFinding$Id' => '<p>The security findings provider-specific identifier for a finding.</p>', 'AwsSecurityFinding$ProductArn' => '<p>The ARN generated by Security Hub that uniquely identifies a product that generates findings. This can be the ARN for a third-party product that is integrated with Security Hub, or the ARN for a custom integration.</p>', 'AwsSecurityFinding$ProductName' => '<p>The name of the product that generated the finding.</p> <p>Security Hub populates this attribute automatically for each finding. You cannot update it using <code>BatchImportFindings</code> or <code>BatchUpdateFindings</code>. The exception to this is when you use a custom integration.</p> <p>When you use the Security Hub console to filter findings by product name, you use this attribute.</p> <p>When you use the Security Hub API to filter findings by product name, you use the <code>aws/securityhub/ProductName</code> attribute under <code>ProductFields</code>.</p> <p>Security Hub does not synchronize those two attributes.</p>', 'AwsSecurityFinding$CompanyName' => '<p>The name of the company for the product that generated the finding.</p> <p>Security Hub populates this attribute automatically for each finding. You cannot be updated using <code>BatchImportFindings</code> or <code>BatchUpdateFindings</code>. The exception to this is when you use a custom integration.</p> <p>When you use the Security Hub console to filter findings by company name, you use this attribute.</p> <p>When you use the Security Hub API to filter findings by company name, you use the <code>aws/securityhub/CompanyName</code> attribute under <code>ProductFields</code>.</p> <p>Security Hub does not synchronize those two attributes.</p>', 'AwsSecurityFinding$Region' => '<p>The Region from which the finding was generated.</p> <p>Security Hub populates this attribute automatically for each finding. You cannot update it using <code>BatchImportFindings</code> or <code>BatchUpdateFindings</code>.</p>', 'AwsSecurityFinding$GeneratorId' => '<p>The identifier for the solution-specific component (a discrete unit of logic) that generated a finding. In various security-findings providers\' solutions, this generator can be called a rule, a check, a detector, a plugin, etc. </p>', 'AwsSecurityFinding$AwsAccountId' => '<p>The Amazon Web Services account ID that a finding is generated in.</p>', 'AwsSecurityFinding$FirstObservedAt' => '<p>Indicates when the security-findings provider first observed the potential security issue that a finding captured.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsSecurityFinding$LastObservedAt' => '<p>Indicates when the security-findings provider most recently observed the potential security issue that a finding captured.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsSecurityFinding$CreatedAt' => '<p>Indicates when the security-findings provider created the potential security issue that a finding captured.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsSecurityFinding$UpdatedAt' => '<p>Indicates when the security-findings provider last updated the finding record.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'AwsSecurityFinding$Title' => '<p>A finding\'s title.</p> <note> <p>In this release, <code>Title</code> is a required property.</p> </note>', 'AwsSecurityFinding$Description' => '<p>A finding\'s description.</p> <note> <p>In this release, <code>Description</code> is a required property.</p> </note>', 'AwsSecurityFinding$SourceUrl' => '<p>A URL that links to a page about the current finding in the security-findings provider\'s solution.</p>', 'AwsSecurityFindingIdentifier$Id' => '<p>The identifier of the finding that was specified by the finding provider.</p>', 'AwsSecurityFindingIdentifier$ProductArn' => '<p>The ARN generated by Security Hub that uniquely identifies a product that generates findings. This can be the ARN for a third-party product that is integrated with Security Hub, or the ARN for a custom integration.</p>', 'AwsSnsTopicDetails$KmsMasterKeyId' => '<p>The ID of an Amazon Web Services managed key for Amazon SNS or a customer managed key.</p>', 'AwsSnsTopicDetails$TopicName' => '<p>The name of the topic.</p>', 'AwsSnsTopicDetails$Owner' => '<p>The subscription\'s owner.</p>', 'AwsSnsTopicSubscription$Endpoint' => '<p>The subscription\'s endpoint (format depends on the protocol).</p>', 'AwsSnsTopicSubscription$Protocol' => '<p>The subscription\'s protocol.</p>', 'AwsSqsQueueDetails$KmsMasterKeyId' => '<p>The ID of an Amazon Web Services managed key for Amazon SQS or a custom KMS key.</p>', 'AwsSqsQueueDetails$QueueName' => '<p>The name of the new queue.</p>', 'AwsSqsQueueDetails$DeadLetterTargetArn' => '<p>The ARN of the dead-letter queue to which Amazon SQS moves messages after the value of <code>maxReceiveCount</code> is exceeded. </p>', 'AwsSsmComplianceSummary$Status' => '<p>The current patch compliance status.</p> <p>The possible status values are:</p> <ul> <li> <p> <code>COMPLIANT</code> </p> </li> <li> <p> <code>NON_COMPLIANT</code> </p> </li> <li> <p> <code>UNSPECIFIED_DATA</code> </p> </li> </ul>', 'AwsSsmComplianceSummary$ExecutionType' => '<p>The type of execution that was used determine compliance.</p>', 'AwsSsmComplianceSummary$ComplianceType' => '<p>The type of resource for which the compliance was determined. For <code>AwsSsmPatchCompliance</code>, <code>ComplianceType</code> is <code>Patch</code>. </p>', 'AwsSsmComplianceSummary$PatchBaselineId' => '<p>The identifier of the patch baseline. The patch baseline lists the patches that are approved for installation.</p>', 'AwsSsmComplianceSummary$OverallSeverity' => '<p>The highest severity for the patches.</p>', 'AwsSsmComplianceSummary$PatchGroup' => '<p>The identifier of the patch group for which compliance was determined. A patch group uses tags to group EC2 instances that should have the same patch compliance.</p>', 'AwsWafWebAclDetails$Name' => '<p>A friendly name or description of the WebACL. You can\'t change the name of a WebACL after you create it.</p>', 'AwsWafWebAclDetails$DefaultAction' => '<p>The action to perform if none of the rules contained in the WebACL match.</p>', 'AwsWafWebAclDetails$WebAclId' => '<p>A unique identifier for a WebACL.</p>', 'AwsWafWebAclRule$RuleId' => '<p>The identifier for a rule.</p>', 'AwsWafWebAclRule$Type' => '<p>The rule type.</p> <p>Valid values: <code>REGULAR</code> | <code>RATE_BASED</code> | <code>GROUP</code> </p> <p>The default is <code>REGULAR</code>.</p>', 'BatchUpdateFindingsUnprocessedFinding$ErrorCode' => '<p>The code associated with the error.</p>', 'BatchUpdateFindingsUnprocessedFinding$ErrorMessage' => '<p>The message associated with the error.</p>', 'CategoryList$member' => NULL, 'Cell$ColumnName' => '<p>The name of the column that contains the data.</p>', 'Cell$CellReference' => '<p>For a Microsoft Excel workbook, provides the location of the cell, as an absolute cell reference, that contains the data. For example, Sheet2!C5 for cell C5 on Sheet2.</p>', 'CidrBlockAssociation$AssociationId' => '<p>The association ID for the IPv4 CIDR block.</p>', 'CidrBlockAssociation$CidrBlock' => '<p>The IPv4 CIDR block.</p>', 'CidrBlockAssociation$CidrBlockState' => '<p>Information about the state of the IPv4 CIDR block.</p>', 'City$CityName' => '<p>The name of the city.</p>', 'ClassificationResult$MimeType' => '<p>The type of content that the finding applies to.</p>', 'ClassificationStatus$Code' => '<p>The code that represents the status of the sensitive data detection.</p>', 'ClassificationStatus$Reason' => '<p>A longer description of the current status of the sensitive data detection.</p>', 'ContainerDetails$Name' => '<p>The name of the container related to a finding.</p>', 'ContainerDetails$ImageId' => '<p>The identifier of the image related to a finding.</p>', 'ContainerDetails$ImageName' => '<p>The name of the image related to a finding.</p>', 'ContainerDetails$LaunchedAt' => '<p>Indicates when the container started.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'Country$CountryCode' => '<p>The 2-letter ISO 3166 country code for the country.</p>', 'Country$CountryName' => '<p>The name of the country.</p>', 'CreateActionTargetRequest$Name' => '<p>The name of the custom action target. Can contain up to 20 characters.</p>', 'CreateActionTargetRequest$Description' => '<p>The description for the custom action target.</p>', 'CreateActionTargetRequest$Id' => '<p>The ID for the custom action target. Can contain up to 20 alphanumeric characters.</p>', 'CreateActionTargetResponse$ActionTargetArn' => '<p>The ARN for the custom action target.</p>', 'CreateInsightRequest$Name' => '<p>The name of the custom insight to create.</p>', 'CreateInsightRequest$GroupByAttribute' => '<p>The attribute used to group the findings for the insight. The grouping attribute identifies the type of item that the insight applies to. For example, if an insight is grouped by resource identifier, then the insight produces a list of resource identifiers.</p>', 'CreateInsightResponse$InsightArn' => '<p>The ARN of the insight created.</p>', 'CustomDataIdentifiersDetections$Arn' => '<p>The ARN of the custom identifier that was used to detect the sensitive data.</p>', 'CustomDataIdentifiersDetections$Name' => '<p>he name of the custom identifier that detected the sensitive data.</p>', 'Cvss$Version' => '<p>The version of CVSS for the CVSS score.</p>', 'Cvss$BaseVector' => '<p>The base scoring vector for the CVSS score.</p>', 'Cvss$Source' => '<p>The origin of the original CVSS score and vector.</p>', 'DataClassificationDetails$DetailedResultsLocation' => '<p>The path to the folder or file that contains the sensitive data.</p>', 'DateFilter$Start' => '<p>A start date for the date filter.</p>', 'DateFilter$End' => '<p>An end date for the date filter.</p>', 'DeleteActionTargetRequest$ActionTargetArn' => '<p>The ARN of the custom action target to delete.</p>', 'DeleteActionTargetResponse$ActionTargetArn' => '<p>The ARN of the custom action target that was deleted.</p>', 'DeleteInsightRequest$InsightArn' => '<p>The ARN of the insight to delete.</p>', 'DeleteInsightResponse$InsightArn' => '<p>The ARN of the insight that was deleted.</p>', 'DescribeHubRequest$HubArn' => '<p>The ARN of the Hub resource to retrieve.</p>', 'DescribeHubResponse$HubArn' => '<p>The ARN of the Hub resource that was retrieved.</p>', 'DescribeHubResponse$SubscribedAt' => '<p>The date and time when Security Hub was enabled in the account.</p>', 'DescribeProductsRequest$ProductArn' => '<p>The ARN of the integration to return.</p>', 'DescribeStandardsControlsRequest$StandardsSubscriptionArn' => '<p>The ARN of a resource that represents your subscription to a supported standard. To get the subscription ARNs of the standards you have enabled, use the <code>GetEnabledStandards</code> operation.</p>', 'DisableImportFindingsForProductRequest$ProductSubscriptionArn' => '<p>The ARN of the integrated product to disable the integration for.</p>', 'DisableOrganizationAdminAccountRequest$AdminAccountId' => '<p>The Amazon Web Services account identifier of the Security Hub administrator account.</p>', 'DnsRequestAction$Domain' => '<p>The DNS domain that is associated with the DNS request.</p>', 'DnsRequestAction$Protocol' => '<p>The protocol that was used for the DNS request.</p>', 'EnableImportFindingsForProductRequest$ProductArn' => '<p>The ARN of the product to enable the integration for.</p>', 'EnableImportFindingsForProductResponse$ProductSubscriptionArn' => '<p>The ARN of your subscription to the product to enable integrations for.</p>', 'EnableOrganizationAdminAccountRequest$AdminAccountId' => '<p>The Amazon Web Services account identifier of the account to designate as the Security Hub administrator account.</p>', 'FieldMap$key' => NULL, 'FieldMap$value' => NULL, 'FindingProviderSeverity$Original' => '<p>The finding provider\'s original value for the severity.</p>', 'GetInsightResultsRequest$InsightArn' => '<p>The ARN of the insight for which to return results.</p>', 'ImportFindingsError$Id' => '<p>The identifier of the finding that could not be updated.</p>', 'ImportFindingsError$ErrorCode' => '<p>The code of the error returned by the <code>BatchImportFindings</code> operation.</p>', 'ImportFindingsError$ErrorMessage' => '<p>The message of the error returned by the <code>BatchImportFindings</code> operation.</p>', 'Insight$InsightArn' => '<p>The ARN of a Security Hub insight.</p>', 'Insight$Name' => '<p>The name of a Security Hub insight.</p>', 'Insight$GroupByAttribute' => '<p>The grouping attribute for the insight\'s findings. Indicates how to group the matching findings, and identifies the type of item that the insight applies to. For example, if an insight is grouped by resource identifier, then the insight produces a list of resource identifiers.</p>', 'InsightResultValue$GroupByAttributeValue' => '<p>The value of the attribute that the findings are grouped by for the insight whose results are returned by the <code>GetInsightResults</code> operation.</p>', 'InsightResults$InsightArn' => '<p>The ARN of the insight whose results are returned by the <code>GetInsightResults</code> operation.</p>', 'InsightResults$GroupByAttribute' => '<p>The attribute that the findings are grouped by for the insight whose results are returned by the <code>GetInsightResults</code> operation.</p>', 'InternalException$Message' => NULL, 'InternalException$Code' => NULL, 'InvalidAccessException$Message' => NULL, 'InvalidAccessException$Code' => NULL, 'InvalidInputException$Message' => NULL, 'InvalidInputException$Code' => NULL, 'Invitation$InvitationId' => '<p>The ID of the invitation sent to the member account.</p>', 'Invitation$MemberStatus' => '<p>The current status of the association between the member and administrator accounts.</p>', 'IpFilter$Cidr' => '<p>A finding\'s CIDR value.</p>', 'IpOrganizationDetails$AsnOrg' => '<p>The name of the organization that registered the ASN.</p>', 'IpOrganizationDetails$Isp' => '<p>The ISP information for the internet provider.</p>', 'IpOrganizationDetails$Org' => '<p>The name of the internet provider.</p>', 'Ipv6CidrBlockAssociation$AssociationId' => '<p>The association ID for the IPv6 CIDR block.</p>', 'Ipv6CidrBlockAssociation$Ipv6CidrBlock' => '<p>The IPv6 CIDR block.</p>', 'Ipv6CidrBlockAssociation$CidrBlockState' => '<p>Information about the state of the CIDR block.</p>', 'KeywordFilter$Value' => '<p>A value for the keyword.</p>', 'LimitExceededException$Message' => NULL, 'LimitExceededException$Code' => NULL, 'ListInvitationsResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'ListMembersResponse$NextToken' => '<p>The pagination token to use to request the next page of results.</p>', 'LoadBalancerState$Code' => '<p>The state code. The initial state of the load balancer is provisioning.</p> <p>After the load balancer is fully set up and ready to route traffic, its state is active.</p> <p>If the load balancer could not be set up, its state is failed. </p>', 'LoadBalancerState$Reason' => '<p>A description of the state.</p>', 'Malware$Name' => '<p>The name of the malware that was observed.</p>', 'Malware$Path' => '<p>The file system path of the malware that was observed.</p>', 'MapFilter$Key' => '<p>The key of the map filter. For example, for <code>ResourceTags</code>, <code>Key</code> identifies the name of the tag. For <code>UserDefinedFields</code>, <code>Key</code> is the name of the field.</p>', 'MapFilter$Value' => '<p>The value for the key in the map filter. Filter values are case sensitive. For example, one of the values for a tag called <code>Department</code> might be <code>Security</code>. If you provide <code>security</code> as the filter value, then there is no match.</p>', 'Member$Email' => '<p>The email address of the member account.</p>', 'Member$MasterId' => '<p>This is replaced by <code>AdministratorID</code>.</p> <p>The Amazon Web Services account ID of the Security Hub administrator account associated with this member account.</p>', 'Member$AdministratorId' => '<p>The Amazon Web Services account ID of the Security Hub administrator account associated with this member account.</p>', 'Member$MemberStatus' => '<p>The status of the relationship between the member account and its administrator account. </p> <p>The status can have one of the following values:</p> <ul> <li> <p> <code>CREATED</code> - Indicates that the administrator account added the member account, but has not yet invited the member account.</p> </li> <li> <p> <code>INVITED</code> - Indicates that the administrator account invited the member account. The member account has not yet responded to the invitation.</p> </li> <li> <p> <code>ENABLED</code> - Indicates that the member account is currently active. For manually invited member accounts, indicates that the member account accepted the invitation.</p> </li> <li> <p> <code>REMOVED</code> - Indicates that the administrator account disassociated the member account.</p> </li> <li> <p> <code>RESIGNED</code> - Indicates that the member account disassociated themselves from the administrator account.</p> </li> <li> <p> <code>DELETED</code> - Indicates that the administrator account deleted the member account.</p> </li> <li> <p> <code>ACCOUNT_SUSPENDED</code> - Indicates that an organization account was suspended from Amazon Web Services at the same time that the administrator account tried to enable the organization account as a member account.</p> </li> </ul>', 'Network$Protocol' => '<p>The protocol of network-related information about a finding.</p>', 'Network$SourceIpV4' => '<p>The source IPv4 address of network-related information about a finding.</p>', 'Network$SourceIpV6' => '<p>The source IPv6 address of network-related information about a finding.</p>', 'Network$SourceDomain' => '<p>The source domain of network-related information about a finding.</p>', 'Network$SourceMac' => '<p>The source media access control (MAC) address of network-related information about a finding.</p>', 'Network$DestinationIpV4' => '<p>The destination IPv4 address of network-related information about a finding.</p>', 'Network$DestinationIpV6' => '<p>The destination IPv6 address of network-related information about a finding.</p>', 'Network$DestinationDomain' => '<p>The destination domain of network-related information about a finding.</p>', 'NetworkConnectionAction$ConnectionDirection' => '<p>The direction of the network connection request (<code>IN</code> or <code>OUT</code>).</p>', 'NetworkConnectionAction$Protocol' => '<p>The protocol used to make the network connection request.</p>', 'NetworkHeader$Protocol' => '<p>The protocol used for the component.</p>', 'NetworkPathComponent$ComponentId' => '<p>The identifier of a component in the network path.</p>', 'NetworkPathComponent$ComponentType' => '<p>The type of component.</p>', 'NonEmptyStringList$member' => NULL, 'Note$Text' => '<p>The text of a note.</p>', 'Note$UpdatedBy' => '<p>The principal that created a note.</p>', 'Note$UpdatedAt' => '<p>The timestamp of when the note was updated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'NoteUpdate$Text' => '<p>The updated note text.</p>', 'NoteUpdate$UpdatedBy' => '<p>The principal that updated the note.</p>', 'PatchSummary$Id' => '<p>The identifier of the compliance standard that was used to determine the patch compliance status.</p>', 'PatchSummary$OperationStartTime' => '<p>Indicates when the operation started.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'PatchSummary$OperationEndTime' => '<p>Indicates when the operation completed.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'PatchSummary$RebootOption' => '<p>The reboot option specified for the instance.</p>', 'PatchSummary$Operation' => '<p>The type of patch operation performed. For Patch Manager, the values are <code>SCAN</code> and <code>INSTALL</code>. </p>', 'ProcessDetails$Name' => '<p>The name of the process.</p>', 'ProcessDetails$Path' => '<p>The path to the process executable.</p>', 'ProcessDetails$LaunchedAt' => '<p>Indicates when the process was launched.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'ProcessDetails$TerminatedAt' => '<p>Indicates when the process was terminated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'Product$ProductArn' => '<p>The ARN assigned to the product.</p>', 'Product$ProductName' => '<p>The name of the product.</p>', 'Product$CompanyName' => '<p>The name of the company that provides the product.</p>', 'Product$Description' => '<p>A description of the product.</p>', 'Product$MarketplaceUrl' => '<p>For integrations with Amazon Web Services services, the Amazon Web Services Console URL from which to activate the service.</p> <p>For integrations with third-party products, the Amazon Web Services Marketplace URL from which to subscribe to or purchase the product.</p>', 'Product$ActivationUrl' => '<p>The URL to the service or product documentation about the integration with Security Hub, including how to activate the integration.</p>', 'Product$ProductSubscriptionResourcePolicy' => '<p>The resource policy associated with the product.</p>', 'ProductSubscriptionArnList$member' => NULL, 'Recommendation$Text' => '<p>Describes the recommended steps to take to remediate an issue identified in a finding.</p>', 'Recommendation$Url' => '<p>A URL to a page or site that contains information about how to remediate a finding.</p>', 'Record$JsonPath' => '<p>The path, as a JSONPath expression, to the field in the record that contains the data. If the field name is longer than 20 characters, it is truncated. If the path is longer than 250 characters, it is truncated.</p>', 'RelatedFinding$ProductArn' => '<p>The ARN of the product that generated a related finding.</p>', 'RelatedFinding$Id' => '<p>The product-generated identifier for a related finding.</p>', 'RelatedRequirementsList$member' => NULL, 'Resource$Type' => '<p>The type of the resource that details are provided for. If possible, set <code>Type</code> to one of the supported resource types. For example, if the resource is an EC2 instance, then set <code>Type</code> to <code>AwsEc2Instance</code>.</p> <p>If the resource does not match any of the provided types, then set <code>Type</code> to <code>Other</code>. </p>', 'Resource$Id' => '<p>The canonical identifier for the given resource type.</p>', 'Resource$Region' => '<p>The canonical Amazon Web Services external Region name where this resource is located.</p>', 'Resource$ResourceRole' => '<p>Identifies the role of the resource in the finding. A resource is either the actor or target of the finding activity,</p>', 'ResourceConflictException$Message' => NULL, 'ResourceConflictException$Code' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ResourceNotFoundException$Code' => NULL, 'Result$ProcessingResult' => '<p>The reason that the account was not processed.</p>', 'SecurityGroups$member' => NULL, 'SensitiveDataDetections$Type' => '<p>The type of sensitive data that was detected. For example, the type might indicate that the data is an email address.</p>', 'SensitiveDataResult$Category' => '<p>The category of sensitive data that was detected. For example, the category can indicate that the sensitive data involved credentials, financial information, or personal information.</p>', 'Severity$Original' => '<p>The native severity from the finding product that generated the finding.</p>', 'SoftwarePackage$Name' => '<p>The name of the software package.</p>', 'SoftwarePackage$Version' => '<p>The version of the software package.</p>', 'SoftwarePackage$Epoch' => '<p>The epoch of the software package.</p>', 'SoftwarePackage$Release' => '<p>The release of the software package.</p>', 'SoftwarePackage$Architecture' => '<p>The architecture used for the software package.</p>', 'SoftwarePackage$PackageManager' => '<p>The source of the package.</p>', 'SoftwarePackage$FilePath' => '<p>The file system path to the package manager inventory file.</p>', 'SortCriterion$Field' => '<p>The finding attribute used to sort findings.</p>', 'Standard$StandardsArn' => '<p>The ARN of a standard.</p>', 'Standard$Name' => '<p>The name of the standard.</p>', 'Standard$Description' => '<p>A description of the standard.</p>', 'StandardsControl$StandardsControlArn' => '<p>The ARN of the security standard control.</p>', 'StandardsControl$DisabledReason' => '<p>The reason provided for the most recent change in status for the control.</p>', 'StandardsControl$ControlId' => '<p>The identifier of the security standard control.</p>', 'StandardsControl$Title' => '<p>The title of the security standard control.</p>', 'StandardsControl$Description' => '<p>The longer description of the security standard control. Provides information about what the control is checking for.</p>', 'StandardsControl$RemediationUrl' => '<p>A link to remediation information for the control in the Security Hub user documentation.</p>', 'StandardsInputParameterMap$key' => NULL, 'StandardsInputParameterMap$value' => NULL, 'StandardsSubscription$StandardsSubscriptionArn' => '<p>The ARN of a resource that represents your subscription to a supported standard.</p>', 'StandardsSubscription$StandardsArn' => '<p>The ARN of a standard.</p>', 'StandardsSubscriptionArns$member' => NULL, 'StandardsSubscriptionRequest$StandardsArn' => '<p>The ARN of the standard that you want to enable. To view the list of available standards and their ARNs, use the <code>DescribeStandards</code> operation.</p>', 'StatusReason$ReasonCode' => '<p>A code that represents a reason for the control status. For the list of status reason codes and their meanings, see <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards-results.html#securityhub-standards-results-asff">Standards-related information in the ASFF</a> in the <i>Security Hub User Guide</i>. </p>', 'StatusReason$Description' => '<p>The corresponding description for the status reason code.</p>', 'StringFilter$Value' => '<p>The string filter value. Filter values are case sensitive. For example, the product name for control-based findings is <code>Security Hub</code>. If you provide <code>security hub</code> as the filter text, then there is no match.</p>', 'StringList$member' => NULL, 'ThreatIntelIndicator$Value' => '<p>The value of a threat intelligence indicator.</p>', 'ThreatIntelIndicator$LastObservedAt' => '<p>Indicates when the most recent instance of a threat intelligence indicator was observed.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'ThreatIntelIndicator$Source' => '<p>The source of the threat intelligence indicator.</p>', 'ThreatIntelIndicator$SourceUrl' => '<p>The URL to the page or site where you can get more information about the threat intelligence indicator.</p>', 'TypeList$member' => NULL, 'UpdateActionTargetRequest$ActionTargetArn' => '<p>The ARN of the custom action target to update.</p>', 'UpdateActionTargetRequest$Name' => '<p>The updated name of the custom action target.</p>', 'UpdateActionTargetRequest$Description' => '<p>The updated description for the custom action target.</p>', 'UpdateInsightRequest$InsightArn' => '<p>The ARN of the insight that you want to update.</p>', 'UpdateInsightRequest$Name' => '<p>The updated name for the insight.</p>', 'UpdateInsightRequest$GroupByAttribute' => '<p>The updated <code>GroupBy</code> attribute that defines this insight.</p>', 'UpdateStandardsControlRequest$StandardsControlArn' => '<p>The ARN of the security standard control to enable or disable.</p>', 'UpdateStandardsControlRequest$DisabledReason' => '<p>A description of the reason why you are disabling a security standard control. If you are disabling a control, then this is required.</p>', 'Vulnerability$Id' => '<p>The identifier of the vulnerability.</p>', 'VulnerabilityVendor$Name' => '<p>The name of the vendor.</p>', 'VulnerabilityVendor$Url' => '<p>The URL of the vulnerability advisory.</p>', 'VulnerabilityVendor$VendorSeverity' => '<p>The severity that the vendor assigned to the vulnerability.</p>', 'VulnerabilityVendor$VendorCreatedAt' => '<p>Indicates when the vulnerability advisory was created.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'VulnerabilityVendor$VendorUpdatedAt' => '<p>Indicates when the vulnerability advisory was last updated.</p> <p>Uses the <code>date-time</code> format specified in <a href="https://tools.ietf.org/html/rfc3339#section-5.6">RFC 3339 section 5.6, Internet Date/Time Format</a>. The value cannot contain spaces. For example, <code>2020-03-22T13:22:13.933Z</code>.</p>', 'WafAction$Type' => '<p>Specifies how you want WAF to respond to requests that match the settings in a rule.</p> <p>Valid settings include the following:</p> <ul> <li> <p> <code>ALLOW</code> - WAF allows requests</p> </li> <li> <p> <code>BLOCK</code> - WAF blocks requests</p> </li> <li> <p> <code>COUNT</code> - WAF increments a counter of the requests that match all of the conditions in the rule. WAF then continues to inspect the web request based on the remaining rules in the web ACL. You can\'t specify <code>COUNT</code> for the default action for a WebACL.</p> </li> </ul>', 'WafExcludedRule$RuleId' => '<p>The unique identifier for the rule to exclude from the rule group.</p>', 'WafOverrideAction$Type' => '<p> <code>COUNT</code> overrides the action specified by the individual rule within a <code>RuleGroup</code> .</p> <p>If set to <code>NONE</code>, the rule\'s action takes place.</p>', ], ], 'NonEmptyStringList' => [ 'base' => NULL, 'refs' => [ 'AwsApiGatewayEndpointConfiguration$Types' => '<p>A list of endpoint types for the REST API.</p> <p>For an edge-optimized API, the endpoint type is <code>EDGE</code>. For a Regional API, the endpoint type is <code>REGIONAL</code>. For a private API, the endpoint type is <code>PRIVATE</code>.</p>', 'AwsApiGatewayRestApiDetails$BinaryMediaTypes' => '<p>The list of binary media types supported by the REST API.</p>', 'AwsAutoScalingLaunchConfigurationDetails$ClassicLinkVpcSecurityGroups' => '<p>The identifiers of one or more security groups for the VPC that is specified in <code>ClassicLinkVPCId</code>.</p>', 'AwsAutoScalingLaunchConfigurationDetails$SecurityGroups' => '<p>The security groups to assign to the instances in the Auto Scaling group.</p>', 'AwsCodeBuildProjectVpcConfig$Subnets' => '<p>A list of one or more subnet IDs in your VPC.</p>', 'AwsCodeBuildProjectVpcConfig$SecurityGroupIds' => '<p>A list of one or more security group IDs in your VPC.</p>', 'AwsCorsConfiguration$AllowOrigins' => '<p>The allowed origins for CORS requests.</p>', 'AwsCorsConfiguration$ExposeHeaders' => '<p>The exposed headers for CORS requests.</p>', 'AwsCorsConfiguration$AllowMethods' => '<p>The allowed methods for CORS requests.</p>', 'AwsCorsConfiguration$AllowHeaders' => '<p>The allowed headers for CORS requests.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$IkeVersions' => '<p>The Internet Key Exchange (IKE) versions that are permitted for the VPN tunnel.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase1EncryptionAlgorithms' => '<p>The permitted encryption algorithms for the VPN tunnel for phase 1 IKE negotiations.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase1IntegrityAlgorithms' => '<p>The permitted integrity algorithms for the VPN tunnel for phase 1 IKE negotiations.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase2EncryptionAlgorithms' => '<p>The permitted encryption algorithms for the VPN tunnel for phase 2 IKE negotiations.</p>', 'AwsEc2VpnConnectionOptionsTunnelOptionsDetails$Phase2IntegrityAlgorithms' => '<p>The permitted integrity algorithms for the VPN tunnel for phase 2 IKE negotiations.</p>', 'AwsEcrContainerImageDetails$ImageTags' => '<p>The list of tags that are associated with the image.</p>', 'AwsEcsClusterDetails$CapacityProviders' => '<p>The short name of one or more capacity providers to associate with the cluster.</p>', 'AwsEcsServiceNetworkConfigurationAwsVpcConfigurationDetails$SecurityGroups' => '<p>The IDs of the security groups associated with the task or service.</p> <p>You can provide up to five security groups.</p>', 'AwsEcsServiceNetworkConfigurationAwsVpcConfigurationDetails$Subnets' => '<p>The IDs of the subnets associated with the task or service.</p> <p>You can provide up to 16 subnets.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Command' => '<p>The command that is passed to the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$DnsSearchDomains' => '<p>A list of DNS search domains that are presented to the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$DnsServers' => '<p>A list of DNS servers that are presented to the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$DockerSecurityOptions' => '<p>A list of strings to provide custom labels for SELinux and AppArmor multi-level security systems.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$EntryPoint' => '<p>The entry point that is passed to the container.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsDetails$Links' => '<p>A list of links for the container in the form <code> <i>container_name</i>:<i>alias</i> </code>. Allows containers to communicate with each other without the need for port mappings.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsHealthCheckDetails$Command' => '<p>The command that the container runs to determine whether it is healthy.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersCapabilitiesDetails$Add' => '<p>The Linux capabilities for the container that are added to the default configuration provided by Docker.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersCapabilitiesDetails$Drop' => '<p>The Linux capabilities for the container that are dropped from the default configuration provided by Docker.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDevicesDetails$Permissions' => '<p>The explicit permissions to provide to the container for the device. By default, the container has permissions for read, write, and <code>mknod</code> for the device.</p>', 'AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersTmpfsDetails$MountOptions' => '<p>The list of tmpfs volume mount options.</p>', 'AwsEcsTaskDefinitionDetails$RequiresCompatibilities' => '<p>The task launch types that the task definition was validated against.</p>', 'AwsElasticsearchDomainVPCOptions$AvailabilityZones' => '<p>The list of Availability Zones associated with the VPC subnets.</p>', 'AwsElasticsearchDomainVPCOptions$SecurityGroupIds' => '<p>The list of security group IDs associated with the VPC endpoints for the domain.</p>', 'AwsElasticsearchDomainVPCOptions$SubnetIds' => '<p>A list of subnet IDs associated with the VPC endpoints for the domain.</p>', 'AwsLambdaFunctionVpcConfig$SecurityGroupIds' => '<p>A list of VPC security groups IDs.</p>', 'AwsLambdaFunctionVpcConfig$SubnetIds' => '<p>A list of VPC subnet IDs.</p>', 'AwsLambdaLayerVersionDetails$CompatibleRuntimes' => '<p>The layer\'s compatible runtimes. Maximum number of five items.</p> <p>Valid values: <code>nodejs10.x</code> | <code>nodejs12.x</code> | <code>java8</code> | <code>java11</code> | <code>python2.7</code> | <code>python3.6</code> | <code>python3.7</code> | <code>python3.8</code> | <code>dotnetcore1.0</code> | <code>dotnetcore2.1</code> | <code>go1.x</code> | <code>ruby2.5</code> | <code>provided</code> </p>', 'AwsRdsEventSubscriptionDetails$EventCategoriesList' => '<p>The list of event categories for the event notification subscription.</p>', 'AwsRdsEventSubscriptionDetails$SourceIdsList' => '<p>A list of source identifiers for the event notification subscription.</p>', ], ], 'Note' => [ 'base' => '<p>A user-defined note added to a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Note' => '<p>A user-defined note added to a finding.</p>', ], ], 'NoteUpdate' => [ 'base' => '<p>The updated note.</p>', 'refs' => [ 'BatchUpdateFindingsRequest$Note' => NULL, 'UpdateFindingsRequest$Note' => '<p>The updated note for the finding.</p>', ], ], 'NumberFilter' => [ 'base' => '<p>A number filter for querying findings.</p>', 'refs' => [ 'NumberFilterList$member' => NULL, ], ], 'NumberFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$SeverityProduct' => '<p>The native severity as defined by the security-findings provider\'s solution that generated the finding.</p>', 'AwsSecurityFindingFilters$SeverityNormalized' => '<p>The normalized severity of a finding.</p>', 'AwsSecurityFindingFilters$Confidence' => '<p>A finding\'s confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify.</p> <p>Confidence is scored on a 0-100 basis using a ratio scale, where 0 means zero percent confidence and 100 means 100 percent confidence.</p>', 'AwsSecurityFindingFilters$Criticality' => '<p>The level of importance assigned to the resources associated with the finding.</p> <p>A score of 0 means that the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources.</p>', 'AwsSecurityFindingFilters$NetworkSourcePort' => '<p>The source port of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationPort' => '<p>The destination port of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ProcessPid' => '<p>The process ID.</p>', 'AwsSecurityFindingFilters$ProcessParentPid' => '<p>The parent process ID.</p>', 'AwsSecurityFindingFilters$FindingProviderFieldsConfidence' => '<p>The finding provider value for the finding confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify.</p> <p>Confidence is scored on a 0-100 basis using a ratio scale, where 0 means zero percent confidence and 100 means 100 percent confidence.</p>', 'AwsSecurityFindingFilters$FindingProviderFieldsCriticality' => '<p>The finding provider value for the level of importance assigned to the resources associated with the findings.</p> <p>A score of 0 means that the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources. </p>', ], ], 'Occurrences' => [ 'base' => '<p>The detected occurrences of sensitive data.</p>', 'refs' => [ 'CustomDataIdentifiersDetections$Occurrences' => '<p>Details about the sensitive data that was detected.</p>', 'SensitiveDataDetections$Occurrences' => '<p>Details about the sensitive data that was detected.</p>', ], ], 'Page' => [ 'base' => '<p>An occurrence of sensitive data in an Adobe Portable Document Format (PDF) file.</p>', 'refs' => [ 'Pages$member' => NULL, ], ], 'Pages' => [ 'base' => NULL, 'refs' => [ 'Occurrences$Pages' => '<p>Occurrences of sensitive data in an Adobe Portable Document Format (PDF) file.</p>', ], ], 'Partition' => [ 'base' => NULL, 'refs' => [ 'Resource$Partition' => '<p>The canonical Amazon Web Services partition name that the Region is assigned to.</p>', ], ], 'PatchSummary' => [ 'base' => '<p>Provides an overview of the patch compliance status for an instance against a selected compliance standard.</p>', 'refs' => [ 'AwsSecurityFinding$PatchSummary' => '<p>Provides an overview of the patch compliance status for an instance against a selected compliance standard.</p>', ], ], 'PortProbeAction' => [ 'base' => '<p>Provided if <code>ActionType</code> is <code>PORT_PROBE</code>. It provides details about the attempted port probe that was detected.</p>', 'refs' => [ 'Action$PortProbeAction' => '<p>Included if <code>ActionType</code> is <code>PORT_PROBE</code>. Provides details about the port probe that was detected. </p>', ], ], 'PortProbeDetail' => [ 'base' => '<p>A port scan that was part of the port probe. For each scan, PortProbeDetails provides information about the local IP address and port that were scanned, and the remote IP address that the scan originated from.</p>', 'refs' => [ 'PortProbeDetailList$member' => NULL, ], ], 'PortProbeDetailList' => [ 'base' => NULL, 'refs' => [ 'PortProbeAction$PortProbeDetails' => '<p>Information about the ports affected by the port probe.</p>', ], ], 'PortRange' => [ 'base' => '<p>A range of ports.</p>', 'refs' => [ 'Network$OpenPortRange' => '<p>The range of open ports that is present on the network.</p>', 'PortRangeList$member' => NULL, ], ], 'PortRangeFromTo' => [ 'base' => '<p>A range of ports.</p>', 'refs' => [ 'AwsEc2NetworkAclEntry$PortRange' => '<p>For TCP or UDP protocols, the range of ports that the rule applies to.</p>', ], ], 'PortRangeList' => [ 'base' => NULL, 'refs' => [ 'NetworkPathComponentDetails$PortRanges' => '<p>A list of port ranges for the destination.</p>', ], ], 'ProcessDetails' => [ 'base' => '<p>The details of process-related information about a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Process' => '<p>The details of process-related information about a finding.</p>', ], ], 'Product' => [ 'base' => '<p>Contains details about a product.</p>', 'refs' => [ 'ProductsList$member' => NULL, ], ], 'ProductSubscriptionArnList' => [ 'base' => NULL, 'refs' => [ 'ListEnabledProductsForImportResponse$ProductSubscriptions' => '<p>The list of ARNs for the resources that represent your subscriptions to products. </p>', ], ], 'ProductsList' => [ 'base' => NULL, 'refs' => [ 'DescribeProductsResponse$Products' => '<p>A list of products, including details for each product.</p>', ], ], 'Range' => [ 'base' => '<p>Identifies where the sensitive data begins and ends.</p>', 'refs' => [ 'Page$LineRange' => '<p>An occurrence of sensitive data detected in a non-binary text file or a Microsoft Word file. Non-binary text files include files such as HTML, XML, JSON, and TXT files.</p>', 'Page$OffsetRange' => '<p>An occurrence of sensitive data detected in a binary text file.</p>', 'Ranges$member' => NULL, ], ], 'Ranges' => [ 'base' => NULL, 'refs' => [ 'Occurrences$LineRanges' => '<p>Occurrences of sensitive data detected in a non-binary text file or a Microsoft Word file. Non-binary text files include files such as HTML, XML, JSON, and TXT files.</p>', 'Occurrences$OffsetRanges' => '<p>Occurrences of sensitive data detected in a binary text file.</p>', ], ], 'RatioScale' => [ 'base' => NULL, 'refs' => [ 'BatchUpdateFindingsRequest$Confidence' => '<p>The updated value for the finding confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify.</p> <p>Confidence is scored on a 0-100 basis using a ratio scale, where 0 means zero percent confidence and 100 means 100 percent confidence.</p>', 'BatchUpdateFindingsRequest$Criticality' => '<p>The updated value for the level of importance assigned to the resources associated with the findings.</p> <p>A score of 0 means that the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources. </p>', 'FindingProviderFields$Confidence' => '<p>A finding\'s confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify.</p> <p>Confidence is scored on a 0-100 basis using a ratio scale, where 0 means zero percent confidence and 100 means 100 percent confidence.</p>', 'FindingProviderFields$Criticality' => '<p>The level of importance assigned to the resources associated with the finding.</p> <p>A score of 0 means that the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources.</p>', 'SeverityUpdate$Normalized' => '<p>The normalized severity for the finding. This attribute is to be deprecated in favor of <code>Label</code>.</p> <p>If you provide <code>Normalized</code> and do not provide <code>Label</code>, <code>Label</code> is set automatically as follows.</p> <ul> <li> <p>0 - <code>INFORMATIONAL</code> </p> </li> <li> <p>1–39 - <code>LOW</code> </p> </li> <li> <p>40–69 - <code>MEDIUM</code> </p> </li> <li> <p>70–89 - <code>HIGH</code> </p> </li> <li> <p>90–100 - <code>CRITICAL</code> </p> </li> </ul>', ], ], 'Recommendation' => [ 'base' => '<p>A recommendation on how to remediate the issue identified in a finding.</p>', 'refs' => [ 'Remediation$Recommendation' => '<p>A recommendation on the steps to take to remediate the issue identified by a finding.</p>', ], ], 'Record' => [ 'base' => '<p>An occurrence of sensitive data in an Apache Avro object container or an Apache Parquet file.</p>', 'refs' => [ 'Records$member' => NULL, ], ], 'RecordState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$RecordState' => '<p>The record state of a finding.</p>', 'UpdateFindingsRequest$RecordState' => '<p>The updated record state for the finding.</p>', ], ], 'Records' => [ 'base' => NULL, 'refs' => [ 'Occurrences$Records' => '<p>Occurrences of sensitive data in an Apache Avro object container or an Apache Parquet file.</p>', ], ], 'RelatedFinding' => [ 'base' => '<p>Details about a related finding.</p>', 'refs' => [ 'RelatedFindingList$member' => NULL, ], ], 'RelatedFindingList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$RelatedFindings' => '<p>A list of related findings.</p>', 'BatchUpdateFindingsRequest$RelatedFindings' => '<p>A list of findings that are related to the updated findings.</p>', 'FindingProviderFields$RelatedFindings' => '<p>A list of findings that are related to the current finding.</p>', ], ], 'RelatedRequirementsList' => [ 'base' => NULL, 'refs' => [ 'Compliance$RelatedRequirements' => '<p>For a control, the industry or regulatory framework requirements that are related to the control. The check for that control is aligned with these requirements.</p>', 'StandardsControl$RelatedRequirements' => '<p>The list of requirements that are related to this control.</p>', ], ], 'Remediation' => [ 'base' => '<p>Details about the remediation steps for a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Remediation' => '<p>A data type that describes the remediation options for a finding.</p>', ], ], 'Resource' => [ 'base' => '<p>A resource related to a finding.</p>', 'refs' => [ 'ResourceList$member' => NULL, ], ], 'ResourceArn' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceRequest$ResourceArn' => '<p>The ARN of the resource to retrieve tags for.</p>', 'TagResourceRequest$ResourceArn' => '<p>The ARN of the resource to apply the tags to.</p>', 'UntagResourceRequest$ResourceArn' => '<p>The ARN of the resource to remove the tags from.</p>', ], ], 'ResourceConflictException' => [ 'base' => '<p>The resource specified in the request conflicts with an existing resource.</p>', 'refs' => [], ], 'ResourceDetails' => [ 'base' => '<p>Additional details about a resource related to a finding.</p> <p>To provide the details, use the object that corresponds to the resource type. For example, if the resource type is <code>AwsEc2Instance</code>, then you use the <code>AwsEc2Instance</code> object to provide the details.</p> <p>If the type-specific object does not contain all of the fields you want to populate, then you use the <code>Other</code> object to populate those additional fields.</p> <p>You also use the <code>Other</code> object to populate the details when the selected type does not have a corresponding object.</p>', 'refs' => [ 'Resource$Details' => '<p>Additional details about the resource related to a finding.</p>', ], ], 'ResourceList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Resources' => '<p>A set of resource data types that describe the resources that the finding refers to.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The request was rejected because we can\'t find the specified resource.</p>', 'refs' => [], ], 'Result' => [ 'base' => '<p>Details about the account that was not processed.</p>', 'refs' => [ 'ResultList$member' => NULL, ], ], 'ResultList' => [ 'base' => NULL, 'refs' => [ 'CreateMembersResponse$UnprocessedAccounts' => '<p>The list of Amazon Web Services accounts that were not processed. For each account, the list includes the account ID and the email address.</p>', 'DeclineInvitationsResponse$UnprocessedAccounts' => '<p>The list of Amazon Web Services accounts that were not processed. For each account, the list includes the account ID and the email address.</p>', 'DeleteInvitationsResponse$UnprocessedAccounts' => '<p>The list of Amazon Web Services accounts for which the invitations were not deleted. For each account, the list includes the account ID and the email address.</p>', 'DeleteMembersResponse$UnprocessedAccounts' => '<p>The list of Amazon Web Services accounts that were not deleted. For each account, the list includes the account ID and the email address.</p>', 'GetMembersResponse$UnprocessedAccounts' => '<p>The list of Amazon Web Services accounts that could not be processed. For each account, the list includes the account ID and the email address.</p>', 'InviteMembersResponse$UnprocessedAccounts' => '<p>The list of Amazon Web Services accounts that could not be processed. For each account, the list includes the account ID and the email address.</p>', ], ], 'SecurityGroups' => [ 'base' => NULL, 'refs' => [ 'AwsElbv2LoadBalancerDetails$SecurityGroups' => '<p>The IDs of the security groups for the load balancer.</p>', ], ], 'SensitiveDataDetections' => [ 'base' => '<p>The list of detected instances of sensitive data.</p>', 'refs' => [ 'SensitiveDataDetectionsList$member' => NULL, ], ], 'SensitiveDataDetectionsList' => [ 'base' => NULL, 'refs' => [ 'SensitiveDataResult$Detections' => '<p>The list of detected instances of sensitive data.</p>', ], ], 'SensitiveDataResult' => [ 'base' => '<p>Contains a detected instance of sensitive data that are based on built-in identifiers.</p>', 'refs' => [ 'SensitiveDataResultList$member' => NULL, ], ], 'SensitiveDataResultList' => [ 'base' => NULL, 'refs' => [ 'ClassificationResult$SensitiveData' => '<p>Provides details about sensitive data that was identified based on built-in configuration.</p>', ], ], 'Severity' => [ 'base' => '<p>The severity of the finding.</p> <p>The finding provider can provide the initial severity. The finding provider can only update the severity if it has not been updated using <code>BatchUpdateFindings</code>.</p> <p>The finding must have either <code>Label</code> or <code>Normalized</code> populated. If only one of these attributes is populated, then Security Hub automatically populates the other one. If neither attribute is populated, then the finding is invalid. <code>Label</code> is the preferred attribute.</p>', 'refs' => [ 'AwsSecurityFinding$Severity' => '<p>A finding\'s severity.</p>', ], ], 'SeverityLabel' => [ 'base' => NULL, 'refs' => [ 'FindingProviderSeverity$Label' => '<p>The severity label assigned to the finding by the finding provider.</p>', 'Severity$Label' => '<p>The severity value of the finding. The allowed values are the following.</p> <ul> <li> <p> <code>INFORMATIONAL</code> - No issue was found.</p> </li> <li> <p> <code>LOW</code> - The issue does not require action on its own.</p> </li> <li> <p> <code>MEDIUM</code> - The issue must be addressed but not urgently.</p> </li> <li> <p> <code>HIGH</code> - The issue must be addressed as a priority.</p> </li> <li> <p> <code>CRITICAL</code> - The issue must be remediated immediately to avoid it escalating.</p> </li> </ul> <p>If you provide <code>Normalized</code> and do not provide <code>Label</code>, then <code>Label</code> is set automatically as follows. </p> <ul> <li> <p>0 - <code>INFORMATIONAL</code> </p> </li> <li> <p>1–39 - <code>LOW</code> </p> </li> <li> <p>40–69 - <code>MEDIUM</code> </p> </li> <li> <p>70–89 - <code>HIGH</code> </p> </li> <li> <p>90–100 - <code>CRITICAL</code> </p> </li> </ul>', 'SeverityUpdate$Label' => '<p>The severity value of the finding. The allowed values are the following.</p> <ul> <li> <p> <code>INFORMATIONAL</code> - No issue was found.</p> </li> <li> <p> <code>LOW</code> - The issue does not require action on its own.</p> </li> <li> <p> <code>MEDIUM</code> - The issue must be addressed but not urgently.</p> </li> <li> <p> <code>HIGH</code> - The issue must be addressed as a priority.</p> </li> <li> <p> <code>CRITICAL</code> - The issue must be remediated immediately to avoid it escalating.</p> </li> </ul>', ], ], 'SeverityRating' => [ 'base' => NULL, 'refs' => [ 'StandardsControl$SeverityRating' => '<p>The severity of findings generated from this security standard control.</p> <p>The finding severity is based on an assessment of how easy it would be to compromise Amazon Web Services resources if the issue is detected.</p>', ], ], 'SeverityUpdate' => [ 'base' => '<p>Updates to the severity information for a finding.</p>', 'refs' => [ 'BatchUpdateFindingsRequest$Severity' => '<p>Used to update the finding severity.</p>', ], ], 'SizeBytes' => [ 'base' => NULL, 'refs' => [ 'AwsDynamoDbTableDetails$TableSizeBytes' => '<p>The total size of the table in bytes.</p>', 'AwsDynamoDbTableGlobalSecondaryIndex$IndexSizeBytes' => '<p>The total size in bytes of the index.</p>', ], ], 'SoftwarePackage' => [ 'base' => '<p>Information about a software package.</p>', 'refs' => [ 'SoftwarePackageList$member' => NULL, ], ], 'SoftwarePackageList' => [ 'base' => NULL, 'refs' => [ 'Vulnerability$VulnerablePackages' => '<p>List of software packages that have the vulnerability.</p>', ], ], 'SortCriteria' => [ 'base' => NULL, 'refs' => [ 'GetFindingsRequest$SortCriteria' => '<p>The finding attributes used to sort the list of returned findings.</p>', ], ], 'SortCriterion' => [ 'base' => '<p>A collection of finding attributes used to sort findings.</p>', 'refs' => [ 'SortCriteria$member' => NULL, ], ], 'SortOrder' => [ 'base' => NULL, 'refs' => [ 'SortCriterion$SortOrder' => '<p>The order used to sort findings.</p>', ], ], 'Standard' => [ 'base' => '<p>Provides information about a specific standard.</p>', 'refs' => [ 'Standards$member' => NULL, ], ], 'Standards' => [ 'base' => NULL, 'refs' => [ 'DescribeStandardsResponse$Standards' => '<p>A list of available standards.</p>', ], ], 'StandardsControl' => [ 'base' => '<p>Details for an individual security standard control.</p>', 'refs' => [ 'StandardsControls$member' => NULL, ], ], 'StandardsControls' => [ 'base' => NULL, 'refs' => [ 'DescribeStandardsControlsResponse$Controls' => '<p>A list of security standards controls.</p>', ], ], 'StandardsInputParameterMap' => [ 'base' => NULL, 'refs' => [ 'StandardsSubscription$StandardsInput' => '<p>A key-value pair of input for the standard.</p>', 'StandardsSubscriptionRequest$StandardsInput' => '<p>A key-value pair of input for the standard.</p>', ], ], 'StandardsStatus' => [ 'base' => NULL, 'refs' => [ 'StandardsSubscription$StandardsStatus' => '<p>The status of the standard subscription.</p> <p>The status values are as follows:</p> <ul> <li> <p> <code>PENDING</code> - Standard is in the process of being enabled.</p> </li> <li> <p> <code>READY</code> - Standard is enabled.</p> </li> <li> <p> <code>INCOMPLETE</code> - Standard could not be enabled completely. Some controls may not be available.</p> </li> <li> <p> <code>DELETING</code> - Standard is in the process of being disabled.</p> </li> <li> <p> <code>FAILED</code> - Standard could not be disabled.</p> </li> </ul>', ], ], 'StandardsSubscription' => [ 'base' => '<p>A resource that represents your subscription to a supported standard.</p>', 'refs' => [ 'StandardsSubscriptions$member' => NULL, ], ], 'StandardsSubscriptionArns' => [ 'base' => NULL, 'refs' => [ 'BatchDisableStandardsRequest$StandardsSubscriptionArns' => '<p>The ARNs of the standards subscriptions to disable.</p>', 'GetEnabledStandardsRequest$StandardsSubscriptionArns' => '<p>The list of the standards subscription ARNs for the standards to retrieve.</p>', ], ], 'StandardsSubscriptionRequest' => [ 'base' => '<p>The standard that you want to enable.</p>', 'refs' => [ 'StandardsSubscriptionRequests$member' => NULL, ], ], 'StandardsSubscriptionRequests' => [ 'base' => NULL, 'refs' => [ 'BatchEnableStandardsRequest$StandardsSubscriptionRequests' => '<p>The list of standards checks to enable.</p>', ], ], 'StandardsSubscriptions' => [ 'base' => NULL, 'refs' => [ 'BatchDisableStandardsResponse$StandardsSubscriptions' => '<p>The details of the standards subscriptions that were disabled.</p>', 'BatchEnableStandardsResponse$StandardsSubscriptions' => '<p>The details of the standards subscriptions that were enabled.</p>', 'GetEnabledStandardsResponse$StandardsSubscriptions' => '<p>The list of <code>StandardsSubscriptions</code> objects that include information about the enabled standards.</p>', ], ], 'StatusReason' => [ 'base' => '<p>Provides additional context for the value of <code>Compliance.Status</code>.</p>', 'refs' => [ 'StatusReasonsList$member' => NULL, ], ], 'StatusReasonsList' => [ 'base' => NULL, 'refs' => [ 'Compliance$StatusReasons' => '<p>For findings generated from controls, a list of reasons behind the value of <code>Status</code>. For the list of status reason codes and their meanings, see <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards-results.html#securityhub-standards-results-asff">Standards-related information in the ASFF</a> in the <i>Security Hub User Guide</i>. </p>', ], ], 'StringFilter' => [ 'base' => '<p>A string filter for querying findings.</p>', 'refs' => [ 'StringFilterList$member' => NULL, ], ], 'StringFilterComparison' => [ 'base' => NULL, 'refs' => [ 'StringFilter$Comparison' => '<p>The condition to apply to a string value when querying for findings. To search for values that contain the filter criteria value, use one of the following comparison operators:</p> <ul> <li> <p>To search for values that exactly match the filter value, use <code>EQUALS</code>.</p> <p>For example, the filter <code>ResourceType EQUALS AwsEc2SecurityGroup</code> only matches findings that have a resource type of <code>AwsEc2SecurityGroup</code>.</p> </li> <li> <p>To search for values that start with the filter value, use <code>PREFIX</code>.</p> <p>For example, the filter <code>ResourceType PREFIX AwsIam</code> matches findings that have a resource type that starts with <code>AwsIam</code>. Findings with a resource type of <code>AwsIamPolicy</code>, <code>AwsIamRole</code>, or <code>AwsIamUser</code> would all match.</p> </li> </ul> <p> <code>EQUALS</code> and <code>PREFIX</code> filters on the same field are joined by <code>OR</code>. A finding matches if it matches any one of those filters.</p> <p>To search for values that do not contain the filter criteria value, use one of the following comparison operators:</p> <ul> <li> <p>To search for values that do not exactly match the filter value, use <code>NOT_EQUALS</code>.</p> <p>For example, the filter <code>ResourceType NOT_EQUALS AwsIamPolicy</code> matches findings that have a resource type other than <code>AwsIamPolicy</code>.</p> </li> <li> <p>To search for values that do not start with the filter value, use <code>PREFIX_NOT_EQUALS</code>.</p> <p>For example, the filter <code>ResourceType PREFIX_NOT_EQUALS AwsIam</code> matches findings that have a resource type that does not start with <code>AwsIam</code>. Findings with a resource type of <code>AwsIamPolicy</code>, <code>AwsIamRole</code>, or <code>AwsIamUser</code> would all be excluded from the results.</p> </li> </ul> <p> <code>NOT_EQUALS</code> and <code>PREFIX_NOT_EQUALS</code> filters on the same field are joined by <code>AND</code>. A finding matches only if it matches all of those filters.</p> <p>For filters on the same field, you cannot provide both an <code>EQUALS</code> filter and a <code>NOT_EQUALS</code> or <code>PREFIX_NOT_EQUALS</code> filter. Combining filters in this way always returns an error, even if the provided filter values would return valid results.</p> <p>You can combine <code>PREFIX</code> filters with <code>NOT_EQUALS</code> or <code>PREFIX_NOT_EQUALS</code> filters for the same field. Security Hub first processes the <code>PREFIX</code> filters, then the <code>NOT_EQUALS</code> or <code>PREFIX_NOT_EQUALS</code> filters.</p> <p> For example, for the following filter, Security Hub first identifies findings that have resource types that start with either <code>AwsIAM</code> or <code>AwsEc2</code>. It then excludes findings that have a resource type of <code>AwsIamPolicy</code> and findings that have a resource type of <code>AwsEc2NetworkInterface</code>.</p> <ul> <li> <p> <code>ResourceType PREFIX AwsIam</code> </p> </li> <li> <p> <code>ResourceType PREFIX AwsEc2</code> </p> </li> <li> <p> <code>ResourceType NOT_EQUALS AwsIamPolicy</code> </p> </li> <li> <p> <code>ResourceType NOT_EQUALS AwsEc2NetworkInterface</code> </p> </li> </ul>', ], ], 'StringFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$ProductArn' => '<p>The ARN generated by Security Hub that uniquely identifies a third-party company (security findings provider) after this provider\'s product (solution that generates findings) is registered with Security Hub.</p>', 'AwsSecurityFindingFilters$AwsAccountId' => '<p>The Amazon Web Services account ID that a finding is generated in.</p>', 'AwsSecurityFindingFilters$Id' => '<p>The security findings provider-specific identifier for a finding.</p>', 'AwsSecurityFindingFilters$GeneratorId' => '<p>The identifier for the solution-specific component (a discrete unit of logic) that generated a finding. In various security-findings providers\' solutions, this generator can be called a rule, a check, a detector, a plugin, etc.</p>', 'AwsSecurityFindingFilters$Region' => '<p>The Region from which the finding was generated.</p>', 'AwsSecurityFindingFilters$Type' => '<p>A finding type in the format of <code>namespace/category/classifier</code> that classifies a finding.</p>', 'AwsSecurityFindingFilters$SeverityLabel' => '<p>The label of a finding\'s severity.</p>', 'AwsSecurityFindingFilters$Title' => '<p>A finding\'s title.</p>', 'AwsSecurityFindingFilters$Description' => '<p>A finding\'s description.</p>', 'AwsSecurityFindingFilters$RecommendationText' => '<p>The recommendation of what to do about the issue described in a finding.</p>', 'AwsSecurityFindingFilters$SourceUrl' => '<p>A URL that links to a page about the current finding in the security-findings provider\'s solution.</p>', 'AwsSecurityFindingFilters$ProductName' => '<p>The name of the solution (product) that generates findings.</p> <p>Note that this is a filter against the <code>aws/securityhub/ProductName</code> field in <code>ProductFields</code>. It is not a filter for the top-level <code>ProductName</code> field.</p>', 'AwsSecurityFindingFilters$CompanyName' => '<p>The name of the findings provider (company) that owns the solution (product) that generates findings.</p> <p>Note that this is a filter against the <code>aws/securityhub/CompanyName</code> field in <code>ProductFields</code>. It is not a filter for the top-level <code>CompanyName</code> field.</p>', 'AwsSecurityFindingFilters$MalwareName' => '<p>The name of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwareType' => '<p>The type of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwarePath' => '<p>The filesystem path of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwareState' => '<p>The state of the malware that was observed.</p>', 'AwsSecurityFindingFilters$NetworkDirection' => '<p>Indicates the direction of network traffic associated with a finding.</p>', 'AwsSecurityFindingFilters$NetworkProtocol' => '<p>The protocol of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceDomain' => '<p>The source domain of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceMac' => '<p>The source media access control (MAC) address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationDomain' => '<p>The destination domain of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ProcessName' => '<p>The name of the process.</p>', 'AwsSecurityFindingFilters$ProcessPath' => '<p>The path to the process executable.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorType' => '<p>The type of a threat intelligence indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorValue' => '<p>The value of a threat intelligence indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorCategory' => '<p>The category of a threat intelligence indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorSource' => '<p>The source of the threat intelligence.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorSourceUrl' => '<p>The URL for more details from the source of the threat intelligence.</p>', 'AwsSecurityFindingFilters$ResourceType' => '<p>Specifies the type of the resource that details are provided for.</p>', 'AwsSecurityFindingFilters$ResourceId' => '<p>The canonical identifier for the given resource type.</p>', 'AwsSecurityFindingFilters$ResourcePartition' => '<p>The canonical Amazon Web Services partition name that the Region is assigned to.</p>', 'AwsSecurityFindingFilters$ResourceRegion' => '<p>The canonical Amazon Web Services external Region name where this resource is located.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceType' => '<p>The instance type of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceImageId' => '<p>The Amazon Machine Image (AMI) ID of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceKeyName' => '<p>The key name associated with the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIamInstanceProfileArn' => '<p>The IAM profile ARN of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceVpcId' => '<p>The identifier of the VPC that the instance was launched in.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceSubnetId' => '<p>The identifier of the subnet that the instance was launched in.</p>', 'AwsSecurityFindingFilters$ResourceAwsS3BucketOwnerId' => '<p>The canonical user ID of the owner of the S3 bucket.</p>', 'AwsSecurityFindingFilters$ResourceAwsS3BucketOwnerName' => '<p>The display name of the owner of the S3 bucket.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyUserName' => '<p>The user associated with the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyPrincipalName' => '<p>The name of the principal that is associated with an IAM access key.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyStatus' => '<p>The status of the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamUserUserName' => '<p>The name of an IAM user.</p>', 'AwsSecurityFindingFilters$ResourceContainerName' => '<p>The name of the container related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerImageId' => '<p>The identifier of the image related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerImageName' => '<p>The name of the image related to a finding.</p>', 'AwsSecurityFindingFilters$ComplianceStatus' => '<p>Exclusive to findings that are generated as the result of a check run against a specific rule in a supported standard, such as CIS Amazon Web Services Foundations. Contains security standard-related finding details.</p>', 'AwsSecurityFindingFilters$VerificationState' => '<p>The veracity of a finding.</p>', 'AwsSecurityFindingFilters$WorkflowState' => '<p>The workflow state of a finding.</p> <p>Note that this field is deprecated. To search for a finding based on its workflow status, use <code>WorkflowStatus</code>.</p>', 'AwsSecurityFindingFilters$WorkflowStatus' => '<p>The status of the investigation into a finding. Allowed values are the following.</p> <ul> <li> <p> <code>NEW</code> - The initial state of a finding, before it is reviewed.</p> <p>Security Hub also resets the workflow status from <code>NOTIFIED</code> or <code>RESOLVED</code> to <code>NEW</code> in the following cases:</p> <ul> <li> <p>The record state changes from <code>ARCHIVED</code> to <code>ACTIVE</code>.</p> </li> <li> <p>The compliance status changes from <code>PASSED</code> to either <code>WARNING</code>, <code>FAILED</code>, or <code>NOT_AVAILABLE</code>.</p> </li> </ul> </li> <li> <p> <code>NOTIFIED</code> - Indicates that the resource owner has been notified about the security issue. Used when the initial reviewer is not the resource owner, and needs intervention from the resource owner.</p> </li> <li> <p> <code>SUPPRESSED</code> - The finding will not be reviewed again and will not be acted upon.</p> </li> <li> <p> <code>RESOLVED</code> - The finding was reviewed and remediated and is now considered resolved. </p> </li> </ul>', 'AwsSecurityFindingFilters$RecordState' => '<p>The updated record state for the finding.</p>', 'AwsSecurityFindingFilters$RelatedFindingsProductArn' => '<p>The ARN of the solution that generated a related finding.</p>', 'AwsSecurityFindingFilters$RelatedFindingsId' => '<p>The solution-generated identifier for a related finding.</p>', 'AwsSecurityFindingFilters$NoteText' => '<p>The text of a note.</p>', 'AwsSecurityFindingFilters$NoteUpdatedBy' => '<p>The principal that created a note.</p>', 'AwsSecurityFindingFilters$FindingProviderFieldsRelatedFindingsId' => '<p>The finding identifier of a related finding that is identified by the finding provider.</p>', 'AwsSecurityFindingFilters$FindingProviderFieldsRelatedFindingsProductArn' => '<p>The ARN of the solution that generated a related finding that is identified by the finding provider.</p>', 'AwsSecurityFindingFilters$FindingProviderFieldsSeverityLabel' => '<p>The finding provider value for the severity label.</p>', 'AwsSecurityFindingFilters$FindingProviderFieldsSeverityOriginal' => '<p>The finding provider\'s original value for the severity.</p>', 'AwsSecurityFindingFilters$FindingProviderFieldsTypes' => '<p>One or more finding types that the finding provider assigned to the finding. Uses the format of <code>namespace/category/classifier</code> that classify a finding.</p> <p>Valid namespace values are: Software and Configuration Checks | TTPs | Effects | Unusual Behaviors | Sensitive Data Identifications</p>', ], ], 'StringList' => [ 'base' => NULL, 'refs' => [ 'AwsAutoScalingAutoScalingGroupDetails$LoadBalancerNames' => '<p>The list of load balancers associated with the group.</p>', 'AwsCertificateManagerCertificateDetails$InUseBy' => '<p>The list of ARNs for the Amazon Web Services resources that use the certificate.</p>', 'AwsCertificateManagerCertificateDetails$SubjectAlternativeNames' => '<p>One or more domain names (subject alternative names) included in the certificate. This list contains the domain names that are bound to the public key that is contained in the certificate.</p> <p>The subject alternative names include the canonical domain name (CN) of the certificate and additional domain names that can be used to connect to the website.</p>', 'AwsCertificateManagerCertificateDomainValidationOption$ValidationEmails' => '<p>A list of email addresses that Certificate Manager uses to send domain validation emails.</p>', 'AwsDynamoDbTableProjection$NonKeyAttributes' => '<p>The nonkey attributes that are projected into the index. For each attribute, provide the attribute name.</p>', 'AwsEc2InstanceDetails$IpV4Addresses' => '<p>The IPv4 addresses associated with the instance.</p>', 'AwsEc2InstanceDetails$IpV6Addresses' => '<p>The IPv6 addresses associated with the instance.</p>', 'AwsElbLoadBalancerBackendServerDescription$PolicyNames' => '<p>The names of the policies that are enabled for the EC2 instance.</p>', 'AwsElbLoadBalancerDetails$AvailabilityZones' => '<p>The list of Availability Zones for the load balancer.</p>', 'AwsElbLoadBalancerDetails$SecurityGroups' => '<p>The security groups for the load balancer. Only provided if the load balancer is in a VPC.</p>', 'AwsElbLoadBalancerDetails$Subnets' => '<p>The list of subnet identifiers for the load balancer.</p>', 'AwsElbLoadBalancerListenerDescription$PolicyNames' => '<p>The policies enabled for the listener.</p>', 'AwsElbLoadBalancerPolicies$OtherPolicies' => '<p>The policies other than the stickiness policies.</p>', 'AwsIamUserDetails$GroupList' => '<p>A list of IAM groups that the user belongs to.</p>', 'AwsRdsDbClusterDetails$AvailabilityZones' => '<p>A list of Availability Zones (AZs) where instances in the DB cluster can be created.</p>', 'AwsRdsDbClusterDetails$CustomEndpoints' => '<p>A list of custom endpoints for the DB cluster.</p>', 'AwsRdsDbClusterDetails$ReadReplicaIdentifiers' => '<p>The identifiers of the read replicas that are associated with this DB cluster.</p>', 'AwsRdsDbClusterDetails$EnabledCloudWatchLogsExports' => '<p>A list of log types that this DB cluster is configured to export to CloudWatch Logs.</p>', 'AwsRdsDbClusterSnapshotDetails$AvailabilityZones' => '<p>A list of Availability Zones where instances in the DB cluster can be created.</p>', 'AwsRdsDbInstanceDetails$DbSecurityGroups' => '<p>A list of the DB security groups to assign to the DB instance.</p>', 'AwsRdsDbInstanceDetails$ReadReplicaDBInstanceIdentifiers' => '<p>List of identifiers of the read replicas associated with this DB instance.</p>', 'AwsRdsDbInstanceDetails$ReadReplicaDBClusterIdentifiers' => '<p>List of identifiers of Aurora DB clusters to which the RDS DB instance is replicated as a read replica.</p>', 'AwsRdsDbInstanceDetails$EnabledCloudWatchLogsExports' => '<p>A list of log types that this DB instance is configured to export to CloudWatch Logs.</p>', 'AwsRdsPendingCloudWatchLogsExports$LogTypesToEnable' => '<p>A list of log types that are being enabled.</p>', 'AwsRdsPendingCloudWatchLogsExports$LogTypesToDisable' => '<p>A list of log types that are being disabled.</p>', 'AwsRedshiftClusterDetails$PendingActions' => '<p>A list of cluster operations that are waiting to start.</p>', 'NetworkPathComponentDetails$Address' => '<p>The IP addresses of the destination.</p>', 'Vulnerability$RelatedVulnerabilities' => '<p>List of vulnerabilities that are related to this vulnerability.</p>', 'Vulnerability$ReferenceUrls' => '<p>A list of URLs that provide additional information about the vulnerability.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'TagMap$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The tag keys associated with the tags to remove from the resource. You can remove up to 50 tags at a time.</p>', ], ], 'TagMap' => [ 'base' => NULL, 'refs' => [ 'EnableSecurityHubRequest$Tags' => '<p>The tags to add to the hub resource when you enable Security Hub.</p>', 'ListTagsForResourceResponse$Tags' => '<p>The tags associated with a resource.</p>', 'TagResourceRequest$Tags' => '<p>The tags to add to the resource. You can add up to 50 tags at a time. The tag keys can be no longer than 128 characters. The tag values can be no longer than 256 characters.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'TagMap$value' => NULL, ], ], 'ThreatIntelIndicator' => [ 'base' => '<p>Details about the threat intelligence related to a finding.</p>', 'refs' => [ 'ThreatIntelIndicatorList$member' => NULL, ], ], 'ThreatIntelIndicatorCategory' => [ 'base' => NULL, 'refs' => [ 'ThreatIntelIndicator$Category' => '<p>The category of a threat intelligence indicator.</p>', ], ], 'ThreatIntelIndicatorList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$ThreatIntelIndicators' => '<p>Threat intelligence details related to a finding.</p>', ], ], 'ThreatIntelIndicatorType' => [ 'base' => NULL, 'refs' => [ 'ThreatIntelIndicator$Type' => '<p>The type of threat intelligence indicator.</p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'Invitation$InvitedAt' => '<p>The timestamp of when the invitation was sent.</p>', 'Member$InvitedAt' => '<p>A timestamp for the date and time when the invitation was sent to the member account.</p>', 'Member$UpdatedAt' => '<p>The timestamp for the date and time when the member account was updated.</p>', 'StandardsControl$ControlStatusUpdatedAt' => '<p>The date and time that the status of the security standard control was most recently updated.</p>', ], ], 'TypeList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Types' => '<p>One or more finding types in the format of <code>namespace/category/classifier</code> that classify a finding.</p> <p>Valid namespace values are: Software and Configuration Checks | TTPs | Effects | Unusual Behaviors | Sensitive Data Identifications</p>', 'BatchUpdateFindingsRequest$Types' => '<p>One or more finding types in the format of namespace/category/classifier that classify a finding.</p> <p>Valid namespace values are as follows.</p> <ul> <li> <p>Software and Configuration Checks</p> </li> <li> <p>TTPs</p> </li> <li> <p>Effects</p> </li> <li> <p>Unusual Behaviors</p> </li> <li> <p>Sensitive Data Identifications </p> </li> </ul>', 'FindingProviderFields$Types' => '<p>One or more finding types in the format of <code>namespace/category/classifier</code> that classify a finding.</p> <p>Valid namespace values are: Software and Configuration Checks | TTPs | Effects | Unusual Behaviors | Sensitive Data Identifications</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateActionTargetRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateActionTargetResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateOrganizationConfigurationRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateOrganizationConfigurationResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateSecurityHubConfigurationRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateSecurityHubConfigurationResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStandardsControlRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStandardsControlResponse' => [ 'base' => NULL, 'refs' => [], ], 'VerificationState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$VerificationState' => '<p>Indicates the veracity of a finding. </p>', 'BatchUpdateFindingsRequest$VerificationState' => '<p>Indicates the veracity of a finding.</p> <p>The available values for <code>VerificationState</code> are as follows.</p> <ul> <li> <p> <code>UNKNOWN</code> – The default disposition of a security finding</p> </li> <li> <p> <code>TRUE_POSITIVE</code> – The security finding is confirmed</p> </li> <li> <p> <code>FALSE_POSITIVE</code> – The security finding was determined to be a false alarm</p> </li> <li> <p> <code>BENIGN_POSITIVE</code> – A special case of <code>TRUE_POSITIVE</code> where the finding doesn\'t pose any threat, is expected, or both</p> </li> </ul>', ], ], 'Vulnerability' => [ 'base' => '<p>A vulnerability associated with a finding.</p>', 'refs' => [ 'VulnerabilityList$member' => NULL, ], ], 'VulnerabilityList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Vulnerabilities' => '<p>Provides a list of vulnerabilities associated with the findings.</p>', ], ], 'VulnerabilityVendor' => [ 'base' => '<p>A vendor that generates a vulnerability report.</p>', 'refs' => [ 'Vulnerability$Vendor' => '<p>Information about the vendor that generates the vulnerability report.</p>', ], ], 'WafAction' => [ 'base' => '<p>Details about the action that CloudFront or WAF takes when a web request matches the conditions in the rule. </p>', 'refs' => [ 'AwsWafWebAclRule$Action' => '<p>Specifies the action that CloudFront or WAF takes when a web request matches the conditions in the rule. </p>', ], ], 'WafExcludedRule' => [ 'base' => '<p>Details about a rule to exclude from a rule group.</p>', 'refs' => [ 'WafExcludedRuleList$member' => NULL, ], ], 'WafExcludedRuleList' => [ 'base' => NULL, 'refs' => [ 'AwsWafWebAclRule$ExcludedRules' => '<p>Rules to exclude from a rule group.</p>', ], ], 'WafOverrideAction' => [ 'base' => '<p>Details about an override action for a rule.</p>', 'refs' => [ 'AwsWafWebAclRule$OverrideAction' => '<p>Use the <code>OverrideAction</code> to test your RuleGroup.</p> <p>Any rule in a RuleGroup can potentially block a request. If you set the <code>OverrideAction</code> to <code>None</code>, the RuleGroup blocks a request if any individual rule in the RuleGroup matches the request and is configured to block that request.</p> <p>However, if you first want to test the RuleGroup, set the <code>OverrideAction</code> to <code>Count</code>. The RuleGroup then overrides any block action specified by individual rules contained within the group. Instead of blocking matching requests, those requests are counted.</p> <p> <code>ActivatedRule</code>|<code>OverrideAction</code> applies only when updating or adding a RuleGroup to a WebACL. In this case you do not use <code>ActivatedRule</code>|<code>Action</code>. For all other update requests, <code>ActivatedRule</code>|<code>Action</code> is used instead of <code>ActivatedRule</code>|<code>OverrideAction</code>. </p>', ], ], 'Workflow' => [ 'base' => '<p>Provides information about the status of the investigation into a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Workflow' => '<p>Provides information about the status of the investigation into a finding.</p>', ], ], 'WorkflowState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$WorkflowState' => '<p>The workflow state of a finding. </p>', ], ], 'WorkflowStatus' => [ 'base' => NULL, 'refs' => [ 'Workflow$Status' => '<p>The status of the investigation into the finding. The workflow status is specific to an individual finding. It does not affect the generation of new findings. For example, setting the workflow status to <code>SUPPRESSED</code> or <code>RESOLVED</code> does not prevent a new finding for the same issue.</p> <p>The allowed values are the following.</p> <ul> <li> <p> <code>NEW</code> - The initial state of a finding, before it is reviewed.</p> <p>Security Hub also resets the workflow status from <code>NOTIFIED</code> or <code>RESOLVED</code> to <code>NEW</code> in the following cases:</p> <ul> <li> <p> <code>RecordState</code> changes from <code>ARCHIVED</code> to <code>ACTIVE</code>.</p> </li> <li> <p> <code>ComplianceStatus</code> changes from <code>PASSED</code> to either <code>WARNING</code>, <code>FAILED</code>, or <code>NOT_AVAILABLE</code>.</p> </li> </ul> </li> <li> <p> <code>NOTIFIED</code> - Indicates that you notified the resource owner about the security issue. Used when the initial reviewer is not the resource owner, and needs intervention from the resource owner.</p> </li> <li> <p> <code>SUPPRESSED</code> - Indicates that you reviewed the finding and do not believe that any action is needed. The finding is no longer updated.</p> </li> <li> <p> <code>RESOLVED</code> - The finding was reviewed and remediated and is now considered resolved. </p> </li> </ul>', 'WorkflowUpdate$Status' => '<p>The status of the investigation into the finding. The workflow status is specific to an individual finding. It does not affect the generation of new findings. For example, setting the workflow status to <code>SUPPRESSED</code> or <code>RESOLVED</code> does not prevent a new finding for the same issue.</p> <p>The allowed values are the following.</p> <ul> <li> <p> <code>NEW</code> - The initial state of a finding, before it is reviewed.</p> <p>Security Hub also resets <code>WorkFlowStatus</code> from <code>NOTIFIED</code> or <code>RESOLVED</code> to <code>NEW</code> in the following cases:</p> <ul> <li> <p>The record state changes from <code>ARCHIVED</code> to <code>ACTIVE</code>.</p> </li> <li> <p>The compliance status changes from <code>PASSED</code> to either <code>WARNING</code>, <code>FAILED</code>, or <code>NOT_AVAILABLE</code>.</p> </li> </ul> </li> <li> <p> <code>NOTIFIED</code> - Indicates that you notified the resource owner about the security issue. Used when the initial reviewer is not the resource owner, and needs intervention from the resource owner.</p> </li> <li> <p> <code>RESOLVED</code> - The finding was reviewed and remediated and is now considered resolved.</p> </li> <li> <p> <code>SUPPRESSED</code> - Indicates that you reviewed the finding and do not believe that any action is needed. The finding is no longer updated.</p> </li> </ul>', ], ], 'WorkflowUpdate' => [ 'base' => '<p>Used to update information about the investigation into the finding.</p>', 'refs' => [ 'BatchUpdateFindingsRequest$Workflow' => '<p>Used to update the workflow status of a finding.</p> <p>The workflow status indicates the progress of the investigation into the finding. </p>', ], ], ],];
