<?php
// This file was auto-generated from sdk-root/src/data/service-quotas/2019-06-24/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>With Service Quotas, you can view and manage your quotas easily as your AWS workloads grow. Quotas, also referred to as limits, are the maximum number of resources that you can create in your AWS account. For more information, see the <a href="https://docs.aws.amazon.com/servicequotas/latest/userguide/">Service Quotas User Guide</a>.</p>', 'operations' => [ 'AssociateServiceQuotaTemplate' => '<p>Associates your quota request template with your organization. When a new account is created in your organization, the quota increase requests in the template are automatically applied to the account. You can add a quota increase request for any adjustable quota to your template.</p>', 'DeleteServiceQuotaIncreaseRequestFromTemplate' => '<p>Deletes the quota increase request for the specified quota from your quota request template.</p>', 'DisassociateServiceQuotaTemplate' => '<p>Disables your quota request template. After a template is disabled, the quota increase requests in the template are not applied to new accounts in your organization. Disabling a quota request template does not apply its quota increase requests.</p>', 'GetAWSDefaultServiceQuota' => '<p>Retrieves the default value for the specified quota. The default value does not reflect any quota increases.</p>', 'GetAssociationForServiceQuotaTemplate' => '<p>Retrieves the status of the association for the quota request template.</p>', 'GetRequestedServiceQuotaChange' => '<p>Retrieves information about the specified quota increase request.</p>', 'GetServiceQuota' => '<p>Retrieves the applied quota value for the specified quota. For some quotas, only the default values are available. If the applied quota value is not available for a quota, the quota is not retrieved.</p>', 'GetServiceQuotaIncreaseRequestFromTemplate' => '<p>Retrieves information about the specified quota increase request in your quota request template.</p>', 'ListAWSDefaultServiceQuotas' => '<p>Lists the default values for the quotas for the specified AWS service. A default value does not reflect any quota increases.</p>', 'ListRequestedServiceQuotaChangeHistory' => '<p>Retrieves the quota increase requests for the specified service.</p>', 'ListRequestedServiceQuotaChangeHistoryByQuota' => '<p>Retrieves the quota increase requests for the specified quota.</p>', 'ListServiceQuotaIncreaseRequestsInTemplate' => '<p>Lists the quota increase requests in the specified quota request template.</p>', 'ListServiceQuotas' => '<p>Lists the applied quota values for the specified AWS service. For some quotas, only the default values are available. If the applied quota value is not available for a quota, the quota is not retrieved.</p>', 'ListServices' => '<p>Lists the names and codes for the services integrated with Service Quotas.</p>', 'ListTagsForResource' => '<p>Returns a list of the tags assigned to the specified applied quota.</p>', 'PutServiceQuotaIncreaseRequestIntoTemplate' => '<p>Adds a quota increase request to your quota request template.</p>', 'RequestServiceQuotaIncrease' => '<p>Submits a quota increase request for the specified quota.</p>', 'TagResource' => '<p>Adds tags to the specified applied quota. You can include one or more tags to add to the quota.</p>', 'UntagResource' => '<p>Removes tags from the specified applied quota. You can specify one or more tags to remove.</p>', ], 'shapes' => [ 'AWSServiceAccessNotEnabledException' => [ 'base' => '<p>The action you attempted is not allowed unless Service Access with Service Quotas is enabled in your organization.</p>', 'refs' => [], ], 'AccessDeniedException' => [ 'base' => '<p>You do not have sufficient permission to perform this action.</p>', 'refs' => [], ], 'AmazonResourceName' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceRequest$ResourceARN' => '<p>The Amazon Resource Name (ARN) for the applied quota for which you want to list tags. You can get this information by using the Service Quotas console, or by listing the quotas using the <a href="https://docs.aws.amazon.com/cli/latest/reference/service-quotas/list-service-quotas.html">list-service-quotas</a> AWS CLI command or the <a href="https://docs.aws.amazon.com/servicequotas/2019-06-24/apireference/API_ListServiceQuotas.html">ListServiceQuotas</a> AWS API operation.</p>', 'TagResourceRequest$ResourceARN' => '<p>The Amazon Resource Name (ARN) for the applied quota. You can get this information by using the Service Quotas console, or by listing the quotas using the <a href="https://docs.aws.amazon.com/cli/latest/reference/service-quotas/list-service-quotas.html">list-service-quotas</a> AWS CLI command or the <a href="https://docs.aws.amazon.com/servicequotas/2019-06-24/apireference/API_ListServiceQuotas.html">ListServiceQuotas</a> AWS API operation.</p>', 'UntagResourceRequest$ResourceARN' => '<p>The Amazon Resource Name (ARN) for the applied quota that you want to untag. You can get this information by using the Service Quotas console, or by listing the quotas using the <a href="https://docs.aws.amazon.com/cli/latest/reference/service-quotas/list-service-quotas.html">list-service-quotas</a> AWS CLI command or the <a href="https://docs.aws.amazon.com/servicequotas/2019-06-24/apireference/API_ListServiceQuotas.html">ListServiceQuotas</a> AWS API operation.</p>', ], ], 'AssociateServiceQuotaTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateServiceQuotaTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'AwsRegion' => [ 'base' => NULL, 'refs' => [ 'DeleteServiceQuotaIncreaseRequestFromTemplateRequest$AwsRegion' => '<p>The AWS Region.</p>', 'GetServiceQuotaIncreaseRequestFromTemplateRequest$AwsRegion' => '<p>The AWS Region.</p>', 'ListServiceQuotaIncreaseRequestsInTemplateRequest$AwsRegion' => '<p>The AWS Region.</p>', 'PutServiceQuotaIncreaseRequestIntoTemplateRequest$AwsRegion' => '<p>The AWS Region.</p>', 'ServiceQuotaIncreaseRequestInTemplate$AwsRegion' => '<p>The AWS Region.</p>', ], ], 'CustomerServiceEngagementId' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$CaseId' => '<p>The case ID.</p>', ], ], 'DateTime' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$Created' => '<p>The date and time when the quota increase request was received and the case ID was created.</p>', 'RequestedServiceQuotaChange$LastUpdated' => '<p>The date and time of the most recent change.</p>', ], ], 'DeleteServiceQuotaIncreaseRequestFromTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteServiceQuotaIncreaseRequestFromTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'DependencyAccessDeniedException' => [ 'base' => '<p>You can\'t perform this action because a dependency does not have access.</p>', 'refs' => [], ], 'DisassociateServiceQuotaTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateServiceQuotaTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'ErrorCode' => [ 'base' => NULL, 'refs' => [ 'ErrorReason$ErrorCode' => '<p>Service Quotas returns the following error values:</p> <ul> <li> <p> <code>DEPENDENCY_ACCESS_DENIED_ERROR</code> - The caller does not have the required permissions to complete the action. To resolve the error, you must have permission to access the service or quota.</p> </li> <li> <p> <code>DEPENDENCY_THROTTLING_ERROR</code> - The service is throttling Service Quotas.</p> </li> <li> <p> <code>DEPENDENCY_SERVICE_ERROR</code> - The service is not available.</p> </li> <li> <p> <code>SERVICE_QUOTA_NOT_AVAILABLE_ERROR</code> - There was an error in Service Quotas.</p> </li> </ul>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'ErrorReason$ErrorMessage' => '<p>The error message.</p>', ], ], 'ErrorReason' => [ 'base' => '<p>An error that explains why an action did not succeed.</p>', 'refs' => [ 'ServiceQuota$ErrorReason' => '<p>The error code and error reason.</p>', ], ], 'ExceptionMessage' => [ 'base' => NULL, 'refs' => [ 'AWSServiceAccessNotEnabledException$Message' => NULL, 'AccessDeniedException$Message' => NULL, 'DependencyAccessDeniedException$Message' => NULL, 'IllegalArgumentException$Message' => NULL, 'InvalidPaginationTokenException$Message' => NULL, 'InvalidResourceStateException$Message' => NULL, 'NoAvailableOrganizationException$Message' => NULL, 'NoSuchResourceException$Message' => NULL, 'OrganizationNotInAllFeaturesModeException$Message' => NULL, 'QuotaExceededException$Message' => NULL, 'ResourceAlreadyExistsException$Message' => NULL, 'ServiceException$Message' => NULL, 'ServiceQuotaTemplateNotInUseException$Message' => NULL, 'TagPolicyViolationException$Message' => NULL, 'TemplatesNotAvailableInRegionException$Message' => NULL, 'TooManyRequestsException$Message' => NULL, 'TooManyTagsException$Message' => NULL, ], ], 'GetAWSDefaultServiceQuotaRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetAWSDefaultServiceQuotaResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetAssociationForServiceQuotaTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetAssociationForServiceQuotaTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetRequestedServiceQuotaChangeRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRequestedServiceQuotaChangeResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetServiceQuotaIncreaseRequestFromTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetServiceQuotaIncreaseRequestFromTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetServiceQuotaRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetServiceQuotaResponse' => [ 'base' => NULL, 'refs' => [], ], 'GlobalQuota' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$GlobalQuota' => '<p>Indicates whether the quota is global.</p>', 'ServiceQuota$GlobalQuota' => '<p>Indicates whether the quota is global.</p>', 'ServiceQuotaIncreaseRequestInTemplate$GlobalQuota' => '<p>Indicates whether the quota is global.</p>', ], ], 'IllegalArgumentException' => [ 'base' => '<p>Invalid input was provided.</p>', 'refs' => [], ], 'InputTagKeys' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The keys of the tags that you want to remove from the resource.</p>', ], ], 'InputTags' => [ 'base' => NULL, 'refs' => [ 'TagResourceRequest$Tags' => '<p>The tags that you want to add to the resource.</p>', ], ], 'InvalidPaginationTokenException' => [ 'base' => '<p>Invalid input was provided.</p>', 'refs' => [], ], 'InvalidResourceStateException' => [ 'base' => '<p>The resource is in an invalid state.</p>', 'refs' => [], ], 'ListAWSDefaultServiceQuotasRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAWSDefaultServiceQuotasResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListRequestedServiceQuotaChangeHistoryByQuotaRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListRequestedServiceQuotaChangeHistoryByQuotaResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListRequestedServiceQuotaChangeHistoryRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListRequestedServiceQuotaChangeHistoryResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListServiceQuotaIncreaseRequestsInTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListServiceQuotaIncreaseRequestsInTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListServiceQuotasRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListServiceQuotasResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListServicesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListServicesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListAWSDefaultServiceQuotasRequest$MaxResults' => '<p>The maximum number of results to return with a single call. To retrieve the remaining results, if any, make another call with the token returned from this call.</p>', 'ListRequestedServiceQuotaChangeHistoryByQuotaRequest$MaxResults' => '<p>The maximum number of results to return with a single call. To retrieve the remaining results, if any, make another call with the token returned from this call.</p>', 'ListRequestedServiceQuotaChangeHistoryRequest$MaxResults' => '<p>The maximum number of results to return with a single call. To retrieve the remaining results, if any, make another call with the token returned from this call.</p>', 'ListServiceQuotaIncreaseRequestsInTemplateRequest$MaxResults' => '<p>The maximum number of results to return with a single call. To retrieve the remaining results, if any, make another call with the token returned from this call.</p>', 'ListServiceQuotasRequest$MaxResults' => '<p>The maximum number of results to return with a single call. To retrieve the remaining results, if any, make another call with the token returned from this call.</p>', 'ListServicesRequest$MaxResults' => '<p>The maximum number of results to return with a single call. To retrieve the remaining results, if any, make another call with the token returned from this call.</p>', ], ], 'MetricDimensionName' => [ 'base' => NULL, 'refs' => [ 'MetricDimensionsMapDefinition$key' => NULL, ], ], 'MetricDimensionValue' => [ 'base' => NULL, 'refs' => [ 'MetricDimensionsMapDefinition$value' => NULL, ], ], 'MetricDimensionsMapDefinition' => [ 'base' => NULL, 'refs' => [ 'MetricInfo$MetricDimensions' => '<p>The metric dimension. This is a name/value pair that is part of the identity of a metric.</p>', ], ], 'MetricInfo' => [ 'base' => '<p>Information about the CloudWatch metric that reflects quota usage.</p>', 'refs' => [ 'ServiceQuota$UsageMetric' => '<p>Information about the measurement.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListAWSDefaultServiceQuotasRequest$NextToken' => '<p>The token for the next page of results.</p>', 'ListAWSDefaultServiceQuotasResponse$NextToken' => '<p>The token to use to retrieve the next page of results. This value is null when there are no more results to return.</p>', 'ListRequestedServiceQuotaChangeHistoryByQuotaRequest$NextToken' => '<p>The token for the next page of results.</p>', 'ListRequestedServiceQuotaChangeHistoryByQuotaResponse$NextToken' => '<p>The token to use to retrieve the next page of results. This value is null when there are no more results to return.</p>', 'ListRequestedServiceQuotaChangeHistoryRequest$NextToken' => '<p>The token for the next page of results.</p>', 'ListRequestedServiceQuotaChangeHistoryResponse$NextToken' => '<p>The token to use to retrieve the next page of results. This value is null when there are no more results to return.</p>', 'ListServiceQuotaIncreaseRequestsInTemplateRequest$NextToken' => '<p>The token for the next page of results.</p>', 'ListServiceQuotaIncreaseRequestsInTemplateResponse$NextToken' => '<p>The token to use to retrieve the next page of results. This value is null when there are no more results to return.</p>', 'ListServiceQuotasRequest$NextToken' => '<p>The token for the next page of results.</p>', 'ListServiceQuotasResponse$NextToken' => '<p>The token to use to retrieve the next page of results. This value is null when there are no more results to return.</p>', 'ListServicesRequest$NextToken' => '<p>The token for the next page of results.</p>', 'ListServicesResponse$NextToken' => '<p>The token to use to retrieve the next page of results. This value is null when there are no more results to return.</p>', ], ], 'NoAvailableOrganizationException' => [ 'base' => '<p>The account making this call is not a member of an organization.</p>', 'refs' => [], ], 'NoSuchResourceException' => [ 'base' => '<p>The specified resource does not exist.</p>', 'refs' => [], ], 'OrganizationNotInAllFeaturesModeException' => [ 'base' => '<p>The organization that your account belongs to is not in All Features mode.</p>', 'refs' => [], ], 'OutputTags' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceResponse$Tags' => '<p>A complex data type that contains zero or more tag elements.</p>', ], ], 'PeriodUnit' => [ 'base' => NULL, 'refs' => [ 'QuotaPeriod$PeriodUnit' => '<p>The time unit.</p>', ], ], 'PeriodValue' => [ 'base' => NULL, 'refs' => [ 'QuotaPeriod$PeriodValue' => '<p>The value.</p>', ], ], 'PutServiceQuotaIncreaseRequestIntoTemplateRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutServiceQuotaIncreaseRequestIntoTemplateResponse' => [ 'base' => NULL, 'refs' => [], ], 'QuotaAdjustable' => [ 'base' => NULL, 'refs' => [ 'ServiceQuota$Adjustable' => '<p>Indicates whether the quota value can be increased.</p>', ], ], 'QuotaArn' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$QuotaArn' => '<p>The Amazon Resource Name (ARN) of the quota.</p>', 'ServiceQuota$QuotaArn' => '<p>The Amazon Resource Name (ARN) of the quota.</p>', ], ], 'QuotaCode' => [ 'base' => NULL, 'refs' => [ 'DeleteServiceQuotaIncreaseRequestFromTemplateRequest$QuotaCode' => '<p>The quota identifier.</p>', 'GetAWSDefaultServiceQuotaRequest$QuotaCode' => '<p>The quota identifier.</p>', 'GetServiceQuotaIncreaseRequestFromTemplateRequest$QuotaCode' => '<p>The quota identifier.</p>', 'GetServiceQuotaRequest$QuotaCode' => '<p>The quota identifier.</p>', 'ListRequestedServiceQuotaChangeHistoryByQuotaRequest$QuotaCode' => '<p>The quota identifier.</p>', 'PutServiceQuotaIncreaseRequestIntoTemplateRequest$QuotaCode' => '<p>The quota identifier.</p>', 'RequestServiceQuotaIncreaseRequest$QuotaCode' => '<p>The quota identifier.</p>', 'RequestedServiceQuotaChange$QuotaCode' => '<p>The quota identifier.</p>', 'ServiceQuota$QuotaCode' => '<p>The quota identifier.</p>', 'ServiceQuotaIncreaseRequestInTemplate$QuotaCode' => '<p>The quota identifier.</p>', ], ], 'QuotaExceededException' => [ 'base' => '<p>You have exceeded your service quota. To perform the requested action, remove some of the relevant resources, or use Service Quotas to request a service quota increase.</p>', 'refs' => [], ], 'QuotaMetricName' => [ 'base' => NULL, 'refs' => [ 'MetricInfo$MetricName' => '<p>The name of the metric.</p>', ], ], 'QuotaMetricNamespace' => [ 'base' => NULL, 'refs' => [ 'MetricInfo$MetricNamespace' => '<p>The namespace of the metric.</p>', ], ], 'QuotaName' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$QuotaName' => '<p>The quota name.</p>', 'ServiceQuota$QuotaName' => '<p>The quota name.</p>', 'ServiceQuotaIncreaseRequestInTemplate$QuotaName' => '<p>The quota name.</p>', ], ], 'QuotaPeriod' => [ 'base' => '<p>Information about the quota period.</p>', 'refs' => [ 'ServiceQuota$Period' => '<p>The period of time.</p>', ], ], 'QuotaUnit' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$Unit' => '<p>The unit of measurement.</p>', 'ServiceQuota$Unit' => '<p>The unit of measurement.</p>', 'ServiceQuotaIncreaseRequestInTemplate$Unit' => '<p>The unit of measurement.</p>', ], ], 'QuotaValue' => [ 'base' => NULL, 'refs' => [ 'PutServiceQuotaIncreaseRequestIntoTemplateRequest$DesiredValue' => '<p>The new, increased value for the quota.</p>', 'RequestServiceQuotaIncreaseRequest$DesiredValue' => '<p>The new, increased value for the quota.</p>', 'RequestedServiceQuotaChange$DesiredValue' => '<p>The new, increased value for the quota.</p>', 'ServiceQuota$Value' => '<p>The quota value.</p>', 'ServiceQuotaIncreaseRequestInTemplate$DesiredValue' => '<p>The new, increased value of the quota.</p>', ], ], 'RequestId' => [ 'base' => NULL, 'refs' => [ 'GetRequestedServiceQuotaChangeRequest$RequestId' => '<p>The ID of the quota increase request.</p>', 'RequestedServiceQuotaChange$Id' => '<p>The unique identifier.</p>', ], ], 'RequestServiceQuotaIncreaseRequest' => [ 'base' => NULL, 'refs' => [], ], 'RequestServiceQuotaIncreaseResponse' => [ 'base' => NULL, 'refs' => [], ], 'RequestStatus' => [ 'base' => NULL, 'refs' => [ 'ListRequestedServiceQuotaChangeHistoryByQuotaRequest$Status' => '<p>The status value of the quota increase request.</p>', 'ListRequestedServiceQuotaChangeHistoryRequest$Status' => '<p>The status of the quota increase request.</p>', 'RequestedServiceQuotaChange$Status' => '<p>The state of the quota increase request.</p>', ], ], 'RequestedServiceQuotaChange' => [ 'base' => '<p>Information about a quota increase request.</p>', 'refs' => [ 'GetRequestedServiceQuotaChangeResponse$RequestedQuota' => '<p>Information about the quota increase request.</p>', 'RequestServiceQuotaIncreaseResponse$RequestedQuota' => '<p>Information about the quota increase request.</p>', 'RequestedServiceQuotaChangeHistoryListDefinition$member' => NULL, ], ], 'RequestedServiceQuotaChangeHistoryListDefinition' => [ 'base' => NULL, 'refs' => [ 'ListRequestedServiceQuotaChangeHistoryByQuotaResponse$RequestedQuotas' => '<p>Information about the quota increase requests.</p>', 'ListRequestedServiceQuotaChangeHistoryResponse$RequestedQuotas' => '<p>Information about the quota increase requests.</p>', ], ], 'Requester' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$Requester' => '<p>The IAM identity of the requester.</p>', ], ], 'ResourceAlreadyExistsException' => [ 'base' => '<p>The specified resource already exists.</p>', 'refs' => [], ], 'ServiceCode' => [ 'base' => NULL, 'refs' => [ 'DeleteServiceQuotaIncreaseRequestFromTemplateRequest$ServiceCode' => '<p>The service identifier.</p>', 'GetAWSDefaultServiceQuotaRequest$ServiceCode' => '<p>The service identifier.</p>', 'GetServiceQuotaIncreaseRequestFromTemplateRequest$ServiceCode' => '<p>The service identifier.</p>', 'GetServiceQuotaRequest$ServiceCode' => '<p>The service identifier.</p>', 'ListAWSDefaultServiceQuotasRequest$ServiceCode' => '<p>The service identifier.</p>', 'ListRequestedServiceQuotaChangeHistoryByQuotaRequest$ServiceCode' => '<p>The service identifier.</p>', 'ListRequestedServiceQuotaChangeHistoryRequest$ServiceCode' => '<p>The service identifier.</p>', 'ListServiceQuotaIncreaseRequestsInTemplateRequest$ServiceCode' => '<p>The service identifier.</p>', 'ListServiceQuotasRequest$ServiceCode' => '<p>The service identifier.</p>', 'PutServiceQuotaIncreaseRequestIntoTemplateRequest$ServiceCode' => '<p>The service identifier.</p>', 'RequestServiceQuotaIncreaseRequest$ServiceCode' => '<p>The service identifier.</p>', 'RequestedServiceQuotaChange$ServiceCode' => '<p>The service identifier.</p>', 'ServiceInfo$ServiceCode' => '<p>The service identifier.</p>', 'ServiceQuota$ServiceCode' => '<p>The service identifier.</p>', 'ServiceQuotaIncreaseRequestInTemplate$ServiceCode' => '<p>The service identifier.</p>', ], ], 'ServiceException' => [ 'base' => '<p>Something went wrong.</p>', 'refs' => [], ], 'ServiceInfo' => [ 'base' => '<p>Information about a service.</p>', 'refs' => [ 'ServiceInfoListDefinition$member' => NULL, ], ], 'ServiceInfoListDefinition' => [ 'base' => NULL, 'refs' => [ 'ListServicesResponse$Services' => '<p>Information about the services.</p>', ], ], 'ServiceName' => [ 'base' => NULL, 'refs' => [ 'RequestedServiceQuotaChange$ServiceName' => '<p>The service name.</p>', 'ServiceInfo$ServiceName' => '<p>The service name.</p>', 'ServiceQuota$ServiceName' => '<p>The service name.</p>', 'ServiceQuotaIncreaseRequestInTemplate$ServiceName' => '<p>The service name.</p>', ], ], 'ServiceQuota' => [ 'base' => '<p>Information about a quota.</p>', 'refs' => [ 'GetAWSDefaultServiceQuotaResponse$Quota' => '<p>Information about the quota.</p>', 'GetServiceQuotaResponse$Quota' => '<p>Information about the quota.</p>', 'ServiceQuotaListDefinition$member' => NULL, ], ], 'ServiceQuotaIncreaseRequestInTemplate' => [ 'base' => '<p>Information about a quota increase request.</p>', 'refs' => [ 'GetServiceQuotaIncreaseRequestFromTemplateResponse$ServiceQuotaIncreaseRequestInTemplate' => '<p>Information about the quota increase request.</p>', 'PutServiceQuotaIncreaseRequestIntoTemplateResponse$ServiceQuotaIncreaseRequestInTemplate' => '<p>Information about the quota increase request.</p>', 'ServiceQuotaIncreaseRequestInTemplateList$member' => NULL, ], ], 'ServiceQuotaIncreaseRequestInTemplateList' => [ 'base' => NULL, 'refs' => [ 'ListServiceQuotaIncreaseRequestsInTemplateResponse$ServiceQuotaIncreaseRequestInTemplateList' => '<p>Information about the quota increase requests.</p>', ], ], 'ServiceQuotaListDefinition' => [ 'base' => NULL, 'refs' => [ 'ListAWSDefaultServiceQuotasResponse$Quotas' => '<p>Information about the quotas.</p>', 'ListServiceQuotasResponse$Quotas' => '<p>Information about the quotas.</p>', ], ], 'ServiceQuotaTemplateAssociationStatus' => [ 'base' => NULL, 'refs' => [ 'GetAssociationForServiceQuotaTemplateResponse$ServiceQuotaTemplateAssociationStatus' => '<p>The association status. If the status is <code>ASSOCIATED</code>, the quota increase requests in the template are automatically applied to new accounts in your organization.</p>', ], ], 'ServiceQuotaTemplateNotInUseException' => [ 'base' => '<p>The quota request template is not associated with your organization.</p>', 'refs' => [], ], 'Statistic' => [ 'base' => NULL, 'refs' => [ 'MetricInfo$MetricStatisticRecommendation' => '<p>The metric statistic that we recommend you use when determining quota usage.</p>', ], ], 'Tag' => [ 'base' => '<p>A complex data type that contains a tag key and tag value.</p>', 'refs' => [ 'InputTags$member' => NULL, 'OutputTags$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'InputTagKeys$member' => NULL, 'Tag$Key' => '<p>A string that contains a tag key. The string length should be between 1 and 128 characters. Valid characters include a-z, A-Z, 0-9, space, and the special characters _ - . : / = + @.</p>', ], ], 'TagPolicyViolationException' => [ 'base' => '<p>The specified tag is a reserved word and cannot be used.</p>', 'refs' => [], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tag$Value' => '<p>A string that contains an optional tag value. The string length should be between 0 and 256 characters. Valid characters include a-z, A-Z, 0-9, space, and the special characters _ - . : / = + @.</p>', ], ], 'TemplatesNotAvailableInRegionException' => [ 'base' => '<p>The Service Quotas template is not available in this AWS Region.</p>', 'refs' => [], ], 'TooManyRequestsException' => [ 'base' => '<p>Due to throttling, the request was denied. Slow down the rate of request calls, or request an increase for this quota.</p>', 'refs' => [], ], 'TooManyTagsException' => [ 'base' => '<p>You\'ve exceeded the number of tags allowed for a resource. For more information, see <a href="https://docs.aws.amazon.com/servicequotas/latest/userguide/sq-tagging.html#sq-tagging-restrictions">Tag restrictions</a> in the <i>Service Quotas User Guide</i>.</p>', 'refs' => [], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], ],];
